import { AxiosInstance, AxiosResponse } from "axios";
/**
 * Regula Document Reader Web API
 * Documents recognition as easy as reading two bytes.   # Clients: * [JavaScript](https://github.com/regulaforensics/DocumentReader-web-js-client) client for the browser and node.js based on axios * [Java](https://github.com/regulaforensics/DocumentReader-web-java-client) client compatible with jvm and android * [Python](https://github.com/regulaforensics/DocumentReader-web-python-client) 3.5+ client * [C#](https://github.com/regulaforensics/DocumentReader-web-csharp-client) client for .NET & .NET Core
 *
 * The version of the OpenAPI document: 8.1.0
 *
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */
export interface ConfigurationParameters {
    apiKey?: string | Promise<string> | ((name: string) => string) | ((name: string) => Promise<string>);
    username?: string;
    password?: string;
    accessToken?: string | Promise<string> | ((name?: string, scopes?: string[]) => string) | ((name?: string, scopes?: string[]) => Promise<string>);
    basePath?: string;
    serverIndex?: number;
    baseOptions?: any;
    formDataCtor?: new () => any;
}
export class Configuration {
    /**
     * parameter for apiKey security
     * @param name security name
     * @memberof Configuration
     */
    apiKey?: string | Promise<string> | ((name: string) => string) | ((name: string) => Promise<string>);
    /**
     * parameter for basic security
     *
     * @type {string}
     * @memberof Configuration
     */
    username?: string;
    /**
     * parameter for basic security
     *
     * @type {string}
     * @memberof Configuration
     */
    password?: string;
    /**
     * parameter for oauth2 security
     * @param name security name
     * @param scopes oauth2 scope
     * @memberof Configuration
     */
    accessToken?: string | Promise<string> | ((name?: string, scopes?: string[]) => string) | ((name?: string, scopes?: string[]) => Promise<string>);
    /**
     * override base path
     *
     * @type {string}
     * @memberof Configuration
     */
    basePath?: string;
    /**
     * override server index
     *
     * @type {number}
     * @memberof Configuration
     */
    serverIndex?: number;
    /**
     * base options for axios calls
     *
     * @type {any}
     * @memberof Configuration
     */
    baseOptions?: any;
    /**
     * The FormData constructor that will be used to create multipart form data
     * requests. You can inject this here so that execution environments that
     * do not support the FormData class can still run the generated client.
     *
     * @type {new () => FormData}
     */
    formDataCtor?: new () => any;
    constructor(param?: ConfigurationParameters);
    /**
     * Check if the given MIME is a JSON MIME.
     * JSON MIME examples:
     *   application/json
     *   application/json; charset=UTF8
     *   APPLICATION/JSON
     *   application/vnd.company+json
     * @param mime - MIME (Multipurpose Internet Mail Extensions)
     * @return True if the given MIME is JSON, false otherwise.
     */
    isJsonMime(mime: string): boolean;
}
/**
 * Regula Document Reader Web API
 * Documents recognition as easy as reading two bytes.   # Clients: * [JavaScript](https://github.com/regulaforensics/DocumentReader-web-js-client) client for the browser and node.js based on axios * [Java](https://github.com/regulaforensics/DocumentReader-web-java-client) client compatible with jvm and android * [Python](https://github.com/regulaforensics/DocumentReader-web-python-client) 3.5+ client * [C#](https://github.com/regulaforensics/DocumentReader-web-csharp-client) client for .NET & .NET Core
 *
 * The version of the OpenAPI document: 8.1.0
 *
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */
/**
 *
 * @export
 * @interface Point
 */
export interface Point {
    /**
     *
     * @type {number}
     * @memberof Point
     */
    'x': number;
    /**
     *
     * @type {number}
     * @memberof Point
     */
    'y': number;
}
/**
 *
 * @export
 * @interface PointArray
 */
export interface PointArray {
    /**
     *
     * @type {Array<Point>}
     * @memberof PointArray
     */
    'PointsList': Array<Point>;
}
/**
 * Regula Document Reader Web API
 * Documents recognition as easy as reading two bytes.   # Clients: * [JavaScript](https://github.com/regulaforensics/DocumentReader-web-js-client) client for the browser and node.js based on axios * [Java](https://github.com/regulaforensics/DocumentReader-web-java-client) client compatible with jvm and android * [Python](https://github.com/regulaforensics/DocumentReader-web-python-client) 3.5+ client * [C#](https://github.com/regulaforensics/DocumentReader-web-csharp-client) client for .NET & .NET Core
 *
 * The version of the OpenAPI document: 8.1.0
 *
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */
/**
 * Coordinates of the rectangle region on a document image(result type 1). Represented by two points - (left, top) + (right, bottom)
 * @export
 * @interface RectangleCoordinates
 */
export interface RectangleCoordinates {
    /**
     *
     * @type {number}
     * @memberof RectangleCoordinates
     */
    'left': number;
    /**
     *
     * @type {number}
     * @memberof RectangleCoordinates
     */
    'top': number;
    /**
     *
     * @type {number}
     * @memberof RectangleCoordinates
     */
    'right': number;
    /**
     *
     * @type {number}
     * @memberof RectangleCoordinates
     */
    'bottom': number;
}
/**
 *
 * @export
 * @interface AreaArray
 */
export interface AreaArray {
    /**
     * Number of elements in List and Points
     * @type {number}
     * @memberof AreaArray
     */
    'Count': number;
    /**
     *
     * @type {Array<RectangleCoordinates>}
     * @memberof AreaArray
     */
    'List': Array<RectangleCoordinates>;
    /**
     *
     * @type {Array<PointArray>}
     * @memberof AreaArray
     */
    'Points': Array<PointArray>;
}
/**
 *
 * @export
 * @interface PointsContainer
 */
export interface PointsContainer {
    /**
     *
     * @type {number}
     * @memberof PointsContainer
     */
    'PointCount'?: number;
    /**
     *
     * @type {Array<Point>}
     * @memberof PointsContainer
     */
    'PointsList': Array<Point>;
}
/**
 * Checked fragment coordinates
 * @export
 * @interface AreaContainer
 */
export interface AreaContainer {
    /**
     *
     * @type {number}
     * @memberof AreaContainer
     */
    'Count': number;
    /**
     *
     * @type {Array<RectangleCoordinates>}
     * @memberof AreaContainer
     */
    'List': Array<RectangleCoordinates>;
    /**
     *
     * @type {Array<PointsContainer>}
     * @memberof AreaContainer
     */
    'Points': Array<PointsContainer>;
}
/**
 * Regula Document Reader Web API
 * Documents recognition as easy as reading two bytes.   # Clients: * [JavaScript](https://github.com/regulaforensics/DocumentReader-web-js-client) client for the browser and node.js based on axios * [Java](https://github.com/regulaforensics/DocumentReader-web-java-client) client compatible with jvm and android * [Python](https://github.com/regulaforensics/DocumentReader-web-python-client) 3.5+ client * [C#](https://github.com/regulaforensics/DocumentReader-web-csharp-client) client for .NET & .NET Core
 *
 * The version of the OpenAPI document: 8.1.0
 *
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */
/**
 *
 * @export
 * @interface LivenessParams
 */
export interface LivenessParams {
    /**
     * This parameter is used to enable OVI check
     * @type {boolean}
     * @memberof LivenessParams
     */
    'checkOVI'?: boolean;
    /**
     * This parameter is used to enable MLI check
     * @type {boolean}
     * @memberof LivenessParams
     */
    'checkMLI'?: boolean;
    /**
     * This parameter is used to enable Hologram detection
     * @type {boolean}
     * @memberof LivenessParams
     */
    'checkHolo'?: boolean;
    /**
     * This parameter is used to enable Electronic device detection
     * @type {boolean}
     * @memberof LivenessParams
     */
    'checkED'?: boolean;
    /**
     * This parameter is used to enable Black and white copy check
     * @type {boolean}
     * @memberof LivenessParams
     */
    'checkBlackAndWhiteCopy'?: boolean;
    /**
     * This parameter is used to enable Dynaprint check
     * @type {boolean}
     * @memberof LivenessParams
     */
    'checkDynaprint'?: boolean;
    /**
     * This parameter is used to enable Geometry check
     * @type {boolean}
     * @memberof LivenessParams
     */
    'checkGeometry'?: boolean;
}
/**
 *
 * @export
 * @interface AuthParams
 */
export interface AuthParams {
    /**
     * This parameter is used to enable document liveness check
     * @type {boolean}
     * @memberof AuthParams
     */
    'checkLiveness'?: boolean;
    /**
     *
     * @type {LivenessParams}
     * @memberof AuthParams
     */
    'livenessParams'?: LivenessParams;
    /**
     * This parameter is used to enable Document luminescence check in UV light
     * @type {boolean}
     * @memberof AuthParams
     */
    'checkUVLuminiscence'?: boolean;
    /**
     * This parameter is used to enable B900 ink MRZ contrast check in IR light
     * @type {boolean}
     * @memberof AuthParams
     */
    'checkIRB900'?: boolean;
    /**
     * This parameter is used to enable Image patterns presence/absence check (position, shape, color)
     * @type {boolean}
     * @memberof AuthParams
     */
    'checkImagePatterns'?: boolean;
    /**
     * This parameter is used to enable Fibers detection
     * @type {boolean}
     * @memberof AuthParams
     */
    'checkFibers'?: boolean;
    /**
     * This parameter is used to enable Extended MRZ Check
     * @type {boolean}
     * @memberof AuthParams
     */
    'checkExtMRZ'?: boolean;
    /**
     * This parameter is used to enable Extended OCR Check
     * @type {boolean}
     * @memberof AuthParams
     */
    'checkExtOCR'?: boolean;
    /**
     * This parameter is used to enable laminate integrity check in axial light
     * @type {boolean}
     * @memberof AuthParams
     */
    'checkAxial'?: boolean;
    /**
     * This parameter is used to enable Barcode format check (code metadata, data format, contents format, etc.)
     * @type {boolean}
     * @memberof AuthParams
     */
    'checkBarcodeFormat'?: boolean;
    /**
     * This parameter is used to enable Document elements visibility check in IR light
     * @type {boolean}
     * @memberof AuthParams
     */
    'checkIRVisibility'?: boolean;
    /**
     * This parameter is used to enable Invisible Personal Information (IPI) check
     * @type {boolean}
     * @memberof AuthParams
     */
    'checkIPI'?: boolean;
    /**
     * This parameter is used to enable Owner\'s photo embedding check (is photo printed or sticked)
     * @type {boolean}
     * @memberof AuthParams
     */
    'checkPhotoEmbedding'?: boolean;
    /**
     * This parameter is used to enable Portrait comparison check
     * @type {boolean}
     * @memberof AuthParams
     */
    'checkPhotoComparison'?: boolean;
    /**
     * This parameter is used to enable LetterScreen check
     * @type {boolean}
     * @memberof AuthParams
     */
    'checkLetterScreen'?: boolean;
    /**
     * This parameter is used to enable Security text check
     * @type {boolean}
     * @memberof AuthParams
     */
    'checkSecurityText'?: boolean;
}
/**
 * Regula Document Reader Web API
 * Documents recognition as easy as reading two bytes.   # Clients: * [JavaScript](https://github.com/regulaforensics/DocumentReader-web-js-client) client for the browser and node.js based on axios * [Java](https://github.com/regulaforensics/DocumentReader-web-java-client) client compatible with jvm and android * [Python](https://github.com/regulaforensics/DocumentReader-web-python-client) 3.5+ client * [C#](https://github.com/regulaforensics/DocumentReader-web-csharp-client) client for .NET & .NET Core
 *
 * The version of the OpenAPI document: 8.1.0
 *
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */
/**
 * Enumeration describes available authenticity checks: https://docs.regulaforensics.com/develop/doc-reader-sdk/web-service/development/enums/authenticity-result-type/.
 * @export
 * @enum {number}
 */
export enum AuthenticityResultType {
    /**
    * Document luminescence check in UV light
    */
    UV_LUMINESCENCE = 1,
    /**
    * B900 ink MRZ contrast check in IR light
    */
    IR_B900 = 2,
    /**
    * Image patterns presence/absence check (position, shape, color)
    */
    IMAGE_PATTERN = 4,
    /**
    * Confirm laminate integrity check in axial light
    */
    AXIAL_PROTECTION = 8,
    /**
    * Protection fibers presence check (color, density) in UV light
    */
    UV_FIBERS = 16,
    /**
    * Document elements visibility check in IR light
    */
    IR_VISIBILITY = 32,
    /**
    * OCR for the text field in UV light comparison with other text sources check
    */
    OCR_SECURITY_TEXT = 64,
    /**
    * Invisible Personal Information (IPI) visualization
    */
    IPI = 128,
    /**
    * Owner&#39;s photo embedding check (is photo printed or sticked)
    */
    PHOTO_EMBED_TYPE = 512,
    /**
    * OVI check. Deprecated, use Document liveness check instead
    */
    OVI = 1024,
    /**
    * Hologram presence check. Deprecated
    */
    HOLOGRAMS = 4096,
    /**
    * Owner&#39;s photo area advanced check (photo shape, size, position, etc.)
    */
    PHOTO_AREA = 8192,
    /**
    * Portrait comparison check (document printed vs chip vs live)
    */
    PORTRAIT_COMPARISON = 32768,
    /**
    * Barcode format check (code metadata, data format, contents format, etc.)
    */
    BARCODE_FORMAT_CHECK = 65536,
    /**
    * Kinegram check
    */
    KINEGRAM = 131072,
    /**
    * LetterScreen check
    */
    LETTER_SCREEN = 262144,
    /**
    * Hologram detection and validation check
    */
    HOLOGRAM_DETECTION = 524288,
    /**
    * Fingerprint comparison check
    */
    FINGERPRINT_COMPARISON = 1048576,
    /**
    * Document liveness check
    */
    LIVENESS = 2097152,
    /**
    * Extended OCR Check
    */
    EXTENDED_OCR_CHECK = 4194304,
    /**
    * Extended MRZ check
    */
    EXTENDED_MRZ_CHECK = 8388608,
    /**
    * Encrypted IPI
    */
    ENCRYPTED_IPI = 16777216
}
/**
 * Regula Document Reader Web API
 * Documents recognition as easy as reading two bytes.   # Clients: * [JavaScript](https://github.com/regulaforensics/DocumentReader-web-js-client) client for the browser and node.js based on axios * [Java](https://github.com/regulaforensics/DocumentReader-web-java-client) client compatible with jvm and android * [Python](https://github.com/regulaforensics/DocumentReader-web-python-client) 3.5+ client * [C#](https://github.com/regulaforensics/DocumentReader-web-csharp-client) client for .NET & .NET Core
 *
 * The version of the OpenAPI document: 8.1.0
 *
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */
/**
 * Enumeration contains identifiers which determinate the single document element authenticity check outcome reason: https://docs.regulaforensics.com/develop/doc-reader-sdk/web-service/development/enums/check-diagnose/
 * @export
 * @enum {number}
 */
export enum CheckDiagnose {
    UNKNOWN = 0,
    PASS = 1,
    INVALID_INPUT_DATA = 2,
    INTERNAL_ERROR = 3,
    EXCEPTION_IN_MODULE = 4,
    UNCERTAIN_VERIFICATION = 5,
    NECESSARY_IMAGE_NOT_FOUND = 7,
    PHOTO_SIDES_NOT_FOUND = 8,
    INVALID_CHECKSUM = 10,
    SYNTAX_ERROR = 11,
    LOGIC_ERROR = 12,
    SOURCES_COMPARISON_ERROR = 13,
    FIELDS_COMPARISON_LOGIC_ERROR = 14,
    INVALID_FIELD_FORMAT = 15,
    TRUE_LUMINESCENCE_ERROR = 20,
    FALSE_LUMINESCENCE_ERROR = 21,
    FIXED_PATTERN_ERROR = 22,
    LOW_CONTRAST_IN_IR_LIGHT = 23,
    INCORRECT_BACKGROUND_LIGHT = 24,
    BACKGROUND_COMPARISON_ERROR = 25,
    INCORRECT_TEXT_COLOR = 26,
    PHOTO_FALSE_LUMINESCENCE = 27,
    TOO_MUCH_SHIFT = 28,
    CONTACT_CHIP_TYPE_MISMATCH = 29,
    FIBERS_NOT_FOUND = 30,
    TOO_MANY_OBJECTS = 31,
    SPECKS_IN_UV = 33,
    TOO_LOW_RESOLUTION = 34,
    INVISIBLE_ELEMENT_PRESENT = 40,
    VISIBLE_ELEMENT_ABSENT = 41,
    ELEMENT_SHOULD_BE_COLORED = 42,
    ELEMENT_SHOULD_BE_GRAYSCALE = 43,
    PHOTO_WHITE_IR_DONT_MATCH = 44,
    UV_DULL_PAPER_MRZ = 50,
    FALSE_LUMINESCENCE_IN_MRZ = 51,
    UV_DULL_PAPER_PHOTO = 52,
    UV_DULL_PAPER_BLANK = 53,
    UV_DULL_PAPER_ERROR = 54,
    FALSE_LUMINESCENCE_IN_BLANK = 55,
    BAD_AREA_IN_AXIAL = 60,
    FALSE_IPI_PARAMETERS = 65,
    ENCRYPTED_IPI_NOT_FOUND = 66,
    ENCRYPTED_IPI_DATA_DONT_MATCH = 67,
    FIELD_POS_CORRECTOR_HIGHLIGHT_IR = 80,
    FIELD_POS_CORRECTOR_GLARES_IN_PHOTO_AREA = 81,
    FIELD_POS_CORRECTOR_PHOTO_REPLACED = 82,
    FIELD_POS_CORRECTOR_LANDMARKS_CHECK_ERROR = 83,
    FIELD_POS_CORRECTOR_FACE_PRESENCE_CHECK_ERROR = 84,
    FIELD_POS_CORRECTOR_FACE_ABSENCE_CHECK_ERROR = 85,
    FIELD_POS_CORRECTOR_INCORRECT_HEAD_POSITION = 86,
    OVI_IR_INVISIBLE = 90,
    OVI_INSUFFICIENT_AREA = 91,
    OVI_COLOR_INVARIABLE = 92,
    OVI_BAD_COLOR_FRONT = 93,
    OVI_BAD_COLOR_SIDE = 94,
    OVI_WIDE_COLOR_SPREAD = 95,
    OVI_BAD_COLOR_PERCENT = 96,
    HOLOGRAM_ELEMENT_ABSENT = 100,
    HOLOGRAM_SIDE_TOP_IMAGES_ABSENT = 101,
    HOLOGRAM_ELEMENT_PRESENT = 102,
    HOLOGRAM_FRAMES_IS_ABSENT = 103,
    HOLOGRAM_HOLO_FIELD_IS_ABSENT = 104,
    PHOTO_PATTERN_INTERRUPTED = 110,
    PHOTO_PATTERN_SHIFTED = 111,
    PHOTO_PATTERN_DIFFERENT_COLORS = 112,
    PHOTO_PATTERN_IR_VISIBLE = 113,
    PHOTO_PATTERN_NOT_INTERSECT = 114,
    PHOTO_SIZE_IS_WRONG = 115,
    PHOTO_PATTERN_INVALID_COLOR = 116,
    PHOTO_PATTERN_SHIFTED_VERT = 117,
    PHOTO_PATTERN_PATTERN_NOT_FOUND = 118,
    PHOTO_PATTERN_DIFFERENT_LINES_THICKNESS = 119,
    PHOTO_IS_NOT_RECTANGLE = 120,
    PHOTO_CORNERS_IS_WRONG = 121,
    DOCUMENT_IS_CANCELLING = 122,
    TEXT_COLOR_SHOULD_BE_BLUE = 130,
    TEXT_COLOR_SHOULD_BE_GREEN = 131,
    TEXT_COLOR_SHOULD_BE_RED = 132,
    TEXT_SHOULD_BE_BLACK = 133,
    BARCODE_WAS_READ_WITH_ERRORS = 140,
    BARCODE_DATA_FORMAT_ERROR = 141,
    BARCODE_SIZE_PARAMS_ERROR = 142,
    NOT_ALL_BARCODES_READ = 143,
    GLARES_IN_BARCODE_AREA = 144,
    NO_CERTIFICATE_FOR_DIGITAL_SIGNATURE_CHECK = 145,
    PORTRAIT_COMPARISON_PORTRAITS_DIFFER = 150,
    PORTRAIT_COMPARISON_NO_SERVICE_REPLY = 151,
    PORTRAIT_COMPARISON_SERVICE_ERROR = 152,
    PORTRAIT_COMPARISON_NOT_ENOUGH_IMAGES = 153,
    PORTRAIT_COMPARISON_NO_LIVE_PHOTO = 154,
    PORTRAIT_COMPARISON_NO_SERVICE_LICENSE = 155,
    PORTRAIT_COMPARISON_NO_PORTRAIT_DETECTED = 156,
    MOBILE_IMAGES_UNSUITABLE_LIGHT_CONDITIONS = 160,
    MOBILE_IMAGES_WHITE_UV_NO_DIFFERENCE = 161,
    FINGERPRINTS_COMPARISON_MISMATCH = 170,
    HOLO_PHOTO_FACE_NOT_DETECTED = 180,
    HOLO_PHOTO_FACE_COMPARISON_FAILED = 181,
    HOLO_PHOTO_GLARE_IN_CENTER_ABSENT = 182,
    HOLO_PHOTO_HOLO_ELEMENT_SHAPE_ERROR = 183,
    HOLO_PHOTO_ALGORITHMS_STEPS_ERROR = 184,
    HOLO_PHOTO_HOLO_AREAS_NOT_LOADED = 185,
    HOLO_PHOTO_FINISHED_BY_TIMEOUT = 186,
    HOLO_PHOTO_DOCUMENT_OUTSIDE_FRAME = 187,
    LIVENESS_DEPTH_CHECK_FAILED = 190,
    MRZ_QUALITY_WRONG_SYMBOL_POSITION = 200,
    MRZ_QUALITY_WRONG_BACKGROUND = 201,
    MRZ_QUALITY_WRONG_MRZ_WIDTH = 202,
    MRZ_QUALITY_WRONG_MRZ_HEIGHT = 203,
    MRZ_QUALITY_WRONG_LINE_POSITION = 204,
    MRZ_QUALITY_WRONG_FONT_TYPE = 205,
    OCR_QUALITY_TEXT_POSITION = 220,
    OCR_QUALITY_INVALID_FONT = 221,
    OCR_QUALITY_INVALID_BACKGROUND = 222,
    LASINK_INVALID_LINES_FREQUENCY = 230,
    DOC_LIVENESS_DOCUMENT_NOT_LIVE = 238,
    DOC_LIVENESS_BLACK_AND_WHITE_COPY_DETECTED = 239,
    DOC_LIVENESS_ELECTRONIC_DEVICE_DETECTED = 240,
    DOC_LIVENESS_INVALID_BARCODE_BACKGROUND = 241,
    CHD_ICAO_IDB_BASE32_ERROR = 243,
    CHD_ICAO_IDB_ZIPPED_ERROR = 244,
    CHD_ICAO_IDB_MESSAGE_ZONE_EMPTY = 245,
    CHD_ICAO_IDB_SIGNATURE_MUST_BE_PRESENT = 246,
    CHD_ICAO_IDB_SIGNATURE_MUST_NOT_BE_PRESENT = 247,
    CHD_ICAO_IDB_CERTIFICATE_MUST_NOT_BE_PRESENT = 248,
    CHD_INCORRECT_OBJECT_COLOR = 250
}
/**
 * Regula Document Reader Web API
 * Documents recognition as easy as reading two bytes.   # Clients: * [JavaScript](https://github.com/regulaforensics/DocumentReader-web-js-client) client for the browser and node.js based on axios * [Java](https://github.com/regulaforensics/DocumentReader-web-java-client) client compatible with jvm and android * [Python](https://github.com/regulaforensics/DocumentReader-web-python-client) 3.5+ client * [C#](https://github.com/regulaforensics/DocumentReader-web-csharp-client) client for .NET & .NET Core
 *
 * The version of the OpenAPI document: 8.1.0
 *
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */
/**
 * 0 - result is negative; 1 - result is positive; 2 - сheck was not performed
 * @export
 * @enum {number}
 */
export enum CheckResult {
    /**
    * Check was performed and result is NEGATIVE
    */
    ERROR = 0,
    /**
    * Check was performed and result is POSITIVE
    */
    OK = 1,
    /**
    * Check was NOT PERFORMED
    */
    WAS_NOT_DONE = 2
}
/**
 * Regula Document Reader Web API
 * Documents recognition as easy as reading two bytes.   # Clients: * [JavaScript](https://github.com/regulaforensics/DocumentReader-web-js-client) client for the browser and node.js based on axios * [Java](https://github.com/regulaforensics/DocumentReader-web-java-client) client compatible with jvm and android * [Python](https://github.com/regulaforensics/DocumentReader-web-python-client) 3.5+ client * [C#](https://github.com/regulaforensics/DocumentReader-web-csharp-client) client for .NET & .NET Core
 *
 * The version of the OpenAPI document: 8.1.0
 *
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */
/**
 * Enumeration contains identifiers determining the criticality of the security element
 * @export
 * @enum {number}
 */
export enum Critical {
    /**
    * Security element may be absent in a valid document
    */
    NOT_CRITICAL = 0,
    /**
    * Security element must be present in a valid document
    */
    CRITICAL = 1
}
/**
 * Common fields for all authenticity result objects
 * @export
 * @interface AuthenticityCheckResultItem
 */
export interface AuthenticityCheckResultItem {
    /**
     *
     * @type {AuthenticityResultType}
     * @memberof AuthenticityCheckResultItem
     */
    'Type': AuthenticityResultType;
    /**
     *
     * @type {CheckResult}
     * @memberof AuthenticityCheckResultItem
     */
    'ElementResult'?: CheckResult;
    /**
     *
     * @type {CheckDiagnose}
     * @memberof AuthenticityCheckResultItem
     */
    'ElementDiagnose'?: CheckDiagnose;
    /**
     *
     * @type {number}
     * @memberof AuthenticityCheckResultItem
     */
    'PercentValue'?: number;
}
/**
 * Regula Document Reader Web API
 * Documents recognition as easy as reading two bytes.   # Clients: * [JavaScript](https://github.com/regulaforensics/DocumentReader-web-js-client) client for the browser and node.js based on axios * [Java](https://github.com/regulaforensics/DocumentReader-web-java-client) client compatible with jvm and android * [Python](https://github.com/regulaforensics/DocumentReader-web-python-client) 3.5+ client * [C#](https://github.com/regulaforensics/DocumentReader-web-csharp-client) client for .NET & .NET Core
 *
 * The version of the OpenAPI document: 8.1.0
 *
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */
/**
 * Image light index
 * @export
 * @enum {number}
 */
export enum Light {
    /**
    * No Light
    */
    OFF = 0,
    /**
    * Upper/lower white
    */
    WHITE_TOP = 2,
    /**
    * Side white
    */
    WHITE_SIDE = 4,
    /**
    * White
    */
    WHITE = 6,
    /**
    * Infrared
    */
    IR = 24,
    /**
    * Ultraviolet
    */
    UV = 128,
    /**
    * Axial white
    */
    AXIAL_WHITE = 3072
}
/**
 *
 * @export
 * @interface FiberItem
 */
export interface FiberItem {
    /**
     * For UV_Fibers authenticity result type
     * @type {number}
     * @memberof FiberItem
     */
    'RectCount': number;
    /**
     * Expected fibers number. For UV_Fibers authentication result type
     * @type {number}
     * @memberof FiberItem
     */
    'ExpectedCount': number;
    /**
     *
     * @type {Light}
     * @memberof FiberItem
     */
    'LightValue'?: Light;
    /**
     * For UV_Background authentication result type
     * @type {number}
     * @memberof FiberItem
     */
    'LightDisp'?: number;
    /**
     * Coordinates of located areas for defined fibers type
     * @type {Array<RectangleCoordinates>}
     * @memberof FiberItem
     */
    'RectArray': Array<RectangleCoordinates>;
    /**
     * Fibers width value for located areas (in pixels)
     * @type {Array<number>}
     * @memberof FiberItem
     */
    'Width': Array<number>;
    /**
     * Fibers length value for located areas (in pixels)
     * @type {Array<number>}
     * @memberof FiberItem
     */
    'Length': Array<number>;
    /**
     * Fibers value for areas (in pixels)
     * @type {Array<number>}
     * @memberof FiberItem
     */
    'Area': Array<number>;
    /**
     * Fibers color value
     * @type {Array<number>}
     * @memberof FiberItem
     */
    'ColorValues': Array<number>;
}
/**
 * @type FiberResult
 * @export
 */
export type FiberResult = AuthenticityCheckResultItem & FiberItem;
/**
 * Regula Document Reader Web API
 * Documents recognition as easy as reading two bytes.   # Clients: * [JavaScript](https://github.com/regulaforensics/DocumentReader-web-js-client) client for the browser and node.js based on axios * [Java](https://github.com/regulaforensics/DocumentReader-web-java-client) client compatible with jvm and android * [Python](https://github.com/regulaforensics/DocumentReader-web-python-client) 3.5+ client * [C#](https://github.com/regulaforensics/DocumentReader-web-csharp-client) client for .NET & .NET Core
 *
 * The version of the OpenAPI document: 8.1.0
 *
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */
/**
 *
 * @export
 * @interface ImageData
 */
export interface ImageData {
    /**
     * Base64 encoded image
     * @type {string}
     * @memberof ImageData
     */
    'image'?: string;
    /**
     * Image format
     * @type {string}
     * @memberof ImageData
     */
    'format'?: string;
}
/**
 * Regula Document Reader Web API
 * Documents recognition as easy as reading two bytes.   # Clients: * [JavaScript](https://github.com/regulaforensics/DocumentReader-web-js-client) client for the browser and node.js based on axios * [Java](https://github.com/regulaforensics/DocumentReader-web-java-client) client compatible with jvm and android * [Python](https://github.com/regulaforensics/DocumentReader-web-python-client) 3.5+ client * [C#](https://github.com/regulaforensics/DocumentReader-web-csharp-client) client for .NET & .NET Core
 *
 * The version of the OpenAPI document: 8.1.0
 *
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */
/**
 * Enumeration contains identifiers determining type of features for a document authenticity checks: https://docs.regulaforensics.com/develop/doc-reader-sdk/web-service/development/enums/security-feature-type/
 * @export
 * @enum {number}
 */
export enum SecurityFeatureType {
    /**
    * Blank element
    */
    BLANK = 0,
    /**
    * Personalization element
    */
    FILL = 1,
    /**
    * Photo
    */
    PHOTO = 2,
    /**
    * MRZ
    */
    MRZ = 3,
    /**
    * False luminescence
    */
    FALSE_LUMINESCENCE = 4,
    /**
    * Hologram (static)
    */
    HOLO_SIMPLE = 5,
    /**
    * Hologram (static verify)
    */
    HOLO_VERIFY_STATIC = 6,
    /**
    * Hologram (static verify multiple)
    */
    HOLO_VERIFY_MULTI_STATIC = 7,
    /**
    * Hologram (dynamic verify)
    */
    HOLO_VERIFY_DYNAMIC = 8,
    /**
    * Pattern (non-interrupted)
    */
    PATTERN_NOT_INTERRUPTED = 9,
    /**
    * Pattern (non-shifted)
    */
    PATTERN_NOT_SHIFTED = 10,
    /**
    * Pattern (same colors)
    */
    PATTERN_SAME_COLORS = 11,
    /**
    * Pattern (IR invisible)
    */
    PATTERN_IR_INVISIBLE = 12,
    /**
    * Photo size
    */
    PHOTO_SIZE_CHECK = 13,
    /**
    * Main vs ghost portrait comparison
    */
    PORTRAIT_COMPARISON_VS_GHOST = 14,
    /**
    * Main vs RFID portrait comparison
    */
    PORTRAIT_COMPARISON_VS_RFID = 15,
    /**
    * Main vs other page portrait comparison
    */
    PORTRAIT_COMPARISON_VS_VISUAL = 16,
    /**
    * Barcode
    */
    BARCODE = 17,
    /**
    * Pattern (different line thickness)
    */
    PATTERN_DIFFERENT_LINES_THICKNESS = 18,
    /**
    * Main vs live camera portrait comparison
    */
    PORTRAIT_COMPARISON_VS_CAMERA = 19,
    /**
    * RFID vs live camera portrait comparison
    */
    PORTRAIT_COMPARISON_RFID_VS_CAMERA = 20,
    /**
    * Ghost photo
    */
    GHOST_PHOTO = 21,
    /**
    * Clear ghost photo
    */
    CLEAR_GHOST_PHOTO = 22,
    /**
    * Invisible object
    */
    INVISIBLE_OBJECT = 23,
    /**
    * Low contrast object
    */
    LOW_CONTRAST_OBJECT = 24,
    /**
    * Photo color check
    */
    PHOTO_COLOR = 25,
    /**
    * Photo squareness
    */
    PHOTO_SHAPE = 26,
    /**
    * Photo corners shape
    */
    PHOTO_CORNERS = 27,
    /**
    * OCR
    */
    OCR = 28,
    /**
    * External vs main portrait comparison
    */
    PORTRAIT_COMPARISON_EXT_VS_VISUAL = 29,
    /**
    * External vs RFID portrait comparison
    */
    PORTRAIT_COMPARISON_EXT_VS_RFID = 30,
    /**
    * External vs live camera portrait comparison
    */
    PORTRAIT_COMPARISON_EXT_VS_CAMERA = 31,
    /**
    * Portrait Depth
    */
    LIVENESS_DEPTH = 32,
    /**
    * Micro text
    */
    MICRO_TEXT = 33,
    /**
    * Fluorescent Object
    */
    FLUORESCENT_OBJECT = 34,
    /**
    * Facial landmarks check
    */
    LANDMARK_CHECK = 35,
    /**
    * Facial image presence
    */
    FACE_PRESENCE = 36,
    /**
    * Facial image absence
    */
    FACE_ABSENCE = 38,
    /**
    * Liveness screen capture. Deprecated. LIVENESS_ELECTRONIC_DEVICE is used instead.
    */
    LIVENESS_SCREEN_CAPTURE = 39,
    /**
    * Liveness electronic device
    */
    LIVENESS_ELECTRONIC_DEVICE = 40,
    /**
    * Liveness OVI
    */
    LIVENESS_OVI = 41,
    /**
    * Barcode size check
    */
    BARCODE_SIZE_CHECK = 42,
    /**
    * LASINK
    */
    LASINK = 43,
    /**
    * Liveness MLI
    */
    LIVENESS_MLI = 44,
    /**
    * Liveness barcode background
    */
    LIVENESS_BARCODE_BACKGROUND = 45,
    /**
    * Visual zone portrait image vs. image from barcode
    */
    PORTRAIT_COMPARISON_VS_BARCODE = 46,
    /**
    * Image from barcode vs. image from RFID
    */
    PORTRAIT_COMPARISON_RFID_VS_BARCODE = 47,
    /**
    * Image from barcode vs. external source image
    */
    PORTRAIT_COMPARISON_EXT_VS_BARCODE = 48,
    /**
    * Image from barcode vs. photo from camera
    */
    PORTRAIT_COMPARISON_BARCODE_VS_CAMERA = 49,
    /**
    * Digital signature check
    */
    CHECK_DIGITAL_SIGNATURE = 50,
    /**
    * Contact chip check
    */
    CONTACT_CHIP_CLASSIFICATION = 51,
    /**
    * Head position check
    */
    HEAD_POSITION_CHECK = 52,
    /**
    * Black and white copy check
    */
    LIVENESS_BLACK_AND_WHITE_COPY_CHECK = 53,
    /**
    * Liveness dynaprint
    */
    LIVENESS_DYNAPRINT = 54,
    /**
    * Liveness geometry check
    */
    LIVENESS_GEOMETRY_CHECK = 55
}
/**
 *
 * @export
 * @interface IdentItem
 */
export interface IdentItem {
    /**
     *
     * @type {SecurityFeatureType}
     * @memberof IdentItem
     */
    'ElementType': SecurityFeatureType;
    /**
     *
     * @type {Light}
     * @memberof IdentItem
     */
    'LightIndex': Light;
    /**
     *
     * @type {RectangleCoordinates}
     * @memberof IdentItem
     */
    'Area'?: RectangleCoordinates;
    /**
     *
     * @type {ImageData}
     * @memberof IdentItem
     */
    'Image': ImageData;
    /**
     *
     * @type {ImageData}
     * @memberof IdentItem
     */
    'EtalonImage': ImageData;
    /**
     *
     * @type {AreaContainer}
     * @memberof IdentItem
     */
    'AreaList'?: AreaContainer;
    /**
     *
     * @type {number}
     * @memberof IdentItem
     */
    'ElementID'?: number;
}
/**
 * @type IdentResult
 * @export
 */
export type IdentResult = AuthenticityCheckResultItem & IdentItem;
/**
 * Regula Document Reader Web API
 * Documents recognition as easy as reading two bytes.   # Clients: * [JavaScript](https://github.com/regulaforensics/DocumentReader-web-js-client) client for the browser and node.js based on axios * [Java](https://github.com/regulaforensics/DocumentReader-web-java-client) client compatible with jvm and android * [Python](https://github.com/regulaforensics/DocumentReader-web-python-client) 3.5+ client * [C#](https://github.com/regulaforensics/DocumentReader-web-csharp-client) client for .NET & .NET Core
 *
 * The version of the OpenAPI document: 8.1.0
 *
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */
/**
 *
 * @export
 * @enum {number}
 */
export enum TextFieldType {
    /**
    * Document class code
    */
    DOCUMENT_CLASS_CODE = 0,
    /**
    * Issuing state code
    */
    ISSUING_STATE_CODE = 1,
    /**
    * Document number
    */
    DOCUMENT_NUMBER = 2,
    /**
    * Date of expiry
    */
    DATE_OF_EXPIRY = 3,
    /**
    * Date of issue
    */
    DATE_OF_ISSUE = 4,
    /**
    * Date of birth
    */
    DATE_OF_BIRTH = 5,
    /**
    * Place of birth
    */
    PLACE_OF_BIRTH = 6,
    /**
    * Personal number
    */
    PERSONAL_NUMBER = 7,
    /**
    * Surname
    */
    SURNAME = 8,
    /**
    * Given name(s)
    */
    GIVEN_NAMES = 9,
    /**
    * Mother&#39;s name
    */
    MOTHERS_NAME = 10,
    /**
    * Nationality
    */
    NATIONALITY = 11,
    /**
    * Sex
    */
    SEX = 12,
    /**
    * Height
    */
    HEIGHT = 13,
    /**
    * Weight
    */
    WEIGHT = 14,
    /**
    * Eyes color
    */
    EYES_COLOR = 15,
    /**
    * Hair color
    */
    HAIR_COLOR = 16,
    /**
    * Address
    */
    ADDRESS = 17,
    /**
    * Donor
    */
    DONOR = 18,
    /**
    * Social security number
    */
    SOCIAL_SECURITY_NUMBER = 19,
    /**
    * DL class
    */
    DL_CLASS = 20,
    /**
    * DL endorsement code
    */
    DL_ENDORSED = 21,
    /**
    * DL restriction code
    */
    DL_RESTRICTION_CODE = 22,
    /**
    * Date of 21st birthday
    */
    DL_UNDER_21_DATE = 23,
    /**
    * Issuing authority
    */
    AUTHORITY = 24,
    /**
    * Surname and given names
    */
    SURNAME_AND_GIVEN_NAMES = 25,
    /**
    * Nationality code
    */
    NATIONALITY_CODE = 26,
    /**
    * Passport number
    */
    PASSPORT_NUMBER = 27,
    /**
    * Invitation number
    */
    INVITATION_NUMBER = 28,
    /**
    * Visa ID
    */
    VISA_ID = 29,
    /**
    * Visa class
    */
    VISA_CLASS = 30,
    /**
    * Visa subclass
    */
    VISA_SUBCLASS = 31,
    /**
    * MRZ type
    */
    MRZ_TYPE = 35,
    /**
    * Optional data
    */
    OPTIONAL_DATA = 36,
    /**
    * Document class name
    */
    DOCUMENT_CLASS_NAME = 37,
    /**
    * Issuing state name
    */
    ISSUING_STATE_NAME = 38,
    /**
    * Place of issue
    */
    PLACE_OF_ISSUE = 39,
    /**
    * Document number checksum
    */
    DOCUMENT_NUMBER_CHECKSUM = 40,
    /**
    * Date of birth checksum
    */
    DATE_OF_BIRTH_CHECKSUM = 41,
    /**
    * Date of expiry checksum
    */
    DATE_OF_EXPIRY_CHECKSUM = 42,
    /**
    * Personal number checksum
    */
    PERSONAL_NUMBER_CHECKSUM = 43,
    /**
    * Final checksum
    */
    FINAL_CHECKSUM = 44,
    /**
    * Passport number checksum
    */
    PASSPORT_NUMBER_CHECKSUM = 45,
    /**
    * Invitation number checksum
    */
    INVITATION_NUMBER_CHECKSUM = 46,
    /**
    * Visa ID checksum
    */
    VISA_ID_CHECKSUM = 47,
    /**
    * Surname and given names checksum
    */
    SURNAME_AND_GIVEN_NAMES_CHECKSUM = 48,
    /**
    * Visa valid until checksum
    */
    VISA_VALID_UNTIL_CHECKSUM = 49,
    /**
    * Other
    */
    OTHER = 50,
    /**
    * MRZ strings
    */
    MRZ_STRINGS = 51,
    /**
    * Name suffix
    */
    NAME_SUFFIX = 52,
    /**
    * Name prefix
    */
    NAME_PREFIX = 53,
    /**
    * Date of issue checksum
    */
    DATE_OF_ISSUE_CHECKSUM = 54,
    /**
    * Date of issue check digit
    */
    DATE_OF_ISSUE_CHECK_DIGIT = 55,
    /**
    * Document series
    */
    DOCUMENT_SERIES = 56,
    /**
    * Registration number
    */
    REG_CERT_REG_NUMBER = 57,
    /**
    * Vehicle model
    */
    REG_CERT_CAR_MODEL = 58,
    /**
    * Vehicle color
    */
    REG_CERT_CAR_COLOR = 59,
    /**
    * Vehicle body number
    */
    REG_CERT_BODY_NUMBER = 60,
    /**
    * Vehicle type
    */
    REG_CERT_CAR_TYPE = 61,
    /**
    * Max permissible weight
    */
    REG_CERT_MAX_WEIGHT = 62,
    /**
    * Unladen mass
    */
    REG_CERT_WEIGHT = 63,
    /**
    * Address: area
    */
    ADDRESS_AREA = 64,
    /**
    * Address: state
    */
    ADDRESS_STATE = 65,
    /**
    * Address: building
    */
    ADDRESS_BUILDING = 66,
    /**
    * Address: house
    */
    ADDRESS_HOUSE = 67,
    /**
    * Address: flat
    */
    ADDRESS_FLAT = 68,
    /**
    * Place of registration
    */
    PLACE_OF_REGISTRATION = 69,
    /**
    * Date of registration
    */
    DATE_OF_REGISTRATION = 70,
    /**
    * Resident from
    */
    RESIDENT_FROM = 71,
    /**
    * Resident until
    */
    RESIDENT_UNTIL = 72,
    /**
    * Issuing authority code
    */
    AUTHORITY_CODE = 73,
    /**
    * Place of birth: area
    */
    PLACE_OF_BIRTH_AREA = 74,
    /**
    * Place of birth: state code
    */
    PLACE_OF_BIRTH_STATE_CODE = 75,
    /**
    * Address: street
    */
    ADDRESS_STREET = 76,
    /**
    * Address: city
    */
    ADDRESS_CITY = 77,
    /**
    * Address: jurisdiction code
    */
    ADDRESS_JURISDICTION_CODE = 78,
    /**
    * Address: postal code
    */
    ADDRESS_POSTAL_CODE = 79,
    /**
    * Document number check digit
    */
    DOCUMENT_NUMBER_CHECK_DIGIT = 80,
    /**
    * Date of birth check digit
    */
    DATE_OF_BIRTH_CHECK_DIGIT = 81,
    /**
    * Date of expiry check digit
    */
    DATE_OF_EXPIRY_CHECK_DIGIT = 82,
    /**
    * Personal number check digit
    */
    PERSONAL_NUMBER_CHECK_DIGIT = 83,
    /**
    * Final check digit
    */
    FINAL_CHECK_DIGIT = 84,
    /**
    * Passport number check digit
    */
    PASSPORT_NUMBER_CHECK_DIGIT = 85,
    /**
    * Invitation number check digit
    */
    INVITATION_NUMBER_CHECK_DIGIT = 86,
    /**
    * Visa ID check digit
    */
    VISA_ID_CHECK_DIGIT = 87,
    /**
    * Surname and given names check digit
    */
    SURNAME_AND_GIVEN_NAMES_CHECK_DIGIT = 88,
    /**
    * Visa valid until check digit
    */
    VISA_VALID_UNTIL_CHECK_DIGIT = 89,
    /**
    * Permit class
    */
    PERMIT_DL_CLASS = 90,
    /**
    * Permit expiry date
    */
    PERMIT_DATE_OF_EXPIRY = 91,
    /**
    * Permit identifier
    */
    PERMIT_IDENTIFIER = 92,
    /**
    * Permit issue date
    */
    PERMIT_DATE_OF_ISSUE = 93,
    /**
    * Permit restriction code
    */
    PERMIT_RESTRICTION_CODE = 94,
    /**
    * Permit endorsement code
    */
    PERMIT_ENDORSED = 95,
    /**
    * Issue timestamp
    */
    ISSUE_TIMESTAMP = 96,
    /**
    * Number of duplicates
    */
    NUMBER_OF_DUPLICATES = 97,
    /**
    * Medical indicator codes
    */
    MEDICAL_INDICATOR_CODES = 98,
    /**
    * Non-resident indicator
    */
    NON_RESIDENT_INDICATOR = 99,
    /**
    * Visa type
    */
    VISA_TYPE = 100,
    /**
    * Visa valid from
    */
    VISA_VALID_FROM = 101,
    /**
    * Visa valid until
    */
    VISA_VALID_UNTIL = 102,
    /**
    * Duration of stay
    */
    DURATION_OF_STAY = 103,
    /**
    * Number of entries
    */
    NUMBER_OF_ENTRIES = 104,
    /**
    * Day
    */
    DAY = 105,
    /**
    * Month
    */
    MONTH = 106,
    /**
    * Year
    */
    YEAR = 107,
    /**
    * Unique customer identifier
    */
    UNIQUE_CUSTOMER_IDENTIFIER = 108,
    /**
    * Commercial vehicle code
    */
    COMMERCIAL_VEHICLE_CODES = 109,
    /**
    * AKA: date of birth
    */
    AKA_DATE_OF_BIRTH = 110,
    /**
    * AKA: social insurance number
    */
    AKA_SOCIAL_SECURITY_NUMBER = 111,
    /**
    * AKA: surname
    */
    AKA_SURNAME = 112,
    /**
    * AKA: given name(s)
    */
    AKA_GIVEN_NAMES = 113,
    /**
    * AKA: name suffix
    */
    AKA_NAME_SUFFIX = 114,
    /**
    * AKA: name prefix
    */
    AKA_NAME_PREFIX = 115,
    /**
    * Mailing address: street
    */
    MAILING_ADDRESS_STREET = 116,
    /**
    * Mailing address: city
    */
    MAILING_ADDRESS_CITY = 117,
    /**
    * Mailing address: jurisdiction code
    */
    MAILING_ADDRESS_JURISDICTION_CODE = 118,
    /**
    * Mailing address: postal code
    */
    MAILING_ADDRESS_POSTAL_CODE = 119,
    /**
    * Number for validation
    */
    AUDIT_INFORMATION = 120,
    /**
    * Inventory number
    */
    INVENTORY_NUMBER = 121,
    /**
    * Race ethnicity
    */
    RACE_ETHNICITY = 122,
    /**
    * Jurisdiction vehicle class
    */
    JURISDICTION_VEHICLE_CLASS = 123,
    /**
    * Jurisdiction endorsement code
    */
    JURISDICTION_ENDORSEMENT_CODE = 124,
    /**
    * Jurisdiction restriction code
    */
    JURISDICTION_RESTRICTION_CODE = 125,
    /**
    * Family name
    */
    FAMILY_NAME = 126,
    /**
    * Given name(s) (national)
    */
    GIVEN_NAMES_RUS = 127,
    /**
    * Visa ID (national)
    */
    VISA_ID_RUS = 128,
    /**
    * Father&#39;s name
    */
    FATHERS_NAME = 129,
    /**
    * Father&#39;s name (national)
    */
    FATHERS_NAME_RUS = 130,
    /**
    * Surname and given names (national)
    */
    SURNAME_AND_GIVEN_NAMES_RUS = 131,
    /**
    * Place of birth (national)
    */
    PLACE_OF_BIRTH_RUS = 132,
    /**
    * Issuing authority (national)
    */
    AUTHORITY_RUS = 133,
    /**
    * Issuing state code (numeric)
    */
    ISSUING_STATE_CODE_NUMERIC = 134,
    /**
    * Nationality code (numeric)
    */
    NATIONALITY_CODE_NUMERIC = 135,
    /**
    * Engine power
    */
    ENGINE_POWER = 136,
    /**
    * Engine volume
    */
    ENGINE_VOLUME = 137,
    /**
    * Chassis number
    */
    CHASSIS_NUMBER = 138,
    /**
    * Engine number
    */
    ENGINE_NUMBER = 139,
    /**
    * Engine model
    */
    ENGINE_MODEL = 140,
    /**
    * Vehicle category
    */
    VEHICLE_CATEGORY = 141,
    /**
    * Identity card number
    */
    IDENTITY_CARD_NUMBER = 142,
    /**
    * Control number
    */
    CONTROL_NUMBER = 143,
    /**
    * Parents&#39; given names
    */
    PARENTS_GIVEN_NAMES = 144,
    /**
    * Second surname
    */
    SECOND_SURNAME = 145,
    /**
    * Middle name
    */
    MIDDLE_NAME = 146,
    /**
    * Vehicle identification number
    */
    REG_CERT_VIN = 147,
    /**
    * VIN check digit
    */
    REG_CERT_VIN_CHECK_DIGIT = 148,
    /**
    * VIN checksum
    */
    REG_CERT_VIN_CHECKSUM = 149,
    /**
    * Line 1 check digit
    */
    LINE_1_CHECK_DIGIT = 150,
    /**
    * Line 2 check digit
    */
    LINE_2_CHECK_DIGIT = 151,
    /**
    * Line 3 check digit
    */
    LINE_3_CHECK_DIGIT = 152,
    /**
    * Line 1 checksum
    */
    LINE_1_CHECKSUM = 153,
    /**
    * Line 2 checksum
    */
    LINE_2_CHECKSUM = 154,
    /**
    * Line 3 checksum
    */
    LINE_3_CHECKSUM = 155,
    /**
    * Registration number check digit
    */
    REG_CERT_REG_NUMBER_CHECK_DIGIT = 156,
    /**
    * Registration number checksum
    */
    REG_CERT_REG_NUMBER_CHECKSUM = 157,
    /**
    * Vehicle ITS code
    */
    REG_CERT_VEHICLE_ITS_CODE = 158,
    /**
    * Card access number
    */
    CARD_ACCESS_NUMBER = 159,
    /**
    * Marital status
    */
    MARITAL_STATUS = 160,
    /**
    * Company name
    */
    COMPANY_NAME = 161,
    /**
    * Special notes
    */
    SPECIAL_NOTES = 162,
    /**
    * Spouse&#39;s surname
    */
    SURNAME_OF_SPOUSE = 163,
    /**
    * Tracking number
    */
    TRACKING_NUMBER = 164,
    /**
    * Booklet number
    */
    BOOKLET_NUMBER = 165,
    /**
    * Children
    */
    CHILDREN = 166,
    /**
    * Copy
    */
    COPY = 167,
    /**
    * Serial number
    */
    SERIAL_NUMBER = 168,
    /**
    * Dossier number
    */
    DOSSIER_NUMBER = 169,
    /**
    * AKA: surname and given names
    */
    AKA_SURNAME_AND_GIVEN_NAMES = 170,
    /**
    * Territorial validity
    */
    TERRITORIAL_VALIDITY = 171,
    /**
    * MRZ strings with correct checksums
    */
    MRZ_STRINGS_WITH_CORRECT_CHECK_SUMS = 172,
    /**
    * CDL restriction code
    */
    DL_CDL_RESTRICTION_CODE = 173,
    /**
    * Date of 18th birthday
    */
    DL_UNDER_18_DATE = 174,
    /**
    * DL record created
    */
    DL_RECORD_CREATED = 175,
    /**
    * DL date of duplicate issue
    */
    DL_DUPLICATE_DATE = 176,
    /**
    * Card type
    */
    DL_ISSUE_TYPE = 177,
    /**
    * Military ID number
    */
    MILITARY_BOOK_NUMBER = 178,
    /**
    * Destination
    */
    DESTINATION = 179,
    /**
    * Blood group
    */
    BLOOD_GROUP = 180,
    /**
    * Sequence number
    */
    SEQUENCE_NUMBER = 181,
    /**
    * Body type
    */
    REG_CERT_BODY_TYPE = 182,
    /**
    * Vehicle make
    */
    REG_CERT_CAR_MARK = 183,
    /**
    * Transaction number
    */
    TRANSACTION_NUMBER = 184,
    /**
    * Age
    */
    AGE = 185,
    /**
    * Folio number
    */
    FOLIO_NUMBER = 186,
    /**
    * Voter key
    */
    VOTER_KEY = 187,
    /**
    * Address: municipality
    */
    ADDRESS_MUNICIPALITY = 188,
    /**
    * Address: location
    */
    ADDRESS_LOCATION = 189,
    /**
    * Section
    */
    SECTION = 190,
    /**
    * OCR number
    */
    OCR_NUMBER = 191,
    /**
    * Federal elections
    */
    FEDERAL_ELECTIONS = 192,
    /**
    * Reference number
    */
    REFERENCE_NUMBER = 193,
    /**
    * Optional data checksum
    */
    OPTIONAL_DATA_CHECKSUM = 194,
    /**
    * Optional data check digit
    */
    OPTIONAL_DATA_CHECK_DIGIT = 195,
    /**
    * Visa number
    */
    VISA_NUMBER = 196,
    /**
    * Visa number checksum
    */
    VISA_NUMBER_CHECKSUM = 197,
    /**
    * Visa number check digit
    */
    VISA_NUMBER_CHECK_DIGIT = 198,
    /**
    * Voter
    */
    VOTER = 199,
    /**
    * Type of the previous document
    */
    PREVIOUS_TYPE = 200,
    /**
    * Field from MRZ
    */
    FIELD_FROM_MRZ = 220,
    /**
    * Current date
    */
    CURRENT_DATE = 221,
    /**
    * Status date of expiry
    */
    STATUS_DATE_OF_EXPIRY = 251,
    /**
    * Banknote number
    */
    BANKNOTE_NUMBER = 252,
    /**
    * CSC code
    */
    CSC_CODE = 253,
    /**
    * Pseudonym
    */
    ARTISTIC_NAME = 254,
    /**
    * Academic title
    */
    ACADEMIC_TITLE = 255,
    /**
    * Address country
    */
    ADDRESS_COUNTRY = 256,
    /**
    * Address ZIP code
    */
    ADDRESS_ZIP_CODE = 257,
    /**
    * eID residence permit 1
    */
    E_ID_RESIDENCE_PERMIT_1 = 258,
    /**
    * eID residence permit 2
    */
    E_ID_RESIDENCE_PERMIT_2 = 259,
    /**
    * eID place of birth: street
    */
    E_ID_PLACE_OF_BIRTH_STREET = 260,
    /**
    * eID place of birth: city
    */
    E_ID_PLACE_OF_BIRTH_CITY = 261,
    /**
    * eID place of birth: state
    */
    E_ID_PLACE_OF_BIRTH_STATE = 262,
    /**
    * eID place of birth: country
    */
    E_ID_PLACE_OF_BIRTH_COUNTRY = 263,
    /**
    * eID place of birth: postal code
    */
    E_ID_PLACE_OF_BIRTH_ZIP_CODE = 264,
    /**
    * CDL class
    */
    CDL_CLASS = 265,
    /**
    * Date of 19th birthday
    */
    DL_UNDER_19_DATE = 266,
    /**
    * Weight (pound)
    */
    WEIGHT_POUNDS = 267,
    /**
    * Indicator of document limited duration
    */
    LIMITED_DURATION_DOCUMENT_INDICATOR = 268,
    /**
    * Endorsement expiration date
    */
    ENDORSEMENT_EXPIRATION_DATE = 269,
    /**
    * Revision date
    */
    REVISION_DATE = 270,
    /**
    * Compliance type
    */
    COMPLIANCE_TYPE = 271,
    /**
    * Family name truncation
    */
    FAMILY_NAME_TRUNCATION = 272,
    /**
    * First name truncation
    */
    FIRST_NAME_TRUNCATION = 273,
    /**
    * Middle name truncation
    */
    MIDDLE_NAME_TRUNCATION = 274,
    /**
    * Exam date
    */
    EXAM_DATE = 275,
    /**
    * Organization
    */
    ORGANIZATION = 276,
    /**
    * Department
    */
    DEPARTMENT = 277,
    /**
    * Pay grade
    */
    PAY_GRADE = 278,
    /**
    * Rank
    */
    RANK = 279,
    /**
    * Benefits number
    */
    BENEFITS_NUMBER = 280,
    /**
    * Sponsor service
    */
    SPONSOR_SERVICE = 281,
    /**
    * Sponsor status
    */
    SPONSOR_STATUS = 282,
    /**
    * Sponsor
    */
    SPONSOR = 283,
    /**
    * Relationship
    */
    RELATIONSHIP = 284,
    /**
    * USCIS
    */
    USCIS = 285,
    /**
    * Category
    */
    CATEGORY = 286,
    /**
    * Conditions
    */
    CONDITIONS = 287,
    /**
    * Identifier
    */
    IDENTIFIER = 288,
    /**
    * Configuration
    */
    CONFIGURATION = 289,
    /**
    * Discretionary data
    */
    DISCRETIONARY_DATA = 290,
    /**
    * Line 1 optional data
    */
    LINE_1_OPTIONAL_DATA = 291,
    /**
    * Line 2 optional data
    */
    LINE_2_OPTIONAL_DATA = 292,
    /**
    * Line 3 optional data
    */
    LINE_3_OPTIONAL_DATA = 293,
    /**
    * EQV code
    */
    EQV_CODE = 294,
    /**
    * ALT code
    */
    ALT_CODE = 295,
    /**
    * Binary code
    */
    BINARY_CODE = 296,
    /**
    * Pseudo code
    */
    PSEUDO_CODE = 297,
    /**
    * Fee
    */
    FEE = 298,
    /**
    * Stamp number
    */
    STAMP_NUMBER = 299,
    /**
    * SBH security options
    */
    SBH_SECURITY_OPTIONS = 300,
    /**
    * SBH integrity options
    */
    SBH_INTEGRITY_OPTIONS = 301,
    /**
    * Date of creation
    */
    DATE_OF_CREATION = 302,
    /**
    * Validity period
    */
    VALIDITY_PERIOD = 303,
    /**
    * Patron header version
    */
    PATRON_HEADER_VERSION = 304,
    /**
    * BDB type
    */
    BDB_TYPE = 305,
    /**
    * Biometric type
    */
    BIOMETRIC_TYPE = 306,
    /**
    * Biometric subtype
    */
    BIOMETRIC_SUBTYPE = 307,
    /**
    * Biometric product ID
    */
    BIOMETRIC_PRODUCT_ID = 308,
    /**
    * Biometric format owner
    */
    BIOMETRIC_FORMAT_OWNER = 309,
    /**
    * Biometric format type
    */
    BIOMETRIC_FORMAT_TYPE = 310,
    /**
    * Phone
    */
    PHONE = 311,
    /**
    * Profession
    */
    PROFESSION = 312,
    /**
    * Position
    */
    TITLE = 313,
    /**
    * Personal data summary
    */
    PERSONAL_SUMMARY = 314,
    /**
    * Other valid ID
    */
    OTHER_VALID_ID = 315,
    /**
    * Custody info
    */
    CUSTODY_INFO = 316,
    /**
    * Other name
    */
    OTHER_NAME = 317,
    /**
    * Observations
    */
    OBSERVATIONS = 318,
    /**
    * Tax
    */
    TAX = 319,
    /**
    * Personalization date
    */
    DATE_OF_PERSONALIZATION = 320,
    /**
    * Personalization SN
    */
    PERSONALIZATION_SN = 321,
    /**
    * Other person name
    */
    OTHER_PERSON_NAME = 322,
    /**
    * Notify person: date of record
    */
    PERSON_TO_NOTIFY_DATE_OF_RECORD = 323,
    /**
    * Notify person: name
    */
    PERSON_TO_NOTIFY_NAME = 324,
    /**
    * Notify person: phone
    */
    PERSON_TO_NOTIFY_PHONE = 325,
    /**
    * Notify person: address
    */
    PERSON_TO_NOTIFY_ADDRESS = 326,
    /**
    * DS certificate issuer
    */
    DS_CERTIFICATE_ISSUER = 327,
    /**
    * DS certificate subject
    */
    DS_CERTIFICATE_SUBJECT = 328,
    /**
    * DS certificate valid from
    */
    DS_CERTIFICATE_VALID_FROM = 329,
    /**
    * DS certificate valid to
    */
    DS_CERTIFICATE_VALID_TO = 330,
    /**
    * Vehicle data from the DG1 data group
    */
    VRC_DATA_OBJECT_ENTRY = 331,
    /**
    * Type of approval number
    */
    TYPE_APPROVAL_NUMBER = 332,
    /**
    * Administrative number
    */
    ADMINISTRATIVE_NUMBER = 333,
    /**
    * Document discriminator
    */
    DOCUMENT_DISCRIMINATOR = 334,
    /**
    * Data discriminator
    */
    DATA_DISCRIMINATOR = 335,
    /**
    * ID number of ISO issuer
    */
    ISO_ISSUER_ID_NUMBER = 336,
    /**
    * DTC version
    */
    DTC_VERSION = 337,
    /**
    * DTC ID
    */
    DTC_ID = 338,
    /**
    * DTC date of expiry
    */
    DTC_DATE_OF_EXPIRY = 339,
    /**
    * GNIB number
    */
    GNIB_NUMBER = 340,
    /**
    * Department number
    */
    DEPT_NUMBER = 341,
    /**
    * Telegraph code
    */
    TELEX_CODE = 342,
    /**
    * Allergies
    */
    ALLERGIES = 343,
    /**
    * Special code
    */
    SP_CODE = 344,
    /**
    * Court code
    */
    COURT_CODE = 345,
    /**
    * County
    */
    CTY = 346,
    /**
    * Sponsor SSN
    */
    SPONSOR_SSN = 347,
    /**
    * DoD number
    */
    DOD_NUMBER = 348,
    /**
    * Expiry date of Motorcycle Novice status
    */
    MC_NOVICE_DATE = 349,
    /**
    * DUF number
    */
    DUF_NUMBER = 350,
    /**
    * AGY
    */
    AGY = 351,
    /**
    * PNR code
    */
    PNR_CODE = 352,
    /**
    * Code of the airport of departure
    */
    FROM_AIRPORT_CODE = 353,
    /**
    * Code of the airport of arrival
    */
    TO_AIRPORT_CODE = 354,
    /**
    * Flight number
    */
    FLIGHT_NUMBER = 355,
    /**
    * Date of flight
    */
    DATE_OF_FLIGHT = 356,
    /**
    * Seat number
    */
    SEAT_NUMBER = 357,
    /**
    * Date of boarding pass issue
    */
    DATE_OF_ISSUE_BOARDING_PASS = 358,
    /**
    * CCW until
    */
    CCW_UNTIL = 359,
    /**
    * Reference number checksum
    */
    REFERENCE_NUMBER_CHECKSUM = 360,
    /**
    * Reference number check digit
    */
    REFERENCE_NUMBER_CHECK_DIGIT = 361,
    /**
    * Room number
    */
    ROOM_NUMBER = 362,
    /**
    * Religion
    */
    RELIGION = 363,
    /**
    * Months to expire
    */
    REMAINDER_TERM = 364,
    /**
    * Electronic ticket indicator
    */
    ELECTRONIC_TICKET_INDICATOR = 365,
    /**
    * Compartment code
    */
    COMPARTMENT_CODE = 366,
    /**
    * Check-in sequence number
    */
    CHECK_IN_SEQUENCE_NUMBER = 367,
    /**
    * Airline designator of boarding pass issuer
    */
    AIRLINE_DESIGNATOR_OF_BOARDING_PASS_ISSUER = 368,
    /**
    * Airline numeric code
    */
    AIRLINE_NUMERIC_CODE = 369,
    /**
    * Ticket number
    */
    TICKET_NUMBER = 370,
    /**
    * Frequent flyer airline designator
    */
    FREQUENT_FLYER_AIRLINE_DESIGNATOR = 371,
    /**
    * Frequent flyer number
    */
    FREQUENT_FLYER_NUMBER = 372,
    /**
    * Free baggage allowance
    */
    FREE_BAGGAGE_ALLOWANCE = 373,
    /**
    * PDF417 codec
    */
    PDF417_CODEC = 374,
    /**
    * Identity card number checksum
    */
    IDENTITY_CARD_NUMBER_CHECKSUM = 375,
    /**
    * Identity card number check digit
    */
    IDENTITY_CARD_NUMBER_CHECK_DIGIT = 376,
    /**
    * Veteran
    */
    VETERAN = 377,
    /**
    * DL category A1 valid from
    */
    DL_CLASS_CODE_A1_FROM = 378,
    /**
    * DL category A1 valid to
    */
    DL_CLASS_CODE_A1_TO = 379,
    /**
    * DL category A1 codes
    */
    DL_CLASS_CODE_A1_NOTES = 380,
    /**
    * DL category A valid from
    */
    DL_CLASS_CODE_A_FROM = 381,
    /**
    * DL category A valid to
    */
    DL_CLASS_CODE_A_TO = 382,
    /**
    * DL category A codes
    */
    DL_CLASS_CODE_A_NOTES = 383,
    /**
    * DL category B valid from
    */
    DL_CLASS_CODE_B_FROM = 384,
    /**
    * DL category B valid to
    */
    DL_CLASS_CODE_B_TO = 385,
    /**
    * DL category B codes
    */
    DL_CLASS_CODE_B_NOTES = 386,
    /**
    * DL category C1 valid from
    */
    DL_CLASS_CODE_C1_FROM = 387,
    /**
    * DL category C1 valid to
    */
    DL_CLASS_CODE_C1_TO = 388,
    /**
    * DL category C1 codes
    */
    DL_CLASS_CODE_C1_NOTES = 389,
    /**
    * DL category C valid from
    */
    DL_CLASS_CODE_C_FROM = 390,
    /**
    * DL category C valid to
    */
    DL_CLASS_CODE_C_TO = 391,
    /**
    * DL category C codes
    */
    DL_CLASS_CODE_C_NOTES = 392,
    /**
    * DL category D1 valid from
    */
    DL_CLASS_CODE_D1_FROM = 393,
    /**
    * DL category D1 valid to
    */
    DL_CLASS_CODE_D1_TO = 394,
    /**
    * DL category D1 codes
    */
    DL_CLASS_CODE_D1_NOTES = 395,
    /**
    * DL category D valid from
    */
    DL_CLASS_CODE_D_FROM = 396,
    /**
    * DL category D valid to
    */
    DL_CLASS_CODE_D_TO = 397,
    /**
    * DL category D codes
    */
    DL_CLASS_CODE_D_NOTES = 398,
    /**
    * DL category BE valid from
    */
    DL_CLASS_CODE_BE_FROM = 399,
    /**
    * DL category BE valid to
    */
    DL_CLASS_CODE_BE_TO = 400,
    /**
    * DL category BE codes
    */
    DL_CLASS_CODE_BE_NOTES = 401,
    /**
    * DL category C1E valid from
    */
    DL_CLASS_CODE_C1E_FROM = 402,
    /**
    * DL category C1E valid to
    */
    DL_CLASS_CODE_C1E_TO = 403,
    /**
    * DL category C1E codes
    */
    DL_CLASS_CODE_C1E_NOTES = 404,
    /**
    * DL category CE valid from
    */
    DL_CLASS_CODE_CE_FROM = 405,
    /**
    * DL category CE valid to
    */
    DL_CLASS_CODE_CE_TO = 406,
    /**
    * DL category CE codes
    */
    DL_CLASS_CODE_CE_NOTES = 407,
    /**
    * DL category D1E valid from
    */
    DL_CLASS_CODE_D1E_FROM = 408,
    /**
    * DL category D1E valid to
    */
    DL_CLASS_CODE_D1E_TO = 409,
    /**
    * DL category D1E codes
    */
    DL_CLASS_CODE_D1E_NOTES = 410,
    /**
    * DL category DE valid from
    */
    DL_CLASS_CODE_DE_FROM = 411,
    /**
    * DL category DE valid to
    */
    DL_CLASS_CODE_DE_TO = 412,
    /**
    * DL category DE codes
    */
    DL_CLASS_CODE_DE_NOTES = 413,
    /**
    * DL category M valid from
    */
    DL_CLASS_CODE_M_FROM = 414,
    /**
    * DL category M valid to
    */
    DL_CLASS_CODE_M_TO = 415,
    /**
    * DL category M codes
    */
    DL_CLASS_CODE_M_NOTES = 416,
    /**
    * DL category L valid from
    */
    DL_CLASS_CODE_L_FROM = 417,
    /**
    * DL category L valid to
    */
    DL_CLASS_CODE_L_TO = 418,
    /**
    * DL category L codes
    */
    DL_CLASS_CODE_L_NOTES = 419,
    /**
    * DL category T valid from
    */
    DL_CLASS_CODE_T_FROM = 420,
    /**
    * DL category T valid to
    */
    DL_CLASS_CODE_T_TO = 421,
    /**
    * DL category T codes
    */
    DL_CLASS_CODE_T_NOTES = 422,
    /**
    * DL category AM valid from
    */
    DL_CLASS_CODE_AM_FROM = 423,
    /**
    * DL category AM valid to
    */
    DL_CLASS_CODE_AM_TO = 424,
    /**
    * DL category AM codes
    */
    DL_CLASS_CODE_AM_NOTES = 425,
    /**
    * DL category A2 valid from
    */
    DL_CLASS_CODE_A2_FROM = 426,
    /**
    * DL category A2 valid to
    */
    DL_CLASS_CODE_A2_TO = 427,
    /**
    * DL category A2 codes
    */
    DL_CLASS_CODE_A2_NOTES = 428,
    /**
    * DL category B1 valid from
    */
    DL_CLASS_CODE_B1_FROM = 429,
    /**
    * DL category B1 valid to
    */
    DL_CLASS_CODE_B1_TO = 430,
    /**
    * DL category B1 codes
    */
    DL_CLASS_CODE_B1_NOTES = 431,
    /**
    * Surname at birth
    */
    SURNAME_AT_BIRTH = 432,
    /**
    * Civil status
    */
    CIVIL_STATUS = 433,
    /**
    * Number of seats
    */
    NUMBER_OF_SEATS = 434,
    /**
    * Number of standing places
    */
    NUMBER_OF_STANDING_PLACES = 435,
    /**
    * Max speed
    */
    MAX_SPEED = 436,
    /**
    * Fuel type
    */
    FUEL_TYPE = 437,
    /**
    * Vehicle environmental type
    */
    EC_ENVIRONMENTAL_TYPE = 438,
    /**
    * Power-to-weight ratio
    */
    POWER_WEIGHT_RATIO = 439,
    /**
    * Max mass of trailer (braked)
    */
    MAX_MASS_OF_TRAILER_BRAKED = 440,
    /**
    * Max mass of trailer (unbraked)
    */
    MAX_MASS_OF_TRAILER_UNBRAKED = 441,
    /**
    * Transmission type
    */
    TRANSMISSION_TYPE = 442,
    /**
    * Trailer hitch
    */
    TRAILER_HITCH = 443,
    /**
    * Accompanied by
    */
    ACCOMPANIED_BY = 444,
    /**
    * Police district
    */
    POLICE_DISTRICT = 445,
    /**
    * First issue date
    */
    FIRST_ISSUE_DATE = 446,
    /**
    * Payload capacity
    */
    PAYLOAD_CAPACITY = 447,
    /**
    * Number of axles
    */
    NUMBER_OF_AXLES = 448,
    /**
    * Permissible axle load
    */
    PERMISSIBLE_AXLE_LOAD = 449,
    /**
    * Precinct
    */
    PRECINCT = 450,
    /**
    * Invited by
    */
    INVITED_BY = 451,
    /**
    * Purpose of entry
    */
    PURPOSE_OF_ENTRY = 452,
    /**
    * Skin color
    */
    SKIN_COLOR = 453,
    /**
    * Complexion
    */
    COMPLEXION = 454,
    /**
    * Airport of departure
    */
    AIRPORT_FROM = 455,
    /**
    * Airport of arrival
    */
    AIRPORT_TO = 456,
    /**
    * Airline name
    */
    AIRLINE_NAME = 457,
    /**
    * Airline loyalty program for frequent flyers
    */
    AIRLINE_NAME_FREQUENT_FLYER = 458,
    /**
    * License number
    */
    LICENSE_NUMBER = 459,
    /**
    * In tanks
    */
    IN_TANKS = 460,
    /**
    * Other than tanks
    */
    EXCEPT_IN_TANKS = 461,
    /**
    * Fast Track service
    */
    FAST_TRACK = 462,
    /**
    * Owner
    */
    OWNER = 463,
    /**
    * MRZ strings from ICAO RFID
    */
    MRZ_STRINGS_ICAO_RFID = 464,
    /**
    * Number of card issuances
    */
    NUMBER_OF_CARD_ISSUANCE = 465,
    /**
    * Number of card issuances checksum
    */
    NUMBER_OF_CARD_ISSUANCE_CHECKSUM = 466,
    /**
    * Number of card issuances check digit
    */
    NUMBER_OF_CARD_ISSUANCE_CHECK_DIGIT = 467,
    /**
    * Century of birth
    */
    CENTURY_DATE_OF_BIRTH = 468,
    /**
    * DL category A3 valid from
    */
    DL_CLASS_CODE_A3_FROM = 469,
    /**
    * DL category A3 valid to
    */
    DL_CLASS_CODE_A3_TO = 470,
    /**
    * DL category A3 codes
    */
    DL_CLASS_CODE_A3_NOTES = 471,
    /**
    * DL category C2 valid from
    */
    DL_CLASS_CODE_C2_FROM = 472,
    /**
    * DL category C2 valid to
    */
    DL_CLASS_CODE_C2_TO = 473,
    /**
    * DL category C2 codes
    */
    DL_CLASS_CODE_C2_NOTES = 474,
    /**
    * DL category B2 valid from
    */
    DL_CLASS_CODE_B2_FROM = 475,
    /**
    * DL category B2 valid to
    */
    DL_CLASS_CODE_B2_TO = 476,
    /**
    * DL category B2 codes
    */
    DL_CLASS_CODE_B2_NOTES = 477,
    /**
    * DL category D2 valid from
    */
    DL_CLASS_CODE_D2_FROM = 478,
    /**
    * DL category D2 valid to
    */
    DL_CLASS_CODE_D2_TO = 479,
    /**
    * DL category D2 codes
    */
    DL_CLASS_CODE_D2_NOTES = 480,
    /**
    * DL category B2E valid from
    */
    DL_CLASS_CODE_B2E_FROM = 481,
    /**
    * DL category B2E valid to
    */
    DL_CLASS_CODE_B2E_TO = 482,
    /**
    * DL category B2E codes
    */
    DL_CLASS_CODE_B2E_NOTES = 483,
    /**
    * DL category G valid from
    */
    DL_CLASS_CODE_G_FROM = 484,
    /**
    * DL category G valid to
    */
    DL_CLASS_CODE_G_TO = 485,
    /**
    * DL category G codes
    */
    DL_CLASS_CODE_G_NOTES = 486,
    /**
    * DL category J valid from
    */
    DL_CLASS_CODE_J_FROM = 487,
    /**
    * DL category J valid to
    */
    DL_CLASS_CODE_J_TO = 488,
    /**
    * DL category J codes
    */
    DL_CLASS_CODE_J_NOTES = 489,
    /**
    * DL category LC valid from
    */
    DL_CLASS_CODE_LC_FROM = 490,
    /**
    * DL category LC valid to
    */
    DL_CLASS_CODE_LC_TO = 491,
    /**
    * DL category LC codes
    */
    DL_CLASS_CODE_LC_NOTES = 492,
    /**
    * Bank card number
    */
    BANK_CARD_NUMBER = 493,
    /**
    * Bank card validity
    */
    BANK_CARD_VALID_THRU = 494,
    /**
    * Tax number
    */
    TAX_NUMBER = 495,
    /**
    * Health insurance number
    */
    HEALTH_NUMBER = 496,
    /**
    * Grandfather&#39;s name
    */
    GRANDFATHER_NAME = 497,
    /**
    * Selectee indicator
    */
    SELECTEE_INDICATOR = 498,
    /**
    * Mother&#39;s surname
    */
    MOTHER_SURNAME = 499,
    /**
    * Mother&#39;s name
    */
    MOTHER_GIVEN_NAME = 500,
    /**
    * Father&#39;s surname
    */
    FATHER_SURNAME = 501,
    /**
    * Father&#39;s name
    */
    FATHER_GIVEN_NAME = 502,
    /**
    * Mother&#39;s date of birth
    */
    MOTHER_DATE_OF_BIRTH = 503,
    /**
    * Father&#39;s date of birth
    */
    FATHER_DATE_OF_BIRTH = 504,
    /**
    * Mother&#39;s personal number
    */
    MOTHER_PERSONAL_NUMBER = 505,
    /**
    * Father&#39;s personal number
    */
    FATHER_PERSONAL_NUMBER = 506,
    /**
    * Mother&#39;s place of birth
    */
    MOTHER_PLACE_OF_BIRTH = 507,
    /**
    * Father&#39;s place of birth
    */
    FATHER_PLACE_OF_BIRTH = 508,
    /**
    * Mother&#39;s country of birth
    */
    MOTHER_COUNTRY_OF_BIRTH = 509,
    /**
    * Father&#39;s country of birth
    */
    FATHER_COUNTRY_OF_BIRTH = 510,
    /**
    * Date of first renewal
    */
    DATE_FIRST_RENEWAL = 511,
    /**
    * Date of second renewal
    */
    DATE_SECOND_RENEWAL = 512,
    /**
    * Place of examination
    */
    PLACE_OF_EXAMINATION = 513,
    /**
    * Application number
    */
    APPLICATION_NUMBER = 514,
    /**
    * Voucher number
    */
    VOUCHER_NUMBER = 515,
    /**
    * Authorization number
    */
    AUTHORIZATION_NUMBER = 516,
    /**
    * Faculty
    */
    FACULTY = 517,
    /**
    * Form of education
    */
    FORM_OF_EDUCATION = 518,
    /**
    * DNI number
    */
    DNI_NUMBER = 519,
    /**
    * Retirement number
    */
    RETIREMENT_NUMBER = 520,
    /**
    * Professional id number
    */
    PROFESSIONAL_ID_NUMBER = 521,
    /**
    * Age at issue
    */
    AGE_AT_ISSUE = 522,
    /**
    * Years since issue
    */
    YEARS_SINCE_ISSUE = 523,
    /**
    * DL category BTP valid from
    */
    DL_CLASS_CODE_BTP_FROM = 524,
    /**
    * DL category BTP codes
    */
    DL_CLASS_CODE_BTP_NOTES = 525,
    /**
    * DL category BTP valid to
    */
    DL_CLASS_CODE_BTP_TO = 526,
    /**
    * DL category C3 valid from
    */
    DL_CLASS_CODE_C3_FROM = 527,
    /**
    * DL category C3 codes
    */
    DL_CLASS_CODE_C3_NOTES = 528,
    /**
    * DL category C3 valid to
    */
    DL_CLASS_CODE_C3_TO = 529,
    /**
    * DL category E valid from
    */
    DL_CLASS_CODE_E_FROM = 530,
    /**
    * DL category E codes
    */
    DL_CLASS_CODE_E_NOTES = 531,
    /**
    * DL category E valid to
    */
    DL_CLASS_CODE_E_TO = 532,
    /**
    * DL category F valid from
    */
    DL_CLASS_CODE_F_FROM = 533,
    /**
    * DL category F codes
    */
    DL_CLASS_CODE_F_NOTES = 534,
    /**
    * DL category F valid to
    */
    DL_CLASS_CODE_F_TO = 535,
    /**
    * DL category FA valid from
    */
    DL_CLASS_CODE_FA_FROM = 536,
    /**
    * DL category FA codes
    */
    DL_CLASS_CODE_FA_NOTES = 537,
    /**
    * DL category FA valid to
    */
    DL_CLASS_CODE_FA_TO = 538,
    /**
    * DL category FA1 valid from
    */
    DL_CLASS_CODE_FA1_FROM = 539,
    /**
    * DL category FA1 codes
    */
    DL_CLASS_CODE_FA1_NOTES = 540,
    /**
    * DL category FA1 valid to
    */
    DL_CLASS_CODE_FA1_TO = 541,
    /**
    * DL category FB valid from
    */
    DL_CLASS_CODE_FB_FROM = 542,
    /**
    * DL category FB codes
    */
    DL_CLASS_CODE_FB_NOTES = 543,
    /**
    * DL category FB valid to
    */
    DL_CLASS_CODE_FB_TO = 544,
    /**
    * DL category G1 valid from
    */
    DL_CLASS_CODE_G1_FROM = 545,
    /**
    * DL category G1 codes
    */
    DL_CLASS_CODE_G1_NOTES = 546,
    /**
    * DL category G1 valid to
    */
    DL_CLASS_CODE_G1_TO = 547,
    /**
    * DL category H valid from
    */
    DL_CLASS_CODE_H_FROM = 548,
    /**
    * DL category H codes
    */
    DL_CLASS_CODE_H_NOTES = 549,
    /**
    * DL category H valid to
    */
    DL_CLASS_CODE_H_TO = 550,
    /**
    * DL category I valid from
    */
    DL_CLASS_CODE_I_FROM = 551,
    /**
    * DL category I codes
    */
    DL_CLASS_CODE_I_NOTES = 552,
    /**
    * DL category I valid to
    */
    DL_CLASS_CODE_I_TO = 553,
    /**
    * DL category K valid from
    */
    DL_CLASS_CODE_K_FROM = 554,
    /**
    * DL category K codes
    */
    DL_CLASS_CODE_K_NOTES = 555,
    /**
    * DL category K valid to
    */
    DL_CLASS_CODE_K_TO = 556,
    /**
    * DL category LK valid from
    */
    DL_CLASS_CODE_LK_FROM = 557,
    /**
    * DL category LK codes
    */
    DL_CLASS_CODE_LK_NOTES = 558,
    /**
    * DL category LK valid to
    */
    DL_CLASS_CODE_LK_TO = 559,
    /**
    * DL category N valid from
    */
    DL_CLASS_CODE_N_FROM = 560,
    /**
    * DL category N codes
    */
    DL_CLASS_CODE_N_NOTES = 561,
    /**
    * DL category N valid to
    */
    DL_CLASS_CODE_N_TO = 562,
    /**
    * DL category S valid from
    */
    DL_CLASS_CODE_S_FROM = 563,
    /**
    * DL category S codes
    */
    DL_CLASS_CODE_S_NOTES = 564,
    /**
    * DL category S valid to
    */
    DL_CLASS_CODE_S_TO = 565,
    /**
    * DL category TB valid from
    */
    DL_CLASS_CODE_TB_FROM = 566,
    /**
    * DL category TB codes
    */
    DL_CLASS_CODE_TB_NOTES = 567,
    /**
    * DL category TB valid to
    */
    DL_CLASS_CODE_TB_TO = 568,
    /**
    * DL category TM valid from
    */
    DL_CLASS_CODE_TM_FROM = 569,
    /**
    * DL category TM codes
    */
    DL_CLASS_CODE_TM_NOTES = 570,
    /**
    * DL category TM valid to
    */
    DL_CLASS_CODE_TM_TO = 571,
    /**
    * DL category TR valid from
    */
    DL_CLASS_CODE_TR_FROM = 572,
    /**
    * DL category TR codes
    */
    DL_CLASS_CODE_TR_NOTES = 573,
    /**
    * DL category TR valid to
    */
    DL_CLASS_CODE_TR_TO = 574,
    /**
    * DL category TV valid from
    */
    DL_CLASS_CODE_TV_FROM = 575,
    /**
    * DL category TV codes
    */
    DL_CLASS_CODE_TV_NOTES = 576,
    /**
    * DL category TV valid to
    */
    DL_CLASS_CODE_TV_TO = 577,
    /**
    * DL category V valid from
    */
    DL_CLASS_CODE_V_FROM = 578,
    /**
    * DL category V codes
    */
    DL_CLASS_CODE_V_NOTES = 579,
    /**
    * DL category V valid to
    */
    DL_CLASS_CODE_V_TO = 580,
    /**
    * DL category W valid from
    */
    DL_CLASS_CODE_W_FROM = 581,
    /**
    * DL category W codes
    */
    DL_CLASS_CODE_W_NOTES = 582,
    /**
    * DL category W valid to
    */
    DL_CLASS_CODE_W_TO = 583,
    /**
    * URL
    */
    URL = 584,
    /**
    * Caliber
    */
    CALIBER = 585,
    /**
    * Model
    */
    MODEL = 586,
    /**
    * Make
    */
    MAKE = 587,
    /**
    * Number of cylinders
    */
    NUMBER_OF_CYLINDERS = 588,
    /**
    * Surname of husband after registration
    */
    SURNAME_OF_HUSBAND_AFTER_REGISTRATION = 589,
    /**
    * Surname of wife after registration
    */
    SURNAME_OF_WIFE_AFTER_REGISTRATION = 590,
    /**
    * Date of birth of wife
    */
    DATE_OF_BIRTH_OF_WIFE = 591,
    /**
    * Date of birth of husband
    */
    DATE_OF_BIRTH_OF_HUSBAND = 592,
    /**
    * Citizenship of first person
    */
    CITIZENSHIP_OF_FIRST_PERSON = 593,
    /**
    * Citizenship of second person
    */
    CITIZENSHIP_OF_SECOND_PERSON = 594,
    /**
    * CVV code
    */
    CVV = 595,
    /**
    * Date of insurance expiry
    */
    DATE_OF_INSURANCE_EXPIRY = 596,
    /**
    * Mortgage by
    */
    MORTGAGE_BY = 597,
    /**
    * Old document number
    */
    OLD_DOCUMENT_NUMBER = 598,
    /**
    * Old date of issue
    */
    OLD_DATE_OF_ISSUE = 599,
    /**
    * Old place of issue
    */
    OLD_PLACE_OF_ISSUE = 600,
    /**
    * DL category LR valid from
    */
    DL_CLASS_CODE_LR_FROM = 601,
    /**
    * DL category LR valid to
    */
    DL_CLASS_CODE_LR_TO = 602,
    /**
    * DL category LR codes
    */
    DL_CLASS_CODE_LR_NOTES = 603,
    /**
    * DL category MR valid from
    */
    DL_CLASS_CODE_MR_FROM = 604,
    /**
    * DL category MR valid to
    */
    DL_CLASS_CODE_MR_TO = 605,
    /**
    * DL category MR codes
    */
    DL_CLASS_CODE_MR_NOTES = 606,
    /**
    * DL category HR valid from
    */
    DL_CLASS_CODE_HR_FROM = 607,
    /**
    * DL category HR valid to
    */
    DL_CLASS_CODE_HR_TO = 608,
    /**
    * DL category HR codes
    */
    DL_CLASS_CODE_HR_NOTES = 609,
    /**
    * DL category HC valid from
    */
    DL_CLASS_CODE_HC_FROM = 610,
    /**
    * DL category HC valid to
    */
    DL_CLASS_CODE_HC_TO = 611,
    /**
    * DL category HC codes
    */
    DL_CLASS_CODE_HC_NOTES = 612,
    /**
    * DL category MC valid from
    */
    DL_CLASS_CODE_MC_FROM = 613,
    /**
    * DL category MC valid to
    */
    DL_CLASS_CODE_MC_TO = 614,
    /**
    * DL category MC codes
    */
    DL_CLASS_CODE_MC_NOTES = 615,
    /**
    * DL category RE valid from
    */
    DL_CLASS_CODE_RE_FROM = 616,
    /**
    * DL category RE valid to
    */
    DL_CLASS_CODE_RE_TO = 617,
    /**
    * DL category RE codes
    */
    DL_CLASS_CODE_RE_NOTES = 618,
    /**
    * DL category R valid from
    */
    DL_CLASS_CODE_R_FROM = 619,
    /**
    * DL category R valid to
    */
    DL_CLASS_CODE_R_TO = 620,
    /**
    * DL category R codes
    */
    DL_CLASS_CODE_R_NOTES = 621,
    /**
    * DL category CA valid from
    */
    DL_CLASS_CODE_CA_FROM = 622,
    /**
    * DL category CA valid to
    */
    DL_CLASS_CODE_CA_TO = 623,
    /**
    * DL category CA codes
    */
    DL_CLASS_CODE_CA_NOTES = 624,
    /**
    * Citizenship status
    */
    CITIZENSHIP_STATUS = 625,
    /**
    * Military service from
    */
    MILITARY_SERVICE_FROM = 626,
    /**
    * Military service to
    */
    MILITARY_SERVICE_TO = 627,
    /**
    * DL category NT valid from
    */
    DL_CLASS_CODE_NT_FROM = 628,
    /**
    * DL category NT valid to
    */
    DL_CLASS_CODE_NT_TO = 629,
    /**
    * DL category NT codes
    */
    DL_CLASS_CODE_NT_NOTES = 630,
    /**
    * DL category TN valid from
    */
    DL_CLASS_CODE_TN_FROM = 631,
    /**
    * DL category TN valid to
    */
    DL_CLASS_CODE_TN_TO = 632,
    /**
    * DL category TN codes
    */
    DL_CLASS_CODE_TN_NOTES = 633,
    /**
    * DL category D3 valid from
    */
    DL_CLASS_CODE_D3_FROM = 634,
    /**
    * DL category D3 valid to
    */
    DL_CLASS_CODE_D3_TO = 635,
    /**
    * DL category D3 codes
    */
    DL_CLASS_CODE_D3_NOTES = 636,
    /**
    * Alternative date of expiry
    */
    ALT_DATE_OF_EXPIRY = 637,
    /**
    * DL category CD valid from
    */
    DL_CLASS_CODE_CD_FROM = 638,
    /**
    * DL category CD valid to
    */
    DL_CLASS_CODE_CD_TO = 639,
    /**
    * DL category CD codes
    */
    DL_CLASS_CODE_CD_NOTES = 640,
    /**
    * Issuer identification number
    */
    ISSUER_IDENTIFICATION_NUMBER = 641,
    /**
    * Payment period from
    */
    PAYMENT_PERIOD_FROM = 642,
    /**
    * Payment period to
    */
    PAYMENT_PERIOD_TO = 643,
    /**
    * Vaccination certificate identifier
    */
    VACCINATION_CERTIFICATE_IDENTIFIER = 644,
    /**
    * First name
    */
    FIRST_NAME = 645,
    /**
    * Date of arrival
    */
    DATE_OF_ARRIVAL = 646,
    /**
    * Second name
    */
    SECOND_NAME = 647,
    /**
    * Third name
    */
    THIRD_NAME = 648,
    /**
    * Fourth name
    */
    FOURTH_NAME = 649,
    /**
    * Last name
    */
    LAST_NAME = 650,
    /**
    * DL category RM valid from
    */
    DL_CLASS_CODE_RM_FROM = 651,
    /**
    * DL category RM codes
    */
    DL_CLASS_CODE_RM_NOTES = 652,
    /**
    * DL category RM valid to
    */
    DL_CLASS_CODE_RM_TO = 653,
    /**
    * DL category PW valid from
    */
    DL_CLASS_CODE_PW_FROM = 654,
    /**
    * DL category PW codes
    */
    DL_CLASS_CODE_PW_NOTES = 655,
    /**
    * DL category PW valid to
    */
    DL_CLASS_CODE_PW_TO = 656,
    /**
    * DL category EB valid from
    */
    DL_CLASS_CODE_EB_FROM = 657,
    /**
    * DL category EB codes
    */
    DL_CLASS_CODE_EB_NOTES = 658,
    /**
    * DL category EB valid to
    */
    DL_CLASS_CODE_EB_TO = 659,
    /**
    * DL category EC valid from
    */
    DL_CLASS_CODE_EC_FROM = 660,
    /**
    * DL category EC codes
    */
    DL_CLASS_CODE_EC_NOTES = 661,
    /**
    * DL category EC valid to
    */
    DL_CLASS_CODE_EC_TO = 662,
    /**
    * DL category EC1 valid from
    */
    DL_CLASS_CODE_EC1_FROM = 663,
    /**
    * DL category EC1 codes
    */
    DL_CLASS_CODE_EC1_NOTES = 664,
    /**
    * DL category EC1 valid to
    */
    DL_CLASS_CODE_EC1_TO = 665,
    /**
    * Place of birth city
    */
    PLACE_OF_BIRTH_CITY = 666,
    /**
    * Year of birth
    */
    YEAR_OF_BIRTH = 667,
    /**
    * Year of expiry
    */
    YEAR_OF_EXPIRY = 668,
    /**
    * Grandfather&#39;s name (maternal)
    */
    GRANDFATHER_NAME_MATERNAL = 669,
    /**
    * First surname
    */
    FIRST_SURNAME = 670,
    /**
    * Month of birth
    */
    MONTH_OF_BIRTH = 671,
    /**
    * Floor number
    */
    ADDRESS_FLOOR_NUMBER = 672,
    /**
    * Entrance number
    */
    ADDRESS_ENTRANCE = 673,
    /**
    * Block number
    */
    ADDRESS_BLOCK_NUMBER = 674,
    /**
    * Street number
    */
    ADDRESS_STREET_NUMBER = 675,
    /**
    * Street type
    */
    ADDRESS_STREET_TYPE = 676,
    /**
    * City sector
    */
    ADDRESS_CITY_SECTOR = 677,
    /**
    * County type
    */
    ADDRESS_COUNTY_TYPE = 678,
    /**
    * City type
    */
    ADDRESS_CITY_TYPE = 679,
    /**
    * Building type
    */
    ADDRESS_BUILDING_TYPE = 680,
    /**
    * Date of Retirement
    */
    DATE_OF_RETIREMENT = 681,
    /**
    * Document Status
    */
    DOCUMENT_STATUS = 682,
    /**
    * Signature
    */
    SIGNATURE = 683,
    /**
    * Unique Certificate Identifier
    */
    FT_UNIQUE_CERTIFICATE_IDENTIFIER = 684,
    /**
    * Email
    */
    FT_EMAIL = 685,
    /**
    * Date of Specimen Collection
    */
    FT_DATE_OF_SPECIMEN_COLLECTION = 686,
    /**
    * Type Of Testing
    */
    FT_TYPE_OF_TESTING = 687,
    /**
    * Result Of Testing
    */
    FT_RESULT_OF_TESTING = 688,
    /**
    * Method Of Testing
    */
    FT_METHOD_OF_TESTING = 689,
    /**
    * Digital Travel Authorization Number
    */
    FT_DIGITAL_TRAVEL_AUTHORIZATION_NUMBER = 690,
    /**
    * Date of First Positive Test Result
    */
    FT_DATE_OF_FIRST_POSITIVE_TEST_RESULT = 691,
    /**
    * EF.CardAccess
    */
    EF_CARD_ACCESS = 692,
    /**
    * Short flight number
    */
    SHORT_FLIGHT_NUMBER = 693,
    /**
    * Airline code
    */
    AIRLINE_CODE = 694,
    /**
    * MVC Agency
    */
    FT_MVC_AGENCY = 695,
    /**
    * Issuing state code (Alpha-2)
    */
    FT_ISSUING_STATE_CODE_ALPHA2 = 696,
    /**
    * Nationality code (Alpha-2)
    */
    FT_NATIONALITY_CODE_ALPHA2 = 697
}
/**
 *
 * @export
 * @interface OCRSecurityTextItem
 */
export interface OCRSecurityTextItem {
    /**
     *
     * @type {Critical}
     * @memberof OCRSecurityTextItem
     */
    'CriticalFlag': Critical;
    /**
     *
     * @type {Light}
     * @memberof OCRSecurityTextItem
     */
    'LightType': Light;
    /**
     *
     * @type {RectangleCoordinates}
     * @memberof OCRSecurityTextItem
     */
    'FieldRect': RectangleCoordinates;
    /**
     * Same as Result type, but used for safe parsing of not-described values. See Result type.
     * @type {number}
     * @memberof OCRSecurityTextItem
     */
    'EtalonResultType': number;
    /**
     *
     * @type {TextFieldType}
     * @memberof OCRSecurityTextItem
     */
    'EtalonFieldType': TextFieldType;
    /**
     *
     * @type {Light}
     * @memberof OCRSecurityTextItem
     */
    'EtalonLightType': Light;
    /**
     *
     * @type {RectangleCoordinates}
     * @memberof OCRSecurityTextItem
     */
    'EtalonFieldRect': RectangleCoordinates;
    /**
     *
     * @type {string}
     * @memberof OCRSecurityTextItem
     */
    'SecurityTextResultOCR': string;
    /**
     *
     * @type {string}
     * @memberof OCRSecurityTextItem
     */
    'EtalonResultOCR': string;
    /**
     *
     * @type {number}
     * @memberof OCRSecurityTextItem
     */
    'Reserved1'?: number;
    /**
     *
     * @type {number}
     * @memberof OCRSecurityTextItem
     */
    'Reserved2'?: number;
}
/**
 * @type OCRSecurityTextResult
 * @export
 */
export type OCRSecurityTextResult = AuthenticityCheckResultItem & OCRSecurityTextItem;
/**
 *
 * @export
 * @interface RawImageContainerList
 */
export interface RawImageContainerList {
    /**
     *
     * @type {number}
     * @memberof RawImageContainerList
     */
    'Count': number;
    /**
     *
     * @type {Array<ImageData>}
     * @memberof RawImageContainerList
     */
    'Images': Array<ImageData>;
}
/**
 *
 * @export
 * @interface PhotoIdentItem
 */
export interface PhotoIdentItem {
    /**
     *
     * @type {Light}
     * @memberof PhotoIdentItem
     */
    'LightIndex': Light;
    /**
     *
     * @type {RectangleCoordinates}
     * @memberof PhotoIdentItem
     */
    'Area': RectangleCoordinates;
    /**
     *
     * @type {ImageData}
     * @memberof PhotoIdentItem
     */
    'SourceImage': ImageData;
    /**
     *
     * @type {RawImageContainerList}
     * @memberof PhotoIdentItem
     */
    'ResultImages': RawImageContainerList;
    /**
     *
     * @type {number}
     * @memberof PhotoIdentItem
     */
    'FieldTypesCount'?: number;
    /**
     *
     * @type {Array<number>}
     * @memberof PhotoIdentItem
     */
    'FieldTypesList'?: Array<number>;
    /**
     *
     * @type {number}
     * @memberof PhotoIdentItem
     */
    'Step'?: number;
    /**
     *
     * @type {number}
     * @memberof PhotoIdentItem
     */
    'Angle'?: number;
    /**
     *
     * @type {number}
     * @memberof PhotoIdentItem
     */
    'Reserved3'?: number;
}
/**
 * @type PhotoIdentResult
 * @export
 */
export type PhotoIdentResult = AuthenticityCheckResultItem & PhotoIdentItem;
/**
 * Regula Document Reader Web API
 * Documents recognition as easy as reading two bytes.   # Clients: * [JavaScript](https://github.com/regulaforensics/DocumentReader-web-js-client) client for the browser and node.js based on axios * [Java](https://github.com/regulaforensics/DocumentReader-web-java-client) client compatible with jvm and android * [Python](https://github.com/regulaforensics/DocumentReader-web-python-client) 3.5+ client * [C#](https://github.com/regulaforensics/DocumentReader-web-csharp-client) client for .NET & .NET Core
 *
 * The version of the OpenAPI document: 8.1.0
 *
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */
/**
 * Enumeration contains visibility status of the security element
 * @export
 * @enum {number}
 */
export enum Visibility {
    /**
    * Invisible
    */
    INVISIBLE = 0,
    /**
    * Visible
    */
    VISIBLE = 1,
    /**
    * Colored
    */
    COLORED = 2,
    /**
    * Grayscale
    */
    GRAYSCALE = 4,
    /**
    * Visible vs IR match
    */
    WHITE_IR_MATCHING = 8
}
/**
 *
 * @export
 * @interface SecurityFeatureItem
 */
export interface SecurityFeatureItem {
    /**
     *
     * @type {SecurityFeatureType}
     * @memberof SecurityFeatureItem
     */
    'ElementType': SecurityFeatureType;
    /**
     *
     * @type {RectangleCoordinates}
     * @memberof SecurityFeatureItem
     */
    'ElementRect': RectangleCoordinates;
    /**
     *
     * @type {Visibility}
     * @memberof SecurityFeatureItem
     */
    'Visibility': Visibility;
    /**
     *
     * @type {Critical}
     * @memberof SecurityFeatureItem
     */
    'CriticalFlag': Critical;
    /**
     *
     * @type {AreaContainer}
     * @memberof SecurityFeatureItem
     */
    'AreaList'?: AreaContainer;
    /**
     *
     * @type {number}
     * @memberof SecurityFeatureItem
     */
    'Reserved2'?: number;
}
/**
 * @type SecurityFeatureResult
 * @export
 */
export type SecurityFeatureResult = AuthenticityCheckResultItem & SecurityFeatureItem;
/**
 * @type AuthenticityCheckResultListInner
 * @export
 */
export type AuthenticityCheckResultListInner = FiberResult | IdentResult | OCRSecurityTextResult | PhotoIdentResult | SecurityFeatureResult;
/**
 *
 * @export
 * @interface AuthenticityCheckResult
 */
export interface AuthenticityCheckResult {
    /**
     *
     * @type {AuthenticityResultType}
     * @memberof AuthenticityCheckResult
     */
    'Type': AuthenticityResultType;
    /**
     *
     * @type {CheckResult}
     * @memberof AuthenticityCheckResult
     */
    'Result': CheckResult;
    /**
     * Count of items in List
     * @type {number}
     * @memberof AuthenticityCheckResult
     */
    'Count'?: number;
    /**
     *
     * @type {Array<AuthenticityCheckResultListInner>}
     * @memberof AuthenticityCheckResult
     */
    'List': Array<AuthenticityCheckResultListInner>;
}
/**
 *
 * @export
 * @interface AuthenticityCheckList
 */
export interface AuthenticityCheckList {
    /**
     * Count of items in List
     * @type {number}
     * @memberof AuthenticityCheckList
     */
    'Count': number;
    /**
     * Authenticity Check
     * @type {Array<AuthenticityCheckResult>}
     * @memberof AuthenticityCheckList
     */
    'List': Array<AuthenticityCheckResult>;
}
/**
 *
 * @export
 * @interface AuthenticityCheckListItem
 */
export interface AuthenticityCheckListItem {
    /**
     *
     * @type {AuthenticityCheckList}
     * @memberof AuthenticityCheckListItem
     */
    'AuthenticityCheckList': AuthenticityCheckList;
}
/**
 * Regula Document Reader Web API
 * Documents recognition as easy as reading two bytes.   # Clients: * [JavaScript](https://github.com/regulaforensics/DocumentReader-web-js-client) client for the browser and node.js based on axios * [Java](https://github.com/regulaforensics/DocumentReader-web-java-client) client compatible with jvm and android * [Python](https://github.com/regulaforensics/DocumentReader-web-python-client) 3.5+ client * [C#](https://github.com/regulaforensics/DocumentReader-web-csharp-client) client for .NET & .NET Core
 *
 * The version of the OpenAPI document: 8.1.0
 *
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */
/**
 *
 * @export
 * @enum {number}
 */
export enum Result {
    /**
    * Contains cropped and rotated with perspective compensation image of document. Single input image can contain multiple document side/pages, which will be returned as separated results. Most of coordinates in other types defined on that image
    */
    DOCUMENT_IMAGE = 1,
    /**
    * Contains MRZ OCR results
    */
    MRZ_TEXT = 3,
    /**
    * Contains raw information about barcodes on the input image
    */
    BARCODES = 5,
    /**
    * Contains cropped graphic fields from Visual zone
    */
    VISUAL_GRAPHICS = 6,
    /**
    * Contains result of MRZTestQuality
    */
    MRZ_TEST_QUALITY = 7,
    /**
    * Contains list of document type candidates with their probabilities and descriptions
    */
    DOCUMENT_TYPE_CANDIDATES = 8,
    /**
    * Contains description of determined document type, if any
    */
    DOCUMENT_TYPE = 9,
    /**
    * Contains lexical data analysis results that allow you to compare MRZ OCR results, Visual zone OCR results, barcodes and RFID chip data for an additional assessment of the authenticity of the document (this is an old format, better use TEXT type)
    */
    LEXICAL_ANALYSIS = 15,
    /**
    * Contains raw uncropped images
    */
    RAW_UNCROPPED_IMAGE = 16,
    /**
    * Contains Visual zone OCR results
    */
    VISUAL_TEXT = 17,
    /**
    * Contains barcode parsing result with text fields
    */
    BARCODE_TEXT = 18,
    /**
    * Contains barcode parsing result with graphic fields
    */
    BARCODE_GRAPHICS = 19,
    /**
    * Contains result of document authenticity checks
    */
    AUTHENTICITY = 20,
    /**
    * Contains result of DocVisualExtendedInfoContainer
    */
    MAGNETIC_STRIPE_TEXT_DATA = 26,
    /**
    * Contains image quality check results
    */
    IMAGE_QUALITY = 30,
    /**
    * Contains result of DocGraphicsInfoContainer
    */
    LIVE_PORTRAIT = 32,
    /**
    * Contains check statuses with details, grouped by source
    */
    STATUS = 33,
    /**
    * Contains result of portraits comparison
    */
    PORTRAIT_COMPARISON = 34,
    /**
    * Contains result of DocGraphicsInfoContainer
    */
    EXT_PORTRAIT = 35,
    /**
    * Contains document textual fields from all sources (mrz, rfid, visual, barcode) with validity and cross-source compare checks
    */
    TEXT = 36,
    /**
    * Contains images from all document sources (mrz, rfid, visual, barcode)
    */
    IMAGES = 37,
    /**
    * Contains result of DocGraphicsInfoContainer
    */
    FINGERPRINTS = 38,
    /**
    * Contains result of fingerprints comparison
    */
    FINGERPRINT_COMPARISON = 39,
    /**
    * Contains encrypted ResultContainerList
    */
    ENCRYPTED_RCL = 49,
    /**
    * Contains license
    */
    LICENSE = 50,
    /**
    * Contains result of MRZ position
    */
    MRZ_POSITION = 61,
    /**
    * Contains result of barcode position
    */
    BARCODE_POSITION = 62,
    /**
    * Contains information about document position on the input image, its center, angle, etc
    */
    DOCUMENT_POSITION = 85,
    /**
    * Contains result of MRZDetectorResult
    */
    MRZ_DETECTOR = 87,
    /**
    * Contains result of FaceDetection
    */
    FACE_DETECTION = 97,
    /**
    * Contains RFID raw data
    */
    RFID_RAW_DATA = 101,
    /**
    * Contains RFID text results
    */
    RFID_TEXT = 102,
    /**
    * Contains RFID graphic results
    */
    RFID_GRAPHICS = 103,
    /**
    * Contains RFID binary data
    */
    RFID_BINARY_DATA = 104,
    /**
    * Contains RFID original graphics data
    */
    RFID_ORIGINAL_GRAPHICS = 105,
    /**
    * Digital Travel Credential data
    */
    DTC_VC = 109
}
/**
 * Common fields for all result objects
 * @export
 * @interface ResultItem
 */
export interface ResultItem {
    /**
     *
     * @type {number}
     * @memberof ResultItem
     */
    'buf_length'?: number;
    /**
     *
     * @type {number}
     * @memberof ResultItem
     */
    'light'?: number;
    /**
     *
     * @type {number}
     * @memberof ResultItem
     */
    'list_idx'?: number;
    /**
     *
     * @type {number}
     * @memberof ResultItem
     */
    'page_idx'?: number;
    /**
     *
     * @type {Result}
     * @memberof ResultItem
     */
    'result_type': Result;
}
/**
 * @type AuthenticityResult
 * @export
 */
export type AuthenticityResult = AuthenticityCheckListItem & ResultItem;
/**
 * Regula Document Reader Web API
 * Documents recognition as easy as reading two bytes.   # Clients: * [JavaScript](https://github.com/regulaforensics/DocumentReader-web-js-client) client for the browser and node.js based on axios * [Java](https://github.com/regulaforensics/DocumentReader-web-java-client) client compatible with jvm and android * [Python](https://github.com/regulaforensics/DocumentReader-web-python-client) 3.5+ client * [C#](https://github.com/regulaforensics/DocumentReader-web-csharp-client) client for .NET & .NET Core
 *
 * The version of the OpenAPI document: 8.1.0
 *
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */
/**
 *
 * @export
 * @enum {number}
 */
export enum BarCodeModuleType {
    /**
    * Module contains text data
    */
    TEXT = 0,
    /**
    * Module contains byte data
    */
    BYTE = 1,
    /**
    * Module contains numeric data
    */
    NUM = 2,
    /**
    * Shifts in byte compaction mode (for PDF417)
    */
    SHIFT = 3,
    /**
    * Module contains any data
    */
    ALL = 4
}
/**
 * Regula Document Reader Web API
 * Documents recognition as easy as reading two bytes.   # Clients: * [JavaScript](https://github.com/regulaforensics/DocumentReader-web-js-client) client for the browser and node.js based on axios * [Java](https://github.com/regulaforensics/DocumentReader-web-java-client) client compatible with jvm and android * [Python](https://github.com/regulaforensics/DocumentReader-web-python-client) 3.5+ client * [C#](https://github.com/regulaforensics/DocumentReader-web-csharp-client) client for .NET & .NET Core
 *
 * The version of the OpenAPI document: 8.1.0
 *
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */
/**
 * Enumeration contains the types of barcodes that can be processed
 * @export
 * @enum {number}
 */
export enum BarcodeType {
    /**
    * Unknown
    */
    UNKNOWN = 0,
    /**
    * Code 128
    */
    CODE128 = 1,
    /**
    * Code 39
    */
    CODE39 = 2,
    /**
    * EAN-8
    */
    EAN8 = 3,
    /**
    * ITF
    */
    ITF = 4,
    /**
    * PDF417
    */
    PDF417 = 5,
    /**
    * STF
    */
    STF = 6,
    /**
    * MTF
    */
    MTF = 7,
    /**
    * IATA
    */
    IATA = 8,
    /**
    * Codabar
    */
    CODABAR = 9,
    /**
    * UPC-A
    */
    UPCA = 10,
    /**
    * Code 93
    */
    CODE93 = 11,
    /**
    * UPC-E
    */
    UPCE = 12,
    /**
    * EAN-13
    */
    EAN13 = 13,
    /**
    * QR code
    */
    QRCODE = 14,
    /**
    * Aztec code
    */
    AZTEC = 15,
    /**
    * Datamatrix
    */
    DATAMATRIX = 16,
    /**
    * All 1D barcodes
    */
    ALL_1D = 17,
    /**
    * Code 11
    */
    CODE11 = 18,
    /**
    * JAB code
    */
    JABCODE = 19
}
/**
 * Regula Document Reader Web API
 * Documents recognition as easy as reading two bytes.   # Clients: * [JavaScript](https://github.com/regulaforensics/DocumentReader-web-js-client) client for the browser and node.js based on axios * [Java](https://github.com/regulaforensics/DocumentReader-web-java-client) client compatible with jvm and android * [Python](https://github.com/regulaforensics/DocumentReader-web-python-client) 3.5+ client * [C#](https://github.com/regulaforensics/DocumentReader-web-csharp-client) client for .NET & .NET Core
 *
 * The version of the OpenAPI document: 8.1.0
 *
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */
/**
 *
 * @export
 * @interface BcPDF417INFO
 */
export interface BcPDF417INFO {
    /**
     *
     * @type {number}
     * @memberof BcPDF417INFO
     */
    'Angle': number;
    /**
     *
     * @type {number}
     * @memberof BcPDF417INFO
     */
    'bcColumn': number;
    /**
     *
     * @type {number}
     * @memberof BcPDF417INFO
     */
    'bcErrorLevel': number;
    /**
     *
     * @type {number}
     * @memberof BcPDF417INFO
     */
    'bcRow': number;
    /**
     *
     * @type {number}
     * @memberof BcPDF417INFO
     */
    'minX': number;
    /**
     *
     * @type {number}
     * @memberof BcPDF417INFO
     */
    'minY': number;
}
/**
 * Regula Document Reader Web API
 * Documents recognition as easy as reading two bytes.   # Clients: * [JavaScript](https://github.com/regulaforensics/DocumentReader-web-js-client) client for the browser and node.js based on axios * [Java](https://github.com/regulaforensics/DocumentReader-web-java-client) client compatible with jvm and android * [Python](https://github.com/regulaforensics/DocumentReader-web-python-client) 3.5+ client * [C#](https://github.com/regulaforensics/DocumentReader-web-csharp-client) client for .NET & .NET Core
 *
 * The version of the OpenAPI document: 8.1.0
 *
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */
/**
 *
 * @export
 * @interface BcROIDETECT
 */
export interface BcROIDETECT {
    /**
     *
     * @type {number}
     * @memberof BcROIDETECT
     */
    'bottom': number;
    /**
     *
     * @type {number}
     * @memberof BcROIDETECT
     */
    'left': number;
    /**
     *
     * @type {number}
     * @memberof BcROIDETECT
     */
    'right': number;
    /**
     *
     * @type {number}
     * @memberof BcROIDETECT
     */
    'top': number;
}
/**
 * Details on performed RFID checks
 * @export
 * @interface DetailsRFID
 */
export interface DetailsRFID {
    /**
     *
     * @type {CheckResult}
     * @memberof DetailsRFID
     */
    'overallStatus': CheckResult;
    /**
     *
     * @type {CheckResult}
     * @memberof DetailsRFID
     */
    'AA': CheckResult;
    /**
     *
     * @type {CheckResult}
     * @memberof DetailsRFID
     */
    'BAC': CheckResult;
    /**
     *
     * @type {CheckResult}
     * @memberof DetailsRFID
     */
    'CA': CheckResult;
    /**
     *
     * @type {CheckResult}
     * @memberof DetailsRFID
     */
    'PA': CheckResult;
    /**
     *
     * @type {CheckResult}
     * @memberof DetailsRFID
     */
    'PACE': CheckResult;
    /**
     *
     * @type {CheckResult}
     * @memberof DetailsRFID
     */
    'TA': CheckResult;
}
/**
 * Regula Document Reader Web API
 * Documents recognition as easy as reading two bytes.   # Clients: * [JavaScript](https://github.com/regulaforensics/DocumentReader-web-js-client) client for the browser and node.js based on axios * [Java](https://github.com/regulaforensics/DocumentReader-web-java-client) client compatible with jvm and android * [Python](https://github.com/regulaforensics/DocumentReader-web-python-client) 3.5+ client * [C#](https://github.com/regulaforensics/DocumentReader-web-csharp-client) client for .NET & .NET Core
 *
 * The version of the OpenAPI document: 8.1.0
 *
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */
/**
 * Defining the geometric format of documents in accordance with ISO / IEC 7810
 * @export
 * @enum {number}
 */
export enum DocumentFormat {
    /**
    * Unknown document format
    */
    UNKNOWN = -1,
    /**
    * ID1 document format
    */
    ID1 = 0,
    /**
    * ID2 document format
    */
    ID2 = 1,
    /**
    * ID3 document format
    */
    ID3 = 2,
    /**
    * Undefined document format
    */
    NON = 3,
    /**
    * A4 document format
    */
    A4 = 4,
    /**
    * ID3 double document format
    */
    ID3_X2 = 5,
    /**
    * ID1 format document rotated 90 °
    */
    ID1_90 = 10,
    /**
    * ID1 format document rotated 180 °
    */
    ID1_180 = 11,
    /**
    * ID1 format document rotated 270 °
    */
    ID1_270 = 12,
    /**
    * ID2 format document rotated 90 °
    */
    ID2_180 = 13,
    /**
    * ID3 format document rotated 180 °
    */
    ID3_180 = 14,
    /**
    * Arbitrary format
    */
    CUSTOM = 1000,
    /**
    * Flexible format. Standard formats can be resized during cropping, depending on various factors: light, background...
    */
    FLEXIBLE = 1002
}
/**
 * Regula Document Reader Web API
 * Documents recognition as easy as reading two bytes.   # Clients: * [JavaScript](https://github.com/regulaforensics/DocumentReader-web-js-client) client for the browser and node.js based on axios * [Java](https://github.com/regulaforensics/DocumentReader-web-java-client) client compatible with jvm and android * [Python](https://github.com/regulaforensics/DocumentReader-web-python-client) 3.5+ client * [C#](https://github.com/regulaforensics/DocumentReader-web-csharp-client) client for .NET & .NET Core
 *
 * The version of the OpenAPI document: 8.1.0
 *
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */
/**
 * Enumeration representing RFID Data Group Types. Constants with prefix  correspond to the informational data groups of ePassport application, with prefix EID_ – those of eID application, with prefix EDL_ – eDL application
 * @export
 * @enum {number}
 */
export enum RfidDataGroupTypeTag {
    /**
    * Common Data Element
    */
    COM = 96,
    /**
    * Data Group 1
    */
    DG1 = 97,
    /**
    * Data Group 2
    */
    DG2 = 117,
    /**
    * Data Group 3
    */
    DG3 = 99,
    /**
    * Data Group 4
    */
    DG4 = 118,
    /**
    * Data Group 5
    */
    DG5 = 101,
    /**
    * Data Group 6
    */
    DG6 = 102,
    /**
    * Data Group 7
    */
    DG7 = 103,
    /**
    * Data Group 8
    */
    DG8 = 104,
    /**
    * Data Group 9
    */
    DG9 = 105,
    /**
    * Data Group 10
    */
    DG10 = 106,
    /**
    * Data Group 11
    */
    DG11 = 107,
    /**
    * Data Group 12
    */
    DG12 = 108,
    /**
    * Data Group 13
    */
    DG13 = 109,
    /**
    * Data Group 14
    */
    DG14 = 110,
    /**
    * Data Group 15
    */
    DG15 = 111,
    /**
    * Data Group 16
    */
    DG16 = 112,
    /**
    * Security Object Document
    */
    SOD = 119,
    /**
    * Data Group 17
    */
    DG17 = 113,
    /**
    * Data Group 18
    */
    DG18 = 114,
    /**
    * Data Group 22
    */
    DG22 = 115,
    /**
    * Data Group 23
    */
    DG23 = 116,
    /**
    * Data Group 24
    */
    DG24 = 98,
    /**
    * eID, Data Group 1
    */
    EID_DG1 = 97,
    /**
    * eID, Data Group 2
    */
    EID_DG2 = 98,
    /**
    * eID, Data Group 3
    */
    EID_DG3 = 99,
    /**
    * eID, Data Group 4
    */
    EID_DG4 = 100,
    /**
    * eID, Data Group 5
    */
    EID_DG5 = 101,
    /**
    * eID, Data Group 6
    */
    EID_DG6 = 102,
    /**
    * eID, Data Group 7
    */
    EID_DG7 = 103,
    /**
    * eID, Data Group 8
    */
    EID_DG8 = 104,
    /**
    * eID, Data Group 9
    */
    EID_DG9 = 105,
    /**
    * eID, Data Group 10
    */
    EID_DG10 = 106,
    /**
    * eID, Data Group 11
    */
    EID_DG11 = 107,
    /**
    * eID, Data Group 12
    */
    EID_DG12 = 108,
    /**
    * eID, Data Group 13
    */
    EID_DG13 = 109,
    /**
    * eID, Data Group 14
    */
    EID_DG14 = 110,
    /**
    * eID, Data Group 15
    */
    EID_DG15 = 111,
    /**
    * eID, Data Group 16
    */
    EID_DG16 = 112,
    /**
    * eID, Data Group 17
    */
    EID_DG17 = 113,
    /**
    * eID, Data Group 18
    */
    EID_DG18 = 114,
    /**
    * eID, Data Group 19
    */
    EID_DG19 = 115,
    /**
    * eID, Data Group 20
    */
    EID_DG20 = 116,
    /**
    * eID, Data Group 21
    */
    EID_DG21 = 117,
    /**
    * eDL, Common Data Element
    */
    EDL_COM = 96,
    /**
    * eDL, Security Object Document
    */
    EDL_SOD = 119,
    /**
    * eDL, Card Entitlement
    */
    EDL_CE = 83,
    /**
    * eDL, Data Group 1
    */
    EDL_DG1 = 97,
    /**
    * eDL, Data Group 2
    */
    EDL_DG2 = 107,
    /**
    * eDL, Data Group 3
    */
    EDL_DG3 = 108,
    /**
    * eDL, Data Group 4
    */
    EDL_DG4 = 101,
    /**
    * eDL, Data Group 5
    */
    EDL_DG5 = 103,
    /**
    * eDL, Data Group 6
    */
    EDL_DG6 = 117,
    /**
    * eDL, Data Group 7
    */
    EDL_DG7 = 99,
    /**
    * eDL, Data Group 8
    */
    EDL_DG8 = 118,
    /**
    * eDL, Data Group 9
    */
    EDL_DG9 = 112,
    /**
    * eDL, Data Group 11
    */
    EDL_DG11 = 109,
    /**
    * eDL, Data Group 12
    */
    EDL_DG12 = 113,
    /**
    * eDL, Data Group 13
    */
    EDL_DG13 = 111,
    /**
    * eDL, Data Group 14
    */
    EDL_DG14 = 110
}
/**
 * Structure used to store the contents of EF.DG1 informational data group of ePassport application – document MRZ data
 * @export
 * @interface RfidDG1
 */
export interface RfidDG1 {
    /**
     *
     * @type {RfidDataGroupTypeTag}
     * @memberof RfidDG1
     */
    'Type': RfidDataGroupTypeTag;
    /**
     *
     * @type {DocumentFormat}
     * @memberof RfidDG1
     */
    'DocumentID': DocumentFormat;
    /**
     * Symbolic code of document type
     * @type {string}
     * @memberof RfidDG1
     */
    'DocumentType': string;
    /**
     * Symbolic code of document issuing state
     * @type {string}
     * @memberof RfidDG1
     */
    'State': string;
    /**
     * DO’s name and surname
     * @type {string}
     * @memberof RfidDG1
     */
    'Holder': string;
    /**
     * Document number
     * @type {string}
     * @memberof RfidDG1
     */
    'DocumentNumber': string;
    /**
     * Check digit of document number
     * @type {number}
     * @memberof RfidDG1
     */
    'CheckDigitDocumentNumber': number;
    /**
     * Symbolic code of DO’s nationality
     * @type {string}
     * @memberof RfidDG1
     */
    'Nationality': string;
    /**
     * DO’s date of birth
     * @type {string}
     * @memberof RfidDG1
     */
    'Birthday': string;
    /**
     * Check digit of DO’s date of birth
     * @type {number}
     * @memberof RfidDG1
     */
    'CheckDigitBirthday': number;
    /**
     * DO’s sex
     * @type {string}
     * @memberof RfidDG1
     */
    'Sex': string;
    /**
     * Term of validity of the document
     * @type {string}
     * @memberof RfidDG1
     */
    'ExpiryDate': string;
    /**
     * Check digit of term of validity of the document
     * @type {number}
     * @memberof RfidDG1
     */
    'CheckDigitExpiryDate': number;
    /**
     * DO’s personal number or other additional data
     * @type {string}
     * @memberof RfidDG1
     */
    'OptionalData': string;
    /**
     * Check digit of additional data
     * @type {number}
     * @memberof RfidDG1
     */
    'CheckDigitOptionalData': number;
    /**
     * General check digit
     * @type {number}
     * @memberof RfidDG1
     */
    'CheckDigitComposite': number;
}
/**
 * Regula Document Reader Web API
 * Documents recognition as easy as reading two bytes.   # Clients: * [JavaScript](https://github.com/regulaforensics/DocumentReader-web-js-client) client for the browser and node.js based on axios * [Java](https://github.com/regulaforensics/DocumentReader-web-java-client) client compatible with jvm and android * [Python](https://github.com/regulaforensics/DocumentReader-web-python-client) 3.5+ client * [C#](https://github.com/regulaforensics/DocumentReader-web-csharp-client) client for .NET & .NET Core
 *
 * The version of the OpenAPI document: 8.1.0
 *
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */
/**
 * Enumeration contains a set of constants that define the file type (or logical belonging of the data object) within the context of the communication session with electronic document
 * @export
 * @enum {number}
 */
export enum RfidDataFileType {
    UNSPECIFIED = 0,
    PASSPORT_DG1 = 1,
    PASSPORT_DG2 = 2,
    PASSPORT_DG3 = 3,
    PASSPORT_DG4 = 4,
    PASSPORT_DG5 = 5,
    PASSPORT_DG6 = 6,
    PASSPORT_DG7 = 7,
    PASSPORT_DG8 = 8,
    PASSPORT_DG9 = 9,
    PASSPORT_DG10 = 10,
    PASSPORT_DG11 = 11,
    PASSPORT_DG12 = 12,
    PASSPORT_DG13 = 13,
    PASSPORT_DG14 = 14,
    PASSPORT_DG15 = 15,
    PASSPORT_DG16 = 16,
    PASSPORT_DG17 = 17,
    PASSPORT_DG18 = 18,
    PASSPORT_DG19 = 19,
    PASSPORT_DG20 = 20,
    PASSPORT_SOD = 21,
    PASSPORT_CVCA = 22,
    PASSPORT_COM = 23,
    DTC_DG17 = 57,
    DTC_DG18 = 58,
    DTC_DG22 = 62,
    DTC_DG23 = 63,
    DTC_DG24 = 64,
    ID_DG1 = 101,
    ID_DG2 = 102,
    ID_DG3 = 103,
    ID_DG4 = 104,
    ID_DG5 = 105,
    ID_DG6 = 106,
    ID_DG7 = 107,
    ID_DG8 = 108,
    ID_DG9 = 109,
    ID_DG10 = 110,
    ID_DG11 = 111,
    ID_DG12 = 112,
    ID_DG13 = 113,
    ID_DG14 = 114,
    ID_DG15 = 115,
    ID_DG16 = 116,
    ID_DG17 = 117,
    ID_DG18 = 118,
    ID_DG19 = 119,
    ID_DG20 = 120,
    ID_DG21 = 121,
    DL_COM = 150,
    DL_DG1 = 151,
    DL_DG2 = 152,
    DL_DG3 = 153,
    DL_DG4 = 154,
    DL_DG5 = 155,
    DL_DG6 = 156,
    DL_DG7 = 157,
    DL_DG8 = 158,
    DL_DG9 = 159,
    DL_DG10 = 160,
    DL_DG11 = 161,
    DL_DG12 = 162,
    DL_DG13 = 163,
    DL_DG14 = 164,
    DL_SOD = 165,
    DL_CE = 166,
    DL_CVCA = 167,
    PACE_CARD_ACCESS = 200,
    PACE_CARD_SECURITY = 201,
    PACE_CHIP_SECURITY = 202,
    MIFARE_DATA = 300,
    MIFARE_VALIDITY = 301,
    AUTHENTICITY_V2 = 302,
    ATR = 400,
    DIR = 401,
    E_SIGN_PK = 500,
    E_SIGN_SIGNED_DATA = 501,
    CERTIFICATE = 600,
    MASTER_LIST = 601,
    DEFECT_LIST = 602,
    DEVIATION_LIST = 603,
    BLACK_LIST = 604,
    APP_DIRECTORY = 700,
    SESSION = 701,
    LOG_DATA = 702,
    CHIP_PROPERTIES = 703,
    DTC_INFO = 704,
    POST_CA_RESPONSE = 710,
    POST_CA_PUBLIC_KEY = 711,
    POST_CA_INFO = 712,
    POST_CA_D_PARAMS = 713,
    POST_CA_CHECK_PK = 714,
    POST_CA_CHECK_SK = 715,
    SAM_DATA = 800,
    SAM_DATA_MAX = 832,
    VDS = 900,
    VDS_NC = 901,
    DS = 902,
    USER_DEFINED = 1000
}
/**
 * Regula Document Reader Web API
 * Documents recognition as easy as reading two bytes.   # Clients: * [JavaScript](https://github.com/regulaforensics/DocumentReader-web-js-client) client for the browser and node.js based on axios * [Java](https://github.com/regulaforensics/DocumentReader-web-java-client) client compatible with jvm and android * [Python](https://github.com/regulaforensics/DocumentReader-web-python-client) 3.5+ client * [C#](https://github.com/regulaforensics/DocumentReader-web-csharp-client) client for .NET & .NET Core
 *
 * The version of the OpenAPI document: 8.1.0
 *
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */
/**
 * Enumeration contains a set of error codes returned by SDK
 * @export
 * @enum {number}
 */
export enum RFIDErrorCodes {
    /**
    * RFID: No error
    */
    RFID_Error_NoError = 1,
    /**
    * RFID: Already done
    */
    RFID_Error_AlreadyDone = 2,
    /**
    * RFID: Failed
    */
    RFID_Error_Failed = 4294967295,
    /**
    * RFID: No chip detected
    */
    RFID_Error_NoChipDetected = 2147549185,
    /**
    * RFID: Not available
    */
    RFID_Error_NotAvailable = 2147549186,
    /**
    * RFID: Invalid parameter
    */
    RFID_Error_InvalidParameter = 2147549188,
    /**
    * RFID: Not initialized
    */
    RFID_Error_NotInitialized = 2147549189,
    /**
    * RFID: Not enough memory
    */
    RFID_Error_NotEnoughMemory = 2147549190,
    /**
    * RFID: Not enough data
    */
    RFID_Error_NotEnoughData = 2147549191,
    /**
    * RFID: Invalid directory
    */
    RFID_Error_InvalidDirectory = 2147549192,
    /**
    * RFID: Unknown command
    */
    RFID_Error_UnknownCommand = 2147549193,
    /**
    * RFID: File IO error
    */
    RFID_Error_FileIOError = 2147549194,
    /**
    * RFID: Busy
    */
    RFID_Error_Busy = 2147549195,
    /**
    * RFID: Old firmware
    */
    RFID_Error_OldFirmware = 2147549196,
    /**
    * PCSC: Failed
    */
    RFID_Error_PCSC_Failed = 2147614720,
    /**
    * PCSC: Reader not available
    */
    RFID_Error_PCSC_ReaderNotAvailable = 2147614721,
    /**
    * PCSC: Can&#39;t connect card
    */
    RFID_Error_PCSC_CantConnectCard = 2147614722,
    /**
    * PCSC: Card is not connected
    */
    RFID_Error_PCSC_CardIsNotConnected = 2147614723,
    /**
    * PCSC: Operation cancelled
    */
    RFID_Error_PCSC_OperationCancelled = 2147614724,
    /**
    * PCSC: Card is busy
    */
    RFID_Error_PCSC_CardIsBusy = 2147614725,
    /**
    * PCSC: Failed smart card
    */
    RFID_Error_PCSC_FailedSCard = 2147614726,
    /**
    * PCSC: ExtLe failed
    */
    RFID_Error_PCSC_ExtLe_Failed = 2147614736,
    /**
    * Layer 6: Security manager
    */
    RFID_LAYER6_SECURITY_MANAGER = 2248146944,
    /**
    * Layer 6: App selection failure
    */
    RFID_LAYER6_APP_SELECTION_FAILURE = 2248146945,
    /**
    * Layer 6: Mutual auth MAC fail
    */
    RFID_LAYER6_MUTUAL_AUTH_MAC_FAIL = 2248147200,
    /**
    * Layer 6: Mutual auth ENC fail
    */
    RFID_LAYER6_MUTUAL_AUTH_ENC_FAIL = 2248147201,
    /**
    * Layer 6: Mutual auth failure
    */
    RFID_LAYER6_MUTUAL_AUTH_FAILURE = 2248147202,
    /**
    * Layer 6: Mutual auth failure data
    */
    RFID_LAYER6_MUTUAL_AUTH_FAILURE_DATA = 2248147203,
    /**
    * Layer 6: SM DO8E missing
    */
    RFID_LAYER6_SM_DO8E_MISSING = 2248147456,
    /**
    * Layer 6: SM DO87 missing
    */
    RFID_LAYER6_SM_DO87_MISSING = 2248147457,
    /**
    * Layer 6: SM DO99 missing
    */
    RFID_LAYER6_SM_DO99_MISSING = 2248147458,
    /**
    * Layer 6: SM MAC incorrect
    */
    RFID_LAYER6_SM_MAC_INCORRECT = 2248147459,
    /**
    * Layer 6: SM DO87 incorrect
    */
    RFID_LAYER6_SM_DO87_INCORRECT = 2248147460,
    /**
    * Layer 6: NON TLV response data
    */
    RFID_LAYER6_NON_TLV_RESPONSE_DATA = 2248147712,
    /**
    * Layer 6: Wrong RND ICC length
    */
    RFID_LAYER6_WRONG_RND_ICC_LENGTH = 2248147713,
    /**
    * Layer 6: Int auth failure
    */
    RFID_LAYER6_INT_AUTH_FAILURE = 2248147714,
    /**
    * Layer 6: MSE set KAT failure
    */
    RFID_LAYER6_MSE_SET_KAT_FAILURE = 2248147715,
    /**
    * Layer 6: MSE set DST failure
    */
    RFID_LAYER6_MSE_SET_DST_FAILURE = 2248147716,
    /**
    * Layer 6: PSO certificate failure
    */
    RFID_LAYER6_PSO_CERTIFICATE_FAILURE = 2248147717,
    /**
    * Layer 6: MSE set at failure
    */
    RFID_LAYER6_MSE_SET_AT_FAILURE = 2248147718,
    /**
    * Layer 6: Get challenge failure
    */
    RFID_LAYER6_GET_CHALLENGE_FAILURE = 2248147719,
    /**
    * Layer 6: EXT auth failure
    */
    RFID_LAYER6_EXT_AUTH_FAILURE = 2248147720,
    /**
    * Layer 6: GENERAL auth failure
    */
    RFID_LAYER6_GENERAL_AUTH_FAILURE = 2248147721,
    /**
    * Layer 6: File not found
    */
    RFID_LAYER6_FILE_NOT_FOUND = 2147510914,
    /**
    * Layer 6: File EOF1
    */
    RFID_LAYER6_FILE_EOF1 = 2147508866,
    /**
    * Layer 6: File EOF2
    */
    RFID_LAYER6_FILE_EOF2 = 2147511040,
    /**
    * Layer 6: Wrong length
    */
    RFID_LAYER6_WRONG_LENGTH = 2147510016,
    /**
    * Layer 6: Incorrect params
    */
    RFID_LAYER6_INCORRECT_PARAMS = 2147510912,
    /**
    * Layer 6: No reference data
    */
    RFID_LAYER6_NO_REFERENCE_DATA = 2147510920,
    /**
    * Layer 6: PWD suspended
    */
    RFID_LAYER6_PWD_SUSPENDED = 2147509185,
    /**
    * Layer 6: PWD blocked
    */
    RFID_LAYER6_PWD_BLOCKED = 2147509184,
    /**
    * Layer 6: PWD deactivated
    */
    RFID_LAYER6_PWD_DEACTIVATED = 2147508867,
    /**
    * Layer 6: PWD blocked 2
    */
    RFID_LAYER6_PWD_BLOCKED_2 = 2147510659,
    /**
    * Layer 6: PWD deactivated 2
    */
    RFID_LAYER6_PWD_DEACTIVATED_2 = 2147510660,
    /**
    * Layer 6: PWD suspended 2
    */
    RFID_LAYER6_PWD_SUSPENDED_2 = 2147510661,
    /**
    * Layer 6: PWD failed
    */
    RFID_LAYER6_PWD_FAILED = 2148557760,
    /**
    * RFID: NotPerformed
    */
    RFID_Error_NotPerformed = 2197815296,
    /**
    * RFID: Session is closed
    */
    RFID_Error_Session_IsClosed = 2197815297,
    /**
    * Session terminal: Unsupported operation
    */
    RFID_Error_Session_Terminal_UnsupportedOperation = 2197815298,
    /**
    * Session terminal type: Unknown
    */
    RFID_Error_Session_TerminalType_Unknown = 2197815312,
    /**
    * Session terminal type: Bad certificate
    */
    RFID_Error_Session_TerminalType_BadCertificate = 2197815313,
    /**
    * Session terminal type: Not set
    */
    RFID_Error_Session_TerminalType_NotSet = 2197815314,
    /**
    * Session procedure type: Unknown
    */
    RFID_Error_Session_ProcedureType_Unknown = 2197815315,
    /**
    * Session procedure type: Unsupported
    */
    RFID_Error_Session_ProcedureType_Unsupported = 2197815316,
    /**
    * Session procedure type: Not set
    */
    RFID_Error_Session_ProcedureType_NotSet = 2197815317,
    /**
    * Session access key: Unknown type
    */
    RFID_Error_Session_AccessKey_UnknownType = 2197815318,
    /**
    * Session access key: Unsupported SM type
    */
    RFID_Error_Session_AccessKey_UnsupportedSMType = 2197815319,
    /**
    * Session access key: Incorrect SM type
    */
    RFID_Error_Session_AccessKey_IncorrectSMType = 2197815320,
    /**
    * Session access key: Restricted
    */
    RFID_Error_Session_AccessKey_Restricted = 2197815321,
    /**
    * Session access key: Incorrect data
    */
    RFID_Error_Session_AccessKey_IncorrectData = 2197815322,
    /**
    * Session access key: Not set
    */
    RFID_Error_Session_AccessKey_NotSet = 2197815323,
    /**
    * Session pwd management: Not authorized
    */
    RFID_Error_Session_PwdManagement_NotAuthorized = 2197815324,
    /**
    * Session access control: Unknown type
    */
    RFID_Error_Session_AccessControl_UnknownType = 2197815328,
    /**
    * Session access control: Requires SM
    */
    RFID_Error_Session_AccessControl_RequiresSM = 2197815329,
    /**
    * Session access control: Requires PACE
    */
    RFID_Error_Session_AccessControl_RequiresPACE = 2197815330,
    /**
    * Session access control: Requires CA keys
    */
    RFID_Error_Session_AccessControl_RequiresCAKeys = 2197815331,
    /**
    * Session access control: Requires TA
    */
    RFID_Error_Session_AccessControl_RequiresTA = 2197815332,
    /**
    * Session access control: Requires CA
    */
    RFID_Error_Session_AccessControl_RequiresCA = 2197815333,
    /**
    * Session access control: Incorrect option CA
    */
    RFID_Error_Session_AccessControl_IncorrectOptionCA = 2197815334,
    /**
    * Session access control: CA Failed
    */
    RFID_Error_Session_AccessControl_CA_Failed = 2197815335,
    /**
    * Session access control: TA Failed
    */
    RFID_Error_Session_AccessControl_TA_Failed = 2197815336,
    /**
    * Session access control: AA Failed
    */
    RFID_Error_Session_AccessControl_AA_Failed = 2197815337,
    /**
    * Session access control: RI Failed
    */
    RFID_Error_Session_AccessControl_RI_Failed = 2197815338,
    /**
    * Session PA: Signature check failed
    */
    RFID_Error_Session_PA_SignatureCheckFailed = 2197815344,
    /**
    * Session PA: Hash check failed
    */
    RFID_Error_Session_PA_HashCheckFailed = 2197815345,
    /**
    * Session invalid aux data: Date of expiry
    */
    RFID_Error_Session_InvalidAuxData_DateOfExpiry = 2197815360,
    /**
    * Session invalid aux data: Date of birth
    */
    RFID_Error_Session_InvalidAuxData_DateOfBirth = 2197815361,
    /**
    * Session invalid aux data: Community ID
    */
    RFID_Error_Session_InvalidAuxData_CommunityID = 2197815362,
    /**
    * Session eSign: Requires app selection
    */
    RFID_Error_Session_eSign_RequiresAppSelection = 2197815376,
    /**
    * Session eSign: PIN not set
    */
    RFID_Error_Session_eSign_PIN_NotSet = 2197815377,
    /**
    * Session eSign: PIN not verified
    */
    RFID_Error_Session_eSign_PIN_NotVerified = 2197815378,
    /**
    * Session: Incorrect data
    */
    RFID_Error_Session_IncorrectData = 2197815392,
    /**
    * Session file: Not enough data
    */
    RFID_Error_Session_File_NotEnoughData = 2197880832,
    /**
    * Session file: Incorrect data
    */
    RFID_Error_Session_File_IncorrectData = 2197946368,
    /**
    * Session file: Unexpected data
    */
    RFID_Error_Session_File_UnexpectedData = 2198011904,
    /**
    * Session file: Contents unexpected data
    */
    RFID_Error_Session_File_Contents_UnexpectedData = 2198077440,
    /**
    * Session file: Wrong tag
    */
    RFID_Error_Session_File_WrongTag = 2198142976,
    /**
    * Session file: Cant use data
    */
    RFID_Error_Session_File_CantUseData = 2198208512,
    /**
    * Session file: Cant read data
    */
    RFID_Error_Session_File_CantReadData = 2198274048,
    /**
    * Session file: Access denied
    */
    RFID_Error_Session_File_AccessDenied = 2198339584,
    /**
    * Layer 34: No error
    */
    RFID_Error_Layer34_NoError = 2214592512,
    /**
    * Layer 34: Time out
    */
    RFID_Error_Layer34_TimeOut = 2214658048,
    /**
    * Layer 34: Collision
    */
    RFID_Error_Layer34_Collision = 2214723584,
    /**
    * Layer 34: CRC
    */
    RFID_Error_Layer34_CRC = 2214789120,
    /**
    * Layer 34: Data integrity
    */
    RFID_Error_Layer34_DataIntegrity = 2214854656,
    /**
    * Layer 34: Data length
    */
    RFID_Error_Layer34_DataLength = 2214920192,
    /**
    * Layer 34: RFU
    */
    RFID_Error_Layer34_RFU = 2214985728,
    /**
    * Layer 34: Collision too many
    */
    RFID_Error_Layer34_Collision_TooMany = 2215051264,
    /**
    * Layer 34: Protocol B
    */
    RFID_Error_Layer34_ProtocolB = 2215116800,
    /**
    * Layer 34: Data contents
    */
    RFID_Error_Layer34_DataContents = 2215182336,
    /**
    * Layer 34: Protocol
    */
    RFID_Error_Layer34_Protocol = 2215247872,
    /**
    * Layer 34: Global timeOut
    */
    RFID_Error_Layer34_GlobalTimeOut = 2215313408,
    /**
    * Layer 34: MIFARE auth
    */
    RFID_Error_Layer34_MIFARE_Auth = 2215378944,
    /**
    * Layer 34: SAM error
    */
    RFID_Error_Layer34_SAM_Error = 2215444480,
    /**
    * Layer 34: SAM collision
    */
    RFID_Error_Layer34_SAM_Collision = 2215510016,
    /**
    * Layer 34: SAM acknowledge
    */
    RFID_Error_Layer34_SAM_Acknowledge = 2215575552
}
/**
 * Regula Document Reader Web API
 * Documents recognition as easy as reading two bytes.   # Clients: * [JavaScript](https://github.com/regulaforensics/DocumentReader-web-js-client) client for the browser and node.js based on axios * [Java](https://github.com/regulaforensics/DocumentReader-web-java-client) client compatible with jvm and android * [Python](https://github.com/regulaforensics/DocumentReader-web-python-client) 3.5+ client * [C#](https://github.com/regulaforensics/DocumentReader-web-csharp-client) client for .NET & .NET Core
 *
 * The version of the OpenAPI document: 8.1.0
 *
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */
/**
 * The enumeration contains possible values of notification codes returned during the RFID chip processing.
 * @export
 * @enum {number}
 */
export enum ParsingNotificationCodes {
    /**
    * ASN certificate: Incorrect version
    */
    ntfLDS_ASN_Certificate_IncorrectVersion = 2415919105,
    /**
    * ASN certificate: Non-matching signature algorithm
    */
    ntfLDS_ASN_Certificate_NonMatchingSignatureAlgorithm = 2415919106,
    /**
    * ASN certificate: Incorrect time coding
    */
    ntfLDS_ASN_Certificate_IncorrectTimeCoding = 2415919107,
    /**
    * ASN certificate: Incorrect use of generalized time
    */
    ntfLDS_ASN_Certificate_IncorrectUseOfGeneralizedTime = 2415919108,
    /**
    * ASN certificate: Empty issuer
    */
    ntfLDS_ASN_Certificate_EmptyIssuer = 2415919109,
    /**
    * ASN certificate: Empty subject
    */
    ntfLDS_ASN_Certificate_EmptySubject = 2415919110,
    /**
    * ASN certificate: Unsupported critical extension
    */
    ntfLDS_ASN_Certificate_UnsupportedCriticalExtension = 2415919112,
    /**
    * ASN certificate: Forced default CSCA role
    */
    ntfLDS_ASN_Certificate_ForcedDefaultCSCARole = 2415919118,
    /**
    * ASN certificate: Forced default DS role
    */
    ntfLDS_ASN_Certificate_ForcedDefaultDSRole = 2415919119,
    /**
    * ASN certificate: Incorrect issuer subject DS
    */
    ntfLDS_ASN_Certificate_IncorrectIssuerSubjectDS = 2415919120,
    /**
    * ASN certificate: Duplicating extensions
    */
    ntfLDS_ASN_Certificate_DuplicatingExtensions = 2415919127,
    /**
    * ICAO certificate: Version missed
    */
    ntfLDS_ICAO_Certificate_Version_Missed = 2415919616,
    /**
    * ICAO certificate: Version incorrect
    */
    ntfLDS_ICAO_Certificate_Version_Incorrect = 2415919617,
    /**
    * ICAO certificate: Issuer country missed
    */
    ntfLDS_ICAO_Certificate_Issuer_Country_Missed = 2415919618,
    /**
    * ICAO certificate: Issuer common name missed
    */
    ntfLDS_ICAO_Certificate_Issuer_CommonName_Missed = 2415919619,
    /**
    * ICAO certificate: Issuer country non-compliant
    */
    ntfLDS_ICAO_Certificate_Issuer_CountryNonCompliant = 2415919620,
    /**
    * ICAO certificate: Subject country missed
    */
    ntfLDS_ICAO_Certificate_Subject_Country_Missed = 2415919621,
    /**
    * ICAO certificate: Subject common name missed
    */
    ntfLDS_ICAO_Certificate_Subject_CommonName_Missed = 2415919622,
    /**
    * ICAO certificate: Subject country non-compliant
    */
    ntfLDS_ICAO_Certificate_Subject_CountryNonCompliant = 2415919623,
    /**
    * ICAO certificate: Using non-compliant data
    */
    ntfLDS_ICAO_Certificate_UsingNonCompliantData = 2415919624,
    /**
    * ICAO certificate: Unsupported signature algorithm
    */
    ntfLDS_ICAO_Certificate_UnsupportedSignatureAlgorithm = 2415919625,
    /**
    * ICAO certificate: Unsupported public key algorithm
    */
    ntfLDS_ICAO_Certificate_UnsupportedPublicKeyAlgorithm = 2415919626,
    /**
    * ICAO certificate: Missed extensions
    */
    ntfLDS_ICAO_Certificate_MissedExtensions = 2415919627,
    /**
    * ICAO certificate: Validity
    */
    ntfLDS_ICAO_Certificate_Validity = 2415919628,
    /**
    * ICAO certificate extension: Using non-compliant data
    */
    ntfLDS_ICAO_Certificate_Ext_UsingNonCompliantData = 2415919629,
    /**
    * ICAO certificate extension: Key usage missed
    */
    ntfLDS_ICAO_Certificate_Ext_KeyUsage_Missed = 2415919630,
    /**
    * ICAO certificate extension: Key usage not critical
    */
    ntfLDS_ICAO_Certificate_Ext_KeyUsage_NotCritical = 2415919631,
    /**
    * ICAO certificate extension: Key usage incorrect data
    */
    ntfLDS_ICAO_Certificate_Ext_KeyUsage_IncorrectData = 2415919632,
    /**
    * ICAO certificate extension: Basic constraints missed
    */
    ntfLDS_ICAO_Certificate_Ext_BasicC_Missed = 2415919633,
    /**
    * ICAO certificate extension: Basic constraints incorrect usage 1
    */
    ntfLDS_ICAO_Certificate_Ext_BasicC_IncorrectUsage1 = 2415919634,
    /**
    * ICAO certificate extension: Basic constraints incorrect usage 2
    */
    ntfLDS_ICAO_Certificate_Ext_BasicC_IncorrectUsage2 = 2415919635,
    /**
    * ICAO certificate extension: Basic constraints not critical
    */
    ntfLDS_ICAO_Certificate_Ext_BasicC_NotCritical = 2415919636,
    /**
    * ICAO certificate extension: Basic constraints incorrect data
    */
    ntfLDS_ICAO_Certificate_Ext_BasicC_IncorrectData = 2415919637,
    /**
    * ICAO certificate extension: Basic constraints path LenC missed
    */
    ntfLDS_ICAO_Certificate_Ext_BasicC_PathLenC_Missed = 2415919638,
    /**
    * ICAO certificate extension: Basic constraints path LenC incorrect
    */
    ntfLDS_ICAO_Certificate_Ext_BasicC_PathLenC_Incorrect = 2415919639,
    /**
    * ICAO certificate extension: Ext key usage not critical
    */
    ntfLDS_ICAO_Certificate_Ext_ExtKeyUsage_NotCritical = 2415919640,
    /**
    * ICAO certificate extension: Ext key usage incorrect usage
    */
    ntfLDS_ICAO_Certificate_Ext_ExtKeyUsage_IncorrectUsage = 2415919641,
    /**
    * ICAO certificate extension: Ext key usage incorrect data
    */
    ntfLDS_ICAO_Certificate_Ext_ExtKeyUsage_IncorrectData = 2415919642,
    /**
    * ICAO certificate extension Auth key: ID missed
    */
    ntfLDS_ICAO_Certificate_Ext_AuthKeyID_Missed = 2415919643,
    /**
    * ICAO certificate extension Auth key: ID incorrect data
    */
    ntfLDS_ICAO_Certificate_Ext_AuthKeyID_IncorrectData = 2415919644,
    /**
    * ICAO certificate extension Auth key: ID key ID missed
    */
    ntfLDS_ICAO_Certificate_Ext_AuthKeyID_KeyID_Missed = 2415919645,
    /**
    * ICAO certificate extension: Subject key ID missed
    */
    ntfLDS_ICAO_Certificate_Ext_SubjectKeyID_Missed = 2415919646,
    /**
    * ICAO certificate extension: Subject key ID incorrect data
    */
    ntfLDS_ICAO_Certificate_Ext_SubjectKeyID_IncorrectData = 2415919647,
    /**
    * ICAO certificate extension: Private key UP missed
    */
    ntfLDS_ICAO_Certificate_Ext_PrivateKeyUP_Missed = 2415919648,
    /**
    * ICAO certificate extension: Private key UP incorrect data
    */
    ntfLDS_ICAO_Certificate_Ext_PrivateKeyUP_IncorrectData = 2415919649,
    /**
    * ICAO certificate extension: Private key UP empty
    */
    ntfLDS_ICAO_Certificate_Ext_PrivateKeyUP_Empty = 2415919650,
    /**
    * ICAO certificate extension: Subject alt name missed
    */
    ntfLDS_ICAO_Certificate_Ext_SubjectAltName_Missed = 2415919651,
    /**
    * ICAO certificate extension: Subject alt name incorrect data
    */
    ntfLDS_ICAO_Certificate_Ext_SubjectAltName_IncorrectData = 2415919652,
    /**
    * ICAO certificate extension: Subject alt name empty
    */
    ntfLDS_ICAO_Certificate_Ext_SubjectAltName_Empty = 2415919653,
    /**
    * ICAO certificate extension: Subject alt name non-compliant
    */
    ntfLDS_ICAO_Certificate_Ext_SubjectAltName_NonCompliant = 2415919654,
    /**
    * ICAO certificate extension: Subject alt name critical
    */
    ntfLDS_ICAO_Certificate_Ext_SubjectAltName_Critical = 2415919656,
    /**
    * ICAO certificate extension: Subject alt name DN empty
    */
    ntfLDS_ICAO_Certificate_Ext_SubjectAltName_DN_Empty = 2415919657,
    /**
    * ICAO certificate extension: Subject alt name DN incorrect
    */
    ntfLDS_ICAO_Certificate_Ext_SubjectAltName_DN_Incorrect = 2415919658,
    /**
    * ICAO certificate extension: Subject alt name DN non-compliant
    */
    ntfLDS_ICAO_Certificate_Ext_SubjectAltName_DN_NonCompliant = 2415919659,
    /**
    * ICAO certificate extension: Issuer alt name missed
    */
    ntfLDS_ICAO_Certificate_Ext_IssuerAltName_Missed = 2415919660,
    /**
    * ICAO certificate extension: Issuer alt name incorrect data
    */
    ntfLDS_ICAO_Certificate_Ext_IssuerAltName_IncorrectData = 2415919661,
    /**
    * ICAO certificate extension: Issuer alt name empty
    */
    ntfLDS_ICAO_Certificate_Ext_IssuerAltName_Empty = 2415919662,
    /**
    * ICAO certificate extension: Issuer alt name non-compliant
    */
    ntfLDS_ICAO_Certificate_Ext_IssuerAltName_NonCompliant = 2415919663,
    /**
    * ICAO certificate extension: Issuer alt name critical
    */
    ntfLDS_ICAO_Certificate_Ext_IssuerAltName_Critical = 2415919665,
    /**
    * ICAO certificate extension: Issuer alt name DN empty
    */
    ntfLDS_ICAO_Certificate_Ext_IssuerAltName_DN_Empty = 2415919666,
    /**
    * ICAO certificate extension: Issuer alt name DN incorrect
    */
    ntfLDS_ICAO_Certificate_Ext_IssuerAltName_DN_Incorrect = 2415919667,
    /**
    * ICAO certificate extension: Issuer alt name DN non-compliant
    */
    ntfLDS_ICAO_Certificate_Ext_IssuerAltName_DN_NonCompliant = 2415919668,
    /**
    * ICAO certificate extension Doc type list: Missed
    */
    ntfLDS_ICAO_Certificate_Ext_DocTypeList_Missed = 2415919669,
    /**
    * ICAO certificate extension Doc type list: Incorrect data
    */
    ntfLDS_ICAO_Certificate_Ext_DocTypeList_IncorrectData = 2415919670,
    /**
    * ICAO certificate extension Doc type list: Version
    */
    ntfLDS_ICAO_Certificate_Ext_DocTypeList_Version = 2415919671,
    /**
    * ICAO certificate extension Doc type list: Doc types
    */
    ntfLDS_ICAO_Certificate_Ext_DocTypeList_DocTypes = 2415919672,
    /**
    * ICAO certificate extension Doc type list: Doc types empty
    */
    ntfLDS_ICAO_Certificate_Ext_DocTypeList_DocTypes_Empty = 2415919673,
    /**
    * ICAO certificate extension: Cert policies incorrect data
    */
    ntfLDS_ICAO_Certificate_Ext_CertPolicies_IncorrectData = 2415919674,
    /**
    * ICAO certificate extension: Cert policies empty
    */
    ntfLDS_ICAO_Certificate_Ext_CertPolicies_Empty = 2415919675,
    /**
    * ICAO certificate extension: Cert policies policy ID missed
    */
    ntfLDS_ICAO_Certificate_Ext_CertPolicies_PolicyID_Missed = 2415919676,
    /**
    * ICAO certificate extension: CRL dist point missed
    */
    ntfLDS_ICAO_Certificate_Ext_CRLDistPoint_Missed = 2415919677,
    /**
    * ICAO certificate extension: CRL dist point incorrect data
    */
    ntfLDS_ICAO_Certificate_Ext_CRLDistPoint_IncorrectData = 2415919678,
    /**
    * ICAO certificate extension: CRL dist point empty
    */
    ntfLDS_ICAO_Certificate_Ext_CRLDistPoint_Empty = 2415919679,
    /**
    * ICAO certificate extension: CRL dist point point missed
    */
    ntfLDS_ICAO_Certificate_Ext_CRLDistPoint_PointMissed = 2415919680,
    /**
    * ICAO certificate: SN non-compliant
    */
    ntfLDS_ICAO_Certificate_SN_NonCompliant = 2415919681,
    /**
    * ICAO certificate: Issuer SN non-compliant
    */
    ntfLDS_ICAO_Certificate_Issuer_SN_NonCompliant = 2415919682,
    /**
    * ICAO certificate: Subject SN non-compliant
    */
    ntfLDS_ICAO_Certificate_Subject_SN_NonCompliant = 2415919683,
    /**
    * ICAO certificate: Issuer attribute non-compliant
    */
    ntfLDS_ICAO_Certificate_Issuer_AttributeNonCompliant = 2415919684,
    /**
    * ICAO certificate: Subject attribute non-compliant
    */
    ntfLDS_ICAO_Certificate_Subject_AttributeNonCompliant = 2415919685,
    /**
    * ICAO certificate: Issuer subject country non-matching
    */
    ntfLDS_ICAO_Certificate_IssuerSubject_Country_NonMatching = 2415919686,
    /**
    * ICAO certificate extension: CSCA alt names non-matching
    */
    ntfLDS_ICAO_Certificate_Ext_CSCA_AltNames_NonMatching = 2415919687,
    /**
    * ICAO certificate extension: Name change incorrect data
    */
    ntfLDS_ICAO_Certificate_Ext_NameChange_IncorrectData = 2415919688,
    /**
    * ICAO certificate extension: Name change non-compliant
    */
    ntfLDS_ICAO_Certificate_Ext_NameChange_NonCompliant = 2415919689,
    /**
    * ICAO certificate extension: Name change critical
    */
    ntfLDS_ICAO_Certificate_Ext_NameChange_Critical = 2415919690,
    /**
    * ICAO certificate extension Doc type list: Non-compliant
    */
    ntfLDS_ICAO_Certificate_Ext_DocTypeList_NonCompliant = 2415919691,
    /**
    * ICAO certificate extension Doc type list: Critical
    */
    ntfLDS_ICAO_Certificate_Ext_DocTypeList_Critical = 2415919692,
    /**
    * ICAO certificate extension: Optional critical
    */
    ntfLDS_ICAO_Certificate_Ext_Optional_Critical = 2415919693,
    /**
    * ICAO certificate: Subject non-compliant
    */
    ntfLDS_ICAO_Certificate_Subject_NonCompliant = 2415919694,
    /**
    * ICAO certificate: Subject common name non-compliant
    */
    ntfLDS_ICAO_Certificate_Subject_CommonNameNonCompliant = 2415919695,
    /**
    * ICAO certificate: Chain country non-matching
    */
    ntfLDS_ICAO_Certificate_Chain_Country_NonMatching = 2415919696,
    /**
    * ICAO certificate: Visual MRZ country non-matching
    */
    ntfLDS_ICAO_Certificate_VisualMrz_Country_NonMatching = 2415919697,
    /**
    * ICAO certificate: MRZ country non-matching
    */
    ntfLDS_ICAO_Certificate_MRZ_Country_NonMatching = 2415919698,
    /**
    * ICAO certificate: Issuer country non-uppercase
    */
    ntfLDS_ICAO_Certificate_Issuer_CountryNonUpperCase = 2415919699,
    /**
    * ICAO certificate: Subject country non-uppercase
    */
    ntfLDS_ICAO_Certificate_Subject_CountryNonUpperCase = 2415919700,
    /**
    * ICAO COM: LDS version incorrect
    */
    ntfLDS_ICAO_COM_LDS_Version_Incorrect = 2415919136,
    /**
    * ICAO COM: LDS version missing
    */
    ntfLDS_ICAO_COM_LDS_Version_Missing = 2415919137,
    /**
    * ICAO COM: Unicode version incorrect
    */
    ntfLDS_ICAO_COM_Unicode_Version_Incorrect = 2415919138,
    /**
    * ICAO COM: Unicode version missing
    */
    ntfLDS_ICAO_COM_Unicode_Version_Missing = 2415919139,
    /**
    * ICAO COM: DGPM incorrect
    */
    ntfLDS_ICAO_COM_DGPM_Incorrect = 2415919140,
    /**
    * ICAO COM: DGPM missing
    */
    ntfLDS_ICAO_COM_DGPM_Missing = 2415919141,
    /**
    * ICAO COM: DGPM unexpected
    */
    ntfLDS_ICAO_COM_DGPM_Unexpected = 2415919142,
    /**
    * ICAO application: LDS version unsupported
    */
    ntfLDS_ICAO_Application_LDSVersion_Unsupported = 2415919152,
    /**
    * ICAO application: Unicode version unsupported
    */
    ntfLDS_ICAO_Application_UnicodeVersion_Unsupported = 2415919153,
    /**
    * ICAO application: LDS version inconsistent
    */
    ntfLDS_ICAO_Application_LDSVersion_Inconsistent = 2415919154,
    /**
    * ICAO application: Unicode version inconsistent
    */
    ntfLDS_ICAO_Application_UnicodeVersion_Inconsistent = 2415919155,
    /**
    * ASN signed data: OID incorrect
    */
    ntfLDS_ASN_SignedData_OID_Incorrect = 2415919360,
    /**
    * ASN signed data: Version incorrect
    */
    ntfLDS_ASN_SignedData_Version_Incorrect = 2415919520,
    /**
    * ASN signed data: Content OID incorrect
    */
    ntfLDS_ASN_SignedData_ContentOID_Incorrect = 2415919521,
    /**
    * ICAO signed data: Version incorrect
    */
    ntfLDS_ICAO_SignedData_Version_Incorrect = 2415919361,
    /**
    * ICAO signed data: Digest algorithms empty
    */
    ntfLDS_ICAO_SignedData_DigestAlgorithms_Empty = 2415919362,
    /**
    * ICAO signed data: Digest algorithms unsupported
    */
    ntfLDS_ICAO_SignedData_DigestAlgorithms_Unsupported = 2415919363,
    /**
    * ICAO signed data: Signer infos multiple entries
    */
    ntfLDS_ICAO_SignedData_SignerInfos_MultipleEntries = 2415919369,
    /**
    * ICAO signed data: Certificates missed
    */
    ntfLDS_ICAO_SignedData_Certificates_Missed = 2415919536,
    /**
    * ICAO signed data: Certificates empty
    */
    ntfLDS_ICAO_SignedData_Certificates_Empty = 2415919537,
    /**
    * ICAO signed data: CRLs incorrect usage
    */
    ntfLDS_ICAO_SignedData_CRLs_IncorrectUsage = 2415919538,
    /**
    * ICAO LDS object: Incorrect content OID
    */
    ntfLDS_ICAO_LDSObject_IncorrectContentOID = 2415919364,
    /**
    * ICAO LDS object: DG number incorrect
    */
    ntfLDS_ICAO_LDSObject_DGNumber_Incorrect = 2415919365,
    /**
    * ICAO LDS object: DG hash missing
    */
    ntfLDS_ICAO_LDSObject_DGHash_Missing = 2415919366,
    /**
    * ICAO LDS object: DG hash extra
    */
    ntfLDS_ICAO_LDSObject_DGHash_Extra = 2415919367,
    /**
    * ICAO LDS object: Version incorrect
    */
    ntfLDS_ICAO_LDSObject_Version_Incorrect = 2415919368,
    /**
    * ICAO master list: Version incorrect
    */
    ntfLDS_ICAO_MasterList_Version_Incorrect = 2415919552,
    /**
    * ICAO deviation list: Version incorrect
    */
    ntfLDS_ICAO_DeviationList_Version_Incorrect = 2415919560,
    /**
    * BSI: Defect list version incorrect
    */
    ntfLDS_BSI_DefectList_Version_Incorrect = 2415919568,
    /**
    * BSI: Black list version incorrect
    */
    ntfLDS_BSI_BlackList_Version_Incorrect = 2415919576,
    /**
    * ASN signer info: Version incorrect
    */
    ntfLDS_ASN_SignerInfo_Version_Incorrect = 2415919370,
    /**
    * ASN signer info: SID incorrect choice
    */
    ntfLDS_ASN_SignerInfo_SID_IncorrectChoice = 2415919371,
    /**
    * ASN signer info: SID digest algorithm not listed
    */
    ntfLDS_ASN_SignerInfo_SID_DigestAlgorithmNotListed = 2415919372,
    /**
    * ASN signer info: Message digest attr missing
    */
    ntfLDS_ASN_SignerInfo_MessageDigestAttr_Missing = 2415919373,
    /**
    * ASN signer info: Message digest attr data
    */
    ntfLDS_ASN_SignerInfo_MessageDigestAttr_Data = 2415919374,
    /**
    * ASN signer info: Message digest attr value
    */
    ntfLDS_ASN_SignerInfo_MessageDigestAttr_Value = 2415919375,
    /**
    * ASN signer info: Content type attr missing
    */
    ntfLDS_ASN_SignerInfo_ContentTypeAttr_Missing = 2415919376,
    /**
    * ASN signer info: Content type attr data
    */
    ntfLDS_ASN_SignerInfo_ContentTypeAttr_Data = 2415919377,
    /**
    * ASN signer info: Content type attr value
    */
    ntfLDS_ASN_SignerInfo_ContentTypeAttr_Value = 2415919378,
    /**
    * ASN signer info: Signing time attr missing
    */
    ntfLDS_ASN_SignerInfo_SigningTimeAttr_Missing = 2415919387,
    /**
    * ASN signer info: Signing time attr data
    */
    ntfLDS_ASN_SignerInfo_SigningTimeAttr_Data = 2415919388,
    /**
    * ASN signer info: Signing time attr value
    */
    ntfLDS_ASN_SignerInfo_SigningTimeAttr_Value = 2415919389,
    /**
    * ASN signer info: List content description attr missing
    */
    ntfLDS_ASN_SignerInfo_ListContentDescriptionAttr_Missing = 2415919390,
    /**
    * ASN signer info: List content description attr data
    */
    ntfLDS_ASN_SignerInfo_ListContentDescriptionAttr_Data = 2415919391,
    /**
    * Auth signer info: Certificate validity
    */
    ntfLDS_Auth_SignerInfo_Certificate_Validity = 2415919381,
    /**
    * Auth signer info: Certificate root is not trusted
    */
    ntfLDS_Auth_SignerInfo_Certificate_RootIsNotTrusted = 2415919382,
    /**
    * Auth signer info: Certificate cannot find CSCA
    */
    ntfLDS_Auth_SignerInfo_Certificate_CantFindCSCA = 2415919383,
    /**
    * Auth signer info: Certificate revoked
    */
    ntfLDS_Auth_SignerInfo_Certificate_Revoked = 2415919384,
    /**
    * Auth signer info: Certificate signature invalid
    */
    ntfLDS_Auth_SignerInfo_Certificate_SignatureInvalid = 2415919385,
    /**
    * Notification: Unsupported image format
    */
    ntfLDS_UnsupportedImageFormat = 2415919386,
    /**
    * MRZ: Document type unknown
    */
    ntfLDS_MRZ_DocumentType_Unknown = 139272,
    /**
    * MRZ: Issuing state syntax error
    */
    ntfLDS_MRZ_IssuingState_SyntaxError = 139273,
    /**
    * MRZ: Name is void
    */
    ntfLDS_MRZ_Name_IsVoid = 139274,
    /**
    * MRZ: Number incorrect checksum
    */
    ntfLDS_MRZ_Number_IncorrectChecksum = 139277,
    /**
    * MRZ: Nationality syntax error
    */
    ntfLDS_MRZ_Nationality_SyntaxError = 139278,
    /**
    * MRZ: DOB syntax error
    */
    ntfLDS_MRZ_DOB_SyntaxError = 139279,
    /**
    * MRZ: DOB error
    */
    ntfLDS_MRZ_DOB_Error = 139280,
    /**
    * MRZ: DOB incorrect checksum
    */
    ntfLDS_MRZ_DOB_IncorrectChecksum = 139281,
    /**
    * MRZ: Sex incorrect
    */
    ntfLDS_MRZ_Sex_Incorrect = 139282,
    /**
    * MRZ: DOE syntax error
    */
    ntfLDS_MRZ_DOE_SyntaxError = 139283,
    /**
    * MRZ: DOE error
    */
    ntfLDS_MRZ_DOE_Error = 139284,
    /**
    * MRZ: DOE incorrect checksum
    */
    ntfLDS_MRZ_DOE_IncorrectChecksum = 139285,
    /**
    * MRZ: Optional data incorrect checksum
    */
    ntfLDS_MRZ_OptionalData_IncorrectChecksum = 139286,
    /**
    * MRZ: Incorrect checksum
    */
    ntfLDS_MRZ_IncorrectChecksum = 139287,
    /**
    * MRZ: Incorrect
    */
    ntfLDS_MRZ_Incorrect = 139288,
    /**
    * MRZ: Country code visual MRZ non-matching
    */
    ntfLDS_MRZ_CountryCode_VisualMrz_NonMatching = 139289,
    /**
    * Biometrics: Format owner missing
    */
    ntfLDS_Biometrics_FormatOwner_Missing = 2415984640,
    /**
    * Biometrics: Format owner incorrect
    */
    ntfLDS_Biometrics_FormatOwner_Incorrect = 2416050176,
    /**
    * Biometrics: Format type missing
    */
    ntfLDS_Biometrics_FormatType_Missing = 2416115712,
    /**
    * Biometrics: Format type incorrect
    */
    ntfLDS_Biometrics_FormatType_Incorrect = 2416181248,
    /**
    * Biometrics: Type incorrect
    */
    ntfLDS_Biometrics_Type_Incorrect = 2416246784,
    /**
    * Biometrics: Subtype missing
    */
    ntfLDS_Biometrics_SubType_Missing = 2416312320,
    /**
    * Biometrics: Subtype incorrect
    */
    ntfLDS_Biometrics_SubType_Incorrect = 2416377856,
    /**
    * Biometrics: BDB image missing
    */
    ntfLDS_Biometrics_BDB_Image_Missing = 2416443392,
    /**
    * Biometrics: BDB format ID incorrect
    */
    ntfLDS_Biometrics_BDB_FormatID_Incorrect = 2416508928,
    /**
    * Biometrics: BDB version incorrect
    */
    ntfLDS_Biometrics_BDB_Version_Incorrect = 2416574464,
    /**
    * Biometrics: BDB data length incorrect
    */
    ntfLDS_Biometrics_BDB_DataLength_Incorrect = 2416640000,
    /**
    * Biometrics: BDB data incorrect
    */
    ntfLDS_Biometrics_BDB_Data_Incorrect = 2416705536,
    /**
    * Biometrics: BDB data gender
    */
    ntfLDS_Biometrics_BDB_Data_Gender = 2416967680,
    /**
    * Biometrics: BDB data eye color
    */
    ntfLDS_Biometrics_BDB_Data_EyeColor = 2417033216,
    /**
    * Biometrics: BDB data hair color
    */
    ntfLDS_Biometrics_BDB_Data_HairColor = 2417098752,
    /**
    * Biometrics: BDB data pose angle yaw
    */
    ntfLDS_Biometrics_BDB_Data_PoseAngle_Yaw = 2417164288,
    /**
    * Biometrics: BDB data pose angle pitch
    */
    ntfLDS_Biometrics_BDB_Data_PoseAngle_Pitch = 2417229824,
    /**
    * Biometrics: BDB data pose angle roll
    */
    ntfLDS_Biometrics_BDB_Data_PoseAngle_Roll = 2417295360,
    /**
    * Biometrics: BDB data pose angle U yaw
    */
    ntfLDS_Biometrics_BDB_Data_PoseAngleU_Yaw = 2417360896,
    /**
    * Biometrics: BDB data pose angle U pitch
    */
    ntfLDS_Biometrics_BDB_Data_PoseAngleU_Pitch = 2417426432,
    /**
    * Biometrics: BDB data pose angle U roll
    */
    ntfLDS_Biometrics_BDB_Data_PoseAngleU_Roll = 2417491968,
    /**
    * Biometrics: BDB data face image type
    */
    ntfLDS_Biometrics_BDB_Data_FaceImageType = 2417557504,
    /**
    * Biometrics: BDB data image data type
    */
    ntfLDS_Biometrics_BDB_Data_ImageDataType = 2417623040,
    /**
    * Biometrics: RB data incorrect
    */
    ntfLDS_Biometrics_RB_Data_Incorrect = 2449539072,
    /**
    * Biometrics: RB item incorrect
    */
    ntfLDS_Biometrics_RB_Item_Incorrect = 2449604608,
    /**
    * Biometrics: RB item missing
    */
    ntfLDS_Biometrics_RB_Item_Missing = 2449670144,
    /**
    * Biometrics: RB item unexpected
    */
    ntfLDS_Biometrics_RB_Item_Unexpected = 2449735680,
    /**
    * Biometrics: RB RID incorrect
    */
    ntfLDS_Biometrics_RB_RID_Incorrect = 2449801232,
    /**
    * Biometrics: RB image R incorrect
    */
    ntfLDS_Biometrics_RB_ImageR_Incorrect = 2449801248,
    /**
    * Biometrics: RB image item incorrect
    */
    ntfLDS_Biometrics_RB_Image_Item_Incorrect = 2449801264,
    /**
    * Biometrics: RB image item missing
    */
    ntfLDS_Biometrics_RB_Image_Item_Missing = 2449801265,
    /**
    * Biometrics: RB image item unexpected
    */
    ntfLDS_Biometrics_RB_Image_Item_Unexpected = 2449801266,
    /**
    * Biometrics: RB image info item incorrect
    */
    ntfLDS_Biometrics_RB_Image_Info_Item_Incorrect = 2449801280,
    /**
    * Biometrics: RB image info item missing
    */
    ntfLDS_Biometrics_RB_Image_Info_Item_Missing = 2449801281,
    /**
    * Biometrics: RB image info item unexpected
    */
    ntfLDS_Biometrics_RB_Image_Info_Item_Unexpected = 2449801282,
    /**
    * Biometrics: RB image info format incorrect
    */
    ntfLDS_Biometrics_RB_Image_Info_Format_Incorrect = 2449801283,
    /**
    * Biometrics: RB image info format unsupported
    */
    ntfLDS_Biometrics_RB_Image_Info_Format_Unsupported = 2449801284,
    /**
    * Biometrics: RB image info kind incorrect
    */
    ntfLDS_Biometrics_RB_Image_Info_Kind_Incorrect = 2449801285,
    /**
    * Biometrics: RB image info kind unsupported
    */
    ntfLDS_Biometrics_RB_Image_Info_Kind_Unsupported = 2449801286,
    /**
    * Biometrics: RB image info post APB incorrect
    */
    ntfLDS_Biometrics_RB_Image_Info_PostAPB_Incorrect = 2449801287,
    /**
    * Biometrics: RB image info lossy TA incorrect
    */
    ntfLDS_Biometrics_RB_Image_Info_LossyTA_Incorrect = 2449801288,
    /**
    * Biometrics: RB image info lossy TA unsupported
    */
    ntfLDS_Biometrics_RB_Image_Info_LossyTA_Unsupported = 2449801289,
    /**
    * Biometrics: RB image info cam 2 subj unsupported
    */
    ntfLDS_Biometrics_RB_Image_Info_Cam2Subj_Unsupported = 2449801290,
    /**
    * Biometrics: RB image info sens diag unsupported
    */
    ntfLDS_Biometrics_RB_Image_Info_SensDiag_Unsupported = 2449801291,
    /**
    * Biometrics: RB image info lens F unsupported
    */
    ntfLDS_Biometrics_RB_Image_Info_LensF_Unsupported = 2449801292,
    /**
    * Biometrics: RB image info im size incorrect
    */
    ntfLDS_Biometrics_RB_Image_Info_ImSize_Incorrect = 2449801293,
    /**
    * Biometrics: RB image info im size unsupported
    */
    ntfLDS_Biometrics_RB_Image_Info_ImSize_Unsupported = 2449801294,
    /**
    * Biometrics: RB image info im meas incorrect
    */
    ntfLDS_Biometrics_RB_Image_Info_ImMeas_Incorrect = 2449801295,
    /**
    * Biometrics: RB image info color incorrect
    */
    ntfLDS_Biometrics_RB_Image_Info_Color_Incorrect = 2449801296,
    /**
    * Biometrics: RB image info color unsupported
    */
    ntfLDS_Biometrics_RB_Image_Info_Color_Unsupported = 2449801297,
    /**
    * Biometrics: RB image info color map incorrect
    */
    ntfLDS_Biometrics_RB_Image_Info_ColorMap_Incorrect = 2449801298,
    /**
    * Biometrics: RB image capt item incorrect
    */
    ntfLDS_Biometrics_RB_Image_Capt_Item_Incorrect = 2449801312,
    /**
    * Biometrics: RB image capt item unexpected
    */
    ntfLDS_Biometrics_RB_Image_Capt_Item_Unexpected = 2449801313,
    /**
    * Biometrics: RB image capt spectral unsupported
    */
    ntfLDS_Biometrics_RB_Image_Capt_Spectral_Unsupported = 2449801314,
    /**
    * Biometrics: RB image capt tech code incorrect
    */
    ntfLDS_Biometrics_RB_Image_Capt_TechCode_Incorrect = 2449801315,
    /**
    * Biometrics: RB image capt tech code unsupported
    */
    ntfLDS_Biometrics_RB_Image_Capt_TechCode_Unsupported = 2449801316,
    /**
    * Biometrics: RB date item incorrect
    */
    ntfLDS_Biometrics_RB_Date_Item_Incorrect = 2449801328,
    /**
    * Biometrics: RB date item missing
    */
    ntfLDS_Biometrics_RB_Date_Item_Missing = 2449801329,
    /**
    * Biometrics: RB date item unexpected
    */
    ntfLDS_Biometrics_RB_Date_Item_Unexpected = 2449801330,
    /**
    * Biometrics: RB date incorrect
    */
    ntfLDS_Biometrics_RB_Date_Incorrect = 2449801331,
    /**
    * Biometrics: RB quality item incorrect
    */
    ntfLDS_Biometrics_RB_Quality_Item_Incorrect = 2449801344,
    /**
    * Biometrics: RB quality item missing
    */
    ntfLDS_Biometrics_RB_Quality_Item_Missing = 2449801345,
    /**
    * Biometrics: RB quality item unexpected
    */
    ntfLDS_Biometrics_RB_Quality_Item_Unexpected = 2449801346,
    /**
    * Biometrics: RB quality alg ID item incorrect
    */
    ntfLDS_Biometrics_RB_Quality_AlgID_Item_Incorrect = 2449801347,
    /**
    * Biometrics: RB quality SoE item incorrect
    */
    ntfLDS_Biometrics_RB_Quality_SoE_Item_Incorrect = 2449801348,
    /**
    * Biometrics: RB quality score item incorrect
    */
    ntfLDS_Biometrics_RB_Quality_Score_Item_Incorrect = 2449801349,
    /**
    * Biometrics: RB quality error item incorrect
    */
    ntfLDS_Biometrics_RB_Quality_Error_Item_Incorrect = 2449801350,
    /**
    * Biometrics: RB quality error item unsupported
    */
    ntfLDS_Biometrics_RB_Quality_Error_Item_Unsupported = 2449801351,
    /**
    * Biometrics: RB PAD item incorrect
    */
    ntfLDS_Biometrics_RB_PAD_Item_Incorrect = 2449801360,
    /**
    * Biometrics: RB PAD item unexpected
    */
    ntfLDS_Biometrics_RB_PAD_Item_Unexpected = 2449801361,
    /**
    * Biometrics: RB PAD decision item incorrect
    */
    ntfLDS_Biometrics_RB_PAD_Decision_Item_Incorrect = 2449801362,
    /**
    * Biometrics: RB PAD decision item unsupported
    */
    ntfLDS_Biometrics_RB_PAD_Decision_Item_Unsupported = 2449801363,
    /**
    * Biometrics: RB PAD score item incorrect
    */
    ntfLDS_Biometrics_RB_PAD_Score_Item_Incorrect = 2449801364,
    /**
    * Biometrics: RB PAD score reg ID item incorrect
    */
    ntfLDS_Biometrics_RB_PAD_Score_RegID_Item_Incorrect = 2449801365,
    /**
    * Biometrics: RB PAD SoE item incorrect
    */
    ntfLDS_Biometrics_RB_PAD_SoE_Item_Incorrect = 2449801366,
    /**
    * Biometrics: RB PAD SoE score item incorrect
    */
    ntfLDS_Biometrics_RB_PAD_SoE_Score_Item_Incorrect = 2449801367,
    /**
    * Biometrics: RB PAD SoE error item incorrect
    */
    ntfLDS_Biometrics_RB_PAD_SoE_Error_Item_Incorrect = 2449801368,
    /**
    * Biometrics: RB PAD SoE error item unsupported
    */
    ntfLDS_Biometrics_RB_PAD_SoE_Error_Item_Unsupported = 2449801369,
    /**
    * Biometrics: RB PAD external data item incorrect
    */
    ntfLDS_Biometrics_RB_PAD_ExtData_Item_Incorrect = 2449801370,
    /**
    * Biometrics: RB PAD external data type item incorrect
    */
    ntfLDS_Biometrics_RB_PAD_ExtData_Type_Item_Incorrect = 2449801371,
    /**
    * Biometrics: RB PAD context item incorrect
    */
    ntfLDS_Biometrics_RB_PAD_Context_Item_Incorrect = 2449801372,
    /**
    * Biometrics: RB PAD context item unsupported
    */
    ntfLDS_Biometrics_RB_PAD_Context_Item_Unsupported = 2449801373,
    /**
    * Biometrics: RB PAD S level item incorrect
    */
    ntfLDS_Biometrics_RB_PAD_SLevel_Item_Incorrect = 2449801374,
    /**
    * Biometrics: RB PAD S level item unsupported
    */
    ntfLDS_Biometrics_RB_PAD_SLevel_Item_Unsupported = 2449801375,
    /**
    * Biometrics: RB PAD risk level item incorrect
    */
    ntfLDS_Biometrics_RB_PAD_RiskLevel_Item_Incorrect = 2449801376,
    /**
    * Biometrics: RB PAD criteria item incorrect
    */
    ntfLDS_Biometrics_RB_PAD_Criteria_Item_Incorrect = 2449801377,
    /**
    * Biometrics: RB PAD criteria item unsupported
    */
    ntfLDS_Biometrics_RB_PAD_Criteria_Item_Unsupported = 2449801378,
    /**
    * Biometrics: RB PAD date item incorrect
    */
    ntfLDS_Biometrics_RB_PAD_Date_Item_Incorrect = 2449801379,
    /**
    * Biometrics: RB PAD date item missing
    */
    ntfLDS_Biometrics_RB_PAD_Date_Item_Missing = 2449801380,
    /**
    * Biometrics: RB PAD date item unexpected
    */
    ntfLDS_Biometrics_RB_PAD_Date_Item_Unexpected = 2449801381,
    /**
    * Biometrics: RB PAD date incorrect
    */
    ntfLDS_Biometrics_RB_PAD_Date_Incorrect = 2449801382,
    /**
    * Biometrics: RB session ID incorrect
    */
    ntfLDS_Biometrics_RB_SessionID_Incorrect = 2449801392,
    /**
    * Biometrics: RB derived incorrect
    */
    ntfLDS_Biometrics_RB_Derived_Incorrect = 2449801408,
    /**
    * Biometrics: RB device incorrect
    */
    ntfLDS_Biometrics_RB_Device_Incorrect = 2449801424,
    /**
    * Biometrics: RB device item unexpected
    */
    ntfLDS_Biometrics_RB_Device_Item_Unexpected = 2449801425,
    /**
    * Biometrics: RB device model ID item incorrect
    */
    ntfLDS_Biometrics_RB_Device_ModelID_Item_Incorrect = 2449801426,
    /**
    * Biometrics: RB device cert ID item incorrect
    */
    ntfLDS_Biometrics_RB_Device_CertID_Item_Incorrect = 2449801427,
    /**
    * Biometrics: RB metadata item incorrect
    */
    ntfLDS_Biometrics_RB_Metadata_Item_Incorrect = 2449801440,
    /**
    * Biometrics: RB metadata item unexpected
    */
    ntfLDS_Biometrics_RB_Metadata_Item_Unexpected = 2449801441,
    /**
    * Biometrics: RB metadata gender item incorrect
    */
    ntfLDS_Biometrics_RB_Metadata_Gender_Item_Incorrect = 2449801442,
    /**
    * Biometrics: RB metadata gender item unsupported
    */
    ntfLDS_Biometrics_RB_Metadata_Gender_Item_Unsupported = 2449801443,
    /**
    * Biometrics: RB metadata eye item incorrect
    */
    ntfLDS_Biometrics_RB_Metadata_Eye_Item_Incorrect = 2449801444,
    /**
    * Biometrics: RB metadata eye item unsupported
    */
    ntfLDS_Biometrics_RB_Metadata_Eye_Item_Unsupported = 2449801445,
    /**
    * Biometrics: RB metadata hair item incorrect
    */
    ntfLDS_Biometrics_RB_Metadata_Hair_Item_Incorrect = 2449801446,
    /**
    * Biometrics: RB metadata hair item unsupported
    */
    ntfLDS_Biometrics_RB_Metadata_Hair_Item_Unsupported = 2449801447,
    /**
    * Biometrics: RB metadata height item incorrect
    */
    ntfLDS_Biometrics_RB_Metadata_Height_Item_Incorrect = 2449801448,
    /**
    * Biometrics: RB metadata props item incorrect
    */
    ntfLDS_Biometrics_RB_Metadata_Props_Item_Incorrect = 2449801449,
    /**
    * Biometrics: RB metadata props item unexpected
    */
    ntfLDS_Biometrics_RB_Metadata_Props_Item_Unexpected = 2449801450,
    /**
    * Biometrics: RB metadata express item incorrect
    */
    ntfLDS_Biometrics_RB_Metadata_Express_Item_Incorrect = 2449801451,
    /**
    * Biometrics: RB metadata express item unexpected
    */
    ntfLDS_Biometrics_RB_Metadata_Express_Item_Unexpected = 2449801452,
    /**
    * Biometrics: RB metadata pose item incorrect
    */
    ntfLDS_Biometrics_RB_Metadata_Pose_Item_Incorrect = 2449801453,
    /**
    * Biometrics: RB metadata pose item unexpected
    */
    ntfLDS_Biometrics_RB_Metadata_Pose_Item_Unexpected = 2449801454,
    /**
    * Biometrics: RB landmark item incorrect
    */
    ntfLDS_Biometrics_RB_LandMark_Item_Incorrect = 2449801456,
    /**
    * Biometrics: RB landmark item missing
    */
    ntfLDS_Biometrics_RB_LandMark_Item_Missing = 2449801457,
    /**
    * Biometrics: RB landmark item unexpected
    */
    ntfLDS_Biometrics_RB_LandMark_Item_Unexpected = 2449801458,
    /**
    * Biometrics: RB landmark kind item incorrect
    */
    ntfLDS_Biometrics_RB_LandMark_Kind_Item_Incorrect = 2449801459,
    /**
    * Biometrics: RB landmark mpeg4 item incorrect
    */
    ntfLDS_Biometrics_RB_LandMark_Mpeg4_Item_Incorrect = 2449801460,
    /**
    * Biometrics: RB landmark mpeg4 item unsupported
    */
    ntfLDS_Biometrics_RB_LandMark_Mpeg4_Item_Unsupported = 2449801461,
    /**
    * Biometrics: RB landmark antr L item incorrect
    */
    ntfLDS_Biometrics_RB_LandMark_AntrL_Item_Incorrect = 2449801462,
    /**
    * Biometrics: RB landmark coordinate item incorrect
    */
    ntfLDS_Biometrics_RB_LandMark_Coord_Item_Incorrect = 2449801463,
    /**
    * DTC content info: Version incorrect
    */
    ntfLDS_DTC_ContentInfo_Version_Incorrect = 2415919872,
    /**
    * SI: PACE info unsupported std parameters
    */
    ntfLDS_SI_PACE_Info_UnsupportedStdParameters = 2432696320,
    /**
    * SI: PACE info deprecated version
    */
    ntfLDS_SI_PACE_Info_DeprecatedVersion = 2432696321,
    /**
    * SI: PACE domain params using std ref
    */
    ntfLDS_SI_PACE_DomainParams_UsingStdRef = 2432696322,
    /**
    * SI: PACE domain params unsupported algorithm
    */
    ntfLDS_SI_PACE_DomainParams_UnsupportedAlgorithm = 2432696323,
    /**
    * SI: CA info incorrect version
    */
    ntfLDS_SI_CA_Info_IncorrectVersion = 2432696324,
    /**
    * SI: CA public key unsupported algorithm
    */
    ntfLDS_SI_CA_PublicKey_UnsupportedAlgorithm = 2432696325,
    /**
    * SI: CA domain params unsupported algorithm
    */
    ntfLDS_SI_CA_DomainParams_UnsupportedAlgorithm = 2432696326,
    /**
    * SI: TA info incorrect version
    */
    ntfLDS_SI_TA_Info_IncorrectVersion = 2432696327,
    /**
    * SI: TA info file ID for version 2
    */
    ntfLDS_SI_TA_Info_FileIDForVersion2 = 2432696328,
    /**
    * SI: eID security unsupported digest algorithm
    */
    ntfLDS_SI_eIDSecurity_UnsupportedDigestAlgorithm = 2432696329,
    /**
    * SI: RI info incorrect version
    */
    ntfLDS_SI_RI_Info_IncorrectVersion = 2432696330,
    /**
    * SI: RI domain params unsupported algorithm
    */
    ntfLDS_SI_RI_DomainParams_UnsupportedAlgorithm = 2432696331,
    /**
    * SI: AA info incorrect version
    */
    ntfLDS_SI_AA_Info_IncorrectVersion = 2432696332,
    /**
    * SI: AA info unsupported algorithm
    */
    ntfLDS_SI_AA_Info_UnsupportedAlgorithm = 2432696333,
    /**
    * SI: AA info inconsistent algorithm reference
    */
    ntfLDS_SI_AA_Info_InconsistentAlgorithmReference = 2432696334,
    /**
    * SI: storage PACE info not available
    */
    ntfLDS_SI_Storage_PACE_Info_NotAvailable = 2432696576,
    /**
    * SI: storage PACE info no std parameters
    */
    ntfLDS_SI_Storage_PACE_Info_NoStdParameters = 2432696577,
    /**
    * SI: storage PACE info no matching domain params
    */
    ntfLDS_SI_Storage_PACE_Info_NoMatchingDomainParams = 2432696578,
    /**
    * SI: storage CA info not available
    */
    ntfLDS_SI_Storage_CA_Info_NotAvailable = 2432696579,
    /**
    * SI: storage CA domain params no required option
    */
    ntfLDS_SI_Storage_CA_DomainParams_NoRequiredOption = 2432696580,
    /**
    * SI: storage CA domain params not available
    */
    ntfLDS_SI_Storage_CA_DomainParams_NotAvailable = 2432696581,
    /**
    * SI: storage CA anonymous infos
    */
    ntfLDS_SI_Storage_CA_AnonymousInfos = 2432696582,
    /**
    * SI: storage CA info no matching domain params
    */
    ntfLDS_SI_Storage_CA_Info_NoMatchingDomainParams = 2432696583,
    /**
    * SI: storage CA info no matching public key
    */
    ntfLDS_SI_Storage_CA_Info_NoMatchingPublicKey = 2432696584,
    /**
    * SI: storage CA incorrect infos quantity
    */
    ntfLDS_SI_Storage_CA_IncorrectInfosQuantity = 2432696585,
    /**
    * SI: storage TA info not available
    */
    ntfLDS_SI_Storage_TA_Info_NotAvailable = 2432696586,
    /**
    * SI: storage card info locator multiple entries
    */
    ntfLDS_SI_Storage_CardInfoLocator_MultipleEntries = 2432696587,
    /**
    * SI: storage eID security info multiple entries
    */
    ntfLDS_SI_Storage_eIDSecurityInfo_MultipleEntries = 2432696588,
    /**
    * SI: storage privileged TI multiple entries
    */
    ntfLDS_SI_Storage_PrivilegedTI_MultipleEntries = 2432696589,
    /**
    * SI: storage privileged TI incorrect usage
    */
    ntfLDS_SI_Storage_PrivilegedTI_IncorrectUsage = 2432696590,
    /**
    * SI: storage RI domain params multiple entries
    */
    ntfLDS_SI_Storage_RI_DomainParams_MultipleEntries = 2432696591,
    /**
    * SI: storage PACE infos non consistent
    */
    ntfLDS_SI_Storage_PACEInfos_NonConsistant = 2432696592,
    /**
    * CV certificate: Profile incorrect version
    */
    ntfLDS_CVCertificate_Profile_IncorrectVersion = 2432696833,
    /**
    * CV certificate: Validity
    */
    ntfLDS_CVCertificate_Validity = 2432696834,
    /**
    * CV certificate: non CVCA domain parameters
    */
    ntfLDS_CVCertificate_NonCVCADomainParameters = 2432696835,
    /**
    * CV certificate: private key incorrect version
    */
    ntfLDS_CV_Certificate_PrivateKey_IncorrectVersion = 2432696836,
    /**
    * TA: PACE static binding used
    */
    ntfLDS_TA_PACEStaticBindingUsed = 2432697088,
    /**
    * Auth ML signer info: Certificate validity
    */
    ntfLDS_Auth_MLSignerInfo_Certificate_Validity = 2449473813,
    /**
    * Auth ML signer info: Certificate root is not trusted
    */
    ntfLDS_Auth_MLSignerInfo_Certificate_RootIsNotTrusted = 2449473814,
    /**
    * Auth ML signer info: Certificate can&#39;t find CSCA
    */
    ntfLDS_Auth_MLSignerInfo_Certificate_CantFindCSCA = 2449473815,
    /**
    * Auth ML signer info: Certificate revoked
    */
    ntfLDS_Auth_MLSignerInfo_Certificate_Revoked = 2449473816,
    /**
    * Auth ML signer info: Certificate signature invalid
    */
    ntfLDS_Auth_MLSignerInfo_Certificate_SignatureInvalid = 2449473817
}
/**
 * Regula Document Reader Web API
 * Documents recognition as easy as reading two bytes.   # Clients: * [JavaScript](https://github.com/regulaforensics/DocumentReader-web-js-client) client for the browser and node.js based on axios * [Java](https://github.com/regulaforensics/DocumentReader-web-java-client) client compatible with jvm and android * [Python](https://github.com/regulaforensics/DocumentReader-web-python-client) 3.5+ client * [C#](https://github.com/regulaforensics/DocumentReader-web-csharp-client) client for .NET & .NET Core
 *
 * The version of the OpenAPI document: 8.1.0
 *
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */
/**
 * Enumeration contains a set of constants that define the type of authentication or secure data access procedure
 * @export
 * @enum {number}
 */
export enum RfidAccessControlProcedureType {
    /**
    * Type is not defined
    */
    UNDEFINED = 0,
    /**
    * BAC/BAP
    */
    BAC = 1,
    /**
    * PACE
    */
    PACE = 2,
    /**
    * CA
    */
    CA = 3,
    /**
    * TA
    */
    TA = 4,
    /**
    * AA
    */
    AA = 5,
    /**
    * RI
    */
    RI = 6,
    /**
    * Card info
    */
    CARD_INFO = 10,
    /**
    * DTC info
    */
    DTC_INFO = 11
}
/**
 * Structure is used to describe the results of a single authentication procedure or a procedure of secure data access within the context of the communication session with electronic document
 * @export
 * @interface RfidAccessControlInfo
 */
export interface RfidAccessControlInfo {
    /**
     *
     * @type {RfidAccessControlProcedureType}
     * @memberof RfidAccessControlInfo
     */
    'Type': RfidAccessControlProcedureType;
    /**
     *
     * @type {RFIDErrorCodes}
     * @memberof RfidAccessControlInfo
     */
    'Status': RFIDErrorCodes;
    /**
     * Index of the active variant of the procedure
     * @type {number}
     * @memberof RfidAccessControlInfo
     */
    'ActiveOptionIdx'?: number;
    /**
     * List of remarks arisen during the procedure.
     * @type {Array<ParsingNotificationCodes>}
     * @memberof RfidAccessControlInfo
     */
    'Notifications': Array<ParsingNotificationCodes>;
    /**
     * List of structures with are used to describe the variants of the authentication or secure data access procedure performance within the context of the communication session with electronic document
     * @type {Array<any>}
     * @memberof RfidAccessControlInfo
     */
    'AccessControlOptions'?: Array<any>;
}
/**
 * Regula Document Reader Web API
 * Documents recognition as easy as reading two bytes.   # Clients: * [JavaScript](https://github.com/regulaforensics/DocumentReader-web-js-client) client for the browser and node.js based on axios * [Java](https://github.com/regulaforensics/DocumentReader-web-java-client) client compatible with jvm and android * [Python](https://github.com/regulaforensics/DocumentReader-web-python-client) 3.5+ client * [C#](https://github.com/regulaforensics/DocumentReader-web-csharp-client) client for .NET & .NET Core
 *
 * The version of the OpenAPI document: 8.1.0
 *
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */
/**
 * Enumeration contains a set of constants specifying the rate of data exchange between the reader and the RFID-chip
 * @export
 * @enum {number}
 */
export enum RfidPasswordType {
    /**
    * Unknown type
    */
    UNKNOWN = 0,
    /**
    * MRZ
    */
    MRZ = 1,
    /**
    * CAN
    */
    CAN = 2,
    /**
    * PIN
    */
    PIN = 3,
    /**
    * PUK
    */
    PUK = 4,
    /**
    * eSign-PIN
    */
    PIN_E_SIGN = 5,
    /**
    * Scanning Area Identifier (for eDL application)
    */
    SAI = 6,
    /**
    * MRZ hash
    */
    MRZ_HASH = 7
}
/**
 * Structure is used to describe the contents of secure data access key within the context of the communication session with electronic document
 * @export
 * @interface RfidAccessKey
 */
export interface RfidAccessKey {
    /**
     * Key contents
     * @type {string}
     * @memberof RfidAccessKey
     */
    'AccessKey': string;
    /**
     *
     * @type {RfidPasswordType}
     * @memberof RfidAccessKey
     */
    'KeyType': RfidPasswordType;
    /**
     *
     * @type {RfidAccessControlProcedureType}
     * @memberof RfidAccessKey
     */
    'AccessType': RfidAccessControlProcedureType;
    /**
     * Logical sign of the need for a full comparison of AccessKey contents with the contents of DG1 (MRZ) data group
     * @type {boolean}
     * @memberof RfidAccessKey
     */
    'CheckFullKeyMatching': boolean;
}
/**
 * Regula Document Reader Web API
 * Documents recognition as easy as reading two bytes.   # Clients: * [JavaScript](https://github.com/regulaforensics/DocumentReader-web-js-client) client for the browser and node.js based on axios * [Java](https://github.com/regulaforensics/DocumentReader-web-java-client) client compatible with jvm and android * [Python](https://github.com/regulaforensics/DocumentReader-web-python-client) 3.5+ client * [C#](https://github.com/regulaforensics/DocumentReader-web-csharp-client) client for .NET & .NET Core
 *
 * The version of the OpenAPI document: 8.1.0
 *
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */
/**
 * Enumeration contains a set of constants that define the type of application within the context of the communication session with electronic document
 * @export
 * @enum {number}
 */
export enum RfidApplicationType {
    /**
    * Not defined
    */
    UNSPECIFIED = 0,
    /**
    * ePassport application
    */
    E_PASSPORT = 1,
    /**
    * eID application
    */
    E_ID = 2,
    /**
    * eSign application
    */
    E_SIGN = 3,
    /**
    * eDL application
    */
    E_DL = 4,
    /**
    * TravelRecords application
    */
    LDS2_TravelRecords = 5,
    /**
    * VisaRecords application
    */
    LDS2_VisaRecords = 6,
    /**
    * AddBiometrics application
    */
    LDS2_AddBiometrics = 7,
    /**
    * Digital Travel Credentials
    */
    eDTC_PC = 8,
    /**
    * Master File
    */
    ROOT_FILES = 0
}
/**
 * Regula Document Reader Web API
 * Documents recognition as easy as reading two bytes.   # Clients: * [JavaScript](https://github.com/regulaforensics/DocumentReader-web-js-client) client for the browser and node.js based on axios * [Java](https://github.com/regulaforensics/DocumentReader-web-java-client) client compatible with jvm and android * [Python](https://github.com/regulaforensics/DocumentReader-web-python-client) 3.5+ client * [C#](https://github.com/regulaforensics/DocumentReader-web-csharp-client) client for .NET & .NET Core
 *
 * The version of the OpenAPI document: 8.1.0
 *
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */
/**
 *
 * @export
 * @enum {number}
 */
export enum GraphicFieldType {
    /**
    * Document holder photo
    */
    PORTRAIT = 201,
    /**
    * Fingerprint of document holder
    */
    FINGERPRINT = 202,
    /**
    * Image of the iris of document holder
    */
    EYE = 203,
    /**
    * Signature of document holder
    */
    SIGNATURE = 204,
    /**
    * Barcode image
    */
    BAR_CODE = 205,
    /**
    * Image of document confirming owner citizenship
    */
    PROOF_OF_CITIZENSHIP = 206,
    /**
    * Cropped and rotated with perspective compensation (front side) of a document. Single input image can contain multiple document side/pages, which will be returned as separated results. Most coordinates in other types defined on that image.
    */
    DOCUMENT_FRONT = 207,
    /**
    * Image of the rear side of the document
    */
    DOCUMENT_REAR = 208,
    /**
    * Area with dynamic color change
    */
    COLOR_DYNAMIC = 209,
    /**
    * Additional Portrait
    */
    GHOST_PORTRAIT = 210,
    /**
    * Stamp
    */
    STAMP = 211,
    /**
    * Portrait of child
    */
    PORTRAIT_OF_CHILD = 212,
    /**
    * Contact chip
    */
    CONTACT_CHIP = 213,
    /**
    * Undefined image type
    */
    OTHER = 250,
    /**
    * Fingerprint (thumb, left hand)
    */
    FINGER_LEFT_THUMB = 300,
    /**
    * Fingerprint (index, left hand)
    */
    FINGER_LEFT_INDEX = 301,
    /**
    * Fingerprint (middle, left hand)
    */
    FINGER_LEFT_MIDDLE = 302,
    /**
    * Fingerprint (ring, left hand)
    */
    FINGER_LEFT_RING = 303,
    /**
    * Fingerprint (little, left hand)
    */
    FINGER_LEFT_LITTLE = 304,
    /**
    * Fingerprint (thumb, right hand)
    */
    FINGER_RIGHT_THUMB = 305,
    /**
    * Fingerprint (index, right hand)
    */
    FINGER_RIGHT_INDEX = 306,
    /**
    * Fingerprint (middle, right hand)
    */
    FINGER_RIGHT_MIDDLE = 307,
    /**
    * Fingerprint (ring, right hand)
    */
    FINGER_RIGHT_RING = 308,
    /**
    * Fingerprint (little, right hand)
    */
    FINGER_RIGHT_LITTLE = 309,
    /**
    * Fingerprint (four without thumb on right hand)
    */
    FINGER_RIGHT_FOUR_FINGERS = 313,
    /**
    * Fingerprint (four without thumb on left hand
    */
    FINGER_LEFT_FOUR_FINGERS = 314,
    /**
    * Fingerprint (two thumbs)
    */
    FINGER_TWO_THUMBS = 315
}
/**
 * Regula Document Reader Web API
 * Documents recognition as easy as reading two bytes.   # Clients: * [JavaScript](https://github.com/regulaforensics/DocumentReader-web-js-client) client for the browser and node.js based on axios * [Java](https://github.com/regulaforensics/DocumentReader-web-java-client) client compatible with jvm and android * [Python](https://github.com/regulaforensics/DocumentReader-web-python-client) 3.5+ client * [C#](https://github.com/regulaforensics/DocumentReader-web-csharp-client) client for .NET & .NET Core
 *
 * The version of the OpenAPI document: 8.1.0
 *
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */
/**
 *
 * @export
 * @interface ParsedData
 */
export interface ParsedData {
    /**
     *
     * @type {Array<number>}
     * @memberof ParsedData
     */
    'ParsingNotifications'?: Array<number>;
}
/**
 * Regula Document Reader Web API
 * Documents recognition as easy as reading two bytes.   # Clients: * [JavaScript](https://github.com/regulaforensics/DocumentReader-web-js-client) client for the browser and node.js based on axios * [Java](https://github.com/regulaforensics/DocumentReader-web-java-client) client compatible with jvm and android * [Python](https://github.com/regulaforensics/DocumentReader-web-python-client) 3.5+ client * [C#](https://github.com/regulaforensics/DocumentReader-web-csharp-client) client for .NET & .NET Core
 *
 * The version of the OpenAPI document: 8.1.0
 *
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */
/**
 *
 * @export
 * @interface CertificateData
 */
export interface CertificateData {
    /**
     *
     * @type {string}
     * @memberof CertificateData
     */
    'Data': string;
    /**
     *
     * @type {number}
     * @memberof CertificateData
     */
    'Length': number;
}
/**
 *
 * @export
 * @interface SecurityObjectCertificates
 */
export interface SecurityObjectCertificates {
    /**
     *
     * @type {CertificateData}
     * @memberof SecurityObjectCertificates
     */
    'Certificate_Data'?: CertificateData;
}
/**
 * Regula Document Reader Web API
 * Documents recognition as easy as reading two bytes.   # Clients: * [JavaScript](https://github.com/regulaforensics/DocumentReader-web-js-client) client for the browser and node.js based on axios * [Java](https://github.com/regulaforensics/DocumentReader-web-java-client) client compatible with jvm and android * [Python](https://github.com/regulaforensics/DocumentReader-web-python-client) 3.5+ client * [C#](https://github.com/regulaforensics/DocumentReader-web-csharp-client) client for .NET & .NET Core
 *
 * The version of the OpenAPI document: 8.1.0
 *
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */
/**
 * Structure is used to store an array of binary information that is a part of one of the informational data groups
 * @export
 * @interface TrfFtBytes
 */
export interface TrfFtBytes {
    /**
     * Logical type of the field
     * @type {number}
     * @memberof TrfFtBytes
     */
    'Type': number;
    /**
     * Result of logical analysis of compliance of the contents of the field with the requirements of the specification
     * @type {number}
     * @memberof TrfFtBytes
     */
    'Status': number;
    /**
     * Length of Data array
     * @type {number}
     * @memberof TrfFtBytes
     */
    'Length': number;
    /**
     * Binary data array. Base64 encoded.
     * @type {string}
     * @memberof TrfFtBytes
     */
    'Data': string | null;
}
/**
 * Structure is used to describe the contents of a single file of the LDS of electronic document and the analysis of its contents within the context of the communication session with electronic document
 * @export
 * @interface RfidDataFile
 */
export interface RfidDataFile {
    /**
     * File identifier. Each byte of FileID represented by its hexadecimal value. The individual bytes are separated by spaces (e.g. 01 1E)
     * @type {string}
     * @memberof RfidDataFile
     */
    'FileID'?: string;
    /**
     *
     * @type {RfidDataFileType}
     * @memberof RfidDataFile
     */
    'Type': RfidDataFileType;
    /**
     *
     * @type {TrfFtBytes}
     * @memberof RfidDataFile
     */
    'FileData'?: TrfFtBytes;
    /**
     *
     * @type {RFIDErrorCodes}
     * @memberof RfidDataFile
     */
    'ReadingStatus': RFIDErrorCodes;
    /**
     * Time of reading, milliseconds
     * @type {number}
     * @memberof RfidDataFile
     */
    'ReadingTime'?: number;
    /**
     *
     * @type {RFIDErrorCodes}
     * @memberof RfidDataFile
     */
    'PA_Status'?: RFIDErrorCodes;
    /**
     * List of remarks arisen when reading data from the memory of the chip and analysing their ASN.1-structure.
     * @type {Array<ParsingNotificationCodes>}
     * @memberof RfidDataFile
     */
    'Notifications'?: Array<ParsingNotificationCodes>;
    /**
     * List of document text fields formed on the basis of the file contents
     * @type {Array<TextFieldType>}
     * @memberof RfidDataFile
     */
    'DocFields_Text'?: Array<TextFieldType>;
    /**
     * List of document graphic fields formed on the basis of the file contents
     * @type {Array<GraphicFieldType>}
     * @memberof RfidDataFile
     */
    'DocFields_Graphics'?: Array<GraphicFieldType>;
    /**
     * List of the original binary representation of graphic document fields formed on the basis of the file contents
     * @type {Array<GraphicFieldType>}
     * @memberof RfidDataFile
     */
    'DocFields_Originals'?: Array<GraphicFieldType>;
    /**
     *
     * @type {ParsedData}
     * @memberof RfidDataFile
     */
    'ParsedData'?: ParsedData;
    /**
     *
     * @type {SecurityObjectCertificates}
     * @memberof RfidDataFile
     */
    'SecurityObject_Certificates'?: SecurityObjectCertificates;
}
/**
 * Structure is used to describe the contents of a single LDS application and their analysis within the context of the communication session with electronic document
 * @export
 * @interface RfidApplication
 */
export interface RfidApplication {
    /**
     *
     * @type {RfidApplicationType}
     * @memberof RfidApplication
     */
    'Type': RfidApplicationType;
    /**
     *
     * @type {RFIDErrorCodes}
     * @memberof RfidApplication
     */
    'Status': RFIDErrorCodes;
    /**
     * Application identifier
     * @type {string}
     * @memberof RfidApplication
     */
    'ApplicationID': string;
    /**
     * Version of the application
     * @type {string}
     * @memberof RfidApplication
     */
    'Version': string;
    /**
     * Unicode version for application
     * @type {string}
     * @memberof RfidApplication
     */
    'UnicodeVersion': string;
    /**
     * Algorithm for calculating hash values for files for the procedure of PA
     * @type {string}
     * @memberof RfidApplication
     */
    'DataHashAlgorithm': string;
    /**
     * List of containers to store information about the read files of the application
     * @type {Array<RfidDataFile>}
     * @memberof RfidApplication
     */
    'Files': Array<RfidDataFile>;
}
/**
 * Regula Document Reader Web API
 * Documents recognition as easy as reading two bytes.   # Clients: * [JavaScript](https://github.com/regulaforensics/DocumentReader-web-js-client) client for the browser and node.js based on axios * [Java](https://github.com/regulaforensics/DocumentReader-web-java-client) client compatible with jvm and android * [Python](https://github.com/regulaforensics/DocumentReader-web-python-client) 3.5+ client * [C#](https://github.com/regulaforensics/DocumentReader-web-csharp-client) client for .NET & .NET Core
 *
 * The version of the OpenAPI document: 8.1.0
 *
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */
/**
 * Enumeration contains a set of constants that define the type of performed procedure of document authentication within the current session
 * @export
 * @enum {number}
 */
export enum RfidAuthenticationProcedureType {
    /**
    * Not defined
    */
    UNDEFINED = 0,
    /**
    * Standard authentication procedure
    */
    STANDARD = 1,
    /**
    * Advanced authentication procedure
    */
    ADVANCED = 2,
    /**
    * General authentication procedure
    */
    GENERAL = 3
}
/**
 * Regula Document Reader Web API
 * Documents recognition as easy as reading two bytes.   # Clients: * [JavaScript](https://github.com/regulaforensics/DocumentReader-web-js-client) client for the browser and node.js based on axios * [Java](https://github.com/regulaforensics/DocumentReader-web-java-client) client compatible with jvm and android * [Python](https://github.com/regulaforensics/DocumentReader-web-python-client) 3.5+ client * [C#](https://github.com/regulaforensics/DocumentReader-web-csharp-client) client for .NET & .NET Core
 *
 * The version of the OpenAPI document: 8.1.0
 *
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */
/**
 * Enumeration contains a set of constants specifying the type of the RFIDchip from MIFARE® family (for chips of type A)
 * @export
 * @enum {number}
 */
export enum RfidAChip {
    /**
    * Unknown
    */
    UNKNOWN = 0,
    /**
    * MIFARE® 1K
    */
    MIFARE_1K = 1,
    /**
    * MIFARE® 4K
    */
    MIFARE_4K = 2,
    /**
    * MIFARE® Ultralight
    */
    MIFARE_ULTRALIGHT = 3,
    /**
    * MIFARE® DESFire
    */
    MIFARE_DES_FIRE = 4,
    /**
    * MIFARE® ProX or SmartMX xD(T)
    */
    MIFARE_PROX = 5
}
/**
 * Regula Document Reader Web API
 * Documents recognition as easy as reading two bytes.   # Clients: * [JavaScript](https://github.com/regulaforensics/DocumentReader-web-js-client) client for the browser and node.js based on axios * [Java](https://github.com/regulaforensics/DocumentReader-web-java-client) client compatible with jvm and android * [Python](https://github.com/regulaforensics/DocumentReader-web-python-client) 3.5+ client * [C#](https://github.com/regulaforensics/DocumentReader-web-csharp-client) client for .NET & .NET Core
 *
 * The version of the OpenAPI document: 8.1.0
 *
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */
/**
 * Enumeration contains a set of constants specifying the rate of data exchange between the reader and the RFID-chip
 * @export
 * @enum {number}
 */
export enum RfidBaudRate {
    /**
    * Unknown
    */
    UNKNOWN = 0,
    /**
    * 106 bits/s
    */
    RFBR_106 = 1,
    /**
    * 212 bits/s
    */
    RFBR_212 = 2,
    /**
    * 424 bits/s
    */
    RFBR_424 = 4,
    /**
    * 848 bits/s
    */
    RFBR_848 = 8,
    /**
    * 1695 bits/s
    */
    RFBR_1695 = 16,
    /**
    * 3390 bits/s
    */
    RFBR_3390 = 32,
    /**
    * 6780 bits/s
    */
    RFBR_6780 = 64
}
/**
 * Regula Document Reader Web API
 * Documents recognition as easy as reading two bytes.   # Clients: * [JavaScript](https://github.com/regulaforensics/DocumentReader-web-js-client) client for the browser and node.js based on axios * [Java](https://github.com/regulaforensics/DocumentReader-web-java-client) client compatible with jvm and android * [Python](https://github.com/regulaforensics/DocumentReader-web-python-client) 3.5+ client * [C#](https://github.com/regulaforensics/DocumentReader-web-csharp-client) client for .NET & .NET Core
 *
 * The version of the OpenAPI document: 8.1.0
 *
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */
/**
 * Enumeration contains a set of constants specifying the type of the RFID-chip by the physical parameters of connection between antennas of the chip and the reader
 * @export
 * @enum {number}
 */
export enum RfidType {
    /**
    * Unknown
    */
    UNKNOWN = 0,
    /**
    * Type A
    */
    A = 1,
    /**
    * Type B
    */
    B = 2
}
/**
 * Structure is used to store extended information about the characteristics of the RFID-chip located in the scope of the reader
 * @export
 * @interface RfidCardPropertiesExt
 */
export interface RfidCardPropertiesExt {
    /**
     *
     * @type {RfidType}
     * @memberof RfidCardPropertiesExt
     */
    'RFID_Type': RfidType;
    /**
     * Numeric Baudrate1 value in hexadecimal format (e.g. 0x0000000F)
     * @type {string}
     * @memberof RfidCardPropertiesExt
     */
    'Baudrate1': string;
    /**
     * Numeric Baudrate2 value in hexadecimal format
     * @type {string}
     * @memberof RfidCardPropertiesExt
     */
    'Baudrate2': string;
    /**
     * Boolean Support_4 value
     * @type {boolean}
     * @memberof RfidCardPropertiesExt
     */
    'Support_4': boolean;
    /**
     *
     * @type {RfidAChip}
     * @memberof RfidCardPropertiesExt
     */
    'ChipType_A': RfidAChip;
    /**
     * Sign of support for ISO/IEC 14443-3 data exchange protocol
     * @type {boolean}
     * @memberof RfidCardPropertiesExt
     */
    'Support_Mifare': boolean;
    /**
     * Amount of operational memory MIFARE® of the chip, kilobytes
     * @type {number}
     * @memberof RfidCardPropertiesExt
     */
    'MifareMemory': number;
    /**
     * UID contents in text format. Each byte is represented by its hexadecimal value. The individual bytes are separated by spaces (e.g. F9 4F 41 60)
     * @type {string}
     * @memberof RfidCardPropertiesExt
     */
    'UID': string;
    /**
     * Reply of the «A» type chip to «REQA» command of ISO/IEC 14443-3 protocol (Answer To Request, Type A – ATQA) – for the internal use by the main control library
     * @type {any}
     * @memberof RfidCardPropertiesExt
     */
    'ATQ_A': any;
    /**
     * Response of type-A RFID-chip to SELECT command of ISO/IEC 14443-3 protocol (Select Acknowledge, SAK).
     * @type {any}
     * @memberof RfidCardPropertiesExt
     */
    'SAK': any;
    /**
     * ATQ_B contents in text format. Each byte is represented by its hexadecimal value. The individual bytes are separated by spaces (e.g. 50 F9 4F 41 60 00 00 00 00 77 81 81)
     * @type {any}
     * @memberof RfidCardPropertiesExt
     */
    'ATQ_B': any;
    /**
     *
     * @type {RfidBaudRate}
     * @memberof RfidCardPropertiesExt
     */
    'BitRateS': RfidBaudRate;
    /**
     *
     * @type {RfidBaudRate}
     * @memberof RfidCardPropertiesExt
     */
    'BitRateR': RfidBaudRate;
    /**
     * ATR-string of RFID-chip
     * @type {string}
     * @memberof RfidCardPropertiesExt
     */
    'ATR': string;
}
/**
 * Regula Document Reader Web API
 * Documents recognition as easy as reading two bytes.   # Clients: * [JavaScript](https://github.com/regulaforensics/DocumentReader-web-js-client) client for the browser and node.js based on axios * [Java](https://github.com/regulaforensics/DocumentReader-web-java-client) client compatible with jvm and android * [Python](https://github.com/regulaforensics/DocumentReader-web-python-client) 3.5+ client * [C#](https://github.com/regulaforensics/DocumentReader-web-csharp-client) client for .NET & .NET Core
 *
 * The version of the OpenAPI document: 8.1.0
 *
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */
/**
 * Structure contains the data of one attribute of the digital signature object.
 * @export
 * @interface RfidAttributeData
 */
export interface RfidAttributeData {
    /**
     * Contents of the identifier in the format S1 (S2), where S1 – attribute name, S2 – identifier (OID string)
     * @type {string}
     * @memberof RfidAttributeData
     */
    'Type': string;
    /**
     * Attribute binary data. Base64 encoded.
     * @type {string}
     * @memberof RfidAttributeData
     */
    'Data': string;
}
/**
 * Regula Document Reader Web API
 * Documents recognition as easy as reading two bytes.   # Clients: * [JavaScript](https://github.com/regulaforensics/DocumentReader-web-js-client) client for the browser and node.js based on axios * [Java](https://github.com/regulaforensics/DocumentReader-web-java-client) client compatible with jvm and android * [Python](https://github.com/regulaforensics/DocumentReader-web-python-client) 3.5+ client * [C#](https://github.com/regulaforensics/DocumentReader-web-csharp-client) client for .NET & .NET Core
 *
 * The version of the OpenAPI document: 8.1.0
 *
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */
/**
 * Enumeration contains a set of constants that define the source of certificate used in the procedure of document security object digital signature verification
 * @export
 * @enum {number}
 */
export enum RfidCertificateOrigin {
    /**
    * The source is not defined
    */
    UNDEFINED = 0,
    /**
    * Local PKD
    */
    PKD = 1,
    /**
    * Document security object
    */
    SECURITY_OBJECT = 2,
    /**
    * User-defined
    */
    USER_DEFINED = 3,
    /**
    * Contents of the Master List
    */
    MASTER_LIST_PKD = 4,
    /**
    * Security object of the Master List
    */
    MASTER_LIST_SO = 5,
    /**
    * Security object of the Defect List
    */
    DEFECT_LIST_SO = 6,
    /**
    * Security object of the Deviation List
    */
    DEVIATION_LIST_SO = 7,
    /**
    * Security object of the Black List
    */
    BLACK_LIST_SO = 8
}
/**
 * Regula Document Reader Web API
 * Documents recognition as easy as reading two bytes.   # Clients: * [JavaScript](https://github.com/regulaforensics/DocumentReader-web-js-client) client for the browser and node.js based on axios * [Java](https://github.com/regulaforensics/DocumentReader-web-java-client) client compatible with jvm and android * [Python](https://github.com/regulaforensics/DocumentReader-web-python-client) 3.5+ client * [C#](https://github.com/regulaforensics/DocumentReader-web-csharp-client) client for .NET & .NET Core
 *
 * The version of the OpenAPI document: 8.1.0
 *
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */
/**
 * Enumeration contains a set of constants that define the type of certificate used in the procedure of document security object digital signature verification
 * @export
 * @enum {number}
 */
export enum RfidCertificateType {
    /**
    * Type is not defined
    */
    UNDEFINED = 0,
    /**
    * CSCA
    */
    CSCA = 1,
    /**
    * CSCA-link
    */
    CSCA_LINK = 2,
    /**
    * DS
    */
    DS = 3,
    /**
    * Master List signer
    */
    MLS = 4,
    /**
    * Deviaton List signer
    */
    DEV_LS = 5,
    /**
    * Defect List signer
    */
    DEF_LS = 6,
    /**
    * Black List signer
    */
    BLS = 7,
    /**
    * LDS 2
    */
    LDS2 = 8,
    /**
    * Barcode signer (VDS)
    */
    BCS = 9,
    /**
    * Barcode signer (VDS for non-constrained environment)
    */
    BCS_NC = 10,
    /**
    * DTC signer
    */
    DTCS = 11
}
/**
 * Regula Document Reader Web API
 * Documents recognition as easy as reading two bytes.   # Clients: * [JavaScript](https://github.com/regulaforensics/DocumentReader-web-js-client) client for the browser and node.js based on axios * [Java](https://github.com/regulaforensics/DocumentReader-web-java-client) client compatible with jvm and android * [Python](https://github.com/regulaforensics/DocumentReader-web-python-client) 3.5+ client * [C#](https://github.com/regulaforensics/DocumentReader-web-csharp-client) client for .NET & .NET Core
 *
 * The version of the OpenAPI document: 8.1.0
 *
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */
/**
 * Structure is used to store information about the numeric field (4 bytes) that is a part of one of the informational data groups.
 * @export
 * @interface TrfFtString
 */
export interface TrfFtString {
    /**
     *
     * @type {number}
     * @memberof TrfFtString
     */
    'Type'?: number;
    /**
     * Result of logical analysis of compliance of the contents of the field with the requirements of the specification
     * @type {number}
     * @memberof TrfFtString
     */
    'Status'?: number;
    /**
     * Mask of format of text information (for example, «YYMMDD» for date of birth)
     * @type {string}
     * @memberof TrfFtString
     */
    'Format'?: string;
    /**
     * Numeric value.
     * @type {string}
     * @memberof TrfFtString
     */
    'Data': string;
}
/**
 * Structure contains information that serves as the distinguished name (identifier) of an object.
 * @export
 * @interface RfidAttributeName
 */
export interface RfidAttributeName {
    /**
     * Attribute identifier (OID ASCII string); contents of the identifier in the format S1 (S2), where S1 – attribute name, S2 – identifier (OID string)
     * @type {string}
     * @memberof RfidAttributeName
     */
    'Type': string;
    /**
     *
     * @type {TrfFtString}
     * @memberof RfidAttributeName
     */
    'Value': TrfFtString;
}
/**
 * Contents of the identifier in binary form. Base64 encoded.
 * @export
 * @interface RfidDistinguishedName
 */
export interface RfidDistinguishedName {
    /**
     * Contents of the identifier in binary form. Base64 encoded.
     * @type {string}
     * @memberof RfidDistinguishedName
     */
    'Data': string;
    /**
     *
     * @type {TrfFtString}
     * @memberof RfidDistinguishedName
     */
    'FriendlyName': TrfFtString;
    /**
     * List of individual attributes contained in the identifier
     * @type {Array<RfidAttributeName>}
     * @memberof RfidDistinguishedName
     */
    'Attributes': Array<RfidAttributeName>;
}
/**
 * Regula Document Reader Web API
 * Documents recognition as easy as reading two bytes.   # Clients: * [JavaScript](https://github.com/regulaforensics/DocumentReader-web-js-client) client for the browser and node.js based on axios * [Java](https://github.com/regulaforensics/DocumentReader-web-java-client) client compatible with jvm and android * [Python](https://github.com/regulaforensics/DocumentReader-web-python-client) 3.5+ client * [C#](https://github.com/regulaforensics/DocumentReader-web-csharp-client) client for .NET & .NET Core
 *
 * The version of the OpenAPI document: 8.1.0
 *
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */
/**
 * Extension identifier (OID, ASCII string); Contents of the identifier in the format S1 (S2), where S1 – attribute name, S2 – identifier (OID string)
 * @export
 * @interface RfidPkiExtension
 */
export interface RfidPkiExtension {
    /**
     * Extension identifier (OID, ASCII string); Contents of the identifier in the format S1 (S2), where S1 – attribute name, S2 – identifier (OID string)
     * @type {string}
     * @memberof RfidPkiExtension
     */
    'Type': string;
    /**
     * Extension binary data. Base64 encoded.
     * @type {string}
     * @memberof RfidPkiExtension
     */
    'Data': string;
}
/**
 * Structure contains information on a certificate validity.
 * @export
 * @interface RfidValidity
 */
export interface RfidValidity {
    /**
     *
     * @type {TrfFtString}
     * @memberof RfidValidity
     */
    'NotBefore': TrfFtString;
    /**
     *
     * @type {TrfFtString}
     * @memberof RfidValidity
     */
    'NotAfter': TrfFtString;
}
/**
 * Structure is used to describe the certificate contents used for the digital signature verification of the document security object within the context of the communication session with electronic document.
 * @export
 * @interface RfidCertificateEx
 */
export interface RfidCertificateEx {
    /**
     * Version of Certificate ASN.1 structure
     * @type {number}
     * @memberof RfidCertificateEx
     */
    'Version': number;
    /**
     * Certificate serial number. Base64 encoded.
     * @type {string}
     * @memberof RfidCertificateEx
     */
    'SerialNumber': string;
    /**
     * Certificate digital signature algorithm identifier (OID); String in the format S1 (S2), where S1 – algorithm name, S2 – identifier (OID string).
     * @type {string}
     * @memberof RfidCertificateEx
     */
    'SignatureAlgorithm': string;
    /**
     *
     * @type {RfidDistinguishedName}
     * @memberof RfidCertificateEx
     */
    'Issuer': RfidDistinguishedName;
    /**
     *
     * @type {RfidValidity}
     * @memberof RfidCertificateEx
     */
    'Validity': RfidValidity;
    /**
     *
     * @type {RfidDistinguishedName}
     * @memberof RfidCertificateEx
     */
    'Subject': RfidDistinguishedName;
    /**
     * Certificate public key algorithm identifier (OID); String in the format S1 (S2), where S1 – algorithm name, S2 – identifier (OID string).
     * @type {string}
     * @memberof RfidCertificateEx
     */
    'SubjectPKAlgorithm': string;
    /**
     * List of the certificate extensions
     * @type {Array<RfidPkiExtension>}
     * @memberof RfidCertificateEx
     */
    'Extensions': Array<RfidPkiExtension>;
    /**
     * List of remarks arisen during the analysis of the certificate data structure and its validity verification.
     * @type {Array<ParsingNotificationCodes>}
     * @memberof RfidCertificateEx
     */
    'Notifications': Array<ParsingNotificationCodes>;
    /**
     *
     * @type {RfidCertificateOrigin}
     * @memberof RfidCertificateEx
     */
    'Origin': RfidCertificateOrigin;
    /**
     *
     * @type {RfidCertificateType}
     * @memberof RfidCertificateEx
     */
    'Type': RfidCertificateType;
    /**
     *
     * @type {TrfFtString}
     * @memberof RfidCertificateEx
     */
    'FileName': TrfFtString;
    /**
     *
     * @type {RFIDErrorCodes}
     * @memberof RfidCertificateEx
     */
    'PA_Status': RFIDErrorCodes;
}
/**
 * Structure is used to describe the contents of a single copy of digital signature of the document security object and the results of its check within the context of the communication session with electronic document
 * @export
 * @interface RfidSignerInfoEx
 */
export interface RfidSignerInfoEx {
    /**
     * Version of SignerInfo ASN.1 structure
     * @type {number}
     * @memberof RfidSignerInfoEx
     */
    'Version': number;
    /**
     *
     * @type {RfidDistinguishedName}
     * @memberof RfidSignerInfoEx
     */
    'Issuer': RfidDistinguishedName;
    /**
     *
     * @type {TrfFtBytes}
     * @memberof RfidSignerInfoEx
     */
    'SerialNumber': TrfFtBytes;
    /**
     *
     * @type {TrfFtBytes}
     * @memberof RfidSignerInfoEx
     */
    'SubjectKeyIdentifier': TrfFtBytes;
    /**
     * Hash algorithm identifier (OID) for digital signature generation
     * @type {string}
     * @memberof RfidSignerInfoEx
     */
    'DigestAlgorithm': string;
    /**
     * List of the signed attributes
     * @type {Array<RfidAttributeData>}
     * @memberof RfidSignerInfoEx
     */
    'SignedAttributes': Array<RfidAttributeData>;
    /**
     * Digital signature algorithm identifier (OID)
     * @type {string}
     * @memberof RfidSignerInfoEx
     */
    'SignatureAlgorithm': string;
    /**
     *
     * @type {TrfFtBytes}
     * @memberof RfidSignerInfoEx
     */
    'Signature': TrfFtBytes;
    /**
     *
     * @type {RFIDErrorCodes}
     * @memberof RfidSignerInfoEx
     */
    'PA_Status': RFIDErrorCodes;
    /**
     * Certificate chain, used for the digital signature verification.
     * @type {Array<RfidCertificateEx>}
     * @memberof RfidSignerInfoEx
     */
    'CertificateChain': Array<RfidCertificateEx>;
    /**
     * Binary data array used to calculate the hash value for digital signature verification. Base64 encoded.
     * @type {string}
     * @memberof RfidSignerInfoEx
     */
    'DataToHash': string;
    /**
     *
     * @type {Array<ParsingNotificationCodes>}
     * @memberof RfidSignerInfoEx
     */
    'Notifications': Array<ParsingNotificationCodes>;
}
/**
 * Structure is used to describe the contents of a single document security object (SO) and the results of its check within the context of the communication session with electronic document
 * @export
 * @interface RfidSecurityObject
 */
export interface RfidSecurityObject {
    /**
     * Security object version
     * @type {number}
     * @memberof RfidSecurityObject
     */
    'Version': number;
    /**
     * Identifier of the security object
     * @type {string}
     * @memberof RfidSecurityObject
     */
    'ObjectType': string;
    /**
     * Reference to the source file of the security object data
     * @type {number}
     * @memberof RfidSecurityObject
     */
    'FileReference': number;
    /**
     * List of remarks arisen during the analysis of SO data structure.
     * @type {Array<ParsingNotificationCodes>}
     * @memberof RfidSecurityObject
     */
    'Notifications': Array<ParsingNotificationCodes>;
    /**
     * List of containers to store information about digital signature objects contained in the SO
     * @type {Array<RfidSignerInfoEx>}
     * @memberof RfidSecurityObject
     */
    'SignerInfos': Array<RfidSignerInfoEx>;
}
/**
 * Regula Document Reader Web API
 * Documents recognition as easy as reading two bytes.   # Clients: * [JavaScript](https://github.com/regulaforensics/DocumentReader-web-js-client) client for the browser and node.js based on axios * [Java](https://github.com/regulaforensics/DocumentReader-web-java-client) client compatible with jvm and android * [Python](https://github.com/regulaforensics/DocumentReader-web-python-client) 3.5+ client * [C#](https://github.com/regulaforensics/DocumentReader-web-csharp-client) client for .NET & .NET Core
 *
 * The version of the OpenAPI document: 8.1.0
 *
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */
/**
 * Enumeration contains a set of constants that define the type of terminal within the context of the communication session with electronic document
 * @export
 * @enum {number}
 */
export enum RfidTerminalType {
    /**
    * Not defined
    */
    UNDEFINED = 0,
    /**
    * Inspection system
    */
    INSPECTION_SYSTEM = 1,
    /**
    * Authentication terminal
    */
    AUTHENTICATION_TERMINAL = 2,
    /**
    * Signature terminal
    */
    SIGNATURE_TERMINAL = 3,
    /**
    * Unauthenticated terminal
    */
    UNAUTHENTICATED_TERMINAL = 4
}
/**
 * Structure is used to describe the terminal type within the context of the communication session with electronic document
 * @export
 * @interface RfidTerminal
 */
export interface RfidTerminal {
    /**
     *
     * @type {RfidTerminalType}
     * @memberof RfidTerminal
     */
    'TermType': RfidTerminalType;
    /**
     * Declared (set) combination of flags of access rights to the functionality of the document (combination of eRfidTerminalAuthorizationRequirement values)
     * @type {number}
     * @memberof RfidTerminal
     */
    'AuthReq': number;
    /**
     * Declared (set) combination of flags of access rights to the functionality of the document (combination of RfidTerminalAuthorizationRequirement values)
     * @type {number}
     * @memberof RfidTerminal
     */
    'AuthReq2': number;
}
/**
 * Structure is used to describe the results of work with the SDK within the context of the current communication session with electronic document
 * @export
 * @interface RfidSessionData
 */
export interface RfidSessionData {
    /**
     * Sign of virtual session when working with loaded data from a previous communication session with the electronic document
     * @type {string}
     * @memberof RfidSessionData
     */
    'VirtualMode'?: string;
    /**
     * Text SDKVersion value in format A.B (e.g. 3.1)
     * @type {string}
     * @memberof RfidSessionData
     */
    'SDKVersion'?: string;
    /**
     * Text DriverVersion value in format A.B.C.D (e.g. 6.2.5.4)
     * @type {string}
     * @memberof RfidSessionData
     */
    'DriverVersion'?: string;
    /**
     * Text FirmwareVersion value in format A.B (e.g. 5.19)
     * @type {string}
     * @memberof RfidSessionData
     */
    'FirmwareVersion'?: string;
    /**
     * List of containers to store information about the involved applications of electronic document
     * @type {Array<RfidApplication>}
     * @memberof RfidSessionData
     */
    'Applications': Array<RfidApplication>;
    /**
     * List of containers to store information about the supported procedures of authentication and secure data access within the context of the session
     * @type {Array<RfidAccessControlInfo>}
     * @memberof RfidSessionData
     */
    'AccessControls': Array<RfidAccessControlInfo>;
    /**
     *
     * @type {RfidCardPropertiesExt}
     * @memberof RfidSessionData
     */
    'CardProperties': RfidCardPropertiesExt;
    /**
     *
     * @type {RFIDErrorCodes}
     * @memberof RfidSessionData
     */
    'ExtLeSupport': RFIDErrorCodes;
    /**
     * Time of processing, milliseconds
     * @type {number}
     * @memberof RfidSessionData
     */
    'ProcessTime': number;
    /**
     * List of containers to store information about the read files of the root Master File
     * @type {Array<any>}
     * @memberof RfidSessionData
     */
    'RootFiles': Array<any>;
    /**
     * Total number of bytes transmitted to the RFID-chip during the whole session
     * @type {number}
     * @memberof RfidSessionData
     */
    'TotalBytesSent': number;
    /**
     * Total number of bytes received from the RFID-chip during the whole session
     * @type {number}
     * @memberof RfidSessionData
     */
    'TotalBytesReceived': number;
    /**
     *
     * @type {RfidAccessKey}
     * @memberof RfidSessionData
     */
    'Session_key': RfidAccessKey;
    /**
     *
     * @type {RfidTerminal}
     * @memberof RfidSessionData
     */
    'Session_terminal': RfidTerminal;
    /**
     *
     * @type {RfidAuthenticationProcedureType}
     * @memberof RfidSessionData
     */
    'Session_procedure': RfidAuthenticationProcedureType;
    /**
     * List of containers to store information about the detected document security objects
     * @type {Array<RfidSecurityObject>}
     * @memberof RfidSessionData
     */
    'SecurityObjects': Array<RfidSecurityObject>;
    /**
     *
     * @type {CheckResult}
     * @memberof RfidSessionData
     */
    'Status'?: CheckResult;
}
/**
 * Structure is used for storing the results of one bar-code module reading.
 * @export
 * @interface BinaryData
 */
export interface BinaryData {
    /**
     *
     * @type {{ [key: string]: any; }}
     * @memberof BinaryData
     */
    'RFID_Authentication_Info'?: {
        [key: string]: any;
    };
    /**
     *
     * @type {{ [key: string]: any; }}
     * @memberof BinaryData
     */
    'RFID_MIFARE_Data_Validity'?: {
        [key: string]: any;
    };
    /**
     *
     * @type {{ [key: string]: any; }}
     * @memberof BinaryData
     */
    'RFID_MIFARE_Data'?: {
        [key: string]: any;
    };
    /**
     *
     * @type {{ [key: string]: any; }}
     * @memberof BinaryData
     */
    'RFID_EF_COM'?: {
        [key: string]: any;
    };
    /**
     *
     * @type {RfidDG1}
     * @memberof BinaryData
     */
    'RFID_DG1'?: RfidDG1;
    /**
     *
     * @type {{ [key: string]: any; }}
     * @memberof BinaryData
     */
    'RFID_DG2'?: {
        [key: string]: any;
    };
    /**
     *
     * @type {{ [key: string]: any; }}
     * @memberof BinaryData
     */
    'RFID_DG3'?: {
        [key: string]: any;
    };
    /**
     *
     * @type {{ [key: string]: any; }}
     * @memberof BinaryData
     */
    'RFID_DG4'?: {
        [key: string]: any;
    };
    /**
     *
     * @type {{ [key: string]: any; }}
     * @memberof BinaryData
     */
    'RFID_DG5'?: {
        [key: string]: any;
    };
    /**
     *
     * @type {{ [key: string]: any; }}
     * @memberof BinaryData
     */
    'RFID_DG6'?: {
        [key: string]: any;
    };
    /**
     *
     * @type {{ [key: string]: any; }}
     * @memberof BinaryData
     */
    'RFID_DG7'?: {
        [key: string]: any;
    };
    /**
     *
     * @type {{ [key: string]: any; }}
     * @memberof BinaryData
     */
    'RFID_DG8'?: {
        [key: string]: any;
    };
    /**
     *
     * @type {{ [key: string]: any; }}
     * @memberof BinaryData
     */
    'RFID_DG9'?: {
        [key: string]: any;
    };
    /**
     *
     * @type {{ [key: string]: any; }}
     * @memberof BinaryData
     */
    'RFID_DG10'?: {
        [key: string]: any;
    };
    /**
     *
     * @type {{ [key: string]: any; }}
     * @memberof BinaryData
     */
    'RFID_DG11'?: {
        [key: string]: any;
    };
    /**
     *
     * @type {{ [key: string]: any; }}
     * @memberof BinaryData
     */
    'RFID_DG12'?: {
        [key: string]: any;
    };
    /**
     *
     * @type {{ [key: string]: any; }}
     * @memberof BinaryData
     */
    'RFID_DG13'?: {
        [key: string]: any;
    };
    /**
     *
     * @type {{ [key: string]: any; }}
     * @memberof BinaryData
     */
    'RFID_DG14'?: {
        [key: string]: any;
    };
    /**
     *
     * @type {{ [key: string]: any; }}
     * @memberof BinaryData
     */
    'RFID_DG15'?: {
        [key: string]: any;
    };
    /**
     *
     * @type {{ [key: string]: any; }}
     * @memberof BinaryData
     */
    'RFID_DG16'?: {
        [key: string]: any;
    };
    /**
     *
     * @type {{ [key: string]: any; }}
     * @memberof BinaryData
     */
    'RFID_EF_SOD'?: {
        [key: string]: any;
    };
    /**
     *
     * @type {{ [key: string]: any; }}
     * @memberof BinaryData
     */
    'eID_DG1'?: {
        [key: string]: any;
    };
    /**
     *
     * @type {{ [key: string]: any; }}
     * @memberof BinaryData
     */
    'eID_DG2'?: {
        [key: string]: any;
    };
    /**
     *
     * @type {{ [key: string]: any; }}
     * @memberof BinaryData
     */
    'eID_DG3'?: {
        [key: string]: any;
    };
    /**
     *
     * @type {{ [key: string]: any; }}
     * @memberof BinaryData
     */
    'eID_DG4'?: {
        [key: string]: any;
    };
    /**
     *
     * @type {{ [key: string]: any; }}
     * @memberof BinaryData
     */
    'eID_DG5'?: {
        [key: string]: any;
    };
    /**
     *
     * @type {{ [key: string]: any; }}
     * @memberof BinaryData
     */
    'eID_DG6'?: {
        [key: string]: any;
    };
    /**
     *
     * @type {{ [key: string]: any; }}
     * @memberof BinaryData
     */
    'eID_DG7'?: {
        [key: string]: any;
    };
    /**
     *
     * @type {{ [key: string]: any; }}
     * @memberof BinaryData
     */
    'eID_DG8'?: {
        [key: string]: any;
    };
    /**
     *
     * @type {{ [key: string]: any; }}
     * @memberof BinaryData
     */
    'eID_DG9'?: {
        [key: string]: any;
    };
    /**
     *
     * @type {{ [key: string]: any; }}
     * @memberof BinaryData
     */
    'eID_DG10'?: {
        [key: string]: any;
    };
    /**
     *
     * @type {{ [key: string]: any; }}
     * @memberof BinaryData
     */
    'eID_DG11'?: {
        [key: string]: any;
    };
    /**
     *
     * @type {{ [key: string]: any; }}
     * @memberof BinaryData
     */
    'eID_DG12'?: {
        [key: string]: any;
    };
    /**
     *
     * @type {{ [key: string]: any; }}
     * @memberof BinaryData
     */
    'eID_DG13'?: {
        [key: string]: any;
    };
    /**
     *
     * @type {{ [key: string]: any; }}
     * @memberof BinaryData
     */
    'eID_DG14'?: {
        [key: string]: any;
    };
    /**
     *
     * @type {{ [key: string]: any; }}
     * @memberof BinaryData
     */
    'eID_DG15'?: {
        [key: string]: any;
    };
    /**
     *
     * @type {{ [key: string]: any; }}
     * @memberof BinaryData
     */
    'eID_DG16'?: {
        [key: string]: any;
    };
    /**
     *
     * @type {{ [key: string]: any; }}
     * @memberof BinaryData
     */
    'eID_DG17'?: {
        [key: string]: any;
    };
    /**
     *
     * @type {{ [key: string]: any; }}
     * @memberof BinaryData
     */
    'eID_DG18'?: {
        [key: string]: any;
    };
    /**
     *
     * @type {{ [key: string]: any; }}
     * @memberof BinaryData
     */
    'eID_DG19'?: {
        [key: string]: any;
    };
    /**
     *
     * @type {{ [key: string]: any; }}
     * @memberof BinaryData
     */
    'eID_DG20'?: {
        [key: string]: any;
    };
    /**
     *
     * @type {{ [key: string]: any; }}
     * @memberof BinaryData
     */
    'eID_DG21'?: {
        [key: string]: any;
    };
    /**
     *
     * @type {{ [key: string]: any; }}
     * @memberof BinaryData
     */
    'eDL_COM'?: {
        [key: string]: any;
    };
    /**
     *
     * @type {{ [key: string]: any; }}
     * @memberof BinaryData
     */
    'eDL_SOD'?: {
        [key: string]: any;
    };
    /**
     *
     * @type {{ [key: string]: any; }}
     * @memberof BinaryData
     */
    'eDL_DG1'?: {
        [key: string]: any;
    };
    /**
     *
     * @type {{ [key: string]: any; }}
     * @memberof BinaryData
     */
    'eDL_DG2'?: {
        [key: string]: any;
    };
    /**
     *
     * @type {{ [key: string]: any; }}
     * @memberof BinaryData
     */
    'eDL_DG3'?: {
        [key: string]: any;
    };
    /**
     *
     * @type {{ [key: string]: any; }}
     * @memberof BinaryData
     */
    'eDL_DG4'?: {
        [key: string]: any;
    };
    /**
     *
     * @type {{ [key: string]: any; }}
     * @memberof BinaryData
     */
    'eDL_DG5'?: {
        [key: string]: any;
    };
    /**
     *
     * @type {{ [key: string]: any; }}
     * @memberof BinaryData
     */
    'eDL_DG6'?: {
        [key: string]: any;
    };
    /**
     *
     * @type {{ [key: string]: any; }}
     * @memberof BinaryData
     */
    'eDL_DG7'?: {
        [key: string]: any;
    };
    /**
     *
     * @type {{ [key: string]: any; }}
     * @memberof BinaryData
     */
    'eDL_DG8'?: {
        [key: string]: any;
    };
    /**
     *
     * @type {{ [key: string]: any; }}
     * @memberof BinaryData
     */
    'eDL_DG9'?: {
        [key: string]: any;
    };
    /**
     *
     * @type {{ [key: string]: any; }}
     * @memberof BinaryData
     */
    'eDL_DG10'?: {
        [key: string]: any;
    };
    /**
     *
     * @type {{ [key: string]: any; }}
     * @memberof BinaryData
     */
    'eDL_DG11'?: {
        [key: string]: any;
    };
    /**
     *
     * @type {{ [key: string]: any; }}
     * @memberof BinaryData
     */
    'eDL_DG12'?: {
        [key: string]: any;
    };
    /**
     *
     * @type {{ [key: string]: any; }}
     * @memberof BinaryData
     */
    'eDL_DG13'?: {
        [key: string]: any;
    };
    /**
     *
     * @type {{ [key: string]: any; }}
     * @memberof BinaryData
     */
    'eDL_DG14'?: {
        [key: string]: any;
    };
    /**
     *
     * @type {{ [key: string]: any; }}
     * @memberof BinaryData
     */
    'Visible_Digital_Seal'?: {
        [key: string]: any;
    };
    /**
     *
     * @type {{ [key: string]: any; }}
     * @memberof BinaryData
     */
    'Visible_Digital_Seal_NC'?: {
        [key: string]: any;
    };
    /**
     *
     * @type {{ [key: string]: any; }}
     * @memberof BinaryData
     */
    'Digital_Signature'?: {
        [key: string]: any;
    };
    /**
     *
     * @type {RfidSessionData}
     * @memberof BinaryData
     */
    'RFID_Session_Data'?: RfidSessionData;
    /**
     *
     * @type {DetailsRFID}
     * @memberof BinaryData
     */
    'RFID_Session_Data_Status'?: DetailsRFID;
    /**
     * Indexes of groups that aren\'t read
     * @type {Array<RfidDataFileType>}
     * @memberof BinaryData
     */
    'RFID_ePassp_Directory'?: Array<RfidDataFileType>;
}
/**
 * Regula Document Reader Web API
 * Documents recognition as easy as reading two bytes.   # Clients: * [JavaScript](https://github.com/regulaforensics/DocumentReader-web-js-client) client for the browser and node.js based on axios * [Java](https://github.com/regulaforensics/DocumentReader-web-java-client) client compatible with jvm and android * [Python](https://github.com/regulaforensics/DocumentReader-web-python-client) 3.5+ client * [C#](https://github.com/regulaforensics/DocumentReader-web-csharp-client) client for .NET & .NET Core
 *
 * The version of the OpenAPI document: 8.1.0
 *
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */
/**
 *
 * @export
 * @interface ByteArrayItem
 */
export interface ByteArrayItem {
    /**
     * Byte array in base64
     * @type {string}
     * @memberof ByteArrayItem
     */
    'ByteArray': string;
}
/**
 * @type ByteArrayResult
 * @export
 */
export type ByteArrayResult = ByteArrayItem & ResultItem;
/**
 * Regula Document Reader Web API
 * Documents recognition as easy as reading two bytes.   # Clients: * [JavaScript](https://github.com/regulaforensics/DocumentReader-web-js-client) client for the browser and node.js based on axios * [Java](https://github.com/regulaforensics/DocumentReader-web-java-client) client compatible with jvm and android * [Python](https://github.com/regulaforensics/DocumentReader-web-python-client) 3.5+ client * [C#](https://github.com/regulaforensics/DocumentReader-web-csharp-client) client for .NET & .NET Core
 *
 * The version of the OpenAPI document: 8.1.0
 *
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */
/**
 *
 * @export
 * @enum {number}
 */
export enum DocumentTypeRecognitionResult {
    /**
    * Document type determined. The first element in candidates array is recognition result
    */
    OK = 0,
    /**
    * Document type was not determined. Ongoing processing is not possible
    */
    UNKNOWN = 15,
    /**
    * To determine document type user should provide more images with different light sources (UV, for example)
    */
    NEED_MORE_IMAGES = 29
}
/**
 * Regula Document Reader Web API
 * Documents recognition as easy as reading two bytes.   # Clients: * [JavaScript](https://github.com/regulaforensics/DocumentReader-web-js-client) client for the browser and node.js based on axios * [Java](https://github.com/regulaforensics/DocumentReader-web-java-client) client compatible with jvm and android * [Python](https://github.com/regulaforensics/DocumentReader-web-python-client) 3.5+ client * [C#](https://github.com/regulaforensics/DocumentReader-web-csharp-client) client for .NET & .NET Core
 *
 * The version of the OpenAPI document: 8.1.0
 *
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */
/**
 * Possible values for document types
 * @export
 * @enum {number}
 */
export enum DocumentType {
    /**
    * Not defined
    */
    NOT_DEFINED = 0,
    /**
    * Passport
    */
    PASSPORT = 11,
    /**
    * Identity card
    */
    IDENTITY_CARD = 12,
    /**
    * Diplomatic passport
    */
    DIPLOMATIC_PASSPORT = 13,
    /**
    * Service passport
    */
    SERVICE_PASSPORT = 14,
    /**
    * Seamans identity document
    */
    SEAMANS_IDENTITY_DOCUMENT = 15,
    /**
    * Identity card for residence
    */
    IDENTITY_CARD_FOR_RESIDENCE = 16,
    /**
    * Travel document
    */
    TRAVEL_DOCUMENT = 17,
    /**
    * National identity card
    */
    NATIONAL_IDENTITY_CARD = 20,
    /**
    * Social identity card
    */
    SOCIAL_IDENTITY_CARD = 21,
    /**
    * Alien&#39;s identity card
    */
    ALIENS_IDENTITY_CARD = 22,
    /**
    * Privileged identity card
    */
    PRIVILEGED_IDENTITY_CARD = 23,
    /**
    * Residence permit identity card
    */
    RESIDENCE_PERMIT_IDENTITY_CARD = 24,
    /**
    * Origin card
    */
    ORIGIN_CARD = 25,
    /**
    * Emergency passport
    */
    EMERGENCY_PASSPORT = 26,
    /**
    * Alien&#39;s passport
    */
    ALIENS_PASSPORT = 27,
    /**
    * Alternative identity card
    */
    ALTERNATIVE_IDENTITY_CARD = 28,
    /**
    * Visa ID2
    */
    VISA_ID2 = 29,
    /**
    * Visa ID3
    */
    VISA_ID3 = 30,
    /**
    * Authorization card
    */
    AUTHORIZATION_CARD = 32,
    /**
    * Beginner permit
    */
    BEGINNER_PERMIT = 33,
    /**
    * Border crossing card
    */
    BORDER_CROSSING_CARD = 34,
    /**
    * Chauffeur license
    */
    CHAUFFEUR_LICENSE = 35,
    /**
    * Chauffeur license under 18
    */
    CHAUFFEUR_LICENSE_UNDER_18 = 36,
    /**
    * Chauffeur license under 21
    */
    CHAUFFEUR_LICENSE_UNDER_21 = 37,
    /**
    * Commercial driving license
    */
    COMMERCIAL_DRIVING_LICENSE = 38,
    /**
    * Commercial driving license instructional permit
    */
    COMMERCIAL_DRIVING_LICENSE_INSTRUCTIONAL_PERMIT = 39,
    /**
    * Commercial driving license under 18
    */
    COMMERCIAL_DRIVING_LICENSE_UNDER_18 = 40,
    /**
    * Commercial driving license under 21
    */
    COMMERCIAL_DRIVING_LICENSE_UNDER_21 = 41,
    /**
    * Commercial instruction permit
    */
    COMMERCIAL_INSTRUCTION_PERMIT = 42,
    /**
    * Commercial new permit
    */
    COMMERCIAL_NEW_PERMIT = 43,
    /**
    * Concealed carry license
    */
    CONCEALED_CARRY_LICENSE = 44,
    /**
    * Concealed firearm permit
    */
    CONCEALED_FIREARM_PERMIT = 45,
    /**
    * Conditional driving license
    */
    CONDITIONAL_DRIVING_LICENSE = 46,
    /**
    * Department of veterans affairs identity card
    */
    DEPARTMENT_OF_VETERANS_AFFAIRS_IDENTITY_CARD = 47,
    /**
    * Diplomatic driving license
    */
    DIPLOMATIC_DRIVING_LICENSE = 48,
    /**
    * Driving license
    */
    DRIVING_LICENSE = 49,
    /**
    * Driving license instructional permit
    */
    DRIVING_LICENSE_INSTRUCTIONAL_PERMIT = 50,
    /**
    * Driving license instructional permit under 18
    */
    DRIVING_LICENSE_INSTRUCTIONAL_PERMIT_UNDER_18 = 51,
    /**
    * Driving license instructional permit under 21
    */
    DRIVING_LICENSE_INSTRUCTIONAL_PERMIT_UNDER_21 = 52,
    /**
    * Driving license learners permit
    */
    DRIVING_LICENSE_LEARNERS_PERMIT = 53,
    /**
    * Driving license learners permit under 18
    */
    DRIVING_LICENSE_LEARNERS_PERMIT_UNDER_18 = 54,
    /**
    * Driving license learners permit under 21
    */
    DRIVING_LICENSE_LEARNERS_PERMIT_UNDER_21 = 55,
    /**
    * Driving license novice
    */
    DRIVING_LICENSE_NOVICE = 56,
    /**
    * Driving license novice under 18
    */
    DRIVING_LICENSE_NOVICE_UNDER_18 = 57,
    /**
    * Driving license novice under 21
    */
    DRIVING_LICENSE_NOVICE_UNDER_21 = 58,
    /**
    * Driving license registered offender
    */
    DRIVING_LICENSE_REGISTERED_OFFENDER = 59,
    /**
    * Driving license restricted under 18
    */
    DRIVING_LICENSE_RESTRICTED_UNDER_18 = 60,
    /**
    * Driving license restricted under 21
    */
    DRIVING_LICENSE_RESTRICTED_UNDER_21 = 61,
    /**
    * Driving license temporary visitor
    */
    DRIVING_LICENSE_TEMPORARY_VISITOR = 62,
    /**
    * Driving license temporary visitor under 18
    */
    DRIVING_LICENSE_TEMPORARY_VISITOR_UNDER_18 = 63,
    /**
    * Driving license temporary visitor under 21
    */
    DRIVING_LICENSE_TEMPORARY_VISITOR_UNDER_21 = 64,
    /**
    * Driving license under 18
    */
    DRIVING_LICENSE_UNDER_18 = 65,
    /**
    * Driving license under 21
    */
    DRIVING_LICENSE_UNDER_21 = 66,
    /**
    * Employment driving permit
    */
    EMPLOYMENT_DRIVING_PERMIT = 67,
    /**
    * Enhanced chauffeur license
    */
    ENHANCED_CHAUFFEUR_LICENSE = 68,
    /**
    * Enhanced chauffeur license under 18
    */
    ENHANCED_CHAUFFEUR_LICENSE_UNDER_18 = 69,
    /**
    * Enhanced chauffeur license under 21
    */
    ENHANCED_CHAUFFEUR_LICENSE_UNDER_21 = 70,
    /**
    * Enhanced commercial driving license
    */
    ENHANCED_COMMERCIAL_DRIVING_LICENSE = 71,
    /**
    * Enhanced driving license
    */
    ENHANCED_DRIVING_LICENSE = 72,
    /**
    * Enhanced driving license under 18
    */
    ENHANCED_DRIVING_LICENSE_UNDER_18 = 73,
    /**
    * Enhanced driving license under 21
    */
    ENHANCED_DRIVING_LICENSE_UNDER_21 = 74,
    /**
    * Enhanced identity card
    */
    ENHANCED_IDENTITY_CARD = 75,
    /**
    * Enhanced identity card under 18
    */
    ENHANCED_IDENTITY_CARD_UNDER_18 = 76,
    /**
    * Enhanced identity card under 21
    */
    ENHANCED_IDENTITY_CARD_UNDER_21 = 77,
    /**
    * Enhanced operators license
    */
    ENHANCED_OPERATORS_LICENSE = 78,
    /**
    * Firearms permit
    */
    FIREARMS_PERMIT = 79,
    /**
    * Full provisional license
    */
    FULL_PROVISIONAL_LICENSE = 80,
    /**
    * Full provisional license under 18
    */
    FULL_PROVISIONAL_LICENSE_UNDER_18 = 81,
    /**
    * Full provisional license under 21
    */
    FULL_PROVISIONAL_LICENSE_UNDER_21 = 82,
    /**
    * Geneva conventions identity card
    */
    GENEVA_CONVENTIONS_IDENTITY_CARD = 83,
    /**
    * Graduated driving license under 18
    */
    GRADUATED_DRIVING_LICENSE_UNDER_18 = 84,
    /**
    * Graduated driving license under 21
    */
    GRADUATED_DRIVING_LICENSE_UNDER_21 = 85,
    /**
    * Graduated instruction permit under 18
    */
    GRADUATED_INSTRUCTION_PERMIT_UNDER_18 = 86,
    /**
    * Graduated instruction permit under 21
    */
    GRADUATED_INSTRUCTION_PERMIT_UNDER_21 = 87,
    /**
    * Graduated license under 18
    */
    GRADUATED_LICENSE_UNDER_18 = 88,
    /**
    * Graduated license under 21
    */
    GRADUATED_LICENSE_UNDER_21 = 89,
    /**
    * Handgun carry permit
    */
    HANDGUN_CARRY_PERMIT = 90,
    /**
    * Identity and privilege card
    */
    IDENTITY_AND_PRIVILEGE_CARD = 91,
    /**
    * Identity card mobility impaired
    */
    IDENTITY_CARD_MOBILITY_IMPAIRED = 92,
    /**
    * Identity card registered offender
    */
    IDENTITY_CARD_REGISTERED_OFFENDER = 93,
    /**
    * Identity card temporary visitor
    */
    IDENTITY_CARD_TEMPORARY_VISITOR = 94,
    /**
    * Identity card temporary visitor under 18
    */
    IDENTITY_CARD_TEMPORARY_VISITOR_UNDER_18 = 95,
    /**
    * Identity card temporary visitor under 21
    */
    IDENTITY_CARD_TEMPORARY_VISITOR_UNDER_21 = 96,
    /**
    * Identity card under 18
    */
    IDENTITY_CARD_UNDER_18 = 97,
    /**
    * Identity card under 21
    */
    IDENTITY_CARD_UNDER_21 = 98,
    /**
    * Other
    */
    OTHER = 99,
    /**
    * Ignition interlock permit
    */
    IGNITION_INTERLOCK_PERMIT = 100,
    /**
    * Immigrant visa
    */
    IMMIGRANT_VISA = 101,
    /**
    * Instruction permit
    */
    INSTRUCTION_PERMIT = 102,
    /**
    * Instruction permit under 18
    */
    INSTRUCTION_PERMIT_UNDER_18 = 103,
    /**
    * Instruction permit under 21
    */
    INSTRUCTION_PERMIT_UNDER_21 = 104,
    /**
    * Interim driving license
    */
    INTERIM_DRIVING_LICENSE = 105,
    /**
    * Interim identity card
    */
    INTERIM_IDENTITY_CARD = 106,
    /**
    * Intermediate driving license
    */
    INTERMEDIATE_DRIVING_LICENSE = 107,
    /**
    * Intermediate driving license under 18
    */
    INTERMEDIATE_DRIVING_LICENSE_UNDER_18 = 108,
    /**
    * Intermediate driving license under 21
    */
    INTERMEDIATE_DRIVING_LICENSE_UNDER_21 = 109,
    /**
    * Junior driving license
    */
    JUNIOR_DRIVING_LICENSE = 110,
    /**
    * Learner instructional permit
    */
    LEARNER_INSTRUCTIONAL_PERMIT = 111,
    /**
    * Learner license
    */
    LEARNER_LICENSE = 112,
    /**
    * Learner license under 18
    */
    LEARNER_LICENSE_UNDER_18 = 113,
    /**
    * Learner license under 21
    */
    LEARNER_LICENSE_UNDER_21 = 114,
    /**
    * Learner permit
    */
    LEARNER_PERMIT = 115,
    /**
    * Learner permit under 18
    */
    LEARNER_PERMIT_UNDER_18 = 116,
    /**
    * Learner permit under 21
    */
    LEARNER_PERMIT_UNDER_21 = 117,
    /**
    * Limited license
    */
    LIMITED_LICENSE = 118,
    /**
    * Limited permit
    */
    LIMITED_PERMIT = 119,
    /**
    * Limited term driving license
    */
    LIMITED_TERM_DRIVING_LICENSE = 120,
    /**
    * Limited term identity card
    */
    LIMITED_TERM_IDENTITY_CARD = 121,
    /**
    * Liquor identity card
    */
    LIQUOR_IDENTITY_CARD = 122,
    /**
    * New permit
    */
    NEW_PERMIT = 123,
    /**
    * New permit under 18
    */
    NEW_PERMIT_UNDER_18 = 124,
    /**
    * New permit under 21
    */
    NEW_PERMIT_UNDER_21 = 125,
    /**
    * Non-US citizen driving license
    */
    NON_US_CITIZEN_DRIVING_LICENSE = 126,
    /**
    * Occupational driving license
    */
    OCCUPATIONAL_DRIVING_LICENSE = 127,
    /**
    * Oneida tribe of indians identity card
    */
    ONEIDA_TRIBE_OF_INDIANS_IDENTITY_CARD = 128,
    /**
    * Operator license
    */
    OPERATOR_LICENSE = 129,
    /**
    * Operator license under 18
    */
    OPERATOR_LICENSE_UNDER_18 = 130,
    /**
    * Operator license under 21
    */
    OPERATOR_LICENSE_UNDER_21 = 131,
    /**
    * Permanent driving license
    */
    PERMANENT_DRIVING_LICENSE = 132,
    /**
    * Permit to re-enter
    */
    PERMIT_TO_REENTER = 133,
    /**
    * Probationary auto license
    */
    PROBATIONARY_AUTO_LICENSE = 134,
    /**
    * Probationary driving license under 18
    */
    PROBATIONARY_DRIVING_LICENSE_UNDER_18 = 135,
    /**
    * Probationary driving license under 21
    */
    PROBATIONARY_DRIVING_LICENSE_UNDER_21 = 136,
    /**
    * Probationary vehicle sales person license
    */
    PROBATIONARY_VEHICLE_SALES_PERSON_LICENSE = 137,
    /**
    * Provisional driving license
    */
    PROVISIONAL_DRIVING_LICENSE = 138,
    /**
    * Provisional driving license under 18
    */
    PROVISIONAL_DRIVING_LICENSE_UNDER_18 = 139,
    /**
    * Provisional driving license under 21
    */
    PROVISIONAL_DRIVING_LICENSE_UNDER_21 = 140,
    /**
    * Provisional license
    */
    PROVISIONAL_LICENSE = 141,
    /**
    * Provisional license under 18
    */
    PROVISIONAL_LICENSE_UNDER_18 = 142,
    /**
    * Provisional license under 21
    */
    PROVISIONAL_LICENSE_UNDER_21 = 143,
    /**
    * Public passenger chauffeur license
    */
    PUBLIC_PASSENGER_CHAUFFEUR_LICENSE = 144,
    /**
    * Racing and gaming comission card
    */
    RACING_AND_GAMING_COMISSION_CARD = 145,
    /**
    * Refugee travel document
    */
    REFUGEE_TRAVEL_DOCUMENT = 146,
    /**
    * Renewal permit
    */
    RENEWAL_PERMIT = 147,
    /**
    * Restricted commercial driver license
    */
    RESTRICTED_COMMERCIAL_DRIVER_LICENSE = 148,
    /**
    * Restricted driver license
    */
    RESTRICTED_DRIVER_LICENSE = 149,
    /**
    * Restricted permit
    */
    RESTRICTED_PERMIT = 150,
    /**
    * Seasonal permit
    */
    SEASONAL_PERMIT = 151,
    /**
    * Seasonal resident identity card
    */
    SEASONAL_RESIDENT_IDENTITY_CARD = 152,
    /**
    * Seasonal citizen identity card
    */
    SEASONAL_CITIZEN_IDENTITY_CARD = 153,
    /**
    * Sex offender
    */
    SEX_OFFENDER = 154,
    /**
    * Social security card
    */
    SOCIAL_SECURITY_CARD = 155,
    /**
    * Temporary driving license
    */
    TEMPORARY_DRIVING_LICENSE = 156,
    /**
    * Temporary driving license under 18
    */
    TEMPORARY_DRIVING_LICENSE_UNDER_18 = 157,
    /**
    * Temporary driving license under 21
    */
    TEMPORARY_DRIVING_LICENSE_UNDER_21 = 158,
    /**
    * Temporary identity card
    */
    TEMPORARY_IDENTITY_CARD = 159,
    /**
    * Temporary instruction permit identity card
    */
    TEMPORARY_INSTRUCTION_PERMIT_IDENTITY_CARD = 160,
    /**
    * Temporary instruction permit identity card under 18
    */
    TEMPORARY_INSTRUCTION_PERMIT_IDENTITY_CARD_UNDER_18 = 161,
    /**
    * Temporary instruction permit identity card under 21
    */
    TEMPORARY_INSTRUCTION_PERMIT_IDENTITY_CARD_UNDER_21 = 162,
    /**
    * Temporary visitor driving license
    */
    TEMPORARY_VISITOR_DRIVING_LICENSE = 163,
    /**
    * Temporary visitor driving license under 18
    */
    TEMPORARY_VISITOR_DRIVING_LICENSE_UNDER_18 = 164,
    /**
    * Temporary visitor driving license under 21
    */
    TEMPORARY_VISITOR_DRIVING_LICENSE_UNDER_21 = 165,
    /**
    * Uniformed services identity card
    */
    UNIFORMED_SERVICES_IDENTITY_CARD = 166,
    /**
    * Vehicle sales person license
    */
    VEHICLE_SALES_PERSON_LICENSE = 167,
    /**
    * Worker identification credential
    */
    WORKER_IDENTIFICATION_CREDENTIAL = 168,
    /**
    * Commercial driving license novice
    */
    COMMERCIAL_DRIVING_LICENSE_NOVICE = 169,
    /**
    * Commercial driving license novice under 18
    */
    COMMERCIAL_DRIVING_LICENSE_NOVICE_UNDER_18 = 170,
    /**
    * Commercial driving license novice under 21
    */
    COMMERCIAL_DRIVING_LICENSE_NOVICE_UNDER_21 = 171,
    /**
    * Passport card
    */
    PASSPORT_CARD = 172,
    /**
    * Passport resident card
    */
    PASSPORT_RESIDENT_CARD = 173,
    /**
    * Personal identification verification
    */
    PERSONAL_IDENTIFICATION_VERIFICATION = 174,
    /**
    * Temporary operator license
    */
    TEMPORARY_OPERATOR_LICENSE = 175,
    /**
    * Driving license under 19
    */
    DRIVING_LICENSE_UNDER_19 = 176,
    /**
    * Identity card under 19
    */
    IDENTITY_CARD_UNDER_19 = 177,
    /**
    * Visa
    */
    VISA = 178,
    /**
    * Temporary passport
    */
    TEMPORARY_PASSPORT = 179,
    /**
    * Voting card
    */
    VOTING_CARD = 180,
    /**
    * Health card
    */
    HEALTH_CARD = 181,
    /**
    * Certificate of citizenship
    */
    CERTIFICATE_OF_CITIZENSHIP = 182,
    /**
    * Address card
    */
    ADDRESS_CARD = 183,
    /**
    * Airport immigration card
    */
    AIRPORT_IMMIGRATION_CARD = 184,
    /**
    * Alien registration card
    */
    ALIEN_REGISTRATION_CARD = 185,
    /**
    * APEH card
    */
    APEH_CARD = 186,
    /**
    * Coupon to driving license
    */
    COUPON_TO_DRIVING_LICENSE = 187,
    /**
    * Crew member certificate
    */
    CREW_MEMBER_CERTIFICATE = 188,
    /**
    * Document for return
    */
    DOCUMENT_FOR_RETURN = 189,
    /**
    * E-card
    */
    E_CARD = 190,
    /**
    * Employment card
    */
    EMPLOYMENT_CARD = 191,
    /**
    * HKSAR immigration form
    */
    HKSAR_IMMIGRATION_FORM = 192,
    /**
    * Immigrant card
    */
    IMMIGRANT_CARD = 193,
    /**
    * Labour card
    */
    LABOUR_CARD = 194,
    /**
    * Laissez passer
    */
    LAISSEZ_PASSER = 195,
    /**
    * Lawyer identity certificate
    */
    LAWYER_IDENTITY_CERTIFICATE = 196,
    /**
    * License card
    */
    LICENSE_CARD = 197,
    /**
    * Passport stateless
    */
    PASSPORT_STATELESS = 198,
    /**
    * Passport child
    */
    PASSPORT_CHILD = 199,
    /**
    * Passport consular
    */
    PASSPORT_CONSULAR = 200,
    /**
    * Passport diplomatic service
    */
    PASSPORT_DIPLOMATIC_SERVICE = 201,
    /**
    * Passport official
    */
    PASSPORT_OFFICIAL = 202,
    /**
    * Passport provisional
    */
    PASSPORT_PROVISIONAL = 203,
    /**
    * Passport special
    */
    PASSPORT_SPECIAL = 204,
    /**
    * Permission to the local border traffic
    */
    PERMISSION_TO_THE_LOCAL_BORDER_TRAFFIC = 205,
    /**
    * Registration certificate
    */
    REGISTRATION_CERTIFICATE = 206,
    /**
    * Sedesol card
    */
    SEDESOL_CARD = 207,
    /**
    * Social card
    */
    SOCIAL_CARD = 208,
    /**
    * TB card
    */
    TB_CARD = 209,
    /**
    * Vehicle passport
    */
    VEHICLE_PASSPORT = 210,
    /**
    * W document
    */
    W_DOCUMENT = 211,
    /**
    * Diplomatic identity card
    */
    DIPLOMATIC_IDENTITY_CARD = 212,
    /**
    * Consular identity card
    */
    CONSULAR_IDENTITY_CARD = 213,
    /**
    * Income tax card
    */
    INCOME_TAX_CARD = 214,
    /**
    * Residence permit
    */
    RESIDENCE_PERMIT = 215,
    /**
    * Document of identity
    */
    DOCUMENT_OF_IDENTITY = 216,
    /**
    * Border crossing permit
    */
    BORDER_CROSSING_PERMIT = 217,
    /**
    * Passport limited validity
    */
    PASSPORT_LIMITED_VALIDITY = 218,
    /**
    * Sim card
    */
    SIM_CARD = 219,
    /**
    * Tax card
    */
    TAX_CARD = 220,
    /**
    * Company card
    */
    COMPANY_CARD = 221,
    /**
    * Domestic passport
    */
    DOMESTIC_PASSPORT = 222,
    /**
    * Identity certificate
    */
    IDENTITY_CERTIFICATE = 223,
    /**
    * Resident id card
    */
    RESIDENT_ID_CARD = 224,
    /**
    * Armed forces identity card
    */
    ARMED_FORCES_IDENTITY_CARD = 225,
    /**
    * Professional card
    */
    PROFESSIONAL_CARD = 226,
    /**
    * Registration stamp
    */
    REGISTRATION_STAMP = 227,
    /**
    * Driver card
    */
    DRIVER_CARD = 228,
    /**
    * Driver training certificate
    */
    DRIVER_TRAINING_CERTIFICATE = 229,
    /**
    * Qualification driving license
    */
    QUALIFICATION_DRIVING_LICENSE = 230,
    /**
    * Membership card
    */
    MEMBERSHIP_CARD = 231,
    /**
    * Public vehicle driver authority card
    */
    PUBLIC_VEHICLE_DRIVER_AUTHORITY_CARD = 232,
    /**
    * Marine license
    */
    MARINE_LICENSE = 233,
    /**
    * Temporary learner license
    */
    TEMPORARY_LEARNER_LICENSE = 234,
    /**
    * Temporary commercial driving license
    */
    TEMPORARY_COMMERCIAL_DRIVING_LICENSE = 235,
    /**
    * Interim instructional permit
    */
    INTERIM_INSTRUCTIONAL_PERMIT = 236,
    /**
    * Certificate of competency
    */
    CERTIFICATE_OF_COMPETENCY = 237,
    /**
    * Certificate of proficiency
    */
    CERTIFICATE_OF_PROFICIENCY = 238,
    /**
    * Trade license
    */
    TRADE_LICENSE = 239,
    /**
    * Passport page
    */
    PASSPORT_PAGE = 240,
    /**
    * Invoice
    */
    INVOICE = 241,
    /**
    * Passenger locator form
    */
    PASSENGER_LOCATOR_FORM = 242
}
/**
 * Extended document type info and Regula\'s \'Information Reference Systems\' links
 * @export
 * @interface FDSIDList
 */
export interface FDSIDList {
    /**
     * ICAO code of the issuing country
     * @type {string}
     * @memberof FDSIDList
     */
    'ICAOCode': string;
    /**
     * Number of elements in the List
     * @type {number}
     * @memberof FDSIDList
     */
    'Count': number;
    /**
     * Document identifiers in \'Information Reference Systems\'
     * @type {Array<number>}
     * @memberof FDSIDList
     */
    'List': Array<number>;
    /**
     *
     * @type {DocumentType}
     * @memberof FDSIDList
     */
    'dType': DocumentType;
    /**
     *
     * @type {DocumentFormat}
     * @memberof FDSIDList
     */
    'dFormat': DocumentFormat;
    /**
     * Flag indicating the presence of MRZ on the document
     * @type {boolean}
     * @memberof FDSIDList
     */
    'dMRZ': boolean;
    /**
     * Document description
     * @type {string}
     * @memberof FDSIDList
     */
    'dDescription'?: string;
    /**
     * Year of publication of the document
     * @type {string}
     * @memberof FDSIDList
     */
    'dYear': string;
    /**
     * Issuing country name
     * @type {string}
     * @memberof FDSIDList
     */
    'dCountryName': string;
    /**
     * Issuing state code
     * @type {string}
     * @memberof FDSIDList
     */
    'dStateCode'?: string;
    /**
     * Issuing state name
     * @type {string}
     * @memberof FDSIDList
     */
    'dStateName'?: string;
    /**
     * Whether the document is deprecated
     * @type {boolean}
     * @memberof FDSIDList
     */
    'isDeprecated': boolean;
}
/**
 * Regula Document Reader Web API
 * Documents recognition as easy as reading two bytes.   # Clients: * [JavaScript](https://github.com/regulaforensics/DocumentReader-web-js-client) client for the browser and node.js based on axios * [Java](https://github.com/regulaforensics/DocumentReader-web-java-client) client compatible with jvm and android * [Python](https://github.com/regulaforensics/DocumentReader-web-python-client) 3.5+ client * [C#](https://github.com/regulaforensics/DocumentReader-web-csharp-client) client for .NET & .NET Core
 *
 * The version of the OpenAPI document: 8.1.0
 *
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */
/**
 * Determines the presence and location of an RFID chip in a document. 0 - no rfid chip; 1 - chip is located in the document data page; 2 - chip is located in the back page or inlay of the document
 * @export
 * @enum {number}
 */
export enum RfidLocation {
    /**
    * There is no RFID chip in the document
    */
    NONE = 0,
    /**
    * The RFID chip is located in the document data page
    */
    MAIN_PAGE = 1,
    /**
    * The RFID chip is located in the back page or inlay of the document
    */
    BACK_PAGE = 2
}
/**
 * Contains information about one document type candidate
 * @export
 * @interface OneCandidate
 */
export interface OneCandidate {
    /**
     * Document name
     * @type {string}
     * @memberof OneCandidate
     */
    'DocumentName'?: string;
    /**
     * Unique document type template identifier (Regula\'s internal numeric code)
     * @type {number}
     * @memberof OneCandidate
     */
    'ID': number;
    /**
     * A measure of the likelihood of correct recognition in the analysis of this type of document
     * @type {number}
     * @memberof OneCandidate
     */
    'P': number;
    /**
     * Indicates if the document of the given type is rotated by 180 degrees
     * @type {number}
     * @memberof OneCandidate
     */
    'Rotated180': number;
    /**
     *
     * @type {RfidLocation}
     * @memberof OneCandidate
     */
    'RFID_Presence': RfidLocation;
    /**
     *
     * @type {FDSIDList}
     * @memberof OneCandidate
     */
    'FDSIDList'?: FDSIDList;
    /**
     * Combination of lighting scheme identifiers (Light enum) required to conduct OCR for this type of document
     * @type {number}
     * @memberof OneCandidate
     */
    'NecessaryLights': number;
    /**
     * Set of authentication options provided for this type of document (combination of Authenticity enum)
     * @type {number}
     * @memberof OneCandidate
     */
    'CheckAuthenticity': number;
    /**
     * The required exposure value of the camera when receiving images of a document of this type for a UV lighting scheme
     * @type {number}
     * @memberof OneCandidate
     */
    'UVExp': number;
    /**
     * Combination of lighting scheme identifiers (combination of Light enum) needed to perform all authenticity checks specified in CheckAuthenticity
     * @type {number}
     * @memberof OneCandidate
     */
    'AuthenticityNecessaryLights': number;
    /**
     * Camera exposure value necessary when obtaining document images of the given type for AXIAL lighting scheme
     * @type {number}
     * @memberof OneCandidate
     */
    'OVIExp': number;
    /**
     *
     * @type {number}
     * @memberof OneCandidate
     */
    'RotationAngle'?: number;
}
/**
 *
 * @export
 * @interface DocumentTypesCandidatesList
 */
export interface DocumentTypesCandidatesList {
    /**
     *
     * @type {DocumentTypeRecognitionResult}
     * @memberof DocumentTypesCandidatesList
     */
    'RecResult'?: DocumentTypeRecognitionResult;
    /**
     *
     * @type {Array<OneCandidate>}
     * @memberof DocumentTypesCandidatesList
     */
    'Candidates'?: Array<OneCandidate>;
}
/**
 *
 * @export
 * @interface CandidatesListItem
 */
export interface CandidatesListItem {
    /**
     *
     * @type {DocumentTypesCandidatesList}
     * @memberof CandidatesListItem
     */
    'CandidatesList'?: DocumentTypesCandidatesList;
}
/**
 * Contains information about one document type candidate
 * @export
 * @interface ChosenDocumentType
 */
export interface ChosenDocumentType {
    /**
     * Document name
     * @type {string}
     * @memberof ChosenDocumentType
     */
    'DocumentName'?: string;
    /**
     * Unique document type template identifier (Regula\'s internal numeric code)
     * @type {number}
     * @memberof ChosenDocumentType
     */
    'ID': number;
    /**
     * A measure of the likelihood of correct recognition in the analysis of this type of document
     * @type {number}
     * @memberof ChosenDocumentType
     */
    'P': number;
    /**
     * Indicates if the document of the given type is rotated by 180 degrees
     * @type {number}
     * @memberof ChosenDocumentType
     */
    'Rotated180': number;
    /**
     *
     * @type {RfidLocation}
     * @memberof ChosenDocumentType
     */
    'RFID_Presence': RfidLocation;
    /**
     *
     * @type {FDSIDList}
     * @memberof ChosenDocumentType
     */
    'FDSIDList'?: FDSIDList;
    /**
     * Combination of lighting scheme identifiers (Light enum) required to conduct OCR for this type of document
     * @type {number}
     * @memberof ChosenDocumentType
     */
    'NecessaryLights': number;
    /**
     * Set of authentication options provided for this type of document (combination of Authenticity enum)
     * @type {number}
     * @memberof ChosenDocumentType
     */
    'CheckAuthenticity': number;
    /**
     * The required exposure value of the camera when receiving images of a document of this type for a UV lighting scheme
     * @type {number}
     * @memberof ChosenDocumentType
     */
    'UVExp': number;
    /**
     * Combination of lighting scheme identifiers (combination of Light enum) needed to perform all authenticity checks specified in CheckAuthenticity
     * @type {number}
     * @memberof ChosenDocumentType
     */
    'AuthenticityNecessaryLights': number;
    /**
     * Camera exposure value necessary when obtaining document images of the given type for AXIAL lighting scheme
     * @type {number}
     * @memberof ChosenDocumentType
     */
    'OVIExp': number;
    /**
     *
     * @type {number}
     * @memberof ChosenDocumentType
     */
    'RotationAngle'?: number;
}
/**
 *
 * @export
 * @interface OneCandidateItem
 */
export interface OneCandidateItem {
    /**
     *
     * @type {OneCandidate}
     * @memberof OneCandidateItem
     */
    'OneCandidate': OneCandidate;
    /**
     *
     * @type {string}
     * @memberof OneCandidateItem
     */
    'XML_buffer'?: string;
}
/**
 * @type ChosenDocumentTypeResult
 * Contains information about the type of document that was determined based on the analysis of the provided image
 * @export
 */
export type ChosenDocumentTypeResult = OneCandidateItem & ResultItem;
/**
 *
 * @export
 * @interface DataModule
 */
export interface DataModule {
    /**
     *
     * @type {string}
     * @memberof DataModule
     */
    'mData': string;
    /**
     *
     * @type {number}
     * @memberof DataModule
     */
    'mLength': number;
    /**
     *
     * @type {number}
     * @memberof DataModule
     */
    'mReserved1'?: number;
    /**
     *
     * @type {number}
     * @memberof DataModule
     */
    'mReserver2'?: number;
    /**
     *
     * @type {BarCodeModuleType}
     * @memberof DataModule
     */
    'mType': BarCodeModuleType;
}
/**
 *
 * @export
 * @interface PArrayField
 */
export interface PArrayField {
    /**
     *
     * @type {number}
     * @memberof PArrayField
     */
    'bcAngle_DETECT': number;
    /**
     *
     * @type {number}
     * @memberof PArrayField
     */
    'bcCodeResult': number;
    /**
     *
     * @type {number}
     * @memberof PArrayField
     */
    'bcCountModule': number;
    /**
     *
     * @type {Array<DataModule>}
     * @memberof PArrayField
     */
    'bcDataModule': Array<DataModule>;
    /**
     *
     * @type {BcPDF417INFO}
     * @memberof PArrayField
     */
    'bcPDF417INFO'?: BcPDF417INFO;
    /**
     *
     * @type {BcROIDETECT}
     * @memberof PArrayField
     */
    'bcROI_DETECT': BcROIDETECT;
    /**
     *
     * @type {number}
     * @memberof PArrayField
     */
    'bcTextDecoderTypes'?: number;
    /**
     *
     * @type {TextFieldType}
     * @memberof PArrayField
     */
    'bcTextFieldType'?: TextFieldType;
    /**
     *
     * @type {BarcodeType}
     * @memberof PArrayField
     */
    'bcType_DECODE': BarcodeType;
    /**
     *
     * @type {number}
     * @memberof PArrayField
     */
    'bcType_DETECT': number;
}
/**
 *
 * @export
 * @interface DocBarCodeInfoFieldsList
 */
export interface DocBarCodeInfoFieldsList {
    /**
     * Count of array fields
     * @type {number}
     * @memberof DocBarCodeInfoFieldsList
     */
    'nFields': number;
    /**
     * Data from barcode
     * @type {Array<PArrayField>}
     * @memberof DocBarCodeInfoFieldsList
     */
    'pArrayFields': Array<PArrayField>;
}
/**
 *
 * @export
 * @interface DocBarCodeInfoItem
 */
export interface DocBarCodeInfoItem {
    /**
     *
     * @type {DocBarCodeInfoFieldsList}
     * @memberof DocBarCodeInfoItem
     */
    'DocBarCodeInfo': DocBarCodeInfoFieldsList;
}
/**
 * @type DocBarCodeInfo
 * Raw data from BarCodes
 * @export
 */
export type DocBarCodeInfo = DocBarCodeInfoItem & ResultItem;
/**
 * Regula Document Reader Web API
 * Documents recognition as easy as reading two bytes.   # Clients: * [JavaScript](https://github.com/regulaforensics/DocumentReader-web-js-client) client for the browser and node.js based on axios * [Java](https://github.com/regulaforensics/DocumentReader-web-java-client) client compatible with jvm and android * [Python](https://github.com/regulaforensics/DocumentReader-web-python-client) 3.5+ client * [C#](https://github.com/regulaforensics/DocumentReader-web-csharp-client) client for .NET & .NET Core
 *
 * The version of the OpenAPI document: 8.1.0
 *
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */
/**
 *
 * @export
 * @interface RfidRawData
 */
export interface RfidRawData {
    /**
     *
     * @type {string}
     * @memberof RfidRawData
     */
    'Data': string;
    /**
     *
     * @type {number}
     * @memberof RfidRawData
     */
    'FieldType': number;
}
/**
 *
 * @export
 * @interface TDocBinaryInfo
 */
export interface TDocBinaryInfo {
    /**
     *
     * @type {BinaryData}
     * @memberof TDocBinaryInfo
     */
    'RFID_BINARY_DATA'?: BinaryData;
    /**
     *
     * @type {Array<RfidRawData>}
     * @memberof TDocBinaryInfo
     */
    'RFID_RAW_DATA'?: Array<RfidRawData>;
}
/**
 *
 * @export
 * @interface TDocBinaryInfoItem
 */
export interface TDocBinaryInfoItem {
    /**
     *
     * @type {TDocBinaryInfo}
     * @memberof TDocBinaryInfoItem
     */
    'TDocBinaryInfo': TDocBinaryInfo;
}
/**
 * @type DocumentBinaryInfoResult
 * Structure is used to store the data reading results from the RFID-chip in a form of a list of the logically separated data groups.
 * @export
 */
export type DocumentBinaryInfoResult = ResultItem & TDocBinaryInfoItem;
/**
 *
 * @export
 * @interface RawImageContainerItem
 */
export interface RawImageContainerItem {
    /**
     *
     * @type {ImageData}
     * @memberof RawImageContainerItem
     */
    'RawImageContainer': ImageData;
}
/**
 * @type DocumentImageResult
 * Contains document image.
 * @export
 */
export type DocumentImageResult = RawImageContainerItem & ResultItem;
/**
 *
 * @export
 * @interface DocumentPosition
 */
export interface DocumentPosition {
    /**
     *
     * @type {DocumentFormat}
     * @memberof DocumentPosition
     */
    'docFormat': DocumentFormat;
    /**
     * Document rotation angle
     * @type {number}
     * @memberof DocumentPosition
     */
    'Angle': number;
    /**
     * Document width
     * @type {number}
     * @memberof DocumentPosition
     */
    'Width': number;
    /**
     * Document height
     * @type {number}
     * @memberof DocumentPosition
     */
    'Height': number;
    /**
     *
     * @type {Point}
     * @memberof DocumentPosition
     */
    'Center': Point;
    /**
     *
     * @type {Point}
     * @memberof DocumentPosition
     */
    'LeftBottom': Point;
    /**
     *
     * @type {Point}
     * @memberof DocumentPosition
     */
    'LeftTop': Point;
    /**
     *
     * @type {Point}
     * @memberof DocumentPosition
     */
    'RightBottom': Point;
    /**
     *
     * @type {Point}
     * @memberof DocumentPosition
     */
    'RightTop': Point;
    /**
     *
     * @type {number}
     * @memberof DocumentPosition
     */
    'Dpi': number;
    /**
     *
     * @type {number}
     * @memberof DocumentPosition
     */
    'Inverse'?: number;
    /**
     *
     * @type {number}
     * @memberof DocumentPosition
     */
    'ObjArea'?: number;
    /**
     *
     * @type {number}
     * @memberof DocumentPosition
     */
    'ObjIntAngleDev'?: number;
    /**
     *
     * @type {number}
     * @memberof DocumentPosition
     */
    'PerspectiveTr'?: number;
    /**
     *
     * @type {number}
     * @memberof DocumentPosition
     */
    'ResultStatus'?: number;
}
/**
 *
 * @export
 * @interface DocumentPositionItem
 */
export interface DocumentPositionItem {
    /**
     *
     * @type {DocumentPosition}
     * @memberof DocumentPositionItem
     */
    'DocumentPosition': DocumentPosition;
}
/**
 * @type DocumentPositionResult
 * Contains information about document position on the input image, its center, angle, etc
 * @export
 */
export type DocumentPositionResult = DocumentPositionItem & ResultItem;
/**
 * @type DocumentTypesCandidatesResult
 * @export
 */
export type DocumentTypesCandidatesResult = CandidatesListItem & ResultItem;
/**
 * Regula Document Reader Web API
 * Documents recognition as easy as reading two bytes.   # Clients: * [JavaScript](https://github.com/regulaforensics/DocumentReader-web-js-client) client for the browser and node.js based on axios * [Java](https://github.com/regulaforensics/DocumentReader-web-java-client) client compatible with jvm and android * [Python](https://github.com/regulaforensics/DocumentReader-web-python-client) 3.5+ client * [C#](https://github.com/regulaforensics/DocumentReader-web-csharp-client) client for .NET & .NET Core
 *
 * The version of the OpenAPI document: 8.1.0
 *
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */
/**
 *
 * @export
 * @interface EncryptedRCLItem
 */
export interface EncryptedRCLItem {
    /**
     * Base64 encoded data
     * @type {string}
     * @memberof EncryptedRCLItem
     */
    'EncryptedRCL': string;
}
/**
 * @type EncryptedRCLResult
 * Contains encrypted result container list
 * @export
 */
export type EncryptedRCLResult = EncryptedRCLItem & ResultItem;
/**
 *
 * @export
 * @interface FaceItem
 */
export interface FaceItem {
    /**
     *
     * @type {number}
     * @memberof FaceItem
     */
    'CoincidenceToPhotoArea': number;
    /**
     *
     * @type {RectangleCoordinates}
     * @memberof FaceItem
     */
    'FaceRect': RectangleCoordinates;
    /**
     *
     * @type {RectangleCoordinates}
     * @memberof FaceItem
     */
    'FieldRect': RectangleCoordinates;
    /**
     *
     * @type {number}
     * @memberof FaceItem
     */
    'GraphFieldNumber': number;
    /**
     *
     * @type {Array<Point>}
     * @memberof FaceItem
     */
    'Landmarks': Array<Point>;
    /**
     *
     * @type {Light}
     * @memberof FaceItem
     */
    'LightType': Light;
    /**
     *
     * @type {number}
     * @memberof FaceItem
     */
    'Orientation': number;
    /**
     *
     * @type {number}
     * @memberof FaceItem
     */
    'Probability': number;
}
/**
 *
 * @export
 * @interface FaceDetection
 */
export interface FaceDetection {
    /**
     *
     * @type {number}
     * @memberof FaceDetection
     */
    'Count': number;
    /**
     *
     * @type {number}
     * @memberof FaceDetection
     */
    'CountFalseDetection': number;
    /**
     *
     * @type {Array<FaceItem>}
     * @memberof FaceDetection
     */
    'Res': Array<FaceItem>;
    /**
     *
     * @type {number}
     * @memberof FaceDetection
     */
    'Reserved1'?: number;
    /**
     *
     * @type {number}
     * @memberof FaceDetection
     */
    'Reserved2'?: number;
}
/**
 *
 * @export
 * @interface FaceDetectionItem
 */
export interface FaceDetectionItem {
    /**
     *
     * @type {FaceDetection}
     * @memberof FaceDetectionItem
     */
    'FaceDetection'?: FaceDetection;
}
/**
 * @type FaceDetectionResult
 * @export
 */
export type FaceDetectionResult = FaceDetectionItem & ResultItem;
/**
 * Information about one graphic field - abstract class
 * @export
 * @interface GraphicField
 */
export interface GraphicField {
    /**
     *
     * @type {RectangleCoordinates}
     * @memberof GraphicField
     */
    'FieldRect': RectangleCoordinates;
    /**
     *
     * @type {GraphicFieldType}
     * @memberof GraphicField
     */
    'FieldType': GraphicFieldType;
    /**
     * Graphic field symbolic name
     * @type {string}
     * @memberof GraphicField
     */
    'FieldName': string;
    /**
     *
     * @type {ImageData}
     * @memberof GraphicField
     */
    'image': ImageData;
}
/**
 *
 * @export
 * @interface GraphicFieldsList
 */
export interface GraphicFieldsList {
    /**
     *
     * @type {Array<GraphicField>}
     * @memberof GraphicFieldsList
     */
    'pArrayFields': Array<GraphicField>;
    /**
     * Number of pArrayFields array elements
     * @type {number}
     * @memberof GraphicFieldsList
     */
    'nFields': number;
}
/**
 *
 * @export
 * @interface DocGraphicsInfoItem
 */
export interface DocGraphicsInfoItem {
    /**
     *
     * @type {GraphicFieldsList}
     * @memberof DocGraphicsInfoItem
     */
    'DocGraphicsInfo': GraphicFieldsList;
}
/**
 * @type GraphicsResult
 * Graphic fields extracted from one of the document sources. Returns separate results for each provided page.
 * @export
 */
export type GraphicsResult = DocGraphicsInfoItem & ResultItem;
/**
 * Regula Document Reader Web API
 * Documents recognition as easy as reading two bytes.   # Clients: * [JavaScript](https://github.com/regulaforensics/DocumentReader-web-js-client) client for the browser and node.js based on axios * [Java](https://github.com/regulaforensics/DocumentReader-web-java-client) client compatible with jvm and android * [Python](https://github.com/regulaforensics/DocumentReader-web-python-client) 3.5+ client * [C#](https://github.com/regulaforensics/DocumentReader-web-csharp-client) client for .NET & .NET Core
 *
 * The version of the OpenAPI document: 8.1.0
 *
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */
/**
 * Image quality check type
 * @export
 * @enum {number}
 */
export enum ImageQualityCheckType {
    /**
    * Signals glare presence on the image
    */
    ImageGlares = 0,
    /**
    * Signals whether image is in focus
    */
    ImageFocus = 1,
    /**
    * Signals if image resolution is below threshold
    */
    ImageResolution = 2,
    /**
    * Signals if image is colorless
    */
    ImageColorness = 3,
    /**
    * Signals if document in the image has prespective distortion above threshold
    */
    Perspective = 4,
    /**
    * Signals if document is not fully present in the image
    */
    Bounds = 5,
    /**
    * Signals if the portrait is present
    */
    Portrait = 7,
    /**
    * Signals if the document image is bright enough
    */
    Brightness = 9,
    /**
    * Signals if the document image has occlusion
    */
    Occlusion = 10
}
/**
 *
 * @export
 * @interface ImageQualityCheck
 */
export interface ImageQualityCheck {
    /**
     *
     * @type {ImageQualityCheckType}
     * @memberof ImageQualityCheck
     */
    'type': ImageQualityCheckType;
    /**
     *
     * @type {CheckResult}
     * @memberof ImageQualityCheck
     */
    'result': CheckResult;
    /**
     *
     * @type {SecurityFeatureType}
     * @memberof ImageQualityCheck
     */
    'featureType': SecurityFeatureType;
    /**
     *
     * @type {AreaArray}
     * @memberof ImageQualityCheck
     */
    'areas'?: AreaArray;
    /**
     * Check mean value
     * @type {number}
     * @memberof ImageQualityCheck
     */
    'mean': number;
    /**
     * Check deviation value
     * @type {number}
     * @memberof ImageQualityCheck
     */
    'std_dev': number;
    /**
     * Check probability value
     * @type {number}
     * @memberof ImageQualityCheck
     */
    'probability': number;
}
/**
 *
 * @export
 * @interface ImageQualityCheckList
 */
export interface ImageQualityCheckList {
    /**
     *
     * @type {CheckResult}
     * @memberof ImageQualityCheckList
     */
    'result': CheckResult;
    /**
     *
     * @type {Array<ImageQualityCheck>}
     * @memberof ImageQualityCheckList
     */
    'List': Array<ImageQualityCheck>;
    /**
     * Number of List array elements
     * @type {number}
     * @memberof ImageQualityCheckList
     */
    'Count': number;
}
/**
 *
 * @export
 * @interface ImageQualityCheckListItem
 */
export interface ImageQualityCheckListItem {
    /**
     *
     * @type {ImageQualityCheckList}
     * @memberof ImageQualityCheckListItem
     */
    'ImageQualityCheckList': ImageQualityCheckList;
}
/**
 * @type ImageQualityResult
 * @export
 */
export type ImageQualityResult = ImageQualityCheckListItem & ResultItem;
/**
 * Regula Document Reader Web API
 * Documents recognition as easy as reading two bytes.   # Clients: * [JavaScript](https://github.com/regulaforensics/DocumentReader-web-js-client) client for the browser and node.js based on axios * [Java](https://github.com/regulaforensics/DocumentReader-web-java-client) client compatible with jvm and android * [Python](https://github.com/regulaforensics/DocumentReader-web-python-client) 3.5+ client * [C#](https://github.com/regulaforensics/DocumentReader-web-csharp-client) client for .NET & .NET Core
 *
 * The version of the OpenAPI document: 8.1.0
 *
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */
/**
 * Document data sources
 * @export
 * @enum {string}
 */
export enum Source {
    /**
    * Machine readable zone (MRZ)
    */
    MRZ = "MRZ",
    /**
    * Visual zone
    */
    VISUAL = "VISUAL",
    /**
    * Barcode
    */
    BARCODE = "BARCODE",
    /**
    * RFID
    */
    RFID = "RFID",
    /**
    * Magnetic
    */
    MAGNETIC = "MAGNETIC",
    /**
    * External
    */
    EXTERNAL = "EXTERNAL"
}
/**
 *
 * @export
 * @interface ImagesAvailableSource
 */
export interface ImagesAvailableSource {
    /**
     * Same as Result type, but used for safe parsing of not-described values. See Result type.
     * @type {number}
     * @memberof ImagesAvailableSource
     */
    'containerType': number;
    /**
     *
     * @type {Source}
     * @memberof ImagesAvailableSource
     */
    'source': Source;
}
/**
 * Regula Document Reader Web API
 * Documents recognition as easy as reading two bytes.   # Clients: * [JavaScript](https://github.com/regulaforensics/DocumentReader-web-js-client) client for the browser and node.js based on axios * [Java](https://github.com/regulaforensics/DocumentReader-web-java-client) client compatible with jvm and android * [Python](https://github.com/regulaforensics/DocumentReader-web-python-client) 3.5+ client * [C#](https://github.com/regulaforensics/DocumentReader-web-csharp-client) client for .NET & .NET Core
 *
 * The version of the OpenAPI document: 8.1.0
 *
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */
/**
 * Location of data in RFID chip
 * @export
 * @interface RfidOrigin
 */
export interface RfidOrigin {
    /**
     * Source data group file
     * @type {number}
     * @memberof RfidOrigin
     */
    'dg': number;
    /**
     * Index of the source record of the image with biometric information in the information data group
     * @type {number}
     * @memberof RfidOrigin
     */
    'dgTag': number;
    /**
     * Index of the template in the record with biometric data
     * @type {number}
     * @memberof RfidOrigin
     */
    'tagEntry': number;
    /**
     * Index of the variant of the biometric data template
     * @type {number}
     * @memberof RfidOrigin
     */
    'entryView': number;
}
/**
 *
 * @export
 * @interface ImagesFieldValue
 */
export interface ImagesFieldValue {
    /**
     *
     * @type {Source}
     * @memberof ImagesFieldValue
     */
    'source': Source;
    /**
     * Base64 encoded image
     * @type {string}
     * @memberof ImagesFieldValue
     */
    'value'?: string;
    /**
     * Base64 encoded image
     * @type {string}
     * @memberof ImagesFieldValue
     */
    'originalValue'?: string;
    /**
     * Original page index
     * @type {number}
     * @memberof ImagesFieldValue
     */
    'originalPageIndex'?: number;
    /**
     * Page index of the image from input list
     * @type {number}
     * @memberof ImagesFieldValue
     */
    'pageIndex': number;
    /**
     *
     * @type {Light}
     * @memberof ImagesFieldValue
     */
    'lightIndex': Light;
    /**
     * Same as Result type, but used for safe parsing of not-described values. See Result type.
     * @type {number}
     * @memberof ImagesFieldValue
     */
    'containerType': number;
    /**
     *
     * @type {RectangleCoordinates}
     * @memberof ImagesFieldValue
     */
    'fieldRect'?: RectangleCoordinates;
    /**
     *
     * @type {RfidOrigin}
     * @memberof ImagesFieldValue
     */
    'rfidOrigin'?: RfidOrigin;
}
/**
 *
 * @export
 * @interface ImagesField
 */
export interface ImagesField {
    /**
     * Human readable field name. Do not bind to this name - use GraphicFieldType instead.
     * @type {string}
     * @memberof ImagesField
     */
    'fieldName': string;
    /**
     *
     * @type {GraphicFieldType}
     * @memberof ImagesField
     */
    'fieldType': GraphicFieldType;
    /**
     *
     * @type {Array<ImagesFieldValue>}
     * @memberof ImagesField
     */
    'valueList': Array<ImagesFieldValue>;
    /**
     * Field value count
     * @type {number}
     * @memberof ImagesField
     */
    'valueCount'?: number;
}
/**
 *
 * @export
 * @interface Images
 */
export interface Images {
    /**
     * Fields count
     * @type {number}
     * @memberof Images
     */
    'fieldCount'?: number;
    /**
     * Available sources count
     * @type {number}
     * @memberof Images
     */
    'availableSourceCount'?: number;
    /**
     *
     * @type {Array<ImagesAvailableSource>}
     * @memberof Images
     */
    'availableSourceList': Array<ImagesAvailableSource>;
    /**
     *
     * @type {Array<ImagesField>}
     * @memberof Images
     */
    'fieldList': Array<ImagesField>;
}
/**
 *
 * @export
 * @interface ImagesItem
 */
export interface ImagesItem {
    /**
     *
     * @type {Images}
     * @memberof ImagesItem
     */
    'Images': Images;
}
/**
 * @type ImagesResult
 * @export
 */
export type ImagesResult = ImagesItem & ResultItem;
/**
 * Regula Document Reader Web API
 * Documents recognition as easy as reading two bytes.   # Clients: * [JavaScript](https://github.com/regulaforensics/DocumentReader-web-js-client) client for the browser and node.js based on axios * [Java](https://github.com/regulaforensics/DocumentReader-web-java-client) client compatible with jvm and android * [Python](https://github.com/regulaforensics/DocumentReader-web-python-client) 3.5+ client * [C#](https://github.com/regulaforensics/DocumentReader-web-csharp-client) client for .NET & .NET Core
 *
 * The version of the OpenAPI document: 8.1.0
 *
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */
/**
 * Locale id. Used to tag same typed fields declared in several languages. For example: name can be provided in both native and latin variants. Based on Microsoft locale id (https://docs.microsoft.com/en-us/openspecs/windows_protocols/ms-lcid/70feba9f-294e-491e-b6eb-56532684c37f).
 * @export
 * @enum {number}
 */
export enum LCID {
    /**
    * Latin
    */
    LATIN = 0,
    /**
    * Afrikaans
    */
    AFRIKAANS = 1078,
    /**
    * Albanian
    */
    ALBANIAN = 1052,
    /**
    * Arabic (Algeria)
    */
    ARABIC_ALGERIA = 5121,
    /**
    * Arabic (Bahrain)
    */
    ARABIC_BAHRAIN = 15361,
    /**
    * Arabic (Egypt)
    */
    ARABIC_EGYPT = 3073,
    /**
    * Arabic (Iraq)
    */
    ARABIC_IRAQ = 2049,
    /**
    * Arabic (Jordan)
    */
    ARABIC_JORDAN = 11265,
    /**
    * Arabic (Kuwait)
    */
    ARABIC_KUWAIT = 13313,
    /**
    * Arabic (Lebanon)
    */
    ARABIC_LEBANON = 12289,
    /**
    * Arabic (Libya)
    */
    ARABIC_LIBYA = 4097,
    /**
    * Arabic (Morocco)
    */
    ARABIC_MOROCCO = 6145,
    /**
    * Arabic (Oman)
    */
    ARABIC_OMAN = 8193,
    /**
    * Arabic (Qatar)
    */
    ARABIC_QATAR = 16385,
    /**
    * Arabic (Saudi Arabia)
    */
    ARABIC_SAUDI_ARABIA = 1025,
    /**
    * Arabic (Syria)
    */
    ARABIC_SYRIA = 10241,
    /**
    * Arabic (Tunisia)
    */
    ARABIC_TUNISIA = 7169,
    /**
    * Arabic (U.A.E.)
    */
    ARABIC_UAE = 14337,
    /**
    * Arabic (Yemen)
    */
    ARABIC_YEMEN = 9217,
    /**
    * Armenian
    */
    ARABIC_ARMENIAN = 1067,
    /**
    * Azeri (Cyrillic)
    */
    AZERI_CYRILIC = 2092,
    /**
    * Azeri (Latin)
    */
    AZERI_LATIN = 1068,
    /**
    * Basque
    */
    BASQUE = 1069,
    /**
    * Belarusian
    */
    BELARUSIAN = 1059,
    /**
    * Bulgarian
    */
    BULGARIAN = 1026,
    /**
    * Burmese
    */
    BURMESE = 1109,
    /**
    * Catalan
    */
    CATALAN = 1027,
    /**
    * Chinese (HongKong S.A.R.)
    */
    CHINESE_HONGKONG_SAR = 3076,
    /**
    * Chinese (Macao S.A.R.)
    */
    CHINESE_MACAO_SAR = 5124,
    /**
    * Chinese
    */
    CHINESE = 2052,
    /**
    * Chinese (Singapore)
    */
    CHINESE_SINGAPORE = 4100,
    /**
    * Chinese (Taiwan)
    */
    CHINESE_TAIWAN = 1028,
    /**
    * Croatian
    */
    CROATIAN = 1050,
    /**
    * Czech
    */
    CZECH = 1029,
    /**
    * Danish
    */
    DANISH = 1030,
    /**
    * Divehi
    */
    DIVEHI = 1125,
    /**
    * Dutch (Belgium)
    */
    DUTCH_BELGIUM = 2067,
    /**
    * Dutch (Netherlands)
    */
    DUTCH_NETHERLANDS = 1043,
    /**
    * English (Australia)
    */
    ENGLISH_AUSTRALIA = 3081,
    /**
    * English (Belize)
    */
    ENGLISH_BELIZE = 10249,
    /**
    * English (Canada)
    */
    ENGLISH_CANADA = 4105,
    /**
    * English (Caribbean)
    */
    ENGLISH_CARRIBEAN = 9225,
    /**
    * English (Ireland)
    */
    ENGLISH_IRELAND = 6153,
    /**
    * English (Jamaica)
    */
    ENGLISH_JAMAICA = 8201,
    /**
    * English (New Zealand)
    */
    ENGLISH_NEW_ZEALAND = 5129,
    /**
    * English (Philippines)
    */
    ENGLISH_PHILIPPINES = 13321,
    /**
    * English (South Africa)
    */
    ENGLISH_SOUTH_AFRICA = 7177,
    /**
    * English (Trinidad)
    */
    ENGLISH_TRINIDAD = 11273,
    /**
    * English (United Kingdom)
    */
    ENGLISH_UK = 2057,
    /**
    * English (United States)
    */
    ENGLISH_US = 1033,
    /**
    * English (Zimbabwe)
    */
    ENGLISH_ZIMBABWE = 12297,
    /**
    * Estonian
    */
    ESTONIAN = 1061,
    /**
    * Faeroese
    */
    FAEROESE = 1080,
    /**
    * Farsi
    */
    FARSI = 1065,
    /**
    * Finnish
    */
    FINNISH = 1035,
    /**
    * French (Belgium)
    */
    FRENCH_BELGIUM = 2060,
    /**
    * French (Canada)
    */
    FRENCH_CANADA = 3084,
    /**
    * French (France)
    */
    FRENCH_FRANCE = 1036,
    /**
    * French (Luxembourg)
    */
    FRENCH_LUXEMBOURG = 5132,
    /**
    * French (Monaco)
    */
    FRENCH_MONACO = 6156,
    /**
    * French (Switzerland)
    */
    FRENCH_SWITZERLAND = 4108,
    /**
    * FYRO Macedonian
    */
    FYRO_MACEDONIAN = 1071,
    /**
    * Galician
    */
    GALICIAN = 1110,
    /**
    * Georgian
    */
    GEORGIAN = 1079,
    /**
    * German (Austria)
    */
    GERMAN_AUSTRIA = 3079,
    /**
    * German (Germany)
    */
    GERMAN_GERMANY = 1031,
    /**
    * German (Liechtenstein)
    */
    GERMAN_LIECHTENSTEIN = 5127,
    /**
    * German (Luxembourg)
    */
    GERMAN_LUXEMBOURG = 4103,
    /**
    * German (Switzerland)
    */
    GERMAN_SWITZERLAND = 2055,
    /**
    * Greek
    */
    GREEK = 1032,
    /**
    * Gujarati
    */
    GUJARATI = 1095,
    /**
    * Hebrew
    */
    HEBREW = 1037,
    /**
    * Hindi (India)
    */
    HINDI_INDIA = 1081,
    /**
    * Hungarian
    */
    HUNGARIAN = 1038,
    /**
    * Icelandic
    */
    ICELANDIC = 1039,
    /**
    * Indonesian
    */
    INDONESIAN = 1057,
    /**
    * Italian (Italy)
    */
    ITALIAN_ITALY = 1040,
    /**
    * Italian (Switzerland)
    */
    ITALIAN_SWITZERLAND = 2064,
    /**
    * Japanese
    */
    JAPANESE = 1041,
    /**
    * Kannada
    */
    KANNADA = 1099,
    /**
    * Kazakh
    */
    KAZAKH = 1087,
    /**
    * Khmer
    */
    KHMER = 1107,
    /**
    * Konkani
    */
    KONKANI = 1111,
    /**
    * Korean
    */
    KOREAN = 1042,
    /**
    * Kyrgyz (Cyrillic)
    */
    KYRGYZ_CYRILICK = 1088,
    /**
    * Latvian
    */
    LATVIAN = 1062,
    /**
    * Lithuanian
    */
    LITHUANIAN = 1063,
    /**
    * Malay (Malaysia)
    */
    MALAY_MALAYSIA = 1086,
    /**
    * Malay (Brunei Darussalam)
    */
    MALAY_BRUNEI_DARUSSALAM = 2110,
    /**
    * Maltese
    */
    MALTESE = 1082,
    /**
    * Marathi
    */
    MARATHI = 1102,
    /**
    * Mongolian (Cyrillic)
    */
    MONGOLIAN_CYRILIC = 1104,
    /**
    * Norwegian (Bokmal)
    */
    NORWEGIAN_BOKMAL = 1044,
    /**
    * Norwegian (Nynorsk)
    */
    NORWEGIAN_NYORSK = 2068,
    /**
    * Polish
    */
    POLISH = 1045,
    /**
    * Portuguese (Brazil)
    */
    PORTUGUESE_BRAZIL = 1046,
    /**
    * Portuguese (Portugal)
    */
    PORTUGUESE_PORTUGAL = 2070,
    /**
    * Punjabi
    */
    PUNJABI = 1094,
    /**
    * Rhaeto-Romanic
    */
    RHAETO_ROMANIC = 1047,
    /**
    * Romanian
    */
    ROMANIAN = 1048,
    /**
    * Russian
    */
    RUSSIAN = 1049,
    /**
    * Sanskrit
    */
    SANSKRIT = 1103,
    /**
    * Serbian (Cyrillic)
    */
    SERBIAN_CYRILIC = 3098,
    /**
    * Serbian (Latin)
    */
    SERBIAN_LATIN = 2074,
    /**
    * Sinhala
    */
    SINHALA = 1115,
    /**
    * Slovak
    */
    SLOVAK = 1051,
    /**
    * Slovenian
    */
    SLOVENIAN = 1060,
    /**
    * Spanish (Argentina)
    */
    SPANISH_ARGENTINA = 11274,
    /**
    * Spanish (Bolivia)
    */
    SPANISH_BOLIVIA = 16394,
    /**
    * Spanish (Chile)
    */
    SPANISH_CHILE = 13322,
    /**
    * Spanish (Colombia)
    */
    SPANICH_COLOMBIA = 9226,
    /**
    * Spanish (Costa Rica)
    */
    SPANISH_COSTA_RICA = 5130,
    /**
    * Spanish (Dominican Republic)
    */
    SPANISH_DOMINICAN_REPUBLIC = 7178,
    /**
    * Spanish (Ecuador)
    */
    SPANISH_ECUADOR = 12298,
    /**
    * Spanish (El Salvador)
    */
    SPANISH_EL_SALVADOR = 17418,
    /**
    * Spanish (Guatemala)
    */
    SPANISH_GUATEMALA = 4106,
    /**
    * Spanish (Honduras)
    */
    SPANISH_HONDURAS = 18442,
    /**
    * Spanish (Mexico)
    */
    SPANISH_MEXICO = 2058,
    /**
    * Spanish (Nicaragua)
    */
    SPANISH_NICARAGUA = 19466,
    /**
    * Spanish (Panama)
    */
    SPANISH_PANAMA = 6154,
    /**
    * Spanish (Paraguay)
    */
    SPANISH_PARAGUAY = 15370,
    /**
    * Spanish (Peru)
    */
    SPANISH_PERU = 10250,
    /**
    * Spanish (Puerto Rico)
    */
    SPANISH_PUERTO_RICO = 20490,
    /**
    * Spanish (Traditional Sort)
    */
    SPANISH_TRADITIONAL_SORT = 1034,
    /**
    * Spanish (International Sort)
    */
    SPANISH_INTERNATIONAL_SORT = 3082,
    /**
    * Spanish (Uruguay)
    */
    SPANISH_URUGUAY = 14346,
    /**
    * Spanish (Venezuela)
    */
    SPANISH_VENEZUELA = 8202,
    /**
    * Swahili
    */
    SWAHILI = 1089,
    /**
    * Swedish
    */
    SWEDISH = 1053,
    /**
    * Swedish (Finland)
    */
    SWEDISH_FINLAND = 2077,
    /**
    * Syriac
    */
    SYRIAC = 1114,
    /**
    * Tamil
    */
    TAMIL = 1097,
    /**
    * Tatar
    */
    TATAR = 1092,
    /**
    * Telugu
    */
    TELUGU = 1098,
    /**
    * Thai (Thailand)
    */
    THAI_THAILAND = 1054,
    /**
    * Turkish
    */
    TURKISH = 1055,
    /**
    * Tajik (Cyrillic)
    */
    TAJIK_CYRILLIC = 1064,
    /**
    * Turkmen
    */
    TURKMEN = 1090,
    /**
    * Ukrainian
    */
    UKRAINIAN = 1058,
    /**
    * Urdu
    */
    URDU = 1056,
    /**
    * Uzbek (Cyrillic)
    */
    UZBEK_CYRILIC = 2115,
    /**
    * Uzbek (Latin)
    */
    UZBEK_LATIN = 1091,
    /**
    * Vietnamese
    */
    VIETNAMESE = 1066,
    /**
    * CTC Simplified
    */
    CTC_SIMPLIFIED = 50001,
    /**
    * CTC Traditional
    */
    CTC_TRADITIONAL = 50002,
    /**
    * Bengali (Bangladesh)
    */
    BENGALI_BANGLADESH = 2117,
    /**
    * BengaliIndia
    */
    BENGALI_INDIA = 1093,
    /**
    * Assamese
    */
    ASSAMESE = 1101,
    /**
    * Oriya
    */
    ORIYA = 1096,
    /**
    * Malayalam
    */
    MALAYALAM = 1100,
    /**
    * Lao
    */
    LAO = 1108,
    /**
    * Sindhi (India)
    */
    SINDHI_INDIA = 1113,
    /**
    * Amharic
    */
    AMHARIC = 1118,
    /**
    * Kashmiri
    */
    KASHMIRI = 1120,
    /**
    * Nepali
    */
    NEPALI = 1121,
    /**
    * Pashto
    */
    PASHTO = 1123,
    /**
    * Sindhi
    */
    SINDHI = 2137,
    /**
    * Arabic (World)
    */
    ARABIC = 4096,
    /**
    * Bank Card Number
    */
    BANK_CARD_NUMBER = 10000,
    /**
    * Bank Card Expiry Date
    */
    BANK_CARD_EXPIRY_DATE = 10001,
    /**
    * Bank Card Name
    */
    BANK_CARD_NAME = 10002,
    /**
    * Bank Card
    */
    BANK_CARD = 10003,
    /**
    * Bank Card CVV2
    */
    BANK_CARD_CVV2 = 10004,
    /**
    * Abkhazian (Cyrillic)
    */
    ABKHAZIAN = 10011,
    /**
    * Karakalpak (Latin)
    */
    KARAKALPAK = 10012,
    /**
    * Urdu Detection
    */
    URDU_DETECTION = 10560
}
/**
 * Regula Document Reader Web API
 * Documents recognition as easy as reading two bytes.   # Clients: * [JavaScript](https://github.com/regulaforensics/DocumentReader-web-js-client) client for the browser and node.js based on axios * [Java](https://github.com/regulaforensics/DocumentReader-web-java-client) client compatible with jvm and android * [Python](https://github.com/regulaforensics/DocumentReader-web-python-client) 3.5+ client * [C#](https://github.com/regulaforensics/DocumentReader-web-csharp-client) client for .NET & .NET Core
 *
 * The version of the OpenAPI document: 8.1.0
 *
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */
/**
 *
 * @export
 * @enum {number}
 */
export enum VerificationResult {
    /**
    * Comparison result unknown
    */
    DISABLED = 0,
    /**
    * Verification passed
    */
    VERIFIED = 1,
    /**
    * Verification failed
    */
    NOT_VERIFIED = 2,
    /**
    * Positive comparison result
    */
    COMPARE_MATCH = 3,
    /**
    * Negative comparison result
    */
    COMPARE_NOT_MATCH = 4
}
/**
 *
 * @export
 * @interface VerifiedFieldMap
 */
export interface VerifiedFieldMap {
    /**
     *
     * @type {TextFieldType}
     * @memberof VerifiedFieldMap
     */
    'wFieldType': TextFieldType;
    /**
     *
     * @type {LCID}
     * @memberof VerifiedFieldMap
     */
    'wLCID': LCID;
    /**
     * Field data extracted from mrz(machine readable zone)
     * @type {string}
     * @memberof VerifiedFieldMap
     */
    'Field_MRZ'?: string;
    /**
     * Field data extracted from visual zone
     * @type {string}
     * @memberof VerifiedFieldMap
     */
    'Field_Visual'?: string;
    /**
     * Field data extracted from barcode
     * @type {string}
     * @memberof VerifiedFieldMap
     */
    'Field_Barcode'?: string;
    /**
     * Field data extracted from rfid chip
     * @type {string}
     * @memberof VerifiedFieldMap
     */
    'Field_RFID'?: string;
    /**
     * results comparison matrix. Elements of the matrix with indices 0, 1, 2, 3 take one of the values Disabled(0), Verified(1) or Not_Verified(2), elements with indices 4, 5, 6, 7, 8 are one of the values Disabled(0), Compare_Match(3) or Compare_Not_Match(4). Elements of the Matrix matrix have the following semantic meaning: - element with index 0 –– the result of verification of data from the MRZ; - 1 –– the result of verification of data from the RFID microcircuit; - 2 –– the result of verification of data from text areas of the document; - 3 –– the result of verification data from barcodes; - 4 - the result of comparing MRZ data and RFID microcircuits; - 5 - the result of comparing MRZ data and text areas of document filling; - 6 - the result of comparing MRZ data and bar codes; - 7 - the result of comparing the data of text areas of the document and the RFID chip; - 8 - the result of comparing the data of the text areas of the document and barcodes; - 9 - the result of comparing the data of the RFID chip and barcodes.
     * @type {Array<VerificationResult>}
     * @memberof VerifiedFieldMap
     */
    'Matrix': Array<VerificationResult>;
}
/**
 *
 * @export
 * @interface ListVerifiedFields
 */
export interface ListVerifiedFields {
    /**
     * Number of pFieldMaps array elements
     * @type {number}
     * @memberof ListVerifiedFields
     */
    'Count': number;
    /**
     *
     * @type {Array<VerifiedFieldMap>}
     * @memberof ListVerifiedFields
     */
    'pFieldMaps': Array<VerifiedFieldMap>;
    /**
     *
     * @type {string}
     * @memberof ListVerifiedFields
     */
    'pDateFormat'?: string;
}
/**
 *
 * @export
 * @interface ListVerifiedFieldsItem
 */
export interface ListVerifiedFieldsItem {
    /**
     *
     * @type {ListVerifiedFields}
     * @memberof ListVerifiedFieldsItem
     */
    'ListVerifiedFields': ListVerifiedFields;
}
/**
 * @type LexicalAnalysisResult
 * Lexical data analysis allows you to compare the results of reading the text data of the MRZ, the document filling area, barcodes and data from the memory of the RFID chip for an additional assessment of the authenticity of the document. Single result for all pages. Consider using Result.TEXT type for more simplicity.
 * @export
 */
export type LexicalAnalysisResult = ListVerifiedFieldsItem & ResultItem;
/**
 * Regula Document Reader Web API
 * Documents recognition as easy as reading two bytes.   # Clients: * [JavaScript](https://github.com/regulaforensics/DocumentReader-web-js-client) client for the browser and node.js based on axios * [Java](https://github.com/regulaforensics/DocumentReader-web-java-client) client compatible with jvm and android * [Python](https://github.com/regulaforensics/DocumentReader-web-python-client) 3.5+ client * [C#](https://github.com/regulaforensics/DocumentReader-web-csharp-client) client for .NET & .NET Core
 *
 * The version of the OpenAPI document: 8.1.0
 *
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */
/**
 *
 * @export
 * @interface LicenseItem
 */
export interface LicenseItem {
    /**
     * Base64 encoded data
     * @type {string}
     * @memberof LicenseItem
     */
    'License': string;
}
/**
 * @type LicenseResult
 * Contains license
 * @export
 */
export type LicenseResult = LicenseItem & ResultItem;
/**
 * Regula Document Reader Web API
 * Documents recognition as easy as reading two bytes.   # Clients: * [JavaScript](https://github.com/regulaforensics/DocumentReader-web-js-client) client for the browser and node.js based on axios * [Java](https://github.com/regulaforensics/DocumentReader-web-java-client) client compatible with jvm and android * [Python](https://github.com/regulaforensics/DocumentReader-web-python-client) 3.5+ client * [C#](https://github.com/regulaforensics/DocumentReader-web-csharp-client) client for .NET & .NET Core
 *
 * The version of the OpenAPI document: 8.1.0
 *
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */
/**
 *
 * @export
 * @interface Symbol
 */
export interface Symbol {
    /**
     *
     * @type {Array<number>}
     * @memberof Symbol
     */
    'boundingRect': Array<number>;
}
/**
 *
 * @export
 * @interface MRZRowsItem
 */
export interface MRZRowsItem {
    /**
     *
     * @type {number}
     * @memberof MRZRowsItem
     */
    'length': number;
    /**
     *
     * @type {number}
     * @memberof MRZRowsItem
     */
    'maxLength': number;
    /**
     *
     * @type {Array<Symbol>}
     * @memberof MRZRowsItem
     */
    'symbols': Array<Symbol>;
}
/**
 *
 * @export
 * @interface ResultMRZDetector
 */
export interface ResultMRZDetector {
    /**
     *
     * @type {number}
     * @memberof ResultMRZDetector
     */
    'MRZFormat': number;
    /**
     *
     * @type {Array<MRZRowsItem>}
     * @memberof ResultMRZDetector
     */
    'MRZRows': Array<MRZRowsItem>;
    /**
     *
     * @type {number}
     * @memberof ResultMRZDetector
     */
    'MRZRowsNum': number;
    /**
     *
     * @type {Array<number>}
     * @memberof ResultMRZDetector
     */
    'boundingQuadrangle': Array<number>;
}
/**
 *
 * @export
 * @interface ResultMRZDetectorItem
 */
export interface ResultMRZDetectorItem {
    /**
     *
     * @type {ResultMRZDetector}
     * @memberof ResultMRZDetectorItem
     */
    'ResultMRZDetector': ResultMRZDetector;
}
/**
 * @type MRZDetectorResult
 * @export
 */
export type MRZDetectorResult = ResultItem & ResultMRZDetectorItem;
/**
 *
 * @export
 * @interface MrzPositionItem
 */
export interface MrzPositionItem {
    /**
     *
     * @type {DocumentPosition}
     * @memberof MrzPositionItem
     */
    'MrzPosition': DocumentPosition;
}
/**
 * @type MRZPositionResult
 * @export
 */
export type MRZPositionResult = MrzPositionItem & ResultItem;
/**
 * Regula Document Reader Web API
 * Documents recognition as easy as reading two bytes.   # Clients: * [JavaScript](https://github.com/regulaforensics/DocumentReader-web-js-client) client for the browser and node.js based on axios * [Java](https://github.com/regulaforensics/DocumentReader-web-java-client) client compatible with jvm and android * [Python](https://github.com/regulaforensics/DocumentReader-web-python-client) 3.5+ client * [C#](https://github.com/regulaforensics/DocumentReader-web-csharp-client) client for .NET & .NET Core
 *
 * The version of the OpenAPI document: 8.1.0
 *
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */
/**
 *
 * @export
 * @interface ErrorCoordinates
 */
export interface ErrorCoordinates {
    /**
     *
     * @type {number}
     * @memberof ErrorCoordinates
     */
    'Left'?: number;
    /**
     *
     * @type {number}
     * @memberof ErrorCoordinates
     */
    'Top'?: number;
    /**
     *
     * @type {number}
     * @memberof ErrorCoordinates
     */
    'Right'?: number;
    /**
     *
     * @type {number}
     * @memberof ErrorCoordinates
     */
    'Bottom'?: number;
}
/**
 * Regula Document Reader Web API
 * Documents recognition as easy as reading two bytes.   # Clients: * [JavaScript](https://github.com/regulaforensics/DocumentReader-web-js-client) client for the browser and node.js based on axios * [Java](https://github.com/regulaforensics/DocumentReader-web-java-client) client compatible with jvm and android * [Python](https://github.com/regulaforensics/DocumentReader-web-python-client) 3.5+ client * [C#](https://github.com/regulaforensics/DocumentReader-web-csharp-client) client for .NET & .NET Core
 *
 * The version of the OpenAPI document: 8.1.0
 *
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */
/**
 *
 * @export
 * @interface FieldItem
 */
export interface FieldItem {
    /**
     *
     * @type {number}
     * @memberof FieldItem
     */
    'FieldLength': number;
    /**
     *
     * @type {number}
     * @memberof FieldItem
     */
    'FieldPos': number;
    /**
     *
     * @type {number}
     * @memberof FieldItem
     */
    'FieldType': number;
    /**
     *
     * @type {number}
     * @memberof FieldItem
     */
    'TEST_RESULT': number;
    /**
     *
     * @type {number}
     * @memberof FieldItem
     */
    'ValidCheckSum': number;
    /**
     *
     * @type {number}
     * @memberof FieldItem
     */
    'reserved': number;
}
/**
 *
 * @export
 * @interface SymbolEstimationItem
 */
export interface SymbolEstimationItem {
    /**
     *
     * @type {number}
     * @memberof SymbolEstimationItem
     */
    'ALIGNMENT_NEAREST_SYMBOLS': number;
    /**
     *
     * @type {number}
     * @memberof SymbolEstimationItem
     */
    'CONTRAST_PRINT': number;
    /**
     *
     * @type {number}
     * @memberof SymbolEstimationItem
     */
    'CONTRAST_SYMBOL': number;
    /**
     *
     * @type {number}
     * @memberof SymbolEstimationItem
     */
    'CharSymbol': number;
    /**
     *
     * @type {number}
     * @memberof SymbolEstimationItem
     */
    'EDGE': number;
    /**
     *
     * @type {number}
     * @memberof SymbolEstimationItem
     */
    'EMPTINESS': number;
    /**
     *
     * @type {number}
     * @memberof SymbolEstimationItem
     */
    'STAIN': number;
    /**
     *
     * @type {number}
     * @memberof SymbolEstimationItem
     */
    'SYMBOLS_INTERVAL': number;
    /**
     *
     * @type {number}
     * @memberof SymbolEstimationItem
     */
    'SYMBOL_PARAM': number;
    /**
     *
     * @type {number}
     * @memberof SymbolEstimationItem
     */
    'SYMBOL_SIZE': number;
    /**
     *
     * @type {number}
     * @memberof SymbolEstimationItem
     */
    'SizeErrorAlignWithNext': number;
    /**
     *
     * @type {number}
     * @memberof SymbolEstimationItem
     */
    'SizeErrorAlignWithPrev': number;
    /**
     *
     * @type {number}
     * @memberof SymbolEstimationItem
     */
    'SizeErrorIntervWithNext': number;
    /**
     *
     * @type {number}
     * @memberof SymbolEstimationItem
     */
    'SizeErrorIntervWithPrev': number;
    /**
     *
     * @type {number}
     * @memberof SymbolEstimationItem
     */
    'SizeErrorSymbolHeight': number;
    /**
     *
     * @type {number}
     * @memberof SymbolEstimationItem
     */
    'SizeErrorSymbolWidth': number;
    /**
     *
     * @type {RectangleCoordinates}
     * @memberof SymbolEstimationItem
     */
    'SymbolBounds': RectangleCoordinates;
}
/**
 *
 * @export
 * @interface StringItem
 */
export interface StringItem {
    /**
     *
     * @type {CheckResult}
     * @memberof StringItem
     */
    'ALIGNMENT_SYMBOLS_IN_STRING': CheckResult;
    /**
     *
     * @type {CheckResult}
     * @memberof StringItem
     */
    'CHECK_SUMS': CheckResult;
    /**
     *
     * @type {ErrorCoordinates}
     * @memberof StringItem
     */
    'ErrorPOSITION': ErrorCoordinates;
    /**
     *
     * @type {number}
     * @memberof StringItem
     */
    'FieldCount': number;
    /**
     *
     * @type {Array<FieldItem>}
     * @memberof StringItem
     */
    'Fields': Array<FieldItem>;
    /**
     *
     * @type {CheckResult}
     * @memberof StringItem
     */
    'STRINGS_DISTANCE': CheckResult;
    /**
     *
     * @type {CheckResult}
     * @memberof StringItem
     */
    'STRINGS_INTERVAL': CheckResult;
    /**
     *
     * @type {CheckResult}
     * @memberof StringItem
     */
    'STRING_FILLING': CheckResult;
    /**
     *
     * @type {CheckResult}
     * @memberof StringItem
     */
    'STRINGS_POSITION'?: CheckResult;
    /**
     *
     * @type {CheckResult}
     * @memberof StringItem
     */
    'SYMBOLS_PARAM': CheckResult;
    /**
     *
     * @type {number}
     * @memberof StringItem
     */
    'SizeError_ALIGNMENT': number;
    /**
     *
     * @type {number}
     * @memberof StringItem
     */
    'SizeError_DISTANCE': number;
    /**
     *
     * @type {number}
     * @memberof StringItem
     */
    'SizeError_INTERVAL': number;
    /**
     *
     * @type {number}
     * @memberof StringItem
     */
    'StringAngle': number;
    /**
     *
     * @type {RectangleCoordinates}
     * @memberof StringItem
     */
    'StringBorders': RectangleCoordinates;
    /**
     *
     * @type {number}
     * @memberof StringItem
     */
    'SymbolsCount': number;
    /**
     *
     * @type {Array<SymbolEstimationItem>}
     * @memberof StringItem
     */
    'SymbolsEstimations': Array<SymbolEstimationItem>;
}
/**
 *
 * @export
 * @interface MRZTestQuality
 */
export interface MRZTestQuality {
    /**
     *
     * @type {CheckResult}
     * @memberof MRZTestQuality
     */
    'CHECK_SUMS': CheckResult;
    /**
     *
     * @type {CheckResult}
     * @memberof MRZTestQuality
     */
    'CONTRAST_PRINT': CheckResult;
    /**
     *
     * @type {number}
     * @memberof MRZTestQuality
     */
    'DOC_FORMAT': number;
    /**
     *
     * @type {number}
     * @memberof MRZTestQuality
     */
    'MRZ_FORMAT': number;
    /**
     *
     * @type {CheckResult}
     * @memberof MRZTestQuality
     */
    'PRINT_POSITION': CheckResult;
    /**
     *
     * @type {CheckResult}
     * @memberof MRZTestQuality
     */
    'STAIN_MRZ': CheckResult;
    /**
     *
     * @type {CheckResult}
     * @memberof MRZTestQuality
     */
    'SYMBOLS_PARAM': CheckResult;
    /**
     *
     * @type {number}
     * @memberof MRZTestQuality
     */
    'StrCount': number;
    /**
     *
     * @type {Array<StringItem>}
     * @memberof MRZTestQuality
     */
    'Strings': Array<StringItem>;
    /**
     *
     * @type {CheckResult}
     * @memberof MRZTestQuality
     */
    'TEXTUAL_FILLING': CheckResult;
}
/**
 *
 * @export
 * @interface MRZTestQualityItem
 */
export interface MRZTestQualityItem {
    /**
     *
     * @type {MRZTestQuality}
     * @memberof MRZTestQualityItem
     */
    'MRZTestQuality': MRZTestQuality;
}
/**
 * @type MRZTestQualityResult
 * @export
 */
export type MRZTestQualityResult = MRZTestQualityItem & ResultItem;
/**
 * Regula Document Reader Web API
 * Documents recognition as easy as reading two bytes.   # Clients: * [JavaScript](https://github.com/regulaforensics/DocumentReader-web-js-client) client for the browser and node.js based on axios * [Java](https://github.com/regulaforensics/DocumentReader-web-java-client) client compatible with jvm and android * [Python](https://github.com/regulaforensics/DocumentReader-web-python-client) 3.5+ client * [C#](https://github.com/regulaforensics/DocumentReader-web-csharp-client) client for .NET & .NET Core
 *
 * The version of the OpenAPI document: 8.1.0
 *
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */
/**
 *
 * @export
 * @interface RFIDDocVisualExtendedFieldItem
 */
export interface RFIDDocVisualExtendedFieldItem {
    /**
     *
     * @type {number}
     * @memberof RFIDDocVisualExtendedFieldItem
     */
    'OriginDG': number;
    /**
     *
     * @type {number}
     * @memberof RFIDDocVisualExtendedFieldItem
     */
    'OriginDGTag'?: number;
    /**
     * Record index of the text field source in the data group
     * @type {number}
     * @memberof RFIDDocVisualExtendedFieldItem
     */
    'OriginTagEntry': number;
    /**
     *
     * @type {number}
     * @memberof RFIDDocVisualExtendedFieldItem
     */
    'OriginEntryView'?: number;
}
/**
 * Regula Document Reader Web API
 * Documents recognition as easy as reading two bytes.   # Clients: * [JavaScript](https://github.com/regulaforensics/DocumentReader-web-js-client) client for the browser and node.js based on axios * [Java](https://github.com/regulaforensics/DocumentReader-web-java-client) client compatible with jvm and android * [Python](https://github.com/regulaforensics/DocumentReader-web-python-client) 3.5+ client * [C#](https://github.com/regulaforensics/DocumentReader-web-csharp-client) client for .NET & .NET Core
 *
 * The version of the OpenAPI document: 8.1.0
 *
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */
/**
 * Describes an individual character recognition candidate
 * @export
 * @interface SymbolCandidate
 */
export interface SymbolCandidate {
    /**
     * Unicode symbol code
     * @type {number}
     * @memberof SymbolCandidate
     */
    'SymbolCode': number;
    /**
     * character recognition probability (0–100,%)
     * @type {number}
     * @memberof SymbolCandidate
     */
    'SymbolProbability': number;
    /**
     *
     * @type {number}
     * @memberof SymbolCandidate
     */
    'Class'?: number;
    /**
     *
     * @type {number}
     * @memberof SymbolCandidate
     */
    'SubClass'?: number;
}
/**
 * Describes a single character recognition results in the text field line
 * @export
 * @interface SymbolRecognitionResult
 */
export interface SymbolRecognitionResult {
    /**
     *
     * @type {RectangleCoordinates}
     * @memberof SymbolRecognitionResult
     */
    'SymbolRect'?: RectangleCoordinates;
    /**
     * Number of significant elements of ListOfCandidates array
     * @type {number}
     * @memberof SymbolRecognitionResult
     */
    'CandidatesCount': number;
    /**
     * Array of candidate characters. Sorted in descending order of recognition probabilities (the first element has highest probability)
     * @type {Array<SymbolCandidate>}
     * @memberof SymbolRecognitionResult
     */
    'ListOfCandidates': Array<SymbolCandidate>;
    /**
     *
     * @type {number}
     * @memberof SymbolRecognitionResult
     */
    'BaseLineBottom'?: number;
    /**
     *
     * @type {number}
     * @memberof SymbolRecognitionResult
     */
    'BaseLineTop'?: number;
}
/**
 * Describes single row recognition results in multi-line text field of a document
 * @export
 * @interface StringRecognitionResult
 */
export interface StringRecognitionResult {
    /**
     * Number of StringResult array elements
     * @type {number}
     * @memberof StringRecognitionResult
     */
    'SymbolsCount': number;
    /**
     * Array of recognition results for individual characters of a string
     * @type {Array<SymbolRecognitionResult>}
     * @memberof StringRecognitionResult
     */
    'StringResult': Array<SymbolRecognitionResult>;
    /**
     * Buf_Text text string length
     * @type {number}
     * @memberof StringRecognitionResult
     */
    'Buf_Length'?: number;
    /**
     * Text field data in UTF8 format. Results of reading different lines of a multi-line field are separated by \'^\'
     * @type {string}
     * @memberof StringRecognitionResult
     */
    'Buf_Text'?: string;
    /**
     *
     * @type {number}
     * @memberof StringRecognitionResult
     */
    'Reserved'?: number;
}
/**
 *
 * @export
 * @interface VisualExtendedFieldItem
 */
export interface VisualExtendedFieldItem {
    /**
     *
     * @type {TextFieldType}
     * @memberof VisualExtendedFieldItem
     */
    'wFieldType': TextFieldType;
    /**
     * Field symbolic name (null-terminated string)
     * @type {string}
     * @memberof VisualExtendedFieldItem
     */
    'FieldName': string;
    /**
     * Number of StringsResult array elements
     * @type {number}
     * @memberof VisualExtendedFieldItem
     */
    'StringsCount': number;
    /**
     * Array of recognizing probabilities for a each line of text field. Only for Result.VISUAL_TEXT and Result.MRZ_TEXT results.
     * @type {Array<StringRecognitionResult>}
     * @memberof VisualExtendedFieldItem
     */
    'StringsResult': Array<StringRecognitionResult>;
    /**
     * Buf_Text text string length
     * @type {number}
     * @memberof VisualExtendedFieldItem
     */
    'Buf_Length': number;
    /**
     * Text field data in UTF8 format. Results of reading different lines of a multi-line field are separated by \'^\'
     * @type {string}
     * @memberof VisualExtendedFieldItem
     */
    'Buf_Text': string;
    /**
     *
     * @type {string}
     * @memberof VisualExtendedFieldItem
     */
    'FieldMask'?: string;
    /**
     *
     * @type {number}
     * @memberof VisualExtendedFieldItem
     */
    'Validity'?: number;
    /**
     *
     * @type {number}
     * @memberof VisualExtendedFieldItem
     */
    'InComparison'?: number;
    /**
     *
     * @type {LCID}
     * @memberof VisualExtendedFieldItem
     */
    'wLCID'?: LCID;
    /**
     *
     * @type {number}
     * @memberof VisualExtendedFieldItem
     */
    'Reserved2'?: number;
    /**
     *
     * @type {number}
     * @memberof VisualExtendedFieldItem
     */
    'Reserved3'?: number;
}
/**
 * @type RFIDDocVisualExtendedField
 * @export
 */
export type RFIDDocVisualExtendedField = RFIDDocVisualExtendedFieldItem & VisualExtendedFieldItem;
/**
 * Container for extracted text fields. Fields are identified by type and language
 * @export
 * @interface RFIDDocVisualExtendedInfo
 */
export interface RFIDDocVisualExtendedInfo {
    /**
     * Number of pArrayFields array elements
     * @type {number}
     * @memberof RFIDDocVisualExtendedInfo
     */
    'nFields': number;
    /**
     *
     * @type {Array<RFIDDocVisualExtendedField>}
     * @memberof RFIDDocVisualExtendedInfo
     */
    'pArrayFields': Array<RFIDDocVisualExtendedField>;
}
/**
 * Regula Document Reader Web API
 * Documents recognition as easy as reading two bytes.   # Clients: * [JavaScript](https://github.com/regulaforensics/DocumentReader-web-js-client) client for the browser and node.js based on axios * [Java](https://github.com/regulaforensics/DocumentReader-web-java-client) client compatible with jvm and android * [Python](https://github.com/regulaforensics/DocumentReader-web-python-client) 3.5+ client * [C#](https://github.com/regulaforensics/DocumentReader-web-csharp-client) client for .NET & .NET Core
 *
 * The version of the OpenAPI document: 8.1.0
 *
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */
/**
 *
 * @export
 * @interface FileImage
 */
export interface FileImage {
    /**
     *
     * @type {string}
     * @memberof FileImage
     */
    'Data': string;
    /**
     *
     * @type {number}
     * @memberof FileImage
     */
    'Length': number;
}
/**
 *
 * @export
 * @interface GraphData
 */
export interface GraphData {
    /**
     *
     * @type {number}
     * @memberof GraphData
     */
    'FieldType': number;
    /**
     *
     * @type {FileImage}
     * @memberof GraphData
     */
    'File_Image': FileImage;
    /**
     *
     * @type {number}
     * @memberof GraphData
     */
    'GraphicsType': number;
    /**
     *
     * @type {number}
     * @memberof GraphData
     */
    'OriginDG': number;
    /**
     *
     * @type {number}
     * @memberof GraphData
     */
    'OriginDGTag': number;
    /**
     *
     * @type {number}
     * @memberof GraphData
     */
    'OriginEntryView': number;
    /**
     *
     * @type {number}
     * @memberof GraphData
     */
    'OriginTagEntry': number;
}
/**
 *
 * @export
 * @interface TOriginalRFIDGraphicsInfo
 */
export interface TOriginalRFIDGraphicsInfo {
    /**
     *
     * @type {Array<GraphData>}
     * @memberof TOriginalRFIDGraphicsInfo
     */
    'RFID_ORIGINAL_GRAPH_DATA': Array<GraphData>;
}
/**
 *
 * @export
 * @interface TOriginalRFIDGraphicsInfoItem
 */
export interface TOriginalRFIDGraphicsInfoItem {
    /**
     *
     * @type {TOriginalRFIDGraphicsInfo}
     * @memberof TOriginalRFIDGraphicsInfoItem
     */
    'TOriginalRFIDGraphicsInfo': TOriginalRFIDGraphicsInfo;
}
/**
 * @type RFIDGraphicsInfoResult
 * @export
 */
export type RFIDGraphicsInfoResult = ResultItem & TOriginalRFIDGraphicsInfoItem;
/**
 *
 * @export
 * @interface RFIDDocVisualExtendedInfoItem
 */
export interface RFIDDocVisualExtendedInfoItem {
    /**
     *
     * @type {RFIDDocVisualExtendedInfo}
     * @memberof RFIDDocVisualExtendedInfoItem
     */
    'DocVisualExtendedInfo': RFIDDocVisualExtendedInfo;
}
/**
 * @type RFIDTextDataResult
 * @export
 */
export type RFIDTextDataResult = RFIDDocVisualExtendedInfoItem & ResultItem;
/**
 * Details on performed optical checks
 * @export
 * @interface DetailsOptical
 */
export interface DetailsOptical {
    /**
     *
     * @type {CheckResult}
     * @memberof DetailsOptical
     */
    'overallStatus': CheckResult;
    /**
     *
     * @type {CheckResult}
     * @memberof DetailsOptical
     */
    'docType': CheckResult;
    /**
     *
     * @type {CheckResult}
     * @memberof DetailsOptical
     */
    'expiry': CheckResult;
    /**
     *
     * @type {CheckResult}
     * @memberof DetailsOptical
     */
    'imageQA': CheckResult;
    /**
     *
     * @type {CheckResult}
     * @memberof DetailsOptical
     */
    'mrz': CheckResult;
    /**
     * Number of processed pages in the document
     * @type {number}
     * @memberof DetailsOptical
     */
    'pagesCount': number;
    /**
     *
     * @type {CheckResult}
     * @memberof DetailsOptical
     */
    'security': CheckResult;
    /**
     *
     * @type {CheckResult}
     * @memberof DetailsOptical
     */
    'text': CheckResult;
    /**
     *
     * @type {number}
     * @memberof DetailsOptical
     */
    'vds'?: number;
}
/**
 *
 * @export
 * @interface Status
 */
export interface Status {
    /**
     *
     * @type {CheckResult}
     * @memberof Status
     */
    'overallStatus': CheckResult;
    /**
     *
     * @type {CheckResult}
     * @memberof Status
     */
    'optical': CheckResult;
    /**
     *
     * @type {CheckResult}
     * @memberof Status
     */
    'portrait': CheckResult;
    /**
     *
     * @type {CheckResult}
     * @memberof Status
     */
    'rfid': CheckResult;
    /**
     *
     * @type {CheckResult}
     * @memberof Status
     */
    'stopList': CheckResult;
    /**
     *
     * @type {DetailsRFID}
     * @memberof Status
     */
    'detailsRFID'?: DetailsRFID;
    /**
     *
     * @type {DetailsOptical}
     * @memberof Status
     */
    'detailsOptical': DetailsOptical;
}
/**
 *
 * @export
 * @interface StatusItem
 */
export interface StatusItem {
    /**
     *
     * @type {Status}
     * @memberof StatusItem
     */
    'Status': Status;
}
/**
 * @type StatusResult
 * @export
 */
export type StatusResult = ResultItem & StatusItem;
/**
 *
 * @export
 * @interface TextAvailableSource
 */
export interface TextAvailableSource {
    /**
     *
     * @type {Source}
     * @memberof TextAvailableSource
     */
    'source': Source;
    /**
     *
     * @type {CheckResult}
     * @memberof TextAvailableSource
     */
    'validityStatus': CheckResult;
    /**
     * Same as Result type, but used for safe parsing of not-described values. See Result type.
     * @type {number}
     * @memberof TextAvailableSource
     */
    'containerType'?: number;
}
/**
 *
 * @export
 * @interface CrossSourceValueComparison
 */
export interface CrossSourceValueComparison {
    /**
     *
     * @type {Source}
     * @memberof CrossSourceValueComparison
     */
    'sourceLeft': Source;
    /**
     *
     * @type {Source}
     * @memberof CrossSourceValueComparison
     */
    'sourceRight': Source;
    /**
     *
     * @type {CheckResult}
     * @memberof CrossSourceValueComparison
     */
    'status': CheckResult;
}
/**
 *
 * @export
 * @interface SourceValidity
 */
export interface SourceValidity {
    /**
     *
     * @type {Source}
     * @memberof SourceValidity
     */
    'source': Source;
    /**
     *
     * @type {CheckResult}
     * @memberof SourceValidity
     */
    'status': CheckResult;
}
/**
 *
 * @export
 * @interface OriginalSymbol
 */
export interface OriginalSymbol {
    /**
     * Unicode symbol code
     * @type {number}
     * @memberof OriginalSymbol
     */
    'code': number;
    /**
     * Probability of correctness reading of a single character
     * @type {number}
     * @memberof OriginalSymbol
     */
    'probability': number;
    /**
     *
     * @type {RectangleCoordinates}
     * @memberof OriginalSymbol
     */
    'rect'?: RectangleCoordinates;
}
/**
 *
 * @export
 * @interface TextFieldValue
 */
export interface TextFieldValue {
    /**
     *
     * @type {Source}
     * @memberof TextFieldValue
     */
    'source': Source;
    /**
     * Parsed/processed value. Date format converted for output, delimiters removed
     * @type {string}
     * @memberof TextFieldValue
     */
    'value': string;
    /**
     * Original value as seen in the document
     * @type {string}
     * @memberof TextFieldValue
     */
    'originalValue'?: string;
    /**
     *
     * @type {CheckResult}
     * @memberof TextFieldValue
     */
    'originalValidity': CheckResult;
    /**
     *
     * @type {Array<OriginalSymbol>}
     * @memberof TextFieldValue
     */
    'originalSymbols'?: Array<OriginalSymbol>;
    /**
     * Page index of the image from input list
     * @type {number}
     * @memberof TextFieldValue
     */
    'pageIndex': number;
    /**
     * Min recognition probability. Combined minimum probability from single characters probabilities
     * @type {number}
     * @memberof TextFieldValue
     */
    'probability': number;
    /**
     *
     * @type {RectangleCoordinates}
     * @memberof TextFieldValue
     */
    'fieldRect'?: RectangleCoordinates;
    /**
     *
     * @type {RfidOrigin}
     * @memberof TextFieldValue
     */
    'rfidOrigin'?: RfidOrigin;
    /**
     * Same as Result type, but used for safe parsing of not-described values. See Result type.
     * @type {number}
     * @memberof TextFieldValue
     */
    'containerType'?: number;
}
/**
 *
 * @export
 * @interface TextField
 */
export interface TextField {
    /**
     *
     * @type {TextFieldType}
     * @memberof TextField
     */
    'fieldType': TextFieldType;
    /**
     * Field name. Only use to search values for fields with fieldType=50(other). In general, use fieldType for lookup.
     * @type {string}
     * @memberof TextField
     */
    'fieldName': string;
    /**
     *
     * @type {LCID}
     * @memberof TextField
     */
    'lcid': LCID;
    /**
     * LCID name
     * @type {string}
     * @memberof TextField
     */
    'lcidName'?: string;
    /**
     *
     * @type {CheckResult}
     * @memberof TextField
     */
    'status': CheckResult;
    /**
     *
     * @type {CheckResult}
     * @memberof TextField
     */
    'validityStatus': CheckResult;
    /**
     *
     * @type {CheckResult}
     * @memberof TextField
     */
    'comparisonStatus': CheckResult;
    /**
     * The most confidence value, selected from valueList
     * @type {string}
     * @memberof TextField
     */
    'value': string;
    /**
     *
     * @type {Array<TextFieldValue>}
     * @memberof TextField
     */
    'valueList': Array<TextFieldValue>;
    /**
     * Validity of all field values for given source. If there are two values on different pages for one field-source pair, then validity also will include logical match checking. If such values do not match, validity will return error.
     * @type {Array<SourceValidity>}
     * @memberof TextField
     */
    'validityList': Array<SourceValidity>;
    /**
     *
     * @type {Array<CrossSourceValueComparison>}
     * @memberof TextField
     */
    'comparisonList': Array<CrossSourceValueComparison>;
}
/**
 * Contains all document text fields data with validity and cross-source compare checks
 * @export
 * @interface Text
 */
export interface Text {
    /**
     *
     * @type {CheckResult}
     * @memberof Text
     */
    'status': CheckResult;
    /**
     *
     * @type {CheckResult}
     * @memberof Text
     */
    'validityStatus': CheckResult;
    /**
     *
     * @type {CheckResult}
     * @memberof Text
     */
    'comparisonStatus': CheckResult;
    /**
     * Date format
     * @type {string}
     * @memberof Text
     */
    'dateFormat': string;
    /**
     *
     * @type {Array<TextField>}
     * @memberof Text
     */
    'fieldList': Array<TextField>;
    /**
     *
     * @type {Array<TextAvailableSource>}
     * @memberof Text
     */
    'availableSourceList': Array<TextAvailableSource>;
}
/**
 *
 * @export
 * @interface DocVisualExtendedFieldItem
 */
export interface DocVisualExtendedFieldItem {
    /**
     *
     * @type {RectangleCoordinates}
     * @memberof DocVisualExtendedFieldItem
     */
    'FieldRect': RectangleCoordinates;
}
/**
 * @type DocVisualExtendedField
 * @export
 */
export type DocVisualExtendedField = DocVisualExtendedFieldItem & VisualExtendedFieldItem;
/**
 * Container for extracted text fields. Fields are identified by type and language
 * @export
 * @interface DocVisualExtendedInfo
 */
export interface DocVisualExtendedInfo {
    /**
     * Number of pArrayFields array elements
     * @type {number}
     * @memberof DocVisualExtendedInfo
     */
    'nFields': number;
    /**
     *
     * @type {Array<DocVisualExtendedField>}
     * @memberof DocVisualExtendedInfo
     */
    'pArrayFields': Array<DocVisualExtendedField>;
}
/**
 *
 * @export
 * @interface DocVisualExtendedInfoItem
 */
export interface DocVisualExtendedInfoItem {
    /**
     *
     * @type {DocVisualExtendedInfo}
     * @memberof DocVisualExtendedInfoItem
     */
    'DocVisualExtendedInfo': DocVisualExtendedInfo;
}
/**
 * @type TextDataResult
 * Text fields extracted from one document source. Contains results of specific source for each provided page.
 * @export
 */
export type TextDataResult = DocVisualExtendedInfoItem & ResultItem;
/**
 *
 * @export
 * @interface TextItem
 */
export interface TextItem {
    /**
     *
     * @type {Text}
     * @memberof TextItem
     */
    'Text': Text;
}
/**
 * @type TextResult
 * @export
 */
export type TextResult = ResultItem & TextItem;
/**
 * @type ContainerListListInner
 * @export
 */
export type ContainerListListInner = AuthenticityResult | ByteArrayResult | ChosenDocumentTypeResult | DocBarCodeInfo | DocumentBinaryInfoResult | DocumentImageResult | DocumentPositionResult | DocumentTypesCandidatesResult | EncryptedRCLResult | FaceDetectionResult | GraphicsResult | ImageQualityResult | ImagesResult | LexicalAnalysisResult | LicenseResult | MRZDetectorResult | MRZPositionResult | MRZTestQualityResult | RFIDGraphicsInfoResult | RFIDTextDataResult | StatusResult | TextDataResult | TextResult;
/**
 * List with various objects, containing processing results
 * @export
 * @interface ContainerList
 */
export interface ContainerList {
    /**
     * Length of list (Count for items)
     * @type {number}
     * @memberof ContainerList
     */
    'Count'?: number;
    /**
     *
     * @type {Array<ContainerListListInner>}
     * @memberof ContainerList
     */
    'List': Array<ContainerListListInner>;
}
/**
 * Regula Document Reader Web API
 * Documents recognition as easy as reading two bytes.   # Clients: * [JavaScript](https://github.com/regulaforensics/DocumentReader-web-js-client) client for the browser and node.js based on axios * [Java](https://github.com/regulaforensics/DocumentReader-web-java-client) client compatible with jvm and android * [Python](https://github.com/regulaforensics/DocumentReader-web-python-client) 3.5+ client * [C#](https://github.com/regulaforensics/DocumentReader-web-csharp-client) client for .NET & .NET Core
 *
 * The version of the OpenAPI document: 8.1.0
 *
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */
/**
 * Database information.
 * @export
 * @interface DeviceInfoDocumentsDatabase
 */
export interface DeviceInfoDocumentsDatabase {
    /**
     * Database identifier.
     * @type {string}
     * @memberof DeviceInfoDocumentsDatabase
     */
    'id': string | null;
    /**
     * Database version.
     * @type {string}
     * @memberof DeviceInfoDocumentsDatabase
     */
    'version': string | null;
    /**
     * Date of database creation.
     * @type {string}
     * @memberof DeviceInfoDocumentsDatabase
     */
    'export-date': string | null;
    /**
     * Description of the database contents, such as the list of supported countries and documents.
     * @type {string}
     * @memberof DeviceInfoDocumentsDatabase
     */
    'description': string | null;
}
/**
 *
 * @export
 * @interface DeviceInfo
 */
export interface DeviceInfo {
    /**
     * Application name.
     * @type {string}
     * @memberof DeviceInfo
     */
    'app-name'?: string;
    /**
     * Product version.
     * @type {string}
     * @memberof DeviceInfo
     */
    'version'?: string;
    /**
     * Unique license identifier.
     * @type {string}
     * @memberof DeviceInfo
     */
    'license-id'?: string;
    /**
     * License serial number.
     * @type {string}
     * @memberof DeviceInfo
     */
    'license-serial'?: string;
    /**
     *
     * @type {string}
     * @memberof DeviceInfo
     */
    'license-type'?: string;
    /**
     * License validity date.
     * @type {string}
     * @memberof DeviceInfo
     */
    'valid-until'?: string;
    /**
     *
     * @type {string}
     * @memberof DeviceInfo
     */
    'server-time'?: string;
    /**
     * List of supported scenarios.
     * @type {Array<string>}
     * @memberof DeviceInfo
     */
    'supported-scenarios'?: Array<string>;
    /**
     *
     * @type {{ [key: string]: any; }}
     * @memberof DeviceInfo
     */
    'metadata'?: {
        [key: string]: any;
    };
    /**
     *
     * @type {DeviceInfoDocumentsDatabase}
     * @memberof DeviceInfo
     */
    'documents-database'?: DeviceInfoDocumentsDatabase;
}
/**
 * Regula Document Reader Web API
 * Documents recognition as easy as reading two bytes.   # Clients: * [JavaScript](https://github.com/regulaforensics/DocumentReader-web-js-client) client for the browser and node.js based on axios * [Java](https://github.com/regulaforensics/DocumentReader-web-java-client) client compatible with jvm and android * [Python](https://github.com/regulaforensics/DocumentReader-web-python-client) 3.5+ client * [C#](https://github.com/regulaforensics/DocumentReader-web-csharp-client) client for .NET & .NET Core
 *
 * The version of the OpenAPI document: 8.1.0
 *
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */
/**
 *
 * @export
 * @interface DocumentImage
 */
export interface DocumentImage {
    /**
     * Base64 encoded image
     * @type {string}
     * @memberof DocumentImage
     */
    'image'?: string;
    /**
     * Image format
     * @type {string}
     * @memberof DocumentImage
     */
    'format'?: string;
}
/**
 *
 * @export
 * @interface DocumentTypesCandidates
 */
export interface DocumentTypesCandidates {
    /**
     *
     * @type {DocumentTypeRecognitionResult}
     * @memberof DocumentTypesCandidates
     */
    'RecResult'?: DocumentTypeRecognitionResult;
    /**
     *
     * @type {Array<OneCandidate>}
     * @memberof DocumentTypesCandidates
     */
    'Candidates'?: Array<OneCandidate>;
}
/**
 * Regula Document Reader Web API
 * Documents recognition as easy as reading two bytes.   # Clients: * [JavaScript](https://github.com/regulaforensics/DocumentReader-web-js-client) client for the browser and node.js based on axios * [Java](https://github.com/regulaforensics/DocumentReader-web-java-client) client compatible with jvm and android * [Python](https://github.com/regulaforensics/DocumentReader-web-python-client) 3.5+ client * [C#](https://github.com/regulaforensics/DocumentReader-web-csharp-client) client for .NET & .NET Core
 *
 * The version of the OpenAPI document: 8.1.0
 *
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */
/**
 * Document database information
 * @export
 * @interface DocumentsDatabase
 */
export interface DocumentsDatabase {
    /**
     * Document database description
     * @type {string}
     * @memberof DocumentsDatabase
     */
    'Description'?: string;
    /**
     * Date the document database was created
     * @type {string}
     * @memberof DocumentsDatabase
     */
    'ExportDate'?: string;
    /**
     * Document database identifier
     * @type {string}
     * @memberof DocumentsDatabase
     */
    'ID'?: string;
    /**
     * Document database version
     * @type {string}
     * @memberof DocumentsDatabase
     */
    'Version'?: string;
}
/**
 * Regula Document Reader Web API
 * Documents recognition as easy as reading two bytes.   # Clients: * [JavaScript](https://github.com/regulaforensics/DocumentReader-web-js-client) client for the browser and node.js based on axios * [Java](https://github.com/regulaforensics/DocumentReader-web-java-client) client compatible with jvm and android * [Python](https://github.com/regulaforensics/DocumentReader-web-python-client) 3.5+ client * [C#](https://github.com/regulaforensics/DocumentReader-web-csharp-client) client for .NET & .NET Core
 *
 * The version of the OpenAPI document: 8.1.0
 *
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */
/**
 * A search filter that can be applied if the \"match+search\" mode is enabled. May include limit, threshold, group_ids. If the group_ids are specified, the search is performed only in these groups. Find more information in the <a href=\"https://dev.regulaforensics.com/FaceSDK-web-openapi/#tag/search/operation/search\" target=\"_blank\">OpenAPI documentation</a>.
 * @export
 * @interface FaceApiSearch
 */
export interface FaceApiSearch {
    /**
     * The maximum number of results to be returned.
     * @type {number}
     * @memberof FaceApiSearch
     */
    'limit'?: number;
    /**
     * The similarity threshold.
     * @type {number}
     * @memberof FaceApiSearch
     */
    'threshold'?: number;
    /**
     *  The groups where to conduct the search.
     * @type {Array<number>}
     * @memberof FaceApiSearch
     */
    'group_ids'?: Array<number>;
}
/**
 *
 * @export
 * @interface FaceApi
 */
export interface FaceApi {
    /**
     * The URL of the Regula Face Web service to be used.
     * @type {string}
     * @memberof FaceApi
     */
    'url'?: string;
    /**
     * The processing mode: \"match\" or \"match+search\".
     * @type {string}
     * @memberof FaceApi
     */
    'mode'?: string;
    /**
     *
     * @type {FaceApiSearch}
     * @memberof FaceApi
     */
    'search'?: FaceApiSearch;
    /**
     * The similarity threshold, 0-100. Above 75 means that the faces\' similarity is verified, below 75 is not.
     * @type {number}
     * @memberof FaceApi
     */
    'threshold'?: number;
    /**
     * The Regula Face Web service requests timeout, ms.
     * @type {number}
     * @memberof FaceApi
     */
    'serviceTimeout'?: number;
    /**
     * Proxy to use, should be set according to the <a href=\"https://curl.se/libcurl/c/CURLOPT_PROXY.html\" target=\"_blank\">cURL standard</a>.
     * @type {string}
     * @memberof FaceApi
     */
    'proxy'?: string;
    /**
     * Username and password to use for proxy authentication, should be set according to the <a href=\"https://curl.se/libcurl/c/CURLOPT_PROXYUSERPWD.html\" target=\"_blank\">cURL standard</a>.
     * @type {string}
     * @memberof FaceApi
     */
    'proxy_userpwd'?: string;
    /**
     * Proxy protocol type, should be set according to the <a href=\"https://curl.se/libcurl/c/CURLOPT_PROXYTYPE.html\" target=\"_blank\">cURL standard</a>.
     * @type {number}
     * @memberof FaceApi
     */
    'proxy_type'?: number;
    /**
     * The age threshold for the portrait comparison. Default: 13.
     * @type {number}
     * @memberof FaceApi
     */
    'childAgeThreshold'?: number;
    /**
     * Estimated duration of validity for a child\'s passport, years. Default: 5.
     * @type {number}
     * @memberof FaceApi
     */
    'childDocValidityYears'?: number;
}
/**
 * Regula Document Reader Web API
 * Documents recognition as easy as reading two bytes.   # Clients: * [JavaScript](https://github.com/regulaforensics/DocumentReader-web-js-client) client for the browser and node.js based on axios * [Java](https://github.com/regulaforensics/DocumentReader-web-java-client) client compatible with jvm and android * [Python](https://github.com/regulaforensics/DocumentReader-web-python-client) 3.5+ client * [C#](https://github.com/regulaforensics/DocumentReader-web-csharp-client) client for .NET & .NET Core
 *
 * The version of the OpenAPI document: 8.1.0
 *
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */
/**
 *
 * @export
 * @interface GetTransactionsByTagResponse
 */
export interface GetTransactionsByTagResponse {
    /**
     * Transaction id
     * @type {string}
     * @memberof GetTransactionsByTagResponse
     */
    'id'?: string;
    /**
     * Transaction status
     * @type {number}
     * @memberof GetTransactionsByTagResponse
     */
    'state'?: number;
    /**
     * Last time updated
     * @type {string}
     * @memberof GetTransactionsByTagResponse
     */
    'updatedAt'?: string;
}
/**
 * Regula Document Reader Web API
 * Documents recognition as easy as reading two bytes.   # Clients: * [JavaScript](https://github.com/regulaforensics/DocumentReader-web-js-client) client for the browser and node.js based on axios * [Java](https://github.com/regulaforensics/DocumentReader-web-java-client) client compatible with jvm and android * [Python](https://github.com/regulaforensics/DocumentReader-web-python-client) 3.5+ client * [C#](https://github.com/regulaforensics/DocumentReader-web-csharp-client) client for .NET & .NET Core
 *
 * The version of the OpenAPI document: 8.1.0
 *
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */
/**
 * Database information.
 * @export
 * @interface HealthcheckDocumentsDatabase
 */
export interface HealthcheckDocumentsDatabase {
    /**
     * Database identifier.
     * @type {string}
     * @memberof HealthcheckDocumentsDatabase
     */
    'id': string | null;
    /**
     * Database version.
     * @type {string}
     * @memberof HealthcheckDocumentsDatabase
     */
    'version': string | null;
    /**
     * Date of database creation.
     * @type {string}
     * @memberof HealthcheckDocumentsDatabase
     */
    'exportDate': string | null;
    /**
     * Description of the database contents, such as the list of supported countries and documents.
     * @type {string}
     * @memberof HealthcheckDocumentsDatabase
     */
    'description': string | null;
}
/**
 *
 * @export
 * @interface Healthcheck
 */
export interface Healthcheck {
    /**
     * Application name.
     * @type {string}
     * @memberof Healthcheck
     */
    'app': string;
    /**
     * Unique license identifier.
     * @type {string}
     * @memberof Healthcheck
     */
    'licenseId': string | null;
    /**
     * License type.
     * @type {string}
     * @memberof Healthcheck
     */
    'licenseType': string | null;
    /**
     * License serial number.
     * @type {string}
     * @memberof Healthcheck
     */
    'licenseSerial': string | null;
    /**
     * License validity date.
     * @type {string}
     * @memberof Healthcheck
     */
    'licenseValidUntil': string | null;
    /**
     * List of supported scenarios.
     * @type {Array<string>}
     * @memberof Healthcheck
     */
    'scenarios': Array<string> | null;
    /**
     * Product version.
     * @type {string}
     * @memberof Healthcheck
     */
    'version': string | null;
    /**
     *
     * @type {{ [key: string]: any; }}
     * @memberof Healthcheck
     */
    'metadata'?: {
        [key: string]: any;
    };
    /**
     *
     * @type {HealthcheckDocumentsDatabase}
     * @memberof Healthcheck
     */
    'documentsDatabase'?: HealthcheckDocumentsDatabase;
}
/**
 * Regula Document Reader Web API
 * Documents recognition as easy as reading two bytes.   # Clients: * [JavaScript](https://github.com/regulaforensics/DocumentReader-web-js-client) client for the browser and node.js based on axios * [Java](https://github.com/regulaforensics/DocumentReader-web-java-client) client compatible with jvm and android * [Python](https://github.com/regulaforensics/DocumentReader-web-python-client) 3.5+ client * [C#](https://github.com/regulaforensics/DocumentReader-web-csharp-client) client for .NET & .NET Core
 *
 * The version of the OpenAPI document: 8.1.0
 *
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */
/**
 * Input image quality checks for the document processing
 * @export
 * @enum {string}
 */
export enum InputImageQualityChecks {
    /**
    * Signals glare presence on the image
    */
    Glares = "glaresCheck",
    /**
    * Signals whether image is in focus
    */
    Focus = "focusCheck",
    /**
    * Signals if image resolution is below threshold
    */
    Resolution = "dpiThreshold",
    /**
    * Signals if image is colorless
    */
    Colorness = "colornessCheck",
    /**
    * Signals if document in the image has prespective distortion above threshold
    */
    Perspective = "perspectiveCheck",
    /**
    * Signals if document is not fully present in the image
    */
    Bounds = "documentPosition",
    /**
    * Signals if the portrait is present
    */
    Portrait = "portraitCheck",
    /**
    * Signals if the document image is bright enough
    */
    Brightness = "brightnessCheck",
    /**
    * Signals if the document image has occlusion
    */
    Occlusion = "occlusionCheck"
}
/**
 *
 * @export
 * @interface ImageQA
 */
export interface ImageQA {
    /**
     * Set the threshold for an actual document brightness below which the check fails
     * @type {number}
     * @memberof ImageQA
     */
    'brightnessThreshold'?: number;
    /**
     * This parameter sets threshold for Image QA check of the presented document physical dpi. If actual document dpi is below this threshold, check will fail.
     * @type {number}
     * @memberof ImageQA
     */
    'dpiThreshold'?: number;
    /**
     * This parameter sets threshold for Image QA check of the presented document perspective angle in degrees. If actual document perspective angle is above this threshold, check will fail.
     * @type {number}
     * @memberof ImageQA
     */
    'angleThreshold'?: number;
    /**
     * This option enables focus check while performing image quality validation.
     * @type {boolean}
     * @memberof ImageQA
     */
    'focusCheck'?: boolean;
    /**
     * This option enables glares check while performing image quality validation.
     * @type {boolean}
     * @memberof ImageQA
     */
    'glaresCheck'?: boolean;
    /**
     * This option enables colorness check while performing image quality validation.
     * @type {boolean}
     * @memberof ImageQA
     */
    'colornessCheck'?: boolean;
    /**
     * This option enables screen capture (moire patterns) check while performing image quality validation.
     * @type {boolean}
     * @memberof ImageQA
     */
    'moireCheck'?: boolean;
    /**
     * This parameter specifies the necessary margin. Default 0.
     * @type {number}
     * @memberof ImageQA
     */
    'documentPositionIndent'?: number;
    /**
     * This parameter controls the quality checks that the image should pass to be considered a valid input during the scanning process.
     * @type {Array<InputImageQualityChecks>}
     * @memberof ImageQA
     */
    'expectedPass'?: Array<InputImageQualityChecks>;
}
/**
 *
 * @export
 * @interface ImageTransactionData
 */
export interface ImageTransactionData {
    /**
     *
     * @type {ImagesFieldValue}
     * @memberof ImageTransactionData
     */
    'image'?: ImagesFieldValue;
}
/**
 *
 * @export
 * @interface InDataTransactionImagesFieldValue
 */
export interface InDataTransactionImagesFieldValue {
    /**
     *
     * @type {Light}
     * @memberof InDataTransactionImagesFieldValue
     */
    'light'?: Light;
    /**
     *
     * @type {number}
     * @memberof InDataTransactionImagesFieldValue
     */
    'listIdx'?: number;
    /**
     * Page index of the image from input list
     * @type {number}
     * @memberof InDataTransactionImagesFieldValue
     */
    'pageIdx'?: number;
    /**
     * Image url
     * @type {string}
     * @memberof InDataTransactionImagesFieldValue
     */
    'url'?: string;
}
/**
 * Regula Document Reader Web API
 * Documents recognition as easy as reading two bytes.   # Clients: * [JavaScript](https://github.com/regulaforensics/DocumentReader-web-js-client) client for the browser and node.js based on axios * [Java](https://github.com/regulaforensics/DocumentReader-web-java-client) client compatible with jvm and android * [Python](https://github.com/regulaforensics/DocumentReader-web-python-client) 3.5+ client * [C#](https://github.com/regulaforensics/DocumentReader-web-csharp-client) client for .NET & .NET Core
 *
 * The version of the OpenAPI document: 8.1.0
 *
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */
/**
 * Video
 * @export
 * @interface InDataVideo
 */
export interface InDataVideo {
    /**
     * A free-form object containing video\'s extended attributes.
     * @type {{ [key: string]: any; }}
     * @memberof InDataVideo
     */
    'metadata'?: {
        [key: string]: any;
    };
    /**
     * Video url
     * @type {string}
     * @memberof InDataVideo
     */
    'url'?: string;
}
/**
 *
 * @export
 * @interface InData
 */
export interface InData {
    /**
     *
     * @type {InDataVideo}
     * @memberof InData
     */
    'video'?: InDataVideo;
    /**
     *
     * @type {Array<InDataTransactionImagesFieldValue>}
     * @memberof InData
     */
    'images'?: Array<InDataTransactionImagesFieldValue>;
}
/**
 * Regula Document Reader Web API
 * Documents recognition as easy as reading two bytes.   # Clients: * [JavaScript](https://github.com/regulaforensics/DocumentReader-web-js-client) client for the browser and node.js based on axios * [Java](https://github.com/regulaforensics/DocumentReader-web-java-client) client compatible with jvm and android * [Python](https://github.com/regulaforensics/DocumentReader-web-python-client) 3.5+ client * [C#](https://github.com/regulaforensics/DocumentReader-web-csharp-client) client for .NET & .NET Core
 *
 * The version of the OpenAPI document: 8.1.0
 *
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */
/**
 * Enumeration contains the types of barcodes that can be processed
 * @export
 * @enum {string}
 */
export enum InputBarcodeType {
    /**
    * Unknown
    */
    UNKNOWN = "bct_unknown",
    /**
    * Code 128
    */
    CODE128 = "bct_Code128",
    /**
    * Code 39
    */
    CODE39 = "bct_Code39",
    /**
    * EAN-8
    */
    EAN8 = "bct_EAN8",
    /**
    * ITF
    */
    ITF = "bct_ITF",
    /**
    * PDF417
    */
    PDF417 = "bct_PDF417",
    /**
    * STF
    */
    STF = "bct_STF",
    /**
    * MTF
    */
    MTF = "bct_MTF",
    /**
    * IATA
    */
    IATA = "bct_IATA",
    /**
    * Codabar
    */
    CODABAR = "bct_CODABAR",
    /**
    * UPC-A
    */
    UPCA = "bct_UPCA",
    /**
    * Code 93
    */
    CODE93 = "bct_CODE93",
    /**
    * UPC-E
    */
    UPCE = "bct_UPCE",
    /**
    * EAN-13
    */
    EAN13 = "bct_EAN13",
    /**
    * QR code
    */
    QRCODE = "bct_QRCODE",
    /**
    * Aztec code
    */
    AZTEC = "bct_AZTEC",
    /**
    * Datamatrix
    */
    DATAMATRIX = "bct_DATAMATRIX",
    /**
    * All 1D barcodes
    */
    ALL_1D = "bct_ALL_1D",
    /**
    * Code 11
    */
    CODE11 = "bct_Code11",
    /**
    * JAB code
    */
    JABCODE = "bct_JABCODE"
}
/**
 *
 * @export
 * @interface ListTransactionsByTagResponse
 */
export interface ListTransactionsByTagResponse {
    /**
     *
     * @type {Array<GetTransactionsByTagResponse>}
     * @memberof ListTransactionsByTagResponse
     */
    'items'?: Array<GetTransactionsByTagResponse>;
    /**
     *
     * @type {{ [key: string]: any; }}
     * @memberof ListTransactionsByTagResponse
     */
    'metadata'?: {
        [key: string]: any;
    };
}
/**
 * Regula Document Reader Web API
 * Documents recognition as easy as reading two bytes.   # Clients: * [JavaScript](https://github.com/regulaforensics/DocumentReader-web-js-client) client for the browser and node.js based on axios * [Java](https://github.com/regulaforensics/DocumentReader-web-java-client) client compatible with jvm and android * [Python](https://github.com/regulaforensics/DocumentReader-web-python-client) 3.5+ client * [C#](https://github.com/regulaforensics/DocumentReader-web-csharp-client) client for .NET & .NET Core
 *
 * The version of the OpenAPI document: 8.1.0
 *
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */
/**
 *
 * @export
 * @enum {string}
 */
export enum LogLevel {
    /**
    * Fatal error
    */
    FATAL_ERROR = "FatalError",
    /**
    * Error
    */
    ERROR = "Error",
    /**
    * Warning
    */
    WARNING = "Warning",
    /**
    * Info
    */
    INFO = "Info",
    /**
    * Debug
    */
    DEBUG = "Debug"
}
/**
 * Regula Document Reader Web API
 * Documents recognition as easy as reading two bytes.   # Clients: * [JavaScript](https://github.com/regulaforensics/DocumentReader-web-js-client) client for the browser and node.js based on axios * [Java](https://github.com/regulaforensics/DocumentReader-web-java-client) client compatible with jvm and android * [Python](https://github.com/regulaforensics/DocumentReader-web-python-client) 3.5+ client * [C#](https://github.com/regulaforensics/DocumentReader-web-csharp-client) client for .NET & .NET Core
 *
 * The version of the OpenAPI document: 8.1.0
 *
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */
/**
 *
 * @export
 * @enum {string}
 */
export enum MRZFormat {
    /**
    * 1x30
    */
    IDL = "1x30",
    /**
    * 3x30
    */
    ID1 = "3x30",
    /**
    * 2x36
    */
    ID2 = "2x36",
    /**
    * 2x44
    */
    ID3 = "2x44",
    /**
    * 1x6
    */
    CAN = "1x6",
    /**
    * 2x30
    */
    ID1_2_30 = "2x30"
}
/**
 * Regula Document Reader Web API
 * Documents recognition as easy as reading two bytes.   # Clients: * [JavaScript](https://github.com/regulaforensics/DocumentReader-web-js-client) client for the browser and node.js based on axios * [Java](https://github.com/regulaforensics/DocumentReader-web-java-client) client compatible with jvm and android * [Python](https://github.com/regulaforensics/DocumentReader-web-python-client) 3.5+ client * [C#](https://github.com/regulaforensics/DocumentReader-web-csharp-client) client for .NET & .NET Core
 *
 * The version of the OpenAPI document: 8.1.0
 *
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */
/**
 *
 * @export
 * @enum {number}
 */
export enum MeasureSystem {
    /**
    * Metric system of measurement, where things are measured in meters and grams
    */
    METRIC = 0,
    /**
    * Imperial System of Measurement, where things are measured in feet, inches and pounds
    */
    IMPERIAL = 1
}
/**
 * Regula Document Reader Web API
 * Documents recognition as easy as reading two bytes.   # Clients: * [JavaScript](https://github.com/regulaforensics/DocumentReader-web-js-client) client for the browser and node.js based on axios * [Java](https://github.com/regulaforensics/DocumentReader-web-java-client) client compatible with jvm and android * [Python](https://github.com/regulaforensics/DocumentReader-web-python-client) 3.5+ client * [C#](https://github.com/regulaforensics/DocumentReader-web-csharp-client) client for .NET & .NET Core
 *
 * The version of the OpenAPI document: 8.1.0
 *
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */
/**
 * Make better MRZ detection on complex noisy backgrounds, like BW photocopy of some documents.
 * @export
 * @enum {number}
 */
export enum MrzDetectModeEnum {
    eMDM_Default = 0,
    eMDM_ResizeBinarizeWindow = 1,
    eMDM_BlurBeforeBinarization = 2
}
/**
 *
 * @export
 * @interface OutDataTransactionImagesFieldValue
 */
export interface OutDataTransactionImagesFieldValue {
    /**
     *
     * @type {GraphicFieldType}
     * @memberof OutDataTransactionImagesFieldValue
     */
    'fieldType'?: GraphicFieldType;
    /**
     *
     * @type {Light}
     * @memberof OutDataTransactionImagesFieldValue
     */
    'light'?: Light;
    /**
     *
     * @type {number}
     * @memberof OutDataTransactionImagesFieldValue
     */
    'listIdx'?: number;
    /**
     * Page index of the image from input list
     * @type {number}
     * @memberof OutDataTransactionImagesFieldValue
     */
    'pageIdx'?: number;
    /**
     * Image url
     * @type {string}
     * @memberof OutDataTransactionImagesFieldValue
     */
    'url'?: string;
}
/**
 *
 * @export
 * @interface OutData
 */
export interface OutData {
    /**
     * Response url
     * @type {string}
     * @memberof OutData
     */
    'url'?: string;
    /**
     *
     * @type {Array<OutDataTransactionImagesFieldValue>}
     * @memberof OutData
     */
    'images'?: Array<OutDataTransactionImagesFieldValue>;
}
/**
 * Regula Document Reader Web API
 * Documents recognition as easy as reading two bytes.   # Clients: * [JavaScript](https://github.com/regulaforensics/DocumentReader-web-js-client) client for the browser and node.js based on axios * [Java](https://github.com/regulaforensics/DocumentReader-web-java-client) client compatible with jvm and android * [Python](https://github.com/regulaforensics/DocumentReader-web-python-client) 3.5+ client * [C#](https://github.com/regulaforensics/DocumentReader-web-csharp-client) client for .NET & .NET Core
 *
 * The version of the OpenAPI document: 8.1.0
 *
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */
/**
 * The enumeration contains error codes that can return during the RFID chip processing.
 * @export
 * @enum {number}
 */
export enum ParsingErrorCodes {
    /**
    * OK
    */
    errLDS_Ok = 1,
    /**
    * ASN: Incorrect data
    */
    errLDS_ASN_IncorrectData = 2147483649,
    /**
    * ASN: Not enough data
    */
    errLDS_ASN_NotEnoughData = 2147483650,
    /**
    * ASN: Contents unexpected data
    */
    errLDS_ASN_Contents_UnexpectedData = 2147483651,
    /**
    * ASN Signed data: Incorrect data
    */
    errLDS_ASN_SignedData_IncorrectData = 2147483656,
    /**
    * ASN Signed data: Encap contents incorrect data
    */
    errLDS_ASN_SignedData_EncapContents_IncorrectData = 2147483657,
    /**
    * ASN Signed data: Version incorrect data
    */
    errLDS_ASN_SignedData_Version_IncorrectData = 2147483658,
    /**
    * ASN Signed data: Digest algorithms incorrect data
    */
    errLDS_ASN_SignedData_DigestAlgorithms_IncorrectData = 2147483665,
    /**
    * ASN LDS object: Incorrect data
    */
    errLDS_ASN_LDSObject_IncorrectData = 2147483667,
    /**
    * ASN LDS object: Version incorrect data
    */
    errLDS_ASN_LDSObject_Version_IncorrectData = 2147483668,
    /**
    * ASN LDS object: Digest algorithm incorrect data
    */
    errLDS_ASN_LDSObject_DigestAlgorithm_IncorrectData = 2147483669,
    /**
    * ASN LDS object: DG hashes incorrect data
    */
    errLDS_ASN_LDSObject_DGHashes_IncorrectData = 2147483670,
    /**
    * ASN LDS object: Version info incorrect data
    */
    errLDS_ASN_LDSObject_VersionInfo_IncorrectData = 2147483666,
    /**
    * ASN Certificate: Incorrect data
    */
    errLDS_ASN_Certificate_IncorrectData = 2147483671,
    /**
    * ASN Certificate: Version incorrect data
    */
    errLDS_ASN_Certificate_Version_IncorrectData = 2147483672,
    /**
    * ASN Certificate: SN incorrect data
    */
    errLDS_ASN_Certificate_SN_IncorrectData = 2147483673,
    /**
    * ASN Certificate: Signature incorrect data
    */
    errLDS_ASN_Certificate_Signature_IncorrectData = 2147483674,
    /**
    * ASN Certificate: Issuer incorrect data
    */
    errLDS_ASN_Certificate_Issuer_IncorrectData = 2147483675,
    /**
    * ASN Certificate: Validity incorrect data
    */
    errLDS_ASN_Certificate_Validity_IncorrectData = 2147483676,
    /**
    * ASN Certificate: Subject incorrect data
    */
    errLDS_ASN_Certificate_Subject_IncorrectData = 2147483677,
    /**
    * ASN Certificate: Subject PK incorrect data
    */
    errLDS_ASN_Certificate_SubjectPK_IncorrectData = 2147483678,
    /**
    * ASN Certificate: Extensions incorrect data
    */
    errLDS_ASN_Certificate_Extensions_IncorrectData = 2147483679,
    /**
    * ASN Signer info: Incorrect data
    */
    errLDS_ASN_SignerInfo_IncorrectData = 2147483680,
    /**
    * ASN Signer info: Version incorrect data
    */
    errLDS_ASN_SignerInfo_Version_IncorrectData = 2147483681,
    /**
    * ASN Signer info: SID incorrect data
    */
    errLDS_ASN_SignerInfo_SID_IncorrectData = 2147483682,
    /**
    * ASN Signer info: Digest algorithms incorrect data
    */
    errLDS_ASN_SignerInfo_DigestAlg_IncorrectData = 2147483683,
    /**
    * ASN Signer info: Signed attributes incorrect data
    */
    errLDS_ASN_SignerInfo_SignedAttrs_IncorrectData = 2147483684,
    /**
    * ASN Signer info: Sign algorithms incorrect data
    */
    errLDS_ASN_SignerInfo_SignAlg_IncorrectData = 2147483685,
    /**
    * ASN Signer info: Signature incorrect data
    */
    errLDS_ASN_SignerInfo_Signature_IncorrectData = 2147483686,
    /**
    * ASN Signer info: Unsigned attributes incorrect data
    */
    errLDS_ASN_SignerInfo_UnsignedAttrs_IncorrectData = 2147483687,
    /**
    * ASN DTC Signer info: Incorrect data
    */
    errLDS_ASN_DTC_SignerInfo_IncorrectData = 2147483712,
    /**
    * ASN DTC Signer info: Certificate incorrect data
    */
    errLDS_ASN_DTC_SignerInfo_Certificate_IncorrectData = 2147483713,
    /**
    * ASN DTC Signer info: Digest algorithms incorrect data
    */
    errLDS_ASN_DTC_SignerInfo_DigestAlg_IncorrectData = 2147483714,
    /**
    * ASN DTC Signer info: Signed attributes incorrect data
    */
    errLDS_ASN_DTC_SignerInfo_SignedAttrs_IncorrectData = 2147483715,
    /**
    * ASN DTC Signer info: Sign algorithms incorrect data
    */
    errLDS_ASN_DTC_SignerInfo_SignAlg_IncorrectData = 2147483716,
    /**
    * ASN DTC Signer info: Signature incorrect data
    */
    errLDS_ASN_DTC_SignerInfo_Signature_IncorrectData = 2147483717,
    /**
    * ASN DTC Security info: Incorrect data
    */
    errLDS_ASN_DTC_SecurityInfo_IncorrectData = 2147483718,
    /**
    * ASN DTC Content info: Incorrect data
    */
    errLDS_ASN_DTC_ContentInfo_IncorrectData = 2147483719,
    /**
    * ICAO LDS object: Unsupported digest algorithm
    */
    errLDS_ICAO_LDSObject_UnsupportedDigestAlgorithm = 2147483696,
    /**
    * ICAO Signed data: Signer info empty
    */
    errLDS_ICAO_SignedData_SignerInfos_Empty = 2147483697,
    /**
    * ICAO Signer info: Unsupported digest algorithm
    */
    errLDS_ICAO_SignerInfo_UnsupportedDigestAlgorithm = 2147483698,
    /**
    * ICAO Signer info: Unsupported signature algorithm
    */
    errLDS_ICAO_SignerInfo_UnsupportedSignatureAlgorithm = 2147483699,
    /**
    * ICAO Signer info: Message digest error
    */
    errLDS_ICAO_SignerInfo_MessageDigestError = 2147483700,
    /**
    * ICAO Signer info: Signed attributes missed
    */
    errLDS_ICAO_SignerInfo_SignedAttrs_Missed = 2147483702,
    /**
    * Auth: Signer info cannot find certificate
    */
    errLDS_Auth_SignerInfo_CantFindCertificate = 2147483701,
    /**
    * Auth: Error
    */
    errLDS_Auth_Error = 2147483728,
    /**
    * Auth: Unsupported signature algorithm
    */
    errLDS_Auth_UnsupportedSignatureAlgorithm = 2147483729,
    /**
    * Auth: Unsupported public key algorithm
    */
    errLDS_Auth_UnsupportedPublicKeyAlgorithm = 2147483730,
    /**
    * Auth: Messed algorithms
    */
    errLDS_Auth_MessedAlgorithms = 2147483731,
    /**
    * Auth: Public key data invalid
    */
    errLDS_Auth_PublicKeyDataInvalid = 2147483732,
    /**
    * Auth: Algorithm parameters data invalid
    */
    errLDS_Auth_AlgorithmParametersDataInvalid = 2147483733,
    /**
    * Auth: Signature data invalid
    */
    errLDS_Auth_SignatureDataInvalid = 2147483734,
    /**
    * Auth: Unsupported digest algorithm
    */
    errLDS_Auth_UnsupportedDigestAlgorithm = 2147483735,
    /**
    * Auth: Signature data incorrect
    */
    errLDS_Auth_SignatureDataIncorrect = 2147483736,
    /**
    * Auth: Algorithm parameters not defined
    */
    errLDS_Auth_AlgorithmParametersNotDefined = 2147483737,
    /**
    * Auth: Signature check failed
    */
    errLDS_Auth_SignatureCheckFailed = 2147483738,
    /**
    * DG: Wrong Tag
    */
    errLDS_DG_WrongTag = 2147483760,
    /**
    * DG: Contents unexpected data
    */
    errLDS_DG_Contents_UnexpectedData = 2147483761,
    /**
    * BAP: Symmetric Cypher Cannot Initialize
    */
    errLDS_BAP_SymmetricCypher_CantInitialize = 2164260881,
    /**
    * PACE: Info Not Available
    */
    errLDS_PACE_Info_NotAvailable = 2164260896,
    /**
    * PACE: Symmetric Cypher Cannot Initialize
    */
    errLDS_PACE_SymmetricCypher_CantInitialize = 2164260897,
    /**
    * PACE: Key Agreement Cannot Initialize
    */
    errLDS_PACE_KeyAgreement_CantInitialize = 2164260898,
    /**
    * PACE: Ephemeral Keys Cannot Create
    */
    errLDS_PACE_EphemeralKeys_CantCreate = 2164260899,
    /**
    * PACE: Mapping Cannot Decode Nonce
    */
    errLDS_PACE_Mapping_CantDecodeNonce = 2164260900,
    /**
    * PACE: Shared Secret Cannot Create
    */
    errLDS_PACE_SharedSecret_CantCreate = 2164260901,
    /**
    * PACE: Domain Params Unsupported Format
    */
    errLDS_PACE_DomainParams_UnsupportedFormat = 2164260902,
    /**
    * PACE: Ephemeral Keys Incorrect
    */
    errLDS_PACE_EphemeralKeys_Incorrect = 2164260903,
    /**
    * PACE: Mapping Ephemeral Keys Incorrect
    */
    errLDS_PACE_Mapping_EphemeralKeys_Incorrect = 2164260904,
    /**
    * PACE: Mapping Cannot Perform
    */
    errLDS_PACE_Mapping_CantPerform = 2164260905,
    /**
    * PACE: Non-Matching Auth Tokens
    */
    errLDS_PACE_NonMatchingAuthTokens = 2164260906,
    /**
    * PACE: CAM data incorrect
    */
    errLDS_PACE_CAM_Data_Incorrect = 2164260907,
    /**
    * PACE: CAM data cannot verify
    */
    errLDS_PACE_CAM_Data_CantVerify = 2164260908,
    /**
    * PACE: CAM data non-matching
    */
    errLDS_PACE_CAM_Data_NonMatching = 2164260909,
    /**
    * PACE: IM scheme incorrect
    */
    errLDS_PACE_IM_Scheme_Incorrect = 2164260910,
    /**
    * PACE: Random mapping failed
    */
    errLDS_PACE_IM_RandomMapping_Failed = 2164260911,
    /**
    * CA: Cannot Find Public Key
    */
    errLDS_CA_CantFindPublicKey = 2164260912,
    /**
    * CA: Cannot Find Info
    */
    errLDS_CA_CantFindInfo = 2164260913,
    /**
    * CA: Incorrect Version
    */
    errLDS_CA_IncorrectVersion = 2164260914,
    /**
    * CA: Cannot Find Domain Parameters
    */
    errLDS_CA_CantFindDomainParameters = 2164260915,
    /**
    * CA: Key Agreement Cannot Initialize
    */
    errLDS_CA_KeyAgreement_CantInitialize = 2164260916,
    /**
    * CA: Public Key Unsupported Algorithm
    */
    errLDS_CA_PublicKey_UnsupportedAlgorithm = 2164260917,
    /**
    * CA: Ephemeral Keys Cannot Create
    */
    errLDS_CA_EphemeralKeys_CantCreate = 2164260918,
    /**
    * CA: Shared Secret Cannot Create
    */
    errLDS_CA_SharedSecret_CantCreate = 2164260919,
    /**
    * CA: Non-Matching Auth Tokens
    */
    errLDS_CA_NonMatchingAuthTokens = 2164260920,
    /**
    * TA: Incorrect Version
    */
    errLDS_TA_IncorrectVersion = 2164260928,
    /**
    * TA: Cannot Build Certificate Chain
    */
    errLDS_TA_CantBuildCertificateChain = 2164260929,
    /**
    * TA: Cannot Find IS Private Key
    */
    errLDS_TA_CantFindISPrivateKey = 2164260930,
    /**
    * TA: Public Key Unsupported Algorithm
    */
    errLDS_TA_PublicKey_UnsupportedAlgorithm = 2164260931,
    /**
    * TA: Signature Building Error
    */
    errLDS_TA_SignatureBuildingError = 2164260932,
    /**
    * TA: Invalid Key Algorithm Parameters
    */
    errLDS_TA_InvalidKeyAlgorithmParameters = 2164260933,
    /**
    * AA: Public Key Unsupported Algorithm
    */
    errLDS_AA_PublicKey_UnsupportedAlgorithm = 2164260944,
    /**
    * AA: Public Key Incorrect Data
    */
    errLDS_AA_PublicKey_IncorrectData = 2164260945,
    /**
    * AA: Public Key Incorrect Parameters
    */
    errLDS_AA_PublicKey_IncorrectParameters = 2164260946,
    /**
    * AA: Public Key Undefined Parameters
    */
    errLDS_AA_PublicKey_UndefinedParameters = 2164260947,
    /**
    * AA: Signature Incorrect Data
    */
    errLDS_AA_Signature_IncorrectData = 2164260948,
    /**
    * AA: Unsupported recovery scheme
    */
    errLDS_AA_UnsupportedRecoveryScheme = 2164260949,
    /**
    * AA: Incorrect Trailer
    */
    errLDS_AA_IncorrectTrailer = 2164260950,
    /**
    * AA: Unsupported Digest Algorithm
    */
    errLDS_AA_UnsupportedDigestAlgorithm = 2164260951,
    /**
    * RI: Sector Key Cannot Find
    */
    errLDS_RI_SectorKey_CantFind = 2164260976,
    /**
    * RI: Sector Key Incorrect Data
    */
    errLDS_RI_SectorKey_IncorrectData = 2164260977,
    /**
    * RI: Sector Key Incomplete Data
    */
    errLDS_RI_SectorKey_IncompleteData = 2164260978,
    /**
    * CV Certificate: Missing mandatory data PK
    */
    errLDS_CV_Certificate_MissingMandatoryData_PK = 2164260960,
    /**
    * CV Certificate: Public key unsupported
    */
    errLDS_CV_Certificate_PublicKey_Unsupported = 2164260962,
    /**
    * CV Certificate: CHAT unsupported terminal type
    */
    errLDS_CV_Certificate_CHAT_UnsupportedTerminalType = 2164260963,
    /**
    * CV Certificate: Private key unsupported
    */
    errLDS_CV_Certificate_PrivateKey_Unsupported = 2164260964,
    /**
    * CV Certificate: Private key invalid params
    */
    errLDS_CV_Certificate_PrivateKey_InvalidParams = 2164260965,
    /**
    * CV Certificate: Incorrect data
    */
    errLDS_CV_Certificate_IncorrectData = 2164261216,
    /**
    * CV Certificate: CPI incorrect data
    */
    errLDS_CV_Certificate_CPI_IncorrectData = 2164261217,
    /**
    * CV Certificate: CAR incorrect data
    */
    errLDS_CV_Certificate_CAR_IncorrectData = 2164261218,
    /**
    * CV Certificate: Public key incorrect data
    */
    errLDS_CV_Certificate_PublicKey_IncorrectData = 2164261219,
    /**
    * CV Certificate: CHR incorrect data
    */
    errLDS_CV_Certificate_CHR_IncorrectData = 2164261220,
    /**
    * CV Certificate: CHAT incorrect data
    */
    errLDS_CV_Certificate_CHAT_IncorrectData = 2164261221,
    /**
    * CV Certificate: Valid from incorrect data
    */
    errLDS_CV_Certificate_ValidFrom_IncorrectData = 2164261222,
    /**
    * CV Certificate: Valid to incorrect data
    */
    errLDS_CV_Certificate_ValidTo_IncorrectData = 2164261223,
    /**
    * CV Certificate: Extensions incorrect data
    */
    errLDS_CV_Certificate_Extensions_IncorrectData = 2164261224,
    /**
    * CV Certificate: Private key incorrect data
    */
    errLDS_CV_Certificate_PrivateKey_IncorrectData = 2164261225,
    /**
    * CV Certificate: Private key missing
    */
    errLDS_CV_Certificate_PrivateKey_Missing = 2164261226,
    /**
    * VDS: Unsupported version
    */
    errLDS_VDS_UnsupportedVersion = 2164261376,
    /**
    * VDS: Issuing country size
    */
    errLDS_VDS_Issuing_Country_Size = 2164261377,
    /**
    * VDS: Issuing country incorrect data
    */
    errLDS_VDS_Issuing_Country_IncorrectData = 2164261378,
    /**
    * VDS: Signature certificate size
    */
    errLDS_VDS_Signer_Certificate_Size = 2164261379,
    /**
    * VDS: Signature certificate data
    */
    errLDS_VDS_Signer_Certificate_Data = 2164261380,
    /**
    * VDS: Signature incorrect data
    */
    errLDS_VDS_Signature_IncorrectData = 2164261381,
    /**
    * VDS: Incorrect data
    */
    errLDS_VDS_NC_IncorrectData = 2164261632,
    /**
    * VDS: Missing or incorrect data
    */
    errLDS_VDS_NC_MissingOrIncorrect_Data = 2164261633,
    /**
    * VDS: Missing or incorrect header
    */
    errLDS_VDS_NC_MissingOrIncorrect_Header = 2164261634,
    /**
    * VDS: Missing or incorrect type
    */
    errLDS_VDS_NC_MissingOrIncorrect_Type = 2164261635,
    /**
    * VDS: Missing or incorrect version
    */
    errLDS_VDS_NC_MissingOrIncorrect_Version = 2164261636,
    /**
    * VDS: Missing or incorrect issuing country
    */
    errLDS_VDS_NC_MissingOrIncorrect_IssuingCountry = 2164261637,
    /**
    * VDS: Missing or incorrect message
    */
    errLDS_VDS_NC_MissingOrIncorrect_Message = 2164261638,
    /**
    * VDS: Missing or incorrect signature
    */
    errLDS_VDS_NC_MissingOrIncorrect_Signature = 2164261639,
    /**
    * VDS: Missing or incorrect signature algorithm
    */
    errLDS_VDS_NC_MissingOrIncorrect_SigAlgorithm = 2164261640,
    /**
    * VDS: Missing or incorrect certificate
    */
    errLDS_VDS_NC_MissingOrIncorrect_Certificate = 2164261641,
    /**
    * VDS: Missing or incorrect signature value
    */
    errLDS_VDS_NC_MissingOrIncorrect_SigValue = 2164261642
}
/**
 * Regula Document Reader Web API
 * Documents recognition as easy as reading two bytes.   # Clients: * [JavaScript](https://github.com/regulaforensics/DocumentReader-web-js-client) client for the browser and node.js based on axios * [Java](https://github.com/regulaforensics/DocumentReader-web-java-client) client compatible with jvm and android * [Python](https://github.com/regulaforensics/DocumentReader-web-python-client) 3.5+ client * [C#](https://github.com/regulaforensics/DocumentReader-web-csharp-client) client for .NET & .NET Core
 *
 * The version of the OpenAPI document: 8.1.0
 *
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */
/**
 *
 * @export
 * @interface PerDocumentConfig
 */
export interface PerDocumentConfig {
    /**
     * Specific template IDs, for which apply current custom configuration
     * @type {Array<number>}
     * @memberof PerDocumentConfig
     */
    'docID'?: Array<number>;
    /**
     * Contains items from AuthenticityResultType as sum via OR operation
     * @type {number}
     * @memberof PerDocumentConfig
     */
    'excludeAuthChecks'?: number;
}
/**
 * Params for the RFID chip data reprocessing
 * @export
 * @interface ProcessParamsRfid
 */
export interface ProcessParamsRfid {
    /**
     * A list of notification codes that should be ignored during passive authentication (PA)
     * @type {Array<ParsingNotificationCodes>}
     * @memberof ProcessParamsRfid
     */
    'paIgnoreNotificationCodes'?: Array<ParsingNotificationCodes>;
}
/**
 * Regula Document Reader Web API
 * Documents recognition as easy as reading two bytes.   # Clients: * [JavaScript](https://github.com/regulaforensics/DocumentReader-web-js-client) client for the browser and node.js based on axios * [Java](https://github.com/regulaforensics/DocumentReader-web-java-client) client compatible with jvm and android * [Python](https://github.com/regulaforensics/DocumentReader-web-python-client) 3.5+ client * [C#](https://github.com/regulaforensics/DocumentReader-web-csharp-client) client for .NET & .NET Core
 *
 * The version of the OpenAPI document: 8.1.0
 *
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */
/**
 * Document processing scenario
 * @export
 * @enum {string}
 */
export enum Scenario {
    /**
    * Processing scenario for obtaining MRZ data
    */
    MRZ = "Mrz",
    /**
    * Processing scenario for obtaining barcode data
    */
    BARCODE = "Barcode",
    /**
    * Processing scenario for detecting document boundaries
    */
    LOCATE = "Locate",
    /**
    * Processing scenario for obtaining visual zone OCR results
    */
    OCR = "Ocr",
    /**
    * Processing scenario for document type recognition
    */
    DOCTYPE = "DocType",
    /**
    * Processing scenario for obtaining MRZ and/or barcode data
    */
    MRZ_OR_BARCODE = "MrzOrBarcode",
    /**
    * Processing scenario for detecting document boundaries and/or obtaining MRZ data
    */
    MRZ_OR_LOCATE = "MrzOrLocate",
    /**
    * Processing scenario for detecting document boundaries and obtaining MRZ data
    */
    MRZ_AND_LOCATE = "MrzAndLocate",
    /**
    * Processing scenario for detecting the document boundaries and obtaining barcode data
    */
    BARCODE_AND_LOCATE = "BarcodeAndLocate",
    /**
    * Processing scenario for obtaining MRZ data or visual zone OCR results
    */
    MRZ_OR_OCR = "MrzOrOcr",
    /**
    * Processing scenario for obtaining MRZ or barcode or visual zone OCR results
    */
    MRZ_OR_BARCODE_OR_OCR = "MrzOrBarcodeOrOcr",
    /**
    * Processing scenario for detecting document boundaries and obtaining MRZ data or visual zone OCR results
    */
    LOCATE_VISUAL_AND_MRZ_OR_OCR = "LocateVisual_And_MrzOrOcr",
    /**
    * Processing scenario for obtaining all document data
    */
    FULL_PROCESS = "FullProcess",
    /**
    * Processing scenario for obtaining all document data and document authentication
    */
    FULL_AUTH = "FullAuth",
    /**
    * Processing scenario for obtaining data from registration stamps
    */
    RUS_STAMP = "RusStamp",
    /**
    * Processing scenario for obtaining OCR results of any image
    */
    OCR_FREE = "OcrFree",
    /**
    * Processing scenario for obtaining bank card data
    */
    CREDIT_CARD = "CreditCard",
    /**
    * Scenario for obtaining an original image without any processing
    */
    CAPTURE = "Capture",
    /**
    * Processing scenario for Digital Travel Credentials (DTC-VC) data processing
    */
    DTC = "DTC",
    /**
    * Processing scenario for RFID chip processing
    */
    RFID = "RFID"
}
/**
 * Regula Document Reader Web API
 * Documents recognition as easy as reading two bytes.   # Clients: * [JavaScript](https://github.com/regulaforensics/DocumentReader-web-js-client) client for the browser and node.js based on axios * [Java](https://github.com/regulaforensics/DocumentReader-web-java-client) client compatible with jvm and android * [Python](https://github.com/regulaforensics/DocumentReader-web-python-client) 3.5+ client * [C#](https://github.com/regulaforensics/DocumentReader-web-csharp-client) client for .NET & .NET Core
 *
 * The version of the OpenAPI document: 8.1.0
 *
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */
/**
 *
 * @export
 * @enum {number}
 */
export enum TextPostProcessing {
    /**
    * Do not change
    */
    NO_CHANGE = 0,
    /**
    * Uppercase
    */
    UPPERCASE = 1,
    /**
    * Lowercase
    */
    LOWERCASE = 2,
    /**
    * Capital
    */
    CAPITAL = 3
}
/**
 *
 * @export
 * @interface ProcessParams
 */
export interface ProcessParams {
    /**
     * This parameter is used to generate separate DTC-VC data container from RFID session data.
     * @type {boolean}
     * @memberof ProcessParams
     */
    'generateDTCVC'?: boolean;
    /**
     * The list of LCID types to recognize. If empty, values with all LCID types will be extracted. Empty by default.
     * @type {Array<LCID>}
     * @memberof ProcessParams
     */
    'lcidFilter'?: Array<LCID>;
    /**
     * This parameter is used to enable document liveness check.
     * @type {boolean}
     * @memberof ProcessParams
     */
    'checkLiveness'?: boolean;
    /**
     * The list of LCID types to ignore during the recognition. If empty, values with all LCID types will be extracted. Narrowing down the list can reduce processing time. Empty by default.
     * @type {Array<LCID>}
     * @memberof ProcessParams
     */
    'lcidIgnoreFilter'?: Array<LCID>;
    /**
     * This parameter allows processing an image that contains a person and a document and compare the portrait photo from the document with the person\'s face
     * @type {boolean}
     * @memberof ProcessParams
     */
    'oneShotIdentification'?: boolean;
    /**
     * This parameter allows comparing faces on Regula Face Web Service
     * @type {boolean}
     * @memberof ProcessParams
     */
    'useFaceApi'?: boolean;
    /**
     *
     * @type {FaceApi}
     * @memberof ProcessParams
     */
    'faceApi'?: FaceApi;
    /**
     * This parameter allows enabling the CAN (Card Access Number) detection and recognition when using scenarios with document location and MRZ reading, such as the MrzAndLocate scenario.
     * @type {boolean}
     * @memberof ProcessParams
     */
    'doDetectCan'?: boolean;
    /**
     * This parameter allows setting maximum height in pixels of output images and thus reducing image size to desired. Does not change the aspect ratio. Changes disabled if equals to 0. Default 0.
     * @type {number}
     * @memberof ProcessParams
     */
    'imageOutputMaxHeight'?: number;
    /**
     * This parameter allows setting maximum width in pixels of output images and thus reducing image size to desired. Does not change the aspect ratio. Changes disabled if equals to 0. Default 0.
     * @type {number}
     * @memberof ProcessParams
     */
    'imageOutputMaxWidth'?: number;
    /**
     *
     * @type {Scenario}
     * @memberof ProcessParams
     */
    'scenario': Scenario;
    /**
     * Types of results to return in response. See \'Result\' enum for available options
     * @type {Array<Result>}
     * @memberof ProcessParams
     */
    'resultTypeOutput'?: Array<Result>;
    /**
     * Enable this option if the image you provide contains double page spread of the passport and you want to process both pages in one go. It makes sense to use it for documents that have meaningful information on both pages, like Russian domestic passport, or some others. Disabled by default.
     * @type {boolean}
     * @memberof ProcessParams
     * @deprecated
     */
    'doublePageSpread'?: boolean;
    /**
     * When enabled together with \"doublePageSpread\" and there is a passport with two pages spread in the image, pages will be cropped, straightened and aligned together, as if the document was captured on a flatbed scanner. Disabled by default.
     * @type {boolean}
     * @memberof ProcessParams
     */
    'generateDoublePageSpreadImage'?: boolean;
    /**
     * List of text field types to extract. If empty, all text fields from template will be extracted. Narrowing the list can shorten processing time. Empty by default.
     * @type {Array<TextFieldType>}
     * @memberof ProcessParams
     */
    'fieldTypesFilter'?: Array<TextFieldType>;
    /**
     * This option allows you to set dates format so that solution will return dates in this format. For example, if you supply \'MM/dd/yyyy\', and document have printed date \'09 JUL 2020\' for the date os issue, you will get \'07/09/2020\' as a result. By default it is set to system locale default (where the service is running).
     * @type {string}
     * @memberof ProcessParams
     */
    'dateFormat'?: string;
    /**
     *
     * @type {MeasureSystem}
     * @memberof ProcessParams
     */
    'measureSystem'?: MeasureSystem;
    /**
     * This parameter controls maximum resolution in dpi of output images. Resolution will remain original in case 0 is supplied. By default is set to return images in response with resolution not greater than 300 dpi for all scenarios except FullAuth. In FullAuth scenario this limit is 1000 dpi by default.
     * @type {number}
     * @memberof ProcessParams
     */
    'imageDpiOutMax'?: number;
    /**
     * This option can be enabled if you know for sure that the image you provide contains already cropped document by its edges. This was designed to process on the server side images captured and cropped on mobile. Disabled by default.
     * @type {boolean}
     * @memberof ProcessParams
     */
    'alreadyCropped'?: boolean;
    /**
     * This option allows passing custom processing parameters that can be implemented in future without changing API.
     * @type {{ [key: string]: any; }}
     * @memberof ProcessParams
     */
    'customParams'?: {
        [key: string]: any;
    };
    /**
     * This option allows setting additional custom configuration per document type. If recognized document has ID specified in config, processing adjusts according to designated configuration.
     * @type {Array<PerDocumentConfig>}
     * @memberof ProcessParams
     */
    'config'?: Array<PerDocumentConfig>;
    /**
     * When enabled, results will contain transaction processing log. Disabled by default
     * @type {boolean}
     * @memberof ProcessParams
     */
    'log'?: boolean;
    /**
     *
     * @type {LogLevel}
     * @memberof ProcessParams
     */
    'logLevel'?: LogLevel;
    /**
     * Force use of specific template ID and skip document type identification step.
     * @type {number}
     * @memberof ProcessParams
     */
    'forceDocID'?: number;
    /**
     * When disabled, text field OCR will be done as is and then the recognized value will be matched to the field mask for validity. If enabled, we are trying to read a field value with maximum efforts to match the mask and provide a correctly formatted value, making assumptions based on the provided field mask in the template. Enabled by default.
     * @type {boolean}
     * @memberof ProcessParams
     */
    'matchTextFieldMask'?: boolean;
    /**
     * When enabled, shorten the list of candidates to process during document detection in a single image process mode. Reduces processing time for specific backgrounds. Enabled by default.
     * @type {boolean}
     * @memberof ProcessParams
     * @deprecated
     */
    'fastDocDetect'?: boolean;
    /**
     * When enabled, fail OCR field validity, if there is a glare over the text field on the image. Disabled by default.
     * @type {boolean}
     * @memberof ProcessParams
     */
    'updateOCRValidityByGlare'?: boolean;
    /**
     * When enabled, each field in template will be checked for value presence and if the field is marked as required, but has no value, it will have \'error\' in validity status. Disabled by default.
     * @type {boolean}
     * @memberof ProcessParams
     */
    'checkRequiredTextFields'?: boolean;
    /**
     * When enabled, returns cropped barcode images for unknown documents. Disabled by default.
     * @type {boolean}
     * @memberof ProcessParams
     */
    'returnCroppedBarcode'?: boolean;
    /**
     *
     * @type {ImageQA}
     * @memberof ProcessParams
     */
    'imageQa'?: ImageQA;
    /**
     * When enabled, the image quality check status affects the document optical and overall status. Disabled by default.
     * @type {boolean}
     * @memberof ProcessParams
     */
    'strictImageQuality'?: boolean;
    /**
     * Deprecated. Please use strictImageQuality instead. When enabled, image quality checks status affects document optical and overall status. Disabled by default.
     * @type {boolean}
     * @memberof ProcessParams
     * @deprecated
     */
    'respectImageQuality'?: boolean;
    /**
     *
     * @type {DocumentFormat}
     * @memberof ProcessParams
     */
    'forceDocFormat'?: DocumentFormat;
    /**
     * When enabled, no graphic fields will be cropped from document image. Disabled by default.
     * @type {boolean}
     * @memberof ProcessParams
     */
    'noGraphics'?: boolean;
    /**
     * When enabled, all personal data will be forcibly removed from the logs. Disabled by default.
     * @type {boolean}
     * @memberof ProcessParams
     */
    'depersonalizeLog'?: boolean;
    /**
     * This option allows locating and cropping multiple documents from one image if enabled. Disabled by default.
     * @type {boolean}
     * @memberof ProcessParams
     */
    'multiDocOnImage'?: boolean;
    /**
     * This option allows shifting the date of expiry into the future or past for number of months specified. This is useful, for example, in some cases when document might be still valid for some period after original expiration date to prevent negative validity status for such documents. Or by shifting the date to the past will set negative validity for the documents that is about to expire in a specified number of months. 0 by default
     * @type {number}
     * @memberof ProcessParams
     */
    'shiftExpiryDate'?: number;
    /**
     * This options allows specifying the minimal age in years of the document holder for the document to be considered valid.
     * @type {number}
     * @memberof ProcessParams
     */
    'minimalHolderAge'?: number;
    /**
     * When enabled, returns input images in output. Disabled by default.
     * @type {boolean}
     * @memberof ProcessParams
     */
    'returnUncroppedImage'?: boolean;
    /**
     * This option allows limiting MRZ formats to be recognized by specifying them in array.
     * @type {Array<MRZFormat>}
     * @memberof ProcessParams
     */
    'mrzFormatsFilter'?: Array<MRZFormat>;
    /**
     * When enabled, make sure that in series processing MRZ is located fully inside the result document image, if present on the document. Enabling this option may add extra processing time, by disabling optimizations, but allows more stability in output image quality. Disabled by default.
     * @type {boolean}
     * @memberof ProcessParams
     */
    'forceReadMrzBeforeLocate'?: boolean;
    /**
     * This option can be disabled to stop parsing after barcode is read. Enabled by default.
     * @type {boolean}
     * @memberof ProcessParams
     */
    'parseBarcodes'?: boolean;
    /**
     *
     * @type {TextPostProcessing}
     * @memberof ProcessParams
     */
    'convertCase'?: TextPostProcessing;
    /**
     * When enabled, the Surname and GivenNames fields from MRZ will be divided into ft_First_Name, ft_Second_Name, ft_Third_Name, ft_Fourth_Name, ft_Last_Name fields. Disabled by default.
     * @type {boolean}
     * @memberof ProcessParams
     */
    'splitNames'?: boolean;
    /**
     * When enabled, OCR of perforated fields in the document template will not be performed. Disabled by default.
     * @type {boolean}
     * @memberof ProcessParams
     */
    'disablePerforationOCR'?: boolean;
    /**
     * List of specific eligible document types from DocumentType enum to recognize from. You may, for example, specify only passports to be recognized by setting this property. Empty by default.
     * @type {Array<DocumentType>}
     * @memberof ProcessParams
     */
    'documentGroupFilter'?: Array<DocumentType>;
    /**
     * Authenticity checks that should be performed regardless of the document type. The available checks are listed in the eRPRM_Authenticity enum. Note that only supported by your license checks can be added.
     * @type {number}
     * @memberof ProcessParams
     */
    'processAuth'?: number;
    /**
     * This parameter is used to specify the document reader device type from which input images were captured. Default 0.
     * @type {number}
     * @memberof ProcessParams
     */
    'deviceId'?: number;
    /**
     * This parameter is used to specify the document reader device type from which input images were captured. Default 0.
     * @type {number}
     * @memberof ProcessParams
     */
    'deviceType'?: number;
    /**
     * This parameter is used to specify the document reader device type from which input images were captured
     * @type {string}
     * @memberof ProcessParams
     */
    'deviceTypeHex'?: string;
    /**
     * This parameter is used to tell the processing engine to ignore any parameters saved in the image when scanned from the document reader device. Default false
     * @type {boolean}
     * @memberof ProcessParams
     */
    'ignoreDeviceIdFromImage'?: boolean;
    /**
     * List of the document ID\'s to process. All documents will be processed, if empty.
     * @type {Array<number>}
     * @memberof ProcessParams
     */
    'documentIdList'?: Array<number>;
    /**
     *
     * @type {ProcessParamsRfid}
     * @memberof ProcessParams
     */
    'rfid'?: ProcessParamsRfid;
    /**
     * This parameter is used to enable authenticity checks
     * @type {boolean}
     * @memberof ProcessParams
     */
    'checkAuth'?: boolean;
    /**
     *
     * @type {AuthParams}
     * @memberof ProcessParams
     */
    'authParams'?: AuthParams;
    /**
     *
     * @type {MrzDetectModeEnum}
     * @memberof ProcessParams
     */
    'mrzDetectMode'?: MrzDetectModeEnum;
    /**
     * This parameter is used to generate numeric representation for issuing state and nationality codes
     * @type {boolean}
     * @memberof ProcessParams
     */
    'generateNumericCodes'?: boolean;
    /**
     * This parameter if enabled will require all necessary certificates to verify digital signature in barcode data to be present in order for the Barcode format check to succeed.
     * @type {boolean}
     * @memberof ProcessParams
     */
    'strictBarcodeDigitalSignatureCheck'?: boolean;
    /**
     * Select the longest value from the different value sources and write it to the value field if comparison is done successfully. The parameter applies this logic to the personal names, such as given name, surname, surname and given name, middle name and etc.
     * @type {boolean}
     * @memberof ProcessParams
     */
    'selectLongestNames'?: boolean;
    /**
     * Set the types of barcodes to process.
     * @type {Array<InputBarcodeType>}
     * @memberof ProcessParams
     */
    'doBarcodes'?: Array<InputBarcodeType>;
    /**
     * Set to force DL categories expiry date to affect the overall status or not. As documents usually have their own date of expiry, which might be less or greater than category expiry date, this might be handy for specific cases.
     * @type {boolean}
     * @memberof ProcessParams
     */
    'strictDLCategoryExpiry'?: boolean;
    /**
     * Set to generate Alpha-2 codes for nationality and issuing state fields.
     * @type {boolean}
     * @memberof ProcessParams
     */
    'generateAlpha2Codes'?: boolean;
    /**
     * Limits the number of pages to be processed from a PDF file.
     * @type {number}
     * @memberof ProcessParams
     */
    'pdfPagesLimit'?: number;
}
/**
 *
 * @export
 * @interface ProcessRequestImage
 */
export interface ProcessRequestImage {
    /**
     *
     * @type {ImageData}
     * @memberof ProcessRequestImage
     */
    'ImageData'?: ImageData;
    /**
     *
     * @type {Light}
     * @memberof ProcessRequestImage
     */
    'light'?: Light;
    /**
     * page/image number
     * @type {number}
     * @memberof ProcessRequestImage
     */
    'page_idx'?: number;
}
/**
 * Regula Document Reader Web API
 * Documents recognition as easy as reading two bytes.   # Clients: * [JavaScript](https://github.com/regulaforensics/DocumentReader-web-js-client) client for the browser and node.js based on axios * [Java](https://github.com/regulaforensics/DocumentReader-web-java-client) client compatible with jvm and android * [Python](https://github.com/regulaforensics/DocumentReader-web-python-client) 3.5+ client * [C#](https://github.com/regulaforensics/DocumentReader-web-csharp-client) client for .NET & .NET Core
 *
 * The version of the OpenAPI document: 8.1.0
 *
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */
/**
 *
 * @export
 * @interface ProcessSystemInfo
 */
export interface ProcessSystemInfo {
    /**
     * Base64 encoded license file
     * @type {string}
     * @memberof ProcessSystemInfo
     */
    'license'?: string;
    /**
     * For internal use. Demo-sites recaptcha token.
     * @type {string}
     * @memberof ProcessSystemInfo
     */
    'recaptcha_token'?: string;
}
/**
 *
 * @export
 * @interface ProcessRequest
 */
export interface ProcessRequest {
    /**
     *
     * @type {ProcessParams}
     * @memberof ProcessRequest
     */
    'processParam': ProcessParams;
    /**
     *
     * @type {Array<ProcessRequestImage>}
     * @memberof ProcessRequest
     */
    'List'?: Array<ProcessRequestImage>;
    /**
     * Session ID
     * @type {string}
     * @memberof ProcessRequest
     */
    'tag'?: string;
    /**
     * Customer name
     * @type {string}
     * @memberof ProcessRequest
     */
    'tenant'?: string;
    /**
     * Environment type
     * @type {string}
     * @memberof ProcessRequest
     */
    'env'?: string;
    /**
     * Live portrait photo
     * @type {string}
     * @memberof ProcessRequest
     */
    'livePortrait'?: string;
    /**
     * Portrait photo from an external source
     * @type {string}
     * @memberof ProcessRequest
     */
    'extPortrait'?: string;
    /**
     *
     * @type {ContainerList}
     * @memberof ProcessRequest
     */
    'ContainerList'?: ContainerList;
    /**
     *
     * @type {ProcessSystemInfo}
     * @memberof ProcessRequest
     */
    'systemInfo'?: ProcessSystemInfo;
    /**
     * Free-form object to be included in response. Must be object, not list or simple value. Do not affect document processing. Use it freely to pass your app params. Stored in process logs.
     * @type {{ [key: string]: any; }}
     * @memberof ProcessRequest
     */
    'passBackObject'?: {
        [key: string]: any;
    };
    /**
     * Digital Travel Credential (DTC-VC) data in base64 format for processing
     * @type {string}
     * @memberof ProcessRequest
     */
    'dtc'?: string;
    /**
     * URLs to the document images for processing.
     * @type {Array<string>}
     * @memberof ProcessRequest
     */
    'ImageUrls'?: Array<string>;
}
/**
 * Regula Document Reader Web API
 * Documents recognition as easy as reading two bytes.   # Clients: * [JavaScript](https://github.com/regulaforensics/DocumentReader-web-js-client) client for the browser and node.js based on axios * [Java](https://github.com/regulaforensics/DocumentReader-web-java-client) client compatible with jvm and android * [Python](https://github.com/regulaforensics/DocumentReader-web-python-client) 3.5+ client * [C#](https://github.com/regulaforensics/DocumentReader-web-csharp-client) client for .NET & .NET Core
 *
 * The version of the OpenAPI document: 8.1.0
 *
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */
/**
 *
 * @export
 * @enum {number}
 */
export enum ProcessingStatus {
    /**
    * Processing was not finished
    */
    NOT_FINISHED = 0,
    /**
    * Processing finished
    */
    FINISHED = 1,
    /**
    * Processing finished by timeout
    */
    TIMEOUT = 2
}
/**
 *
 * @export
 * @interface TransactionInfo
 */
export interface TransactionInfo {
    /**
     * Computer name
     * @type {string}
     * @memberof TransactionInfo
     */
    'ComputerName'?: string;
    /**
     * Date and time
     * @type {string}
     * @memberof TransactionInfo
     */
    'DateTime'?: string;
    /**
     *
     * @type {DocumentsDatabase}
     * @memberof TransactionInfo
     */
    'DocumentsDatabase'?: DocumentsDatabase;
    /**
     * System information
     * @type {string}
     * @memberof TransactionInfo
     */
    'SystemInfo'?: string;
    /**
     * Transaction tag
     * @type {string}
     * @memberof TransactionInfo
     */
    'Tag'?: string;
    /**
     * Transaction identifier
     * @type {string}
     * @memberof TransactionInfo
     */
    'TransactionID'?: string;
    /**
     * User name
     * @type {string}
     * @memberof TransactionInfo
     */
    'UserName'?: string;
    /**
     * SDK version
     * @type {string}
     * @memberof TransactionInfo
     */
    'Version'?: string;
}
/**
 *
 * @export
 * @interface ProcessResponse
 */
export interface ProcessResponse {
    /**
     *
     * @type {RfidLocation}
     * @memberof ProcessResponse
     */
    'ChipPage': RfidLocation;
    /**
     *
     * @type {number}
     * @memberof ProcessResponse
     */
    'CoreLibResultCode'?: number;
    /**
     *
     * @type {ProcessingStatus}
     * @memberof ProcessResponse
     */
    'ProcessingFinished': ProcessingStatus;
    /**
     *
     * @type {ContainerList}
     * @memberof ProcessResponse
     */
    'ContainerList': ContainerList;
    /**
     *
     * @type {TransactionInfo}
     * @memberof ProcessResponse
     */
    'TransactionInfo': TransactionInfo;
    /**
     * Base64 encoded transaction processing log
     * @type {string}
     * @memberof ProcessResponse
     */
    'log'?: string;
    /**
     * Free-form object provided in request. See passBackObject property of ProcessRequest.
     * @type {{ [key: string]: any; }}
     * @memberof ProcessResponse
     */
    'passBackObject'?: {
        [key: string]: any;
    };
    /**
     *
     * @type {number}
     * @memberof ProcessResponse
     */
    'morePagesAvailable': number;
    /**
     * Time the document processing has taken, ms.
     * @type {number}
     * @memberof ProcessResponse
     */
    'elapsedTime': number;
    /**
     *
     * @type {{ [key: string]: any; }}
     * @memberof ProcessResponse
     */
    'metadata'?: {
        [key: string]: any;
    };
}
/**
 * Regula Document Reader Web API
 * Documents recognition as easy as reading two bytes.   # Clients: * [JavaScript](https://github.com/regulaforensics/DocumentReader-web-js-client) client for the browser and node.js based on axios * [Java](https://github.com/regulaforensics/DocumentReader-web-java-client) client compatible with jvm and android * [Python](https://github.com/regulaforensics/DocumentReader-web-python-client) 3.5+ client * [C#](https://github.com/regulaforensics/DocumentReader-web-csharp-client) client for .NET & .NET Core
 *
 * The version of the OpenAPI document: 8.1.0
 *
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */
/**
 * Enumeration contains a set of constants that define the type of certificate
 * @export
 * @enum {number}
 */
export enum RFIDPKDResourceType {
    /**
    * Certificate file contents (.pem, .cer, .crt, .der)
    */
    CERTIFICATE_PA = 0,
    /**
    * Certificate file contents (.cvcert) and private key file contents (.pkcs8)
    */
    CERTIFICATE_TA = 1,
    /**
    * LDIF file contents (.ldif)
    */
    LDIF = 2,
    /**
    * CRL file contents (.crl)
    */
    CRL = 3,
    /**
    * Master List (.ml, .mls)
    */
    ML = 4,
    /**
    * Defect List (.dl, .dls, .dfl)
    */
    DEFL = 5,
    /**
    * Deviance List (.dl, .dls, .dvl)
    */
    DEVL = 6,
    /**
    * Black List (.bl, .bls)
    */
    BL = 7
}
/**
 *
 * @export
 * @interface TransactionImage
 */
export interface TransactionImage {
    /**
     *
     * @type {ImagesFieldValue}
     * @memberof TransactionImage
     */
    'image'?: ImagesFieldValue;
}
/**
 *
 * @export
 * @interface TransactionProcessGetResponse
 */
export interface TransactionProcessGetResponse {
    /**
     *
     * @type {string}
     * @memberof TransactionProcessGetResponse
     */
    'transactionId'?: string;
    /**
     *
     * @type {string}
     * @memberof TransactionProcessGetResponse
     */
    'tag'?: string;
    /**
     *
     * @type {OutData}
     * @memberof TransactionProcessGetResponse
     */
    'outData'?: OutData;
    /**
     *
     * @type {InData}
     * @memberof TransactionProcessGetResponse
     */
    'inData'?: InData;
}
/**
 *
 * @export
 * @interface TransactionProcessRequest
 */
export interface TransactionProcessRequest {
    /**
     *
     * @type {ProcessParams}
     * @memberof TransactionProcessRequest
     */
    'processParam': ProcessParams;
    /**
     *
     * @type {Array<ProcessRequestImage>}
     * @memberof TransactionProcessRequest
     */
    'List'?: Array<ProcessRequestImage>;
    /**
     * Session ID
     * @type {string}
     * @memberof TransactionProcessRequest
     */
    'tag'?: string;
    /**
     * Customer name
     * @type {string}
     * @memberof TransactionProcessRequest
     */
    'tenant'?: string;
    /**
     * Environment type
     * @type {string}
     * @memberof TransactionProcessRequest
     */
    'env'?: string;
    /**
     * Live portrait photo
     * @type {string}
     * @memberof TransactionProcessRequest
     */
    'livePortrait'?: string;
    /**
     * Portrait photo from an external source
     * @type {string}
     * @memberof TransactionProcessRequest
     */
    'extPortrait'?: string;
    /**
     *
     * @type {ContainerList}
     * @memberof TransactionProcessRequest
     */
    'ContainerList'?: ContainerList;
    /**
     *
     * @type {ProcessSystemInfo}
     * @memberof TransactionProcessRequest
     */
    'systemInfo'?: ProcessSystemInfo;
    /**
     * Free-form object to be included in response. Must be object, not list or simple value. Do not affect document processing. Use it freely to pass your app params. Stored in process logs.
     * @type {{ [key: string]: any; }}
     * @memberof TransactionProcessRequest
     */
    'passBackObject'?: {
        [key: string]: any;
    };
    /**
     * Digital Travel Credential (DTC-VC) data in base64 format for processing
     * @type {string}
     * @memberof TransactionProcessRequest
     */
    'dtc'?: string;
}
/**
 *
 * @export
 * @interface TransactionProcessResult
 */
export interface TransactionProcessResult {
    /**
     *
     * @type {OutData}
     * @memberof TransactionProcessResult
     */
    'OutData'?: OutData;
    /**
     *
     * @type {InData}
     * @memberof TransactionProcessResult
     */
    'InData'?: InData;
    /**
     *
     * @type {string}
     * @memberof TransactionProcessResult
     */
    'tag'?: string;
    /**
     *
     * @type {string}
     * @memberof TransactionProcessResult
     */
    'transactionId'?: string;
}
export class TextFieldExt implements TextField {
    fieldType: TextFieldType;
    fieldName: string;
    lcid: LCID;
    lcidName?: string;
    status: CheckResult;
    validityStatus: CheckResult;
    comparisonStatus: CheckResult;
    value: string;
    valueList: Array<TextFieldValue>;
    validityList: Array<SourceValidity>;
    comparisonList: Array<CrossSourceValueComparison>;
    constructor(origin: TextField);
    /**
     * This method returns value of the text field. Value encoded in UTF8.
     * Fields value obtained in the following order:
     * - if MRZ value is present, it will be taken
     * - if no MRZ, but RFID value is present, it will be taken
     * - if no MRZ, no RFID, but Barcode value is present, it will be taken
     * - if no MRZ, no RFID, no Barcode, but Visual OCR value is present, it will be taken
     *
     * @param source See {@code Source}
     * @param original Each value formatted according to input params and server settings.
     * To get original representation, set this flag to true. Date example:
     *  - original visual value - "3 January 2009"
     *  - formatted value - "03.01.2009"
     */
    getValue(source?: Source, original?: boolean): string | undefined;
    /**
     * Returns validity check of all values for given source.
     * @param source See {@code Source}
     */
    sourceValidity(source: Source): CheckResult;
    /**
     * Returns value matching result for different sources.
     */
    crossSourceComparison(one: Source, other: Source): CheckResult;
    getLCIDName(): string | undefined;
}
export class TextExt implements Text {
    status: CheckResult;
    validityStatus: CheckResult;
    comparisonStatus: CheckResult;
    dateFormat: string;
    availableSourceList: Array<TextAvailableSource>;
    fieldList: Array<TextFieldExt>;
    constructor(origin: Text);
    getField(type: TextFieldType, lcid?: number): TextFieldExt | undefined;
    getFieldByName(name: string, lcid?: number): TextFieldExt | undefined;
    getFieldValue(type: TextFieldType, lcid?: number): string | undefined;
    getFieldValueByName(name: string, lcid?: number): string | undefined;
}
export class ImagesExt implements Images {
    availableSourceList: Array<ImagesAvailableSource>;
    fieldList: Array<ImagesFieldWrapper>;
    fieldCount?: number;
    availableSourceCount?: number;
    constructor(origin: Images);
    getField(type: GraphicFieldType): ImagesFieldWrapper | undefined;
    getFields(type: GraphicFieldType): Array<ImagesFieldWrapper> | undefined;
}
export class ImagesFieldWrapper implements ImagesField {
    fieldName: string;
    fieldType: GraphicFieldType;
    valueList: Array<ImagesFieldValue>;
    valueCount?: number;
    constructor(origin: ImagesField);
    getValue(source?: Source, original?: boolean): ArrayBuffer | undefined;
}
declare class FiberChecks implements AuthenticityCheckResult {
    List: Array<FiberResult>;
    Result: CheckResult;
    Type: AuthenticityResultType;
    constructor(origin: AuthenticityCheckResult);
}
declare class IdentChecks implements AuthenticityCheckResult {
    List: Array<IdentResult>;
    Result: CheckResult;
    Type: AuthenticityResultType;
    constructor(origin: AuthenticityCheckResult);
    checksByElement(elementType: SecurityFeatureType): Array<IdentResult>;
}
declare class ImageIdentChecks implements AuthenticityCheckResult {
    List: Array<PhotoIdentResult>;
    Result: CheckResult;
    Type: AuthenticityResultType;
    constructor(origin: AuthenticityCheckResult);
}
declare class OCRSecurityTextChecks implements AuthenticityCheckResult {
    List: Array<OCRSecurityTextResult>;
    Result: CheckResult;
    Type: AuthenticityResultType;
    constructor(origin: AuthenticityCheckResult);
}
declare class SecurityFeatureChecks implements AuthenticityCheckResult {
    List: Array<SecurityFeatureResult>;
    Result: CheckResult;
    Type: AuthenticityResultType;
    constructor(origin: AuthenticityCheckResult);
    checksByElement(elementType: SecurityFeatureType): Array<SecurityFeatureResult>;
}
declare class Authenticity implements AuthenticityCheckList {
    List: Array<AuthenticityCheckResult>;
    page_idx: number;
    Count: number;
    constructor(origin: AuthenticityCheckList, page_idx: number);
    uvLuminescenceChecks(): SecurityFeatureChecks | undefined;
    irB900Checks(): SecurityFeatureChecks | undefined;
    imagePatternChecks(): IdentChecks | undefined;
    axialProtectionChecks(): SecurityFeatureChecks | undefined;
    uvFiberChecks(): FiberChecks | undefined;
    irVisibilityChecks(): IdentChecks | undefined;
    ocrSecurityTextChecks(): OCRSecurityTextChecks | undefined;
    ipiChecks(): ImageIdentChecks | undefined;
    embedImageChecks(): SecurityFeatureChecks | undefined;
    hologramsChecks(): SecurityFeatureChecks | undefined;
    imageAreaChecks(): SecurityFeatureChecks | undefined;
    portraitComparisonChecks(): IdentChecks | undefined;
    barcodeFormatCheckChecks(): SecurityFeatureChecks | undefined;
    kinegramChecks(): IdentChecks | undefined;
    letterScreenChecks(): IdentChecks | undefined;
    hologramDetectionChecks(): IdentChecks | undefined;
    mrzChecks(): SecurityFeatureChecks | undefined;
    livenessChecks(): IdentChecks | undefined;
    resultByType(authenticityType: number): AuthenticityCheckResult | undefined;
}
export class Response {
    status?: Status;
    text?: TextExt;
    images?: ImagesExt;
    TransactionInfo: TransactionInfo;
    lowLvlResponse: LowLvlResponse;
    rawResponse: ProcessResponse;
    constructor(original: ProcessResponse);
    authenticity(page_idx?: number): Authenticity | undefined;
    json(): string;
    authenticityPerPage(): Array<Authenticity>;
    imageQualityChecks(page_idx?: number): ImageQualityCheckList | undefined;
    imageQualityChecksPerPage(): Array<ImageQualityCheckList> | undefined;
    documentType(page_idx?: number): OneCandidate | undefined;
    decodedLog(): string | undefined;
}
export class LowLvlResponse implements ProcessResponse {
    ContainerList: ContainerList;
    ProcessingFinished: ProcessingStatus;
    TransactionInfo: TransactionInfo;
    ChipPage: RfidLocation;
    log?: string;
    passBackObject?: {
        [key: string]: any;
    };
    morePagesAvailable: number;
    elapsedTime: number;
    metadata?: {
        [key: string]: object;
    };
    CoreLibResultCode?: number;
    constructor(original: ProcessResponse);
    statusResult(): StatusResult | undefined;
    textResult(): TextResult | undefined;
    imagesResult(): ImagesResult | undefined;
    barcodeResult(): DocBarCodeInfo | undefined;
    documentTypeResults(): Array<ChosenDocumentTypeResult> | undefined;
    resultByType(type: Result): ContainerList['List'][number] | undefined;
    resultByTypeAndPage(type: Result, page_idx?: number): ContainerList['List'][number] | undefined;
    resultsByType(type: Result): ContainerList['List'];
}
export interface ProcessRequestImageWrapper extends Omit<ProcessRequestImage, 'ImageData'> {
    ImageData: ArrayBuffer | Base64String;
}
export type Base64String = string;
export interface ProcessRequestExt extends ProcessRequest {
    /**
     *
     * @type {Array<ProcessRequestImage>}
     * @memberof ProcessRequestExt
     */
    images: Array<ProcessRequestImageWrapper | ArrayBuffer | Base64String>;
}
export const instanceOfProcessRequest: (data: any) => data is ProcessRequestExt;
export class DocumentReaderApi {
    constructor(configuration?: ConfigurationParameters, basePath?: string, axios?: AxiosInstance);
    ping(xRequestID?: string): Promise<DeviceInfo>;
    health(xRequestID?: string): Promise<Healthcheck>;
    /**
     *
     * @summary Process list of documents images and return extracted data
     * @param {ProcessRequestExt} [request] Request options such as image, results types and etc.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError} If some request params are missed
     * */
    process(request: ProcessRequestExt | ProcessRequest, xRequestID?: string, options?: any): Promise<Response>;
    setLicense(license: ArrayBuffer | Base64String): void;
    /**
     *
     * @summary Reprocess
     * @param {string} transactionId Transaction id
     * @param {TransactionProcessRequest} transactionProcessRequest
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    reprocessTransaction(transactionId: string, transactionProcessRequest: TransactionProcessRequest, options?: any): Promise<AxiosResponse<TransactionProcessResult, any>>;
    /**
     *
     * @summary Get Reprocess transaction result
     * @param {string} transactionId Transaction id
     * @param {boolean} [withImages] With base64 images or url
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getReprocessTransactionResult(transactionId: string, withImages?: boolean, options?: any): Promise<Response>;
    /**
     *
     * @summary Get transactions by tag
     * @param {string} tagId Tag id
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getTransactionsByTag(tagId: string, options?: any): Promise<AxiosResponse<ListTransactionsByTagResponse>>;
    /**
     *
     * @summary Delete Reprocess transactions by tag
     * @param {string} tagId Tag id
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    deleteReprocessTransactionsByTag(tagId: string, options?: any): Promise<AxiosResponse<object, any>>;
    /**
     *
     * @summary Get Reprocess transaction file
     * @param {string} transactionId Transaction id
     * @param {string} name File name
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getReprocessTransactionFile(transactionId: string, name: string, options?: any): Promise<AxiosResponse<any, any>>;
    /**
     *
     * @summary Get Reprocess transaction data
     * @param {string} transactionId Transaction id
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getReprocessTransactionData(transactionId: string, options?: any): Promise<AxiosResponse<TransactionProcessGetResponse, any>>;
}
export function requestToBaseRequest(request: ProcessRequestExt): ProcessRequest;
